/* A Bison parser, made by GNU Bison 2.4.3.  */

/* Skeleton implementation for Bison's Yacc-like parsers in C
   
      Copyright (C) 1984, 1989, 1990, 2000, 2001, 2002, 2003, 2004, 2005, 2006,
   2009, 2010 Free Software Foundation, Inc.
   
   This program is free software: you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.
   
   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.
   
   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.  */

/* As a special exception, you may create a larger work that contains
   part or all of the Bison parser skeleton and distribute that work
   under terms of your choice, so long as that work isn't itself a
   parser generator using the skeleton or a modified version thereof
   as a parser skeleton.  Alternatively, if you modify or redistribute
   the parser skeleton itself, you may (at your option) remove this
   special exception, which will cause the skeleton and the resulting
   Bison output files to be licensed under the GNU General Public
   License without this special exception.
   
   This special exception was added by the Free Software Foundation in
   version 2.2 of Bison.  */

/* C LALR(1) parser skeleton written by Richard Stallman, by
   simplifying the original so-called "semantic" parser.  */

/* All symbols defined below should begin with yy or YY, to avoid
   infringing on user name space.  This should be done even for local
   variables, as they might otherwise be expanded by user macros.
   There are some unavoidable exceptions within include files to
   define necessary library symbols; they are noted "INFRINGES ON
   USER NAME SPACE" below.  */

/* Identify Bison output.  */
#define YYBISON 1

/* Bison version.  */
#define YYBISON_VERSION "2.4.3"

/* Skeleton name.  */
#define YYSKELETON_NAME "yacc.c"

/* Pure parsers.  */
#define YYPURE 0

/* Push parsers.  */
#define YYPUSH 0

/* Pull parsers.  */
#define YYPULL 1

/* Using locations.  */
#define YYLSP_NEEDED 1

/* Substitute the variable and function names.  */
#define yyparse         VLparse
#define yylex           VLlex
#define yyerror         VLerror
#define yylval          VLlval
#define yychar          VLchar
#define yydebug         VLdebug
#define yynerrs         VLnerrs
#define yylloc          VLlloc

/* Copy the first part of user declarations.  */

/* Line 189 of yacc.c  */
#line 2 "./parser.y"

/*
 Copyright (c) 2006-2009 Trevor Williams

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by the Free Software
 Foundation; either version 2 of the License, or (at your option) any later version.

 This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY;
 without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 See the GNU General Public License for more details.

 You should have received a copy of the GNU General Public License along with this program;
 if not, write to the Free Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*/

/*!
 \file     parser.c
 \author   Trevor Williams  (phase1geo@gmail.com)
 \date     12/14/2001
*/

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#include <stdio.h>
#include <assert.h>
#include <stdlib.h>
#ifdef HAVE_STRING_H
#include <string.h>
#endif

#include "db.h"
#include "defines.h"
#include "expr.h"
#include "func_unit.h"
#include "gen_item.h"
#include "link.h"
#include "obfuscate.h"
#include "parser_misc.h"
#include "profiler.h"
#include "statement.h"
#include "static.h"
#include "util.h"
#include "vector.h"
#include "vsignal.h"

extern char   user_msg[USER_MSG_LENGTH];
extern int    delay_expr_type;
extern int    stmt_conn_id;
extern int    gi_conn_id;
extern isuppl info_suppl;
extern char*  file_version;

/* Functions from lexer */
extern void lex_start_udp_table();
extern void lex_end_udp_table();

/*!
 If set to a value > 0, specifies that we are currently parsing code that should be ignored by
 Covered; otherwise, evaluate parsed code.
*/
int ignore_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing a parameter expression
*/
int param_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing an attribute
*/
int attr_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing the control block of a for loop.
*/
int for_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing a generate block
*/
int generate_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing the top-most level of structures in a generate block.
*/
int  generate_top_mode = 0;

/*!
 If set to a value > 0, specifies that we are parsing the body of a generate loop
*/
int  generate_for_mode = 0;

/*!
 If set to a value > 0, specifies that we are creating generate expressions
*/
int  generate_expr_mode = 0;

/*!
 Points to current generate variable name.
*/
char* generate_varname = NULL;

/*!
 Array storing the depth that a given fork block is at.
*/
int* fork_block_depth;

/*!
 Current fork depth position in the fork_block_depth array.
*/
int  fork_depth  = -1;

/*!
 Specifies the current block depth (for embedded blocks).
*/
int  block_depth = 0; 

/*!
 If set to TRUE, specifies that we are currently parsing syntax on the left-hand-side of an
 assignment.
*/
bool lhs_mode    = FALSE;

/*!
 Pointer to head of parameter override list.
*/
param_oride* param_oride_head = NULL;

/*!
 Pointer to tail of parameter override list.
*/
param_oride* param_oride_tail = NULL;

/*!
 Pointer to head of signal list
*/
sig_link* dummy_head    = NULL;

/*!
 Pointer to tail of signal list
*/
sig_link* dummy_tail    = NULL;

/*!
 Contains the last explicitly or implicitly defined packed range information.  This is needed because lists
 of signals/parameters can be made using a previously set range.
*/
sig_range curr_prange;

/*!
 Contains the last explicitly or implicitly defined unpacked range information.  This is needed because lists
 of signals/parameters can be made using a previously set range.
*/
sig_range curr_urange;

/*!
 Contains the last explicitly or implicitly defines signed indication.
*/
bool curr_signed = FALSE;

/*!
 Specifies if the current variable list is handled by Covered or not.
*/
bool curr_handled = TRUE;

/*!
 Specifies if current signal must be assigned or not (by Covered).
*/
bool curr_mba = FALSE;

/*!
 Specifies if current range should be flagged as packed or not.
*/
bool curr_packed = TRUE;

/*!
 Specifies the current signal/port type for a variable list.
*/
int curr_sig_type = SSUPPL_TYPE_DECL_NET;

/*!
 Pointer to head of stack structure that stores the contents of generate
 items that we want to refer to later.
*/
gitem_link* save_gi_head = NULL;

/*!
 Pointer to tail of stack structure that stores the contents of generate
 items that we want to refer to later.
*/
gitem_link* save_gi_tail = NULL;

/*!
 Macro to free a text variable type.  Sets the pointer to NULL so that the pointer is re-deallocated.
 x = pointer to the variable.
*/
#define FREE_TEXT(x)  free_safe( x, (strlen( x ) + 1) );  x = NULL;

#define YYERROR_VERBOSE 1

/* Uncomment these lines to turn debugging on */
/*
#define YYDEBUG 1
int yydebug = 1; 
*/

/* Recent version of bison expect that the user supply a
   YYLLOC_DEFAULT macro that makes up a yylloc value from existing
   values. I need to supply an explicit version to account for the
   text field, that otherwise won't be copied. */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#define YYLLOC_DEFAULT(Current, Rhs, N)                                \
    do                                                                  \
      if (N)                                                            \
        {                                                               \
          (Current).first_line   = YYRHSLOC(Rhs, 1).first_line;         \
          (Current).first_column = YYRHSLOC(Rhs, 1).first_column;       \
          (Current).last_line    = YYRHSLOC(Rhs, N).last_line;          \
          (Current).last_column  = YYRHSLOC(Rhs, N).last_column;        \
          (Current).text         = YYRHSLOC(Rhs, 1).text;               \
          (Current).ppline       = YYRHSLOC(Rhs, 1).ppline;             \
        }                                                               \
      else                                                              \
        {                                                               \
          (Current).first_line   = (Current).last_line   =              \
            YYRHSLOC(Rhs, 0).last_line;                                 \
          (Current).first_column = (Current).last_column =              \
            YYRHSLOC(Rhs, 0).last_column;                               \
          (Current).text         = YYRHSLOC(Rhs, 0).text;               \
          (Current).ppline       = YYRHSLOC(Rhs, 0).ppline;             \
        }                                                               \
    while (0)



/* Line 189 of yacc.c  */
#line 320 "parser.c"

/* Enabling traces.  */
#ifndef YYDEBUG
# define YYDEBUG 1
#endif

/* Enabling verbose error messages.  */
#ifdef YYERROR_VERBOSE
# undef YYERROR_VERBOSE
# define YYERROR_VERBOSE 1
#else
# define YYERROR_VERBOSE 0
#endif

/* Enabling the token table.  */
#ifndef YYTOKEN_TABLE
# define YYTOKEN_TABLE 0
#endif


/* Tokens.  */
#ifndef YYTOKENTYPE
# define YYTOKENTYPE
   /* Put the tokens into the symbol table, so that GDB and other debuggers
      know about them.  */
   enum yytokentype {
     IDENTIFIER = 258,
     TYPEDEF_IDENTIFIER = 259,
     PATHPULSE_IDENTIFIER = 260,
     DEC_NUMBER = 261,
     BASE_NUMBER = 262,
     REALTIME = 263,
     STRING = 264,
     IGNORE = 265,
     K_LE = 266,
     K_GE = 267,
     K_EG = 268,
     K_EQ = 269,
     K_NE = 270,
     K_CEQ = 271,
     K_CNE = 272,
     K_LS = 273,
     K_LSS = 274,
     K_RS = 275,
     K_RSS = 276,
     K_SG = 277,
     K_ADD_A = 278,
     K_SUB_A = 279,
     K_MLT_A = 280,
     K_DIV_A = 281,
     K_MOD_A = 282,
     K_AND_A = 283,
     K_OR_A = 284,
     K_XOR_A = 285,
     K_LS_A = 286,
     K_RS_A = 287,
     K_ALS_A = 288,
     K_ARS_A = 289,
     K_INC = 290,
     K_DEC = 291,
     K_POW = 292,
     K_PO_POS = 293,
     K_PO_NEG = 294,
     K_STARP = 295,
     K_PSTAR = 296,
     K_LOR = 297,
     K_LAND = 298,
     K_NAND = 299,
     K_NOR = 300,
     K_NXOR = 301,
     K_TRIGGER = 302,
     K_always = 303,
     K_and = 304,
     K_assign = 305,
     K_begin = 306,
     K_buf = 307,
     K_bufif0 = 308,
     K_bufif1 = 309,
     K_case = 310,
     K_casex = 311,
     K_casez = 312,
     K_cmos = 313,
     K_deassign = 314,
     K_default = 315,
     K_defparam = 316,
     K_disable = 317,
     K_edge = 318,
     K_else = 319,
     K_end = 320,
     K_endcase = 321,
     K_endfunction = 322,
     K_endmodule = 323,
     I_endmodule = 324,
     K_endprimitive = 325,
     K_endspecify = 326,
     K_endtable = 327,
     K_endtask = 328,
     K_event = 329,
     K_for = 330,
     K_force = 331,
     K_forever = 332,
     K_fork = 333,
     K_function = 334,
     K_highz0 = 335,
     K_highz1 = 336,
     K_if = 337,
     K_generate = 338,
     K_endgenerate = 339,
     K_genvar = 340,
     K_initial = 341,
     K_inout = 342,
     K_input = 343,
     K_integer = 344,
     K_join = 345,
     K_large = 346,
     K_localparam = 347,
     K_macromodule = 348,
     K_medium = 349,
     K_module = 350,
     K_nand = 351,
     K_negedge = 352,
     K_nmos = 353,
     K_nor = 354,
     K_not = 355,
     K_notif0 = 356,
     K_notif1 = 357,
     K_or = 358,
     K_output = 359,
     K_parameter = 360,
     K_pmos = 361,
     K_posedge = 362,
     K_primitive = 363,
     K_pull0 = 364,
     K_pull1 = 365,
     K_pulldown = 366,
     K_pullup = 367,
     K_rcmos = 368,
     K_real = 369,
     K_realtime = 370,
     K_reg = 371,
     K_release = 372,
     K_repeat = 373,
     K_rnmos = 374,
     K_rpmos = 375,
     K_rtran = 376,
     K_rtranif0 = 377,
     K_rtranif1 = 378,
     K_scalered = 379,
     K_signed = 380,
     K_small = 381,
     K_specify = 382,
     K_specparam = 383,
     K_strong0 = 384,
     K_strong1 = 385,
     K_supply0 = 386,
     K_supply1 = 387,
     K_table = 388,
     K_task = 389,
     K_time = 390,
     K_tran = 391,
     K_tranif0 = 392,
     K_tranif1 = 393,
     K_tri = 394,
     K_tri0 = 395,
     K_tri1 = 396,
     K_triand = 397,
     K_trior = 398,
     K_trireg = 399,
     K_vectored = 400,
     K_wait = 401,
     K_wand = 402,
     K_weak0 = 403,
     K_weak1 = 404,
     K_while = 405,
     K_wire = 406,
     K_wor = 407,
     K_xnor = 408,
     K_xor = 409,
     K_Shold = 410,
     K_Speriod = 411,
     K_Srecovery = 412,
     K_Ssetup = 413,
     K_Swidth = 414,
     K_Ssetuphold = 415,
     S_user = 416,
     S_ignore = 417,
     S_allow = 418,
     S_finish = 419,
     S_stop = 420,
     S_time = 421,
     S_random = 422,
     S_srandom = 423,
     S_dumpfile = 424,
     S_urandom = 425,
     S_urandom_range = 426,
     S_realtobits = 427,
     S_bitstoreal = 428,
     S_rtoi = 429,
     S_itor = 430,
     S_shortrealtobits = 431,
     S_bitstoshortreal = 432,
     S_testargs = 433,
     S_valargs = 434,
     S_signed = 435,
     S_unsigned = 436,
     K_automatic = 437,
     K_cell = 438,
     K_use = 439,
     K_library = 440,
     K_config = 441,
     K_endconfig = 442,
     K_design = 443,
     K_liblist = 444,
     K_instance = 445,
     K_showcancelled = 446,
     K_noshowcancelled = 447,
     K_pulsestyle_onevent = 448,
     K_pulsestyle_ondetect = 449,
     K_TU_S = 450,
     K_TU_MS = 451,
     K_TU_US = 452,
     K_TU_NS = 453,
     K_TU_PS = 454,
     K_TU_FS = 455,
     K_TU_STEP = 456,
     K_INCDIR = 457,
     K_DPI = 458,
     K_PP = 459,
     K_PS = 460,
     K_PEQ = 461,
     K_PNE = 462,
     K_bit = 463,
     K_byte = 464,
     K_char = 465,
     K_logic = 466,
     K_shortint = 467,
     K_int = 468,
     K_longint = 469,
     K_unsigned = 470,
     K_shortreal = 471,
     K_unique = 472,
     K_priority = 473,
     K_do = 474,
     K_always_comb = 475,
     K_always_latch = 476,
     K_always_ff = 477,
     K_typedef = 478,
     K_type = 479,
     K_enum = 480,
     K_union = 481,
     K_struct = 482,
     K_packed = 483,
     K_assert = 484,
     K_assume = 485,
     K_property = 486,
     K_endproperty = 487,
     K_cover = 488,
     K_sequence = 489,
     K_endsequence = 490,
     K_expect = 491,
     K_program = 492,
     K_endprogram = 493,
     K_final = 494,
     K_void = 495,
     K_return = 496,
     K_continue = 497,
     K_break = 498,
     K_extern = 499,
     K_interface = 500,
     K_endinterface = 501,
     K_class = 502,
     K_endclass = 503,
     K_extends = 504,
     K_package = 505,
     K_endpackage = 506,
     K_timeunit = 507,
     K_timeprecision = 508,
     K_ref = 509,
     K_bind = 510,
     K_const = 511,
     K_new = 512,
     K_static = 513,
     K_protected = 514,
     K_local = 515,
     K_rand = 516,
     K_randc = 517,
     K_randcase = 518,
     K_constraint = 519,
     K_import = 520,
     K_export = 521,
     K_scalared = 522,
     K_chandle = 523,
     K_context = 524,
     K_pure = 525,
     K_modport = 526,
     K_clocking = 527,
     K_iff = 528,
     K_intersect = 529,
     K_first_match = 530,
     K_throughout = 531,
     K_with = 532,
     K_within = 533,
     K_dist = 534,
     K_covergroup = 535,
     K_endgroup = 536,
     K_coverpoint = 537,
     K_optionDOT = 538,
     K_type_optionDOT = 539,
     K_wildcard = 540,
     K_bins = 541,
     K_illegal_bins = 542,
     K_ignore_bins = 543,
     K_cross = 544,
     K_binsof = 545,
     K_alias = 546,
     K_join_any = 547,
     K_join_none = 548,
     K_matches = 549,
     K_tagged = 550,
     K_foreach = 551,
     K_randsequence = 552,
     K_ifnone = 553,
     K_randomize = 554,
     K_null = 555,
     K_inside = 556,
     K_super = 557,
     K_this = 558,
     K_wait_order = 559,
     K_include = 560,
     K_Sroot = 561,
     K_Sunit = 562,
     K_endclocking = 563,
     K_virtual = 564,
     K_before = 565,
     K_forkjoin = 566,
     K_solve = 567,
     KK_attribute = 568,
     K_TAND = 569,
     UNARY_PREC = 570,
     less_than_K_else = 571
   };
#endif



#if ! defined YYSTYPE && ! defined YYSTYPE_IS_DECLARED
typedef union YYSTYPE
{

/* Line 214 of yacc.c  */
#line 241 "./parser.y"

  bool            logical;
  char*           text;
  int	          integer;
  const_value     num;
  vector*         realtime;
  vsignal*        sig;
  expression*     expr;
  statement*      state;
  static_expr*    statexp;
  str_link*       strlink;
  exp_link*       explink;
  case_statement* case_stmt;
  attr_param*     attr_parm;
  exp_bind*       expbind;
  port_info*      portinfo;
  gen_item*       gitem;
  case_gitem*     case_gi;
  typedef_item*   typdef;
  func_unit*      funit;



/* Line 214 of yacc.c  */
#line 696 "parser.c"
} YYSTYPE;
# define YYSTYPE_IS_TRIVIAL 1
# define yystype YYSTYPE /* obsolescent; will be withdrawn */
# define YYSTYPE_IS_DECLARED 1
#endif

#if ! defined YYLTYPE && ! defined YYLTYPE_IS_DECLARED
typedef struct YYLTYPE
{
  int first_line;
  int first_column;
  int last_line;
  int last_column;
} YYLTYPE;
# define yyltype YYLTYPE /* obsolescent; will be withdrawn */
# define YYLTYPE_IS_DECLARED 1
# define YYLTYPE_IS_TRIVIAL 1
#endif


/* Copy the second part of user declarations.  */


/* Line 264 of yacc.c  */
#line 721 "parser.c"

#ifdef short
# undef short
#endif

#ifdef YYTYPE_UINT8
typedef YYTYPE_UINT8 yytype_uint8;
#else
typedef unsigned char yytype_uint8;
#endif

#ifdef YYTYPE_INT8
typedef YYTYPE_INT8 yytype_int8;
#elif (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
typedef signed char yytype_int8;
#else
typedef short int yytype_int8;
#endif

#ifdef YYTYPE_UINT16
typedef YYTYPE_UINT16 yytype_uint16;
#else
typedef unsigned short int yytype_uint16;
#endif

#ifdef YYTYPE_INT16
typedef YYTYPE_INT16 yytype_int16;
#else
typedef short int yytype_int16;
#endif

#ifndef YYSIZE_T
# ifdef __SIZE_TYPE__
#  define YYSIZE_T __SIZE_TYPE__
# elif defined size_t
#  define YYSIZE_T size_t
# elif ! defined YYSIZE_T && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#  include <stddef.h> /* INFRINGES ON USER NAME SPACE */
#  define YYSIZE_T size_t
# else
#  define YYSIZE_T unsigned int
# endif
#endif

#define YYSIZE_MAXIMUM ((YYSIZE_T) -1)

#ifndef YY_
# if defined YYENABLE_NLS && YYENABLE_NLS
#  if ENABLE_NLS
#   include <libintl.h> /* INFRINGES ON USER NAME SPACE */
#   define YY_(msgid) dgettext ("bison-runtime", msgid)
#  endif
# endif
# ifndef YY_
#  define YY_(msgid) msgid
# endif
#endif

/* Suppress unused-variable warnings by "using" E.  */
#if ! defined lint || defined __GNUC__
# define YYUSE(e) ((void) (e))
#else
# define YYUSE(e) /* empty */
#endif

/* Identity function, used to suppress warnings about constant conditions.  */
#ifndef lint
# define YYID(n) (n)
#else
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static int
YYID (int yyi)
#else
static int
YYID (yyi)
    int yyi;
#endif
{
  return yyi;
}
#endif

#if ! defined yyoverflow || YYERROR_VERBOSE

/* The parser invokes alloca or malloc; define the necessary symbols.  */

# ifdef YYSTACK_USE_ALLOCA
#  if YYSTACK_USE_ALLOCA
#   ifdef __GNUC__
#    define YYSTACK_ALLOC __builtin_alloca
#   elif defined __BUILTIN_VA_ARG_INCR
#    include <alloca.h> /* INFRINGES ON USER NAME SPACE */
#   elif defined _AIX
#    define YYSTACK_ALLOC __alloca
#   elif defined _MSC_VER
#    include <malloc.h> /* INFRINGES ON USER NAME SPACE */
#    define alloca _alloca
#   else
#    define YYSTACK_ALLOC alloca
#    if ! defined _ALLOCA_H && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
#     include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#     ifndef _STDLIB_H
#      define _STDLIB_H 1
#     endif
#    endif
#   endif
#  endif
# endif

# ifdef YYSTACK_ALLOC
   /* Pacify GCC's `empty if-body' warning.  */
#  define YYSTACK_FREE(Ptr) do { /* empty */; } while (YYID (0))
#  ifndef YYSTACK_ALLOC_MAXIMUM
    /* The OS might guarantee only one guard page at the bottom of the stack,
       and a page size can be as small as 4096 bytes.  So we cannot safely
       invoke alloca (N) if N exceeds 4096.  Use a slightly smaller number
       to allow for a few compiler-allocated temporary stack slots.  */
#   define YYSTACK_ALLOC_MAXIMUM 4032 /* reasonable circa 2006 */
#  endif
# else
#  define YYSTACK_ALLOC YYMALLOC
#  define YYSTACK_FREE YYFREE
#  ifndef YYSTACK_ALLOC_MAXIMUM
#   define YYSTACK_ALLOC_MAXIMUM YYSIZE_MAXIMUM
#  endif
#  if (defined __cplusplus && ! defined _STDLIB_H \
       && ! ((defined YYMALLOC || defined malloc) \
	     && (defined YYFREE || defined free)))
#   include <stdlib.h> /* INFRINGES ON USER NAME SPACE */
#   ifndef _STDLIB_H
#    define _STDLIB_H 1
#   endif
#  endif
#  ifndef YYMALLOC
#   define YYMALLOC malloc
#   if ! defined malloc && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void *malloc (YYSIZE_T); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
#  ifndef YYFREE
#   define YYFREE free
#   if ! defined free && ! defined _STDLIB_H && (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
void free (void *); /* INFRINGES ON USER NAME SPACE */
#   endif
#  endif
# endif
#endif /* ! defined yyoverflow || YYERROR_VERBOSE */


#if (! defined yyoverflow \
     && (! defined __cplusplus \
	 || (defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL \
	     && defined YYSTYPE_IS_TRIVIAL && YYSTYPE_IS_TRIVIAL)))

/* A type that is properly aligned for any stack member.  */
union yyalloc
{
  yytype_int16 yyss_alloc;
  YYSTYPE yyvs_alloc;
  YYLTYPE yyls_alloc;
};

/* The size of the maximum gap between one aligned stack and the next.  */
# define YYSTACK_GAP_MAXIMUM (sizeof (union yyalloc) - 1)

/* The size of an array large to enough to hold all stacks, each with
   N elements.  */
# define YYSTACK_BYTES(N) \
     ((N) * (sizeof (yytype_int16) + sizeof (YYSTYPE) + sizeof (YYLTYPE)) \
      + 2 * YYSTACK_GAP_MAXIMUM)

/* Copy COUNT objects from FROM to TO.  The source and destination do
   not overlap.  */
# ifndef YYCOPY
#  if defined __GNUC__ && 1 < __GNUC__
#   define YYCOPY(To, From, Count) \
      __builtin_memcpy (To, From, (Count) * sizeof (*(From)))
#  else
#   define YYCOPY(To, From, Count)		\
      do					\
	{					\
	  YYSIZE_T yyi;				\
	  for (yyi = 0; yyi < (Count); yyi++)	\
	    (To)[yyi] = (From)[yyi];		\
	}					\
      while (YYID (0))
#  endif
# endif

/* Relocate STACK from its old location to the new one.  The
   local variables YYSIZE and YYSTACKSIZE give the old and new number of
   elements in the stack, and YYPTR gives the new location of the
   stack.  Advance YYPTR to a properly aligned location for the next
   stack.  */
# define YYSTACK_RELOCATE(Stack_alloc, Stack)				\
    do									\
      {									\
	YYSIZE_T yynewbytes;						\
	YYCOPY (&yyptr->Stack_alloc, Stack, yysize);			\
	Stack = &yyptr->Stack_alloc;					\
	yynewbytes = yystacksize * sizeof (*Stack) + YYSTACK_GAP_MAXIMUM; \
	yyptr += yynewbytes / sizeof (*yyptr);				\
      }									\
    while (YYID (0))

#endif

/* YYFINAL -- State number of the termination state.  */
#define YYFINAL  107
/* YYLAST -- Last index in YYTABLE.  */
#define YYLAST   9385

/* YYNTOKENS -- Number of terminals.  */
#define YYNTOKENS  361
/* YYNNTS -- Number of nonterminals.  */
#define YYNNTS  240
/* YYNRULES -- Number of rules.  */
#define YYNRULES  848
/* YYNRULES -- Number of states.  */
#define YYNSTATES  1889

/* YYTRANSLATE(YYLEX) -- Bison symbol number corresponding to YYLEX.  */
#define YYUNDEFTOK  2
#define YYMAXUTOK   571

#define YYTRANSLATE(YYX)						\
  ((unsigned int) (YYX) <= YYMAXUTOK ? yytranslate[YYX] : YYUNDEFTOK)

/* YYTRANSLATE[YYLEX] -- Bison symbol number corresponding to YYLEX.  */
static const yytype_uint16 yytranslate[] =
{
       0,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,   341,     2,   334,     2,   326,   319,     2,
     331,   332,   324,   322,   329,   323,   335,   325,   342,   343,
       2,     2,     2,     2,     2,     2,     2,     2,   316,   333,
     320,   330,   321,   315,   360,     2,   350,     2,     2,     2,
     347,     2,     2,     2,     2,     2,     2,   353,   355,     2,
     357,   358,   352,     2,     2,     2,     2,     2,     2,     2,
       2,   338,     2,   339,   318,   359,     2,     2,   345,     2,
       2,     2,   346,     2,   349,     2,     2,     2,   348,     2,
     354,     2,   356,     2,   351,     2,     2,     2,     2,     2,
     344,     2,     2,   336,   317,   337,   340,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     1,     2,     3,     4,
       5,     6,     7,     8,     9,    10,    11,    12,    13,    14,
      15,    16,    17,    18,    19,    20,    21,    22,    23,    24,
      25,    26,    27,    28,    29,    30,    31,    32,    33,    34,
      35,    36,    37,    38,    39,    40,    41,    42,    43,    44,
      45,    46,    47,    48,    49,    50,    51,    52,    53,    54,
      55,    56,    57,    58,    59,    60,    61,    62,    63,    64,
      65,    66,    67,    68,    69,    70,    71,    72,    73,    74,
      75,    76,    77,    78,    79,    80,    81,    82,    83,    84,
      85,    86,    87,    88,    89,    90,    91,    92,    93,    94,
      95,    96,    97,    98,    99,   100,   101,   102,   103,   104,
     105,   106,   107,   108,   109,   110,   111,   112,   113,   114,
     115,   116,   117,   118,   119,   120,   121,   122,   123,   124,
     125,   126,   127,   128,   129,   130,   131,   132,   133,   134,
     135,   136,   137,   138,   139,   140,   141,   142,   143,   144,
     145,   146,   147,   148,   149,   150,   151,   152,   153,   154,
     155,   156,   157,   158,   159,   160,   161,   162,   163,   164,
     165,   166,   167,   168,   169,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,   182,   183,   184,
     185,   186,   187,   188,   189,   190,   191,   192,   193,   194,
     195,   196,   197,   198,   199,   200,   201,   202,   203,   204,
     205,   206,   207,   208,   209,   210,   211,   212,   213,   214,
     215,   216,   217,   218,   219,   220,   221,   222,   223,   224,
     225,   226,   227,   228,   229,   230,   231,   232,   233,   234,
     235,   236,   237,   238,   239,   240,   241,   242,   243,   244,
     245,   246,   247,   248,   249,   250,   251,   252,   253,   254,
     255,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     327,   328
};

#if YYDEBUG
/* YYPRHS[YYN] -- Index of the first RHS symbol of rule number YYN in
   YYRHS.  */
static const yytype_uint16 yyprhs[] =
{
       0,     0,     3,     5,     6,     7,    12,    13,    17,    18,
      22,    24,    26,    27,    28,    34,    36,    39,    41,    43,
      52,    54,    60,    66,    67,    73,    74,    82,    86,    91,
      96,   102,   106,   110,   117,   124,   126,   127,   132,   133,
     134,   144,   145,   146,   158,   161,   165,   169,   170,   180,
     185,   190,   192,   194,   195,   201,   202,   207,   211,   218,
     222,   226,   227,   229,   233,   237,   242,   249,   260,   265,
     272,   276,   278,   280,   281,   283,   289,   293,   301,   303,
     312,   319,   324,   326,   330,   332,   334,   337,   341,   343,
     345,   348,   351,   354,   357,   360,   363,   366,   369,   372,
     375,   379,   383,   387,   391,   395,   399,   403,   407,   411,
     415,   419,   423,   427,   431,   435,   439,   443,   447,   451,
     455,   459,   463,   465,   467,   469,   473,   478,   483,   485,
     487,   489,   491,   493,   496,   499,   502,   505,   508,   511,
     514,   517,   520,   523,   526,   529,   532,   535,   538,   541,
     544,   547,   550,   553,   557,   561,   565,   569,   573,   577,
     581,   585,   589,   593,   597,   601,   605,   609,   613,   617,
     621,   625,   629,   633,   637,   641,   645,   649,   653,   657,
     663,   665,   667,   669,   671,   674,   677,   680,   683,   685,
     687,   689,   691,   693,   696,   700,   704,   708,   712,   717,
     724,   731,   736,   741,   746,   751,   756,   761,   766,   771,
     776,   781,   786,   791,   796,   800,   804,   811,   815,   817,
     818,   821,   825,   827,   831,   833,   836,   837,   839,   843,
     845,   846,   850,   854,   859,   870,   874,   876,   880,   882,
     885,   891,   895,   899,   901,   902,   908,   909,   914,   916,
     918,   920,   923,   928,   930,   933,   935,   937,   939,   941,
     943,   945,   947,   949,   951,   953,   955,   957,   959,   961,
     963,   965,   967,   969,   971,   973,   975,   977,   979,   981,
     983,   985,   987,   990,   997,  1001,  1005,  1009,  1013,  1017,
    1021,  1025,  1029,  1033,  1037,  1041,  1045,  1049,  1052,  1055,
    1057,  1058,  1061,  1063,  1065,  1069,  1070,  1077,  1078,  1079,
    1095,  1105,  1117,  1128,  1134,  1140,  1145,  1153,  1156,  1158,
    1160,  1161,  1164,  1166,  1173,  1180,  1181,  1188,  1189,  1195,
    1196,  1204,  1205,  1214,  1215,  1224,  1231,  1232,  1241,  1246,
    1252,  1258,  1265,  1270,  1275,  1283,  1291,  1293,  1298,  1299,
    1305,  1311,  1312,  1313,  1322,  1326,  1327,  1332,  1333,  1338,
    1339,  1344,  1348,  1352,  1353,  1354,  1365,  1366,  1367,  1380,
    1381,  1386,  1387,  1392,  1393,  1401,  1402,  1407,  1408,  1414,
    1417,  1418,  1419,  1428,  1433,  1438,  1443,  1446,  1452,  1456,
    1460,  1464,  1474,  1480,  1482,  1486,  1489,  1495,  1503,  1505,
    1507,  1508,  1510,  1512,  1515,  1520,  1527,  1528,  1530,  1532,
    1534,  1536,  1538,  1540,  1542,  1544,  1546,  1548,  1550,  1552,
    1557,  1564,  1568,  1572,  1576,  1580,  1584,  1588,  1592,  1596,
    1600,  1604,  1608,  1612,  1616,  1619,  1622,  1623,  1624,  1632,
    1633,  1634,  1640,  1641,  1642,  1650,  1651,  1652,  1658,  1664,
    1669,  1673,  1677,  1682,  1690,  1700,  1710,  1720,  1730,  1740,
    1750,  1759,  1770,  1771,  1772,  1781,  1793,  1805,  1817,  1825,
    1833,  1841,  1851,  1856,  1861,  1867,  1870,  1875,  1881,  1887,
    1893,  1899,  1909,  1919,  1927,  1935,  1943,  1951,  1959,  1965,
    1968,  1971,  1974,  1977,  1983,  1986,  1989,  1994,  1997,  1998,
    2004,  2005,  2006,  2011,  2013,  2015,  2019,  2022,  2024,  2027,
    2029,  2031,  2033,  2035,  2040,  2046,  2048,  2053,  2059,  2061,
    2062,  2064,  2067,  2068,  2076,  2077,  2085,  2086,  2094,  2095,
    2102,  2103,  2110,  2111,  2118,  2119,  2126,  2127,  2134,  2135,
    2142,  2143,  2149,  2150,  2157,  2158,  2164,  2165,  2171,  2174,
    2179,  2180,  2186,  2191,  2196,  2201,  2206,  2211,  2216,  2221,
    2226,  2231,  2236,  2241,  2246,  2251,  2252,  2258,  2262,  2266,
    2269,  2270,  2271,  2277,  2280,  2282,  2285,  2290,  2293,  2298,
    2305,  2314,  2316,  2317,  2319,  2325,  2327,  2329,  2331,  2335,
    2337,  2341,  2343,  2344,  2350,  2357,  2359,  2361,  2363,  2365,
    2367,  2368,  2370,  2374,  2375,  2379,  2381,  2385,  2387,  2388,
    2391,  2393,  2395,  2396,  2402,  2404,  2405,  2407,  2409,  2410,
    2412,  2414,  2415,  2419,  2423,  2427,  2431,  2435,  2439,  2443,
    2447,  2451,  2455,  2459,  2461,  2464,  2466,  2468,  2470,  2472,
    2474,  2476,  2478,  2480,  2482,  2484,  2486,  2490,  2492,  2496,
    2501,  2503,  2504,  2510,  2516,  2522,  2528,  2534,  2540,  2542,
    2544,  2546,  2548,  2550,  2552,  2554,  2556,  2559,  2564,  2569,
    2571,  2575,  2579,  2582,  2585,  2587,  2589,  2590,  2594,  2598,
    2602,  2604,  2606,  2608,  2610,  2613,  2617,  2621,  2622,  2623,
    2630,  2635,  2638,  2641,  2642,  2644,  2648,  2654,  2659,  2663,
    2665,  2672,  2680,  2685,  2691,  2697,  2699,  2701,  2703,  2705,
    2707,  2709,  2711,  2713,  2715,  2717,  2719,  2721,  2723,  2725,
    2727,  2729,  2731,  2733,  2735,  2737,  2739,  2741,  2743,  2745,
    2747,  2750,  2751,  2758,  2760,  2764,  2766,  2770,  2774,  2778,
    2780,  2784,  2788,  2792,  2794,  2802,  2808,  2813,  2816,  2818,
    2820,  2823,  2827,  2830,  2833,  2840,  2847,  2858,  2867,  2878,
    2889,  2902,  2913,  2921,  2923,  2927,  2931,  2939,  2943,  2951,
    2957,  2961,  2967,  2974,  2981,  2985,  2987,  2992,  2996,  3003,
    3005,  3007,  3008,  3011,  3014,  3019,  3024,  3028,  3030,  3031,
    3033,  3035,  3038,  3041,  3045,  3047,  3053,  3057,  3065,  3077,
    3085,  3097,  3105,  3117,  3125,  3137,  3139,  3141,  3143,  3145,
    3149,  3151,  3153,  3154,  3160,  3163,  3166,  3169,  3171,  3173,
    3175,  3177,  3179,  3181,  3183,  3187,  3191,  3193,  3195,  3199,
    3204,  3209,  3213,  3219,  3225,  3231,  3234,  3236,  3237,  3238,
    3239,  3240,  3241,  3242,  3243,  3244,  3245,  3246,  3247
};

/* YYRHS -- A `-1'-separated list of the rules' RHS.  */
static const yytype_int16 yyrhs[] =
{
     362,     0,    -1,   370,    -1,    -1,    -1,    41,   364,   366,
      40,    -1,    -1,    41,   365,    40,    -1,    -1,   366,   329,
     367,    -1,   367,    -1,     3,    -1,    -1,    -1,     3,   330,
     368,   397,   369,    -1,   371,    -1,   370,   371,    -1,   379,
      -1,   406,    -1,   313,   331,     3,   329,     9,   329,     9,
     332,    -1,   586,    -1,   530,   527,   516,   404,   333,    -1,
     530,   527,   516,   532,   333,    -1,    -1,   530,   535,   372,
     532,   333,    -1,    -1,   144,   541,   516,   511,   373,   404,
     333,    -1,   553,   551,   333,    -1,   553,   510,   551,   333,
      -1,   553,   535,   551,   333,    -1,   553,   535,   510,   551,
     333,    -1,   112,   551,   333,    -1,   111,   551,   333,    -1,
     112,   331,   537,   332,   551,   333,    -1,   111,   331,   536,
     332,   551,   333,    -1,   489,    -1,    -1,    74,   374,   404,
     333,    -1,    -1,    -1,   134,   526,     3,   333,   375,   522,
     484,   376,    73,    -1,    -1,    -1,    79,   526,   527,   518,
       3,   333,   377,   554,   467,   378,    67,    -1,     1,   333,
      -1,    79,     1,    67,    -1,   581,   585,   333,    -1,    -1,
     363,   381,     3,   380,   382,   385,   333,   431,    68,    -1,
     363,    95,    10,    69,    -1,   363,    93,    10,    69,    -1,
      95,    -1,    93,    -1,    -1,   334,   383,   331,   384,   332,
      -1,    -1,   105,   527,   516,   559,    -1,   384,   329,   559,
      -1,   384,   329,   105,   527,   516,   559,    -1,   331,   388,
     332,    -1,   331,   386,   332,    -1,    -1,   387,    -1,   386,
     329,   387,    -1,   386,   329,     3,    -1,   363,   543,   529,
       3,    -1,   363,   104,   531,   527,   516,     3,    -1,   363,
     104,   531,   527,   516,     3,   330,   589,   395,   590,    -1,
     363,   543,   529,     1,    -1,   363,   104,   531,   527,   516,
       1,    -1,   388,   329,   389,    -1,   389,    -1,   390,    -1,
      -1,   391,    -1,   335,     3,   331,   391,   332,    -1,   336,
     392,   337,    -1,   335,     3,   331,   336,   392,   337,   332,
      -1,     3,    -1,     3,   338,   589,   395,   316,   395,   590,
     339,    -1,     3,   338,   589,   395,   590,   339,    -1,     3,
     338,     1,   339,    -1,   391,    -1,   392,   329,   391,    -1,
       6,    -1,     7,    -1,     6,     7,    -1,   394,   329,   395,
      -1,   395,    -1,   396,    -1,   322,   396,    -1,   323,   396,
      -1,   340,   396,    -1,   319,   396,    -1,   341,   396,    -1,
     317,   396,    -1,   318,   396,    -1,    44,   396,    -1,    45,
     396,    -1,    46,   396,    -1,   395,   318,   395,    -1,   395,
     324,   395,    -1,   395,   325,   395,    -1,   395,   326,   395,
      -1,   395,   322,   395,    -1,   395,   323,   395,    -1,   395,
      37,   395,    -1,   395,   319,   395,    -1,   395,   317,   395,
      -1,   395,    45,   395,    -1,   395,    44,   395,    -1,   395,
      46,   395,    -1,   395,    18,   395,    -1,   395,    20,   395,
      -1,   395,    12,   395,    -1,   395,    11,   395,    -1,   395,
      14,   395,    -1,   395,    15,   395,    -1,   395,   321,   395,
      -1,   395,   320,   395,    -1,   395,    43,   395,    -1,   395,
      42,   395,    -1,   393,    -1,     8,    -1,     3,    -1,   331,
     395,   332,    -1,     3,   331,   394,   332,    -1,     3,   338,
     395,   339,    -1,   162,    -1,   163,    -1,   167,    -1,   170,
      -1,   398,    -1,   322,   398,    -1,   323,   398,    -1,   340,
     398,    -1,   319,   398,    -1,   341,   398,    -1,   317,   398,
      -1,   318,   398,    -1,    44,   398,    -1,    45,   398,    -1,
      46,   398,    -1,   322,     1,    -1,   323,     1,    -1,   340,
       1,    -1,   319,     1,    -1,   341,     1,    -1,   317,     1,
      -1,   318,     1,    -1,    44,     1,    -1,    45,     1,    -1,
      46,     1,    -1,   397,   318,   397,    -1,   397,   324,   397,
      -1,   397,   325,   397,    -1,   397,   326,   397,    -1,   397,
     322,   397,    -1,   397,   323,   397,    -1,   397,    37,   397,
      -1,   397,   319,   397,    -1,   397,   317,   397,    -1,   397,
      44,   397,    -1,   397,    45,   397,    -1,   397,    46,   397,
      -1,   397,   320,   397,    -1,   397,   321,   397,    -1,   397,
      18,   397,    -1,   397,    19,   397,    -1,   397,    20,   397,
      -1,   397,    21,   397,    -1,   397,    14,   397,    -1,   397,
      16,   397,    -1,   397,    11,   397,    -1,   397,    12,   397,
      -1,   397,    15,   397,    -1,   397,    17,   397,    -1,   397,
      42,   397,    -1,   397,    43,   397,    -1,   397,   315,   397,
     316,   397,    -1,   393,    -1,     8,    -1,     9,    -1,   403,
      -1,   403,    35,    -1,   403,    36,    -1,    35,   403,    -1,
      36,   403,    -1,   162,    -1,   163,    -1,   167,    -1,   170,
      -1,   166,    -1,   403,   588,    -1,   403,   588,    35,    -1,
     403,   588,    36,    -1,    35,   403,   588,    -1,    36,   403,
     588,    -1,   403,   331,   400,   332,    -1,   162,   331,   589,
     400,   590,   332,    -1,   163,   331,   589,   400,   590,   332,
      -1,   180,   331,   397,   332,    -1,   181,   331,   397,   332,
      -1,   167,   331,   401,   332,    -1,   170,   331,   401,   332,
      -1,   171,   331,   401,   332,    -1,   172,   331,   401,   332,
      -1,   173,   331,   401,   332,    -1,   175,   331,   401,   332,
      -1,   174,   331,   401,   332,    -1,   176,   331,   401,   332,
      -1,   177,   331,   401,   332,    -1,   178,   331,   401,   332,
      -1,   179,   331,   401,   332,    -1,   331,   397,   332,    -1,
     336,   399,   337,    -1,   336,   397,   336,   399,   337,   337,
      -1,   399,   329,   397,    -1,   397,    -1,    -1,   399,   329,
      -1,   400,   329,   397,    -1,   397,    -1,   401,   329,   397,
      -1,   397,    -1,   316,     3,    -1,    -1,     3,    -1,   403,
     335,     3,    -1,     3,    -1,    -1,     3,   405,   517,    -1,
     404,   329,     3,    -1,   404,   329,     3,   517,    -1,   108,
       3,   331,   407,   332,   333,   408,   410,   412,    70,    -1,
     108,    10,    70,    -1,     3,    -1,   407,   329,     3,    -1,
     409,    -1,   408,   409,    -1,    88,   589,   404,   590,   333,
      -1,   104,     3,   333,    -1,   116,     3,   333,    -1,   411,
      -1,    -1,    86,     3,   330,   393,   333,    -1,    -1,   133,
     413,   414,    72,    -1,   415,    -1,   420,    -1,   416,    -1,
     415,   416,    -1,   417,   316,   419,   333,    -1,   418,    -1,
     417,   418,    -1,   342,    -1,   343,    -1,   344,    -1,   315,
      -1,   345,    -1,   324,    -1,   326,    -1,   346,    -1,   347,
      -1,   348,    -1,   349,    -1,   350,    -1,   351,    -1,   352,
      -1,   353,    -1,   354,    -1,   355,    -1,   356,    -1,   357,
      -1,   358,    -1,   359,    -1,   322,    -1,   342,    -1,   343,
      -1,   344,    -1,   323,    -1,   421,    -1,   420,   421,    -1,
     417,   316,   418,   316,   419,   333,    -1,     3,   330,   395,
      -1,     3,    23,   395,    -1,     3,    24,   395,    -1,     3,
      25,   395,    -1,     3,    26,   395,    -1,     3,    27,   395,
      -1,     3,    28,   395,    -1,     3,    29,   395,    -1,     3,
      30,   395,    -1,     3,    31,   395,    -1,     3,    32,   395,
      -1,     3,    33,   395,    -1,     3,    34,   395,    -1,     3,
      35,    -1,     3,    36,    -1,   424,    -1,    -1,   424,   425,
      -1,   425,    -1,   433,    -1,    51,   423,    65,    -1,    -1,
      51,   316,     3,   426,   423,    65,    -1,    -1,    -1,    75,
     427,   331,   422,   333,   395,   333,   422,   332,    51,   316,
       3,   428,   423,    65,    -1,    82,   599,   331,   395,   332,
     600,   595,   425,   596,    -1,    82,   599,   331,   395,   332,
     600,   595,   425,   596,    64,   425,    -1,    55,   599,   331,
     395,   332,   595,   430,   596,   600,    66,    -1,   399,   316,
     600,   425,   599,    -1,    60,   316,   600,   425,   599,    -1,
      60,   600,   425,   599,    -1,     1,   589,   600,   316,   425,
     590,   599,    -1,   430,   429,    -1,   429,    -1,   432,    -1,
      -1,   432,   433,    -1,   433,    -1,   363,   530,   527,   516,
     404,   333,    -1,   363,   530,   527,   516,   532,   333,    -1,
      -1,   363,   530,   535,   434,   532,   333,    -1,    -1,   363,
       4,   435,   521,   333,    -1,    -1,   363,   543,   527,   516,
     436,   404,   333,    -1,    -1,   363,   543,   530,   527,   516,
     437,   404,   333,    -1,    -1,   363,   104,   531,   527,   516,
     438,   404,   333,    -1,   363,   543,   527,   516,     1,   333,
      -1,    -1,   363,   144,   541,   516,   511,   439,   404,   333,
      -1,   363,   553,   551,   333,    -1,   363,   553,   510,   551,
     333,    -1,   363,   553,   535,   551,   333,    -1,   363,   553,
     535,   510,   551,   333,    -1,   363,   112,   551,   333,    -1,
     363,   111,   551,   333,    -1,   363,   112,   331,   537,   332,
     551,   333,    -1,   363,   111,   331,   536,   332,   551,   333,
      -1,   489,    -1,   363,    61,   544,   333,    -1,    -1,   363,
      74,   440,   404,   333,    -1,   363,     3,   546,   551,   333,
      -1,    -1,    -1,   363,    50,   534,   441,   511,   442,   514,
     333,    -1,   363,    48,   467,    -1,    -1,   363,   220,   443,
     467,    -1,    -1,   363,   221,   444,   467,    -1,    -1,   363,
     222,   445,   467,    -1,   363,    86,   467,    -1,   363,   239,
     467,    -1,    -1,    -1,   363,   134,   526,     3,   333,   446,
     522,   484,   447,    73,    -1,    -1,    -1,   363,    79,   526,
     527,   518,     3,   333,   448,   554,   467,   449,    67,    -1,
      -1,    83,   450,   423,    84,    -1,    -1,    85,   451,   404,
     333,    -1,    -1,   363,   127,   452,   589,   565,   590,    71,
      -1,    -1,   363,   127,   453,    71,    -1,    -1,   363,   127,
     454,     1,    71,    -1,     1,   333,    -1,    -1,    -1,   363,
      50,     1,   330,   455,   397,   456,   333,    -1,   363,    50,
       1,   333,    -1,   363,    79,     1,    67,    -1,   363,   581,
     585,   333,    -1,   363,   586,    -1,   363,     3,   316,   229,
     333,    -1,   363,   231,   232,    -1,   363,   234,   235,    -1,
     363,   237,   238,    -1,   313,   331,     3,   329,     9,   329,
       9,   332,   333,    -1,   313,   331,     1,   332,   333,    -1,
     465,    -1,   463,   527,   516,    -1,   464,   527,    -1,   460,
     336,   461,   337,   516,    -1,   460,   228,   527,   336,   461,
     337,   516,    -1,    74,    -1,   458,    -1,    -1,   227,    -1,
     226,    -1,   226,   295,    -1,   363,   462,   404,   333,    -1,
     461,   329,   363,   462,   404,   333,    -1,    -1,   458,    -1,
     240,    -1,   208,    -1,   211,    -1,   116,    -1,   209,    -1,
     210,    -1,   212,    -1,   213,    -1,    89,    -1,   214,    -1,
     135,    -1,   459,     3,   330,   397,    -1,   465,   329,   459,
       3,   330,   397,    -1,   485,   330,   397,    -1,   485,    23,
     397,    -1,   485,    24,   397,    -1,   485,    25,   397,    -1,
     485,    26,   397,    -1,   485,    27,   397,    -1,   485,    28,
     397,    -1,   485,    29,   397,    -1,   485,    30,   397,    -1,
     485,    31,   397,    -1,   485,    32,   397,    -1,   485,    33,
     397,    -1,   485,    34,   397,    -1,   485,    35,    -1,   485,
      36,    -1,    -1,    -1,    50,   468,   486,   330,   397,   333,
     469,    -1,    -1,    -1,    59,   470,   486,   333,   471,    -1,
      -1,    -1,    76,   472,   486,   330,   397,   333,   473,    -1,
      -1,    -1,   117,   474,   486,   333,   475,    -1,    51,   595,
     480,   596,    65,    -1,    78,   593,   478,    90,    -1,    62,
     403,   333,    -1,    47,     3,   333,    -1,    77,   595,   467,
     596,    -1,   118,   331,   397,   332,   595,   467,   596,    -1,
     580,    55,   331,   397,   332,   595,   508,   596,    66,    -1,
     580,    56,   331,   397,   332,   595,   508,   596,    66,    -1,
     580,    57,   331,   397,   332,   595,   508,   596,    66,    -1,
     580,    55,   331,   397,   332,   595,     1,   596,    66,    -1,
     580,    56,   331,   397,   332,   595,     1,   596,    66,    -1,
     580,    57,   331,   397,   332,   595,     1,   596,    66,    -1,
     580,    82,   331,   397,   332,   595,   484,   596,    -1,   580,
      82,   331,   397,   332,   595,   484,   596,    64,   484,    -1,
      -1,    -1,   580,    82,   331,     1,   332,   476,   482,   477,
      -1,    75,   597,   331,   457,   333,   397,   333,   466,   332,
     467,   598,    -1,    75,   597,   331,   457,   333,   397,   333,
       1,   332,   467,   598,    -1,    75,   597,   331,   457,   333,
       1,   333,   466,   332,   467,   598,    -1,    75,   597,   331,
       1,   332,   467,   598,    -1,   150,   331,   397,   332,   595,
     467,   596,    -1,   150,   331,     1,   332,   595,   467,   596,
      -1,   219,   595,   467,   596,   150,   331,   397,   332,   333,
      -1,   509,   595,   484,   596,    -1,   538,   595,   484,   596,
      -1,   360,   324,   595,   484,   596,    -1,   466,   333,    -1,
     485,    11,   397,   333,    -1,   485,   330,   509,   397,   333,
      -1,   485,    11,   509,   397,   333,    -1,   485,   330,   538,
     397,   333,    -1,   485,    11,   538,   397,   333,    -1,   485,
     330,   118,   331,   397,   332,   538,   397,   333,    -1,   485,
      11,   118,   331,   397,   332,   538,   397,   333,    -1,   146,
     331,   397,   332,   595,   484,   596,    -1,   162,   331,   589,
     401,   590,   332,   333,    -1,   163,   331,   589,   401,   590,
     332,   333,    -1,   164,   331,   589,   401,   590,   332,   333,
      -1,   165,   331,   589,   401,   590,   332,   333,    -1,   168,
     331,   401,   332,   333,    -1,   162,   333,    -1,   163,   333,
      -1,   164,   333,    -1,   165,   333,    -1,   403,   331,   400,
     332,   333,    -1,   403,   333,    -1,   229,   333,    -1,     3,
     316,   229,   333,    -1,     1,   333,    -1,    -1,   402,   479,
     487,   483,   594,    -1,    -1,    -1,   402,   481,   487,   483,
      -1,   402,    -1,   484,    -1,   484,    64,   484,    -1,   483,
     467,    -1,   467,    -1,   483,   333,    -1,   333,    -1,   467,
      -1,   333,    -1,   403,    -1,   403,   591,   588,   592,    -1,
     336,   591,   399,   592,   337,    -1,   403,    -1,   403,   591,
     588,   592,    -1,   336,   591,   399,   592,   337,    -1,   488,
      -1,    -1,   489,    -1,   488,   489,    -1,    -1,   363,   116,
     527,   516,   490,   521,   333,    -1,    -1,   363,   208,   527,
     516,   491,   521,   333,    -1,    -1,   363,   211,   527,   516,
     492,   521,   333,    -1,    -1,   363,   210,   528,   493,   521,
     333,    -1,    -1,   363,   209,   528,   494,   521,   333,    -1,
      -1,   363,   212,   528,   495,   521,   333,    -1,    -1,   363,
      89,   528,   496,   521,   333,    -1,    -1,   363,   213,   528,
     497,   521,   333,    -1,    -1,   363,   214,   528,   498,   521,
     333,    -1,    -1,   363,   135,   499,   521,   333,    -1,    -1,
     363,     4,   333,   500,   521,   333,    -1,    -1,   363,   114,
     501,   404,   333,    -1,    -1,   363,   115,   502,   404,   333,
      -1,   363,   216,    -1,   363,   105,   557,   333,    -1,    -1,
     363,    92,   503,   560,   333,    -1,   363,   116,     1,   333,
      -1,   363,   208,     1,   333,    -1,   363,   209,     1,   333,
      -1,   363,   211,     1,   333,    -1,   363,   210,     1,   333,
      -1,   363,   212,     1,   333,    -1,   363,    89,     1,   333,
      -1,   363,   213,     1,   333,    -1,   363,   214,     1,   333,
      -1,   363,   135,     1,   333,    -1,   363,   114,     1,   333,
      -1,   363,   115,     1,   333,    -1,   363,   105,     1,   333,
      -1,    -1,   363,    92,   504,     1,   333,    -1,   399,   316,
     484,    -1,    60,   316,   484,    -1,    60,   484,    -1,    -1,
      -1,     1,   506,   316,   484,   507,    -1,   508,   505,    -1,
     505,    -1,   334,   513,    -1,   334,   331,   512,   332,    -1,
     334,   513,    -1,   334,   331,   512,   332,    -1,   334,   331,
     512,   329,   512,   332,    -1,   334,   331,   512,   329,   512,
     329,   512,   332,    -1,   510,    -1,    -1,   395,    -1,   395,
     316,   395,   316,   395,    -1,     6,    -1,     8,    -1,     3,
      -1,   514,   329,   515,    -1,   515,    -1,   486,   330,   397,
      -1,   517,    -1,    -1,   338,   395,   316,   395,   339,    -1,
     517,   338,   395,   316,   395,   339,    -1,   517,    -1,    89,
      -1,   114,    -1,   115,    -1,   135,    -1,    -1,     3,    -1,
       3,   330,   397,    -1,    -1,     3,   520,   517,    -1,   519,
      -1,   521,   329,   519,    -1,   523,    -1,    -1,   523,   524,
      -1,   524,    -1,   489,    -1,    -1,   543,   516,   525,   404,
     333,    -1,   182,    -1,    -1,   125,    -1,   215,    -1,    -1,
     215,    -1,   125,    -1,    -1,   151,   527,   516,    -1,   139,
     527,   516,    -1,   141,   527,   516,    -1,   131,   527,   516,
      -1,   147,   527,   516,    -1,   142,   527,   516,    -1,   140,
     527,   516,    -1,   132,   527,   516,    -1,   152,   527,   516,
      -1,   143,   527,   516,    -1,   211,   527,   516,    -1,     4,
      -1,   527,   516,    -1,   151,    -1,   139,    -1,   141,    -1,
     131,    -1,   147,    -1,   142,    -1,   140,    -1,   132,    -1,
     152,    -1,   143,    -1,   116,    -1,   532,   329,   533,    -1,
     533,    -1,     3,   330,   397,    -1,   509,     3,   330,   397,
      -1,   535,    -1,    -1,   331,   536,   329,   537,   332,    -1,
     331,   537,   329,   536,   332,    -1,   331,   536,   329,    81,
     332,    -1,   331,   537,   329,    80,   332,    -1,   331,    81,
     329,   536,   332,    -1,   331,    80,   329,   537,   332,    -1,
     131,    -1,   129,    -1,   109,    -1,   148,    -1,   132,    -1,
     130,    -1,   110,    -1,   149,    -1,   360,     3,    -1,   360,
     331,   539,   332,    -1,   360,   331,     1,   332,    -1,   540,
      -1,   539,   103,   540,    -1,   539,   329,   540,    -1,   107,
     397,    -1,    97,   397,    -1,   397,    -1,   542,    -1,    -1,
     331,   126,   332,    -1,   331,    94,   332,    -1,   331,    91,
     332,    -1,    88,    -1,   104,    -1,    87,    -1,   545,    -1,
     517,   545,    -1,   544,   329,   545,    -1,   403,   330,   397,
      -1,    -1,    -1,   334,   331,   547,   399,   548,   332,    -1,
     334,   331,   549,   332,    -1,   334,     6,    -1,   334,     1,
      -1,    -1,   550,    -1,   549,   329,   550,    -1,   335,     3,
     331,   397,   332,    -1,   335,     3,   331,   332,    -1,   551,
     329,   552,    -1,   552,    -1,     3,   331,   589,   399,   590,
     332,    -1,     3,   517,   331,   589,   399,   590,   332,    -1,
       3,   331,   563,   332,    -1,     3,   517,   331,   563,   332,
      -1,   331,   589,   399,   590,   332,    -1,    49,    -1,    96,
      -1,   103,    -1,    99,    -1,   154,    -1,   153,    -1,    52,
      -1,    53,    -1,    54,    -1,   100,    -1,   101,    -1,   102,
      -1,    98,    -1,   119,    -1,   106,    -1,   120,    -1,    58,
      -1,   113,    -1,   136,    -1,   121,    -1,   137,    -1,   138,
      -1,   122,    -1,   123,    -1,   555,    -1,   554,   555,    -1,
      -1,    88,   527,   516,   556,   404,   333,    -1,   489,    -1,
     527,   516,   558,    -1,   559,    -1,   558,   329,   559,    -1,
       3,   330,   397,    -1,   527,   516,   561,    -1,   562,    -1,
     561,   329,   562,    -1,     3,   330,   397,    -1,   563,   329,
     564,    -1,   564,    -1,   335,     3,   331,   589,   397,   590,
     332,    -1,   335,     3,   331,     1,   332,    -1,   335,     3,
     331,   332,    -1,   335,     3,    -1,   205,    -1,   566,    -1,
     565,   566,    -1,   128,   567,   333,    -1,   569,   333,    -1,
     576,   333,    -1,    82,   331,   397,   332,   569,   333,    -1,
      82,   331,   397,   332,   576,   333,    -1,   155,   331,   573,
     329,   573,   329,   397,   574,   332,   333,    -1,   156,   331,
     573,   329,   397,   574,   332,   333,    -1,   157,   331,   573,
     329,   573,   329,   397,   574,   332,   333,    -1,   158,   331,
     573,   329,   573,   329,   397,   574,   332,   333,    -1,   160,
     331,   573,   329,   573,   329,   397,   329,   397,   574,   332,
     333,    -1,   159,   331,   573,   329,   397,   329,   397,   574,
     332,   333,    -1,   159,   331,   573,   329,   397,   332,   333,
      -1,   568,    -1,   567,   329,   568,    -1,     3,   330,   397,
      -1,     3,   330,   397,   316,   397,   316,   397,    -1,     5,
     330,   397,    -1,     5,   330,   331,   397,   329,   397,   332,
      -1,   570,   330,   331,   579,   332,    -1,   570,   330,   513,
      -1,   570,   330,   331,     1,   332,    -1,   331,   571,   572,
      13,   397,   332,    -1,   331,   571,   572,    22,   397,   332,
      -1,   331,     1,   332,    -1,     3,    -1,     3,   338,   398,
     339,    -1,   571,   329,     3,    -1,   571,   329,     3,   338,
     398,   339,    -1,   322,    -1,   323,    -1,    -1,   107,   397,
      -1,    97,   397,    -1,   107,   398,   314,   397,    -1,    97,
     398,   314,   397,    -1,   398,   314,   397,    -1,   398,    -1,
      -1,   575,    -1,   329,    -1,   329,   403,    -1,   575,   329,
      -1,   575,   329,   403,    -1,     3,    -1,   577,   330,   331,
     579,   332,    -1,   577,   330,   513,    -1,   331,   107,   571,
     572,    13,     3,   332,    -1,   331,   107,   571,   572,    13,
     331,   398,   578,   397,   332,   332,    -1,   331,   107,   571,
     572,    22,     3,   332,    -1,   331,   107,   571,   572,    22,
     331,   398,   578,   397,   332,   332,    -1,   331,    97,   571,
     572,    13,     3,   332,    -1,   331,    97,   571,   572,    13,
     331,   398,   578,   397,   332,   332,    -1,   331,    97,   571,
     572,    22,     3,   332,    -1,   331,    97,   571,   572,    22,
     331,   398,   578,   397,   332,   332,    -1,    38,    -1,    39,
      -1,   316,    -1,   512,    -1,   579,   329,   512,    -1,   217,
      -1,   218,    -1,    -1,   225,   582,   336,   584,   337,    -1,
       4,   516,    -1,   116,   516,    -1,   211,   516,    -1,   213,
      -1,    89,    -1,   212,    -1,   214,    -1,   209,    -1,   516,
      -1,     3,    -1,     3,   330,   395,    -1,   584,   329,   583,
      -1,   583,    -1,     3,    -1,   585,   329,     3,    -1,   223,
     581,     3,   333,    -1,   223,   529,     3,   333,    -1,   338,
     397,   339,    -1,   338,   397,   316,   397,   339,    -1,   338,
     397,    38,   395,   339,    -1,   338,   397,    39,   395,   339,
      -1,   588,   587,    -1,   587,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1
};

/* YYRLINE[YYN] -- source line where rule number YYN was defined.  */
static const yytype_uint16 yyrline[] =
{
       0,   368,   368,   369,   377,   376,   392,   391,   398,   402,
     413,   420,   431,   431,   431,   445,   446,   450,   451,   452,
     458,   459,   460,   462,   461,   470,   469,   477,   481,   485,
     489,   493,   497,   501,   505,   509,   511,   510,   520,   534,
     519,   554,   570,   553,   586,   590,   594,   607,   606,   617,
     618,   622,   623,   628,   627,   640,   644,   648,   649,   656,
     657,   665,   670,   674,   683,   695,   717,   740,   762,   771,
     784,   785,   789,   790,   796,   797,   801,   802,   809,   813,
     817,   821,   828,   829,   833,   839,   845,   860,   883,   902,
     906,   916,   926,   935,   944,   953,   962,   971,   980,   989,
     998,  1002,  1006,  1010,  1014,  1018,  1022,  1033,  1037,  1041,
    1045,  1049,  1053,  1057,  1061,  1065,  1069,  1073,  1077,  1081,
    1085,  1089,  1096,  1121,  1139,  1156,  1160,  1170,  1180,  1185,
    1201,  1217,  1236,  1240,  1249,  1263,  1276,  1289,  1302,  1315,
    1328,  1341,  1354,  1367,  1371,  1375,  1379,  1383,  1387,  1391,
    1395,  1399,  1403,  1407,  1422,  1437,  1452,  1467,  1482,  1497,
    1519,  1534,  1549,  1564,  1579,  1594,  1609,  1624,  1639,  1661,
    1676,  1698,  1713,  1728,  1743,  1758,  1773,  1788,  1803,  1818,
    1838,  1855,  1871,  1888,  1902,  1917,  1932,  1947,  1962,  1967,
    1980,  1993,  2006,  2019,  2032,  2050,  2068,  2086,  2104,  2119,
    2124,  2137,  2153,  2169,  2184,  2199,  2214,  2229,  2245,  2261,
    2276,  2291,  2307,  2322,  2337,  2346,  2360,  2379,  2413,  2439,
    2455,  2476,  2494,  2511,  2530,  2547,  2556,  2560,  2569,  2586,
    2593,  2593,  2605,  2612,  2628,  2641,  2645,  2649,  2656,  2657,
    2661,  2662,  2666,  2673,  2674,  2678,  2686,  2686,  2692,  2693,
    2697,  2698,  2702,  2706,  2707,  2711,  2712,  2713,  2714,  2715,
    2716,  2717,  2718,  2719,  2720,  2721,  2722,  2723,  2724,  2725,
    2726,  2727,  2728,  2729,  2730,  2731,  2732,  2736,  2737,  2738,
    2739,  2743,  2744,  2748,  2753,  2782,  2811,  2840,  2869,  2898,
    2927,  2956,  2985,  3014,  3043,  3072,  3101,  3130,  3151,  3176,
    3181,  3187,  3198,  3206,  3210,  3215,  3214,  3246,  3250,  3245,
    3315,  3338,  3364,  3411,  3425,  3439,  3453,  3460,  3471,  3479,
    3480,  3484,  3485,  3489,  3491,  3495,  3493,  3504,  3502,  3513,
    3512,  3529,  3528,  3549,  3548,  3569,  3578,  3577,  3594,  3598,
    3602,  3606,  3610,  3614,  3618,  3622,  3626,  3627,  3635,  3634,
    3644,  3676,  3676,  3675,  3677,  3692,  3690,  3732,  3730,  3772,
    3770,  3794,  3807,  3823,  3842,  3821,  3864,  3887,  3862,  3905,
    3904,  3930,  3929,  3950,  3948,  3958,  3956,  3966,  3964,  3972,
    3977,  3977,  3976,  3981,  3986,  3994,  4004,  4007,  4013,  4017,
    4020,  4022,  4028,  4035,  4043,  4044,  4045,  4048,  4051,  4062,
    4067,  4074,  4075,  4076,  4080,  4083,  4087,  4092,  4093,  4099,
    4105,  4111,  4120,  4127,  4134,  4141,  4148,  4155,  4162,  4172,
    4200,  4233,  4249,  4272,  4295,  4318,  4341,  4364,  4387,  4410,
    4435,  4460,  4485,  4510,  4535,  4557,  4582,  4582,  4582,  4586,
    4586,  4586,  4590,  4590,  4590,  4594,  4594,  4594,  4598,  4629,
    4654,  4670,  4685,  4706,  4737,  4776,  4815,  4854,  4862,  4870,
    4878,  4895,  4914,  4914,  4914,  4919,  4962,  4970,  4978,  4984,
    5004,  5009,  5031,  5049,  5067,  5101,  5105,  5123,  5142,  5162,
    5181,  5201,  5229,  5251,  5273,  5277,  5290,  5303,  5316,  5331,
    5335,  5348,  5361,  5374,  5389,  5405,  5416,  5431,  5440,  5439,
    5492,  5499,  5498,  5539,  5548,  5552,  5559,  5578,  5583,  5598,
    5605,  5609,  5618,  5632,  5645,  5665,  5679,  5692,  5709,  5710,
    5714,  5715,  5725,  5724,  5732,  5731,  5739,  5738,  5746,  5745,
    5754,  5753,  5762,  5761,  5770,  5769,  5779,  5778,  5787,  5786,
    5795,  5794,  5804,  5803,  5813,  5812,  5823,  5822,  5832,  5841,
    5843,  5842,  5855,  5859,  5863,  5867,  5871,  5875,  5879,  5883,
    5887,  5891,  5895,  5899,  5903,  5908,  5907,  5922,  5937,  5952,
    5967,  5967,  5967,  5974,  5985,  5992,  6007,  6025,  6040,  6055,
    6071,  6091,  6096,  6102,  6127,  6191,  6211,  6228,  6245,  6246,
    6250,  6278,  6280,  6288,  6294,  6303,  6309,  6316,  6323,  6330,
    6338,  6352,  6359,  6387,  6387,  6399,  6400,  6404,  6405,  6409,
    6410,  6414,  6416,  6415,  6425,  6426,  6430,  6431,  6432,  6436,
    6437,  6438,  6446,  6452,  6458,  6464,  6470,  6476,  6482,  6488,
    6494,  6500,  6506,  6512,  6521,  6530,  6538,  6546,  6554,  6562,
    6570,  6578,  6586,  6594,  6602,  6613,  6617,  6618,  6622,  6653,
    6688,  6689,  6693,  6694,  6695,  6696,  6697,  6698,  6702,  6703,
    6704,  6705,  6709,  6710,  6711,  6712,  6716,  6730,  6734,  6742,
    6746,  6761,  6786,  6800,  6814,  6831,  6832,  6836,  6837,  6838,
    6842,  6843,  6844,  6848,  6849,  6850,  6854,  6863,  6863,  6863,
    6869,  6870,  6874,  6878,  6882,  6883,  6887,  6911,  6923,  6932,
    6945,  6960,  6983,  6998,  7021,  7028,  7029,  7030,  7031,  7032,
    7033,  7034,  7035,  7036,  7037,  7038,  7039,  7040,  7041,  7042,
    7043,  7044,  7045,  7046,  7047,  7048,  7049,  7050,  7051,  7059,
    7060,  7065,  7064,  7071,  7075,  7079,  7080,  7084,  7101,  7105,
    7106,  7110,  7127,  7128,  7132,  7136,  7140,  7144,  7151,  7160,
    7161,  7165,  7166,  7167,  7168,  7169,  7170,  7171,  7172,  7173,
    7174,  7175,  7176,  7180,  7181,  7185,  7189,  7193,  7197,  7204,
    7205,  7206,  7210,  7211,  7212,  7216,  7220,  7224,  7228,  7235,
    7236,  7237,  7241,  7242,  7243,  7244,  7245,  7250,  7256,  7258,
    7262,  7263,  7267,  7268,  7272,  7279,  7280,  7284,  7288,  7289,
    7293,  7294,  7298,  7299,  7303,  7307,  7308,  7309,  7313,  7317,
    7325,  7326,  7327,  7332,  7340,  7353,  7354,  7355,  7359,  7363,
    7367,  7371,  7375,  7386,  7398,  7413,  7414,  7418,  7433,  7456,
    7464,  7475,  7488,  7502,  7538,  7581,  7595,  7603,  7610,  7617,
    7624,  7631,  7640,  7648,  7655,  7662,  7683,  7691,  7698
};
#endif

#if YYDEBUG || YYERROR_VERBOSE || YYTOKEN_TABLE
/* YYTNAME[SYMBOL-NUM] -- String name of the symbol SYMBOL-NUM.
   First, the terminals, then, starting at YYNTOKENS, nonterminals.  */
static const char *const yytname[] =
{
  "$end", "error", "$undefined", "IDENTIFIER", "TYPEDEF_IDENTIFIER",
  "PATHPULSE_IDENTIFIER", "DEC_NUMBER", "BASE_NUMBER", "REALTIME",
  "STRING", "IGNORE", "K_LE", "K_GE", "K_EG", "K_EQ", "K_NE", "K_CEQ",
  "K_CNE", "K_LS", "K_LSS", "K_RS", "K_RSS", "K_SG", "K_ADD_A", "K_SUB_A",
  "K_MLT_A", "K_DIV_A", "K_MOD_A", "K_AND_A", "K_OR_A", "K_XOR_A",
  "K_LS_A", "K_RS_A", "K_ALS_A", "K_ARS_A", "K_INC", "K_DEC", "K_POW",
  "K_PO_POS", "K_PO_NEG", "K_STARP", "K_PSTAR", "K_LOR", "K_LAND",
  "K_NAND", "K_NOR", "K_NXOR", "K_TRIGGER", "K_always", "K_and",
  "K_assign", "K_begin", "K_buf", "K_bufif0", "K_bufif1", "K_case",
  "K_casex", "K_casez", "K_cmos", "K_deassign", "K_default", "K_defparam",
  "K_disable", "K_edge", "K_else", "K_end", "K_endcase", "K_endfunction",
  "K_endmodule", "I_endmodule", "K_endprimitive", "K_endspecify",
  "K_endtable", "K_endtask", "K_event", "K_for", "K_force", "K_forever",
  "K_fork", "K_function", "K_highz0", "K_highz1", "K_if", "K_generate",
  "K_endgenerate", "K_genvar", "K_initial", "K_inout", "K_input",
  "K_integer", "K_join", "K_large", "K_localparam", "K_macromodule",
  "K_medium", "K_module", "K_nand", "K_negedge", "K_nmos", "K_nor",
  "K_not", "K_notif0", "K_notif1", "K_or", "K_output", "K_parameter",
  "K_pmos", "K_posedge", "K_primitive", "K_pull0", "K_pull1", "K_pulldown",
  "K_pullup", "K_rcmos", "K_real", "K_realtime", "K_reg", "K_release",
  "K_repeat", "K_rnmos", "K_rpmos", "K_rtran", "K_rtranif0", "K_rtranif1",
  "K_scalered", "K_signed", "K_small", "K_specify", "K_specparam",
  "K_strong0", "K_strong1", "K_supply0", "K_supply1", "K_table", "K_task",
  "K_time", "K_tran", "K_tranif0", "K_tranif1", "K_tri", "K_tri0",
  "K_tri1", "K_triand", "K_trior", "K_trireg", "K_vectored", "K_wait",
  "K_wand", "K_weak0", "K_weak1", "K_while", "K_wire", "K_wor", "K_xnor",
  "K_xor", "K_Shold", "K_Speriod", "K_Srecovery", "K_Ssetup", "K_Swidth",
  "K_Ssetuphold", "S_user", "S_ignore", "S_allow", "S_finish", "S_stop",
  "S_time", "S_random", "S_srandom", "S_dumpfile", "S_urandom",
  "S_urandom_range", "S_realtobits", "S_bitstoreal", "S_rtoi", "S_itor",
  "S_shortrealtobits", "S_bitstoshortreal", "S_testargs", "S_valargs",
  "S_signed", "S_unsigned", "K_automatic", "K_cell", "K_use", "K_library",
  "K_config", "K_endconfig", "K_design", "K_liblist", "K_instance",
  "K_showcancelled", "K_noshowcancelled", "K_pulsestyle_onevent",
  "K_pulsestyle_ondetect", "K_TU_S", "K_TU_MS", "K_TU_US", "K_TU_NS",
  "K_TU_PS", "K_TU_FS", "K_TU_STEP", "K_INCDIR", "K_DPI", "K_PP", "K_PS",
  "K_PEQ", "K_PNE", "K_bit", "K_byte", "K_char", "K_logic", "K_shortint",
  "K_int", "K_longint", "K_unsigned", "K_shortreal", "K_unique",
  "K_priority", "K_do", "K_always_comb", "K_always_latch", "K_always_ff",
  "K_typedef", "K_type", "K_enum", "K_union", "K_struct", "K_packed",
  "K_assert", "K_assume", "K_property", "K_endproperty", "K_cover",
  "K_sequence", "K_endsequence", "K_expect", "K_program", "K_endprogram",
  "K_final", "K_void", "K_return", "K_continue", "K_break", "K_extern",
  "K_interface", "K_endinterface", "K_class", "K_endclass", "K_extends",
  "K_package", "K_endpackage", "K_timeunit", "K_timeprecision", "K_ref",
  "K_bind", "K_const", "K_new", "K_static", "K_protected", "K_local",
  "K_rand", "K_randc", "K_randcase", "K_constraint", "K_import",
  "K_export", "K_scalared", "K_chandle", "K_context", "K_pure",
  "K_modport", "K_clocking", "K_iff", "K_intersect", "K_first_match",
  "K_throughout", "K_with", "K_within", "K_dist", "K_covergroup",
  "K_endgroup", "K_coverpoint", "K_optionDOT", "K_type_optionDOT",
  "K_wildcard", "K_bins", "K_illegal_bins", "K_ignore_bins", "K_cross",
  "K_binsof", "K_alias", "K_join_any", "K_join_none", "K_matches",
  "K_tagged", "K_foreach", "K_randsequence", "K_ifnone", "K_randomize",
  "K_null", "K_inside", "K_super", "K_this", "K_wait_order", "K_include",
  "K_Sroot", "K_Sunit", "K_endclocking", "K_virtual", "K_before",
  "K_forkjoin", "K_solve", "KK_attribute", "K_TAND", "'?'", "':'", "'|'",
  "'^'", "'&'", "'<'", "'>'", "'+'", "'-'", "'*'", "'/'", "'%'",
  "UNARY_PREC", "less_than_K_else", "','", "'='", "'('", "')'", "';'",
  "'#'", "'.'", "'{'", "'}'", "'['", "']'", "'~'", "'!'", "'0'", "'1'",
  "'x'", "'b'", "'f'", "'F'", "'l'", "'h'", "'B'", "'r'", "'R'", "'M'",
  "'n'", "'N'", "'p'", "'P'", "'Q'", "'_'", "'@'", "$accept", "main",
  "attribute_list_opt", "$@1", "$@2", "attribute_list", "attribute", "$@3",
  "$@4", "source_file", "description", "$@5", "$@6", "$@7", "$@8", "$@9",
  "$@10", "$@11", "module", "$@12", "module_start",
  "module_parameter_port_list_opt", "$@13", "module_parameter_port_list",
  "module_port_list_opt", "list_of_port_declarations", "port_declaration",
  "list_of_ports", "port_opt", "port", "port_reference",
  "port_reference_list", "number", "static_expr_port_list", "static_expr",
  "static_expr_primary", "expression", "expr_primary", "expression_list",
  "expression_port_list", "expression_systask_list", "begin_end_id",
  "identifier", "list_of_variables", "$@14", "udp_primitive",
  "udp_port_list", "udp_port_decls", "udp_port_decl", "udp_init_opt",
  "udp_initial", "udp_body", "$@15", "udp_entry_list",
  "udp_comb_entry_list", "udp_comb_entry", "udp_input_list",
  "udp_input_sym", "udp_output_sym", "udp_sequ_entry_list",
  "udp_sequ_entry", "generate_passign", "generate_item_list_opt",
  "generate_item_list", "generate_item", "$@16", "$@17", "$@18",
  "generate_case_item", "generate_case_items", "module_item_list_opt",
  "module_item_list", "module_item", "$@19", "$@20", "$@21", "$@22",
  "$@23", "$@24", "$@25", "$@26", "$@27", "$@28", "$@29", "$@30", "$@31",
  "$@32", "$@33", "$@34", "$@35", "$@36", "$@37", "$@38", "$@39", "$@40",
  "$@41", "for_initialization", "data_type", "data_type_opt",
  "struct_union", "struct_union_member_list", "data_type_or_void",
  "integer_vector_type", "integer_atom_type", "expression_assignment_list",
  "passign", "statement", "$@42", "$@43", "$@44", "$@45", "$@46", "$@47",
  "$@48", "$@49", "$@50", "$@51", "fork_statement", "$@52",
  "begin_end_block", "$@53", "if_statement_error", "statement_list",
  "statement_or_null", "lpvalue", "lavalue", "block_item_decls_opt",
  "block_item_decls", "block_item_decl", "$@54", "$@55", "$@56", "$@57",
  "$@58", "$@59", "$@60", "$@61", "$@62", "$@63", "$@64", "$@65", "$@66",
  "$@67", "$@68", "case_item", "$@69", "$@70", "case_items", "delay1",
  "delay3", "delay3_opt", "delay_value", "delay_value_simple",
  "assign_list", "assign", "range_opt", "range", "range_or_type_opt",
  "register_variable", "$@71", "register_variable_list",
  "task_item_list_opt", "task_item_list", "task_item", "$@72",
  "automatic_opt", "signed_opt", "unsigned_opt", "net_type_sign_range_opt",
  "net_type", "var_type", "net_decl_assigns", "net_decl_assign",
  "drive_strength_opt", "drive_strength", "dr_strength0", "dr_strength1",
  "event_control", "event_expression_list", "event_expression",
  "charge_strength_opt", "charge_strength", "port_type",
  "defparam_assign_list", "defparam_assign", "parameter_value_opt", "$@73",
  "$@74", "parameter_value_byname_list", "parameter_value_byname",
  "gate_instance_list", "gate_instance", "gatetype", "function_item_list",
  "function_item", "$@75", "parameter_assign_decl",
  "parameter_assign_list", "parameter_assign", "localparam_assign_decl",
  "localparam_assign_list", "localparam_assign", "port_name_list",
  "port_name", "specify_item_list", "specify_item", "specparam_list",
  "specparam", "specify_simple_path_decl", "specify_simple_path",
  "specify_path_identifiers", "spec_polarity", "spec_reference_event",
  "spec_notifier_opt", "spec_notifier", "specify_edge_path_decl",
  "specify_edge_path", "polarity_operator", "specify_delay_value_list",
  "cond_specifier_opt", "enumeration", "enum_var_type_range_opt",
  "enum_variable", "enum_variable_list", "list_of_names", "typedef_decl",
  "single_index_expr", "index_expr", "ignore_more", "ignore_less",
  "start_lhs", "end_lhs", "inc_fork_depth", "dec_fork_depth",
  "inc_block_depth", "dec_block_depth", "inc_for_depth", "dec_for_depth",
  "inc_gen_expr_mode", "dec_gen_expr_mode", 0
};
#endif

# ifdef YYPRINT
/* YYTOKNUM[YYLEX-NUM] -- Internal token number corresponding to
   token YYLEX-NUM.  */
static const yytype_uint16 yytoknum[] =
{
       0,   256,   257,   258,   259,   260,   261,   262,   263,   264,
     265,   266,   267,   268,   269,   270,   271,   272,   273,   274,
     275,   276,   277,   278,   279,   280,   281,   282,   283,   284,
     285,   286,   287,   288,   289,   290,   291,   292,   293,   294,
     295,   296,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   309,   310,   311,   312,   313,   314,
     315,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,   327,   328,   329,   330,   331,   332,   333,   334,
     335,   336,   337,   338,   339,   340,   341,   342,   343,   344,
     345,   346,   347,   348,   349,   350,   351,   352,   353,   354,
     355,   356,   357,   358,   359,   360,   361,   362,   363,   364,
     365,   366,   367,   368,   369,   370,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,   381,   382,   383,   384,
     385,   386,   387,   388,   389,   390,   391,   392,   393,   394,
     395,   396,   397,   398,   399,   400,   401,   402,   403,   404,
     405,   406,   407,   408,   409,   410,   411,   412,   413,   414,
     415,   416,   417,   418,   419,   420,   421,   422,   423,   424,
     425,   426,   427,   428,   429,   430,   431,   432,   433,   434,
     435,   436,   437,   438,   439,   440,   441,   442,   443,   444,
     445,   446,   447,   448,   449,   450,   451,   452,   453,   454,
     455,   456,   457,   458,   459,   460,   461,   462,   463,   464,
     465,   466,   467,   468,   469,   470,   471,   472,   473,   474,
     475,   476,   477,   478,   479,   480,   481,   482,   483,   484,
     485,   486,   487,   488,   489,   490,   491,   492,   493,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   522,   523,   524,
     525,   526,   527,   528,   529,   530,   531,   532,   533,   534,
     535,   536,   537,   538,   539,   540,   541,   542,   543,   544,
     545,   546,   547,   548,   549,   550,   551,   552,   553,   554,
     555,   556,   557,   558,   559,   560,   561,   562,   563,   564,
     565,   566,   567,   568,   569,    63,    58,   124,    94,    38,
      60,    62,    43,    45,    42,    47,    37,   570,   571,    44,
      61,    40,    41,    59,    35,    46,   123,   125,    91,    93,
     126,    33,    48,    49,   120,    98,   102,    70,   108,   104,
      66,   114,    82,    77,   110,    78,   112,    80,    81,    95,
      64
};
# endif

/* YYR1[YYN] -- Symbol number of symbol that rule YYN derives.  */
static const yytype_uint16 yyr1[] =
{
       0,   361,   362,   362,   364,   363,   365,   363,   363,   366,
     366,   367,   368,   369,   367,   370,   370,   371,   371,   371,
     371,   371,   371,   372,   371,   373,   371,   371,   371,   371,
     371,   371,   371,   371,   371,   371,   374,   371,   375,   376,
     371,   377,   378,   371,   371,   371,   371,   380,   379,   379,
     379,   381,   381,   383,   382,   382,   384,   384,   384,   385,
     385,   385,   386,   386,   386,   387,   387,   387,   387,   387,
     388,   388,   389,   389,   390,   390,   390,   390,   391,   391,
     391,   391,   392,   392,   393,   393,   393,   394,   394,   395,
     395,   395,   395,   395,   395,   395,   395,   395,   395,   395,
     395,   395,   395,   395,   395,   395,   395,   395,   395,   395,
     395,   395,   395,   395,   395,   395,   395,   395,   395,   395,
     395,   395,   396,   396,   396,   396,   396,   396,   396,   396,
     396,   396,   397,   397,   397,   397,   397,   397,   397,   397,
     397,   397,   397,   397,   397,   397,   397,   397,   397,   397,
     397,   397,   397,   397,   397,   397,   397,   397,   397,   397,
     397,   397,   397,   397,   397,   397,   397,   397,   397,   397,
     397,   397,   397,   397,   397,   397,   397,   397,   397,   397,
     398,   398,   398,   398,   398,   398,   398,   398,   398,   398,
     398,   398,   398,   398,   398,   398,   398,   398,   398,   398,
     398,   398,   398,   398,   398,   398,   398,   398,   398,   398,
     398,   398,   398,   398,   398,   398,   398,   399,   399,   399,
     399,   400,   400,   401,   401,   402,   402,   403,   403,   404,
     405,   404,   404,   404,   406,   406,   407,   407,   408,   408,
     409,   409,   409,   410,   410,   411,   413,   412,   414,   414,
     415,   415,   416,   417,   417,   418,   418,   418,   418,   418,
     418,   418,   418,   418,   418,   418,   418,   418,   418,   418,
     418,   418,   418,   418,   418,   418,   418,   419,   419,   419,
     419,   420,   420,   421,   422,   422,   422,   422,   422,   422,
     422,   422,   422,   422,   422,   422,   422,   422,   422,   423,
     423,   424,   424,   425,   425,   426,   425,   427,   428,   425,
     425,   425,   425,   429,   429,   429,   429,   430,   430,   431,
     431,   432,   432,   433,   433,   434,   433,   435,   433,   436,
     433,   437,   433,   438,   433,   433,   439,   433,   433,   433,
     433,   433,   433,   433,   433,   433,   433,   433,   440,   433,
     433,   441,   442,   433,   433,   443,   433,   444,   433,   445,
     433,   433,   433,   446,   447,   433,   448,   449,   433,   450,
     433,   451,   433,   452,   433,   453,   433,   454,   433,   433,
     455,   456,   433,   433,   433,   433,   433,   433,   433,   433,
     433,   433,   433,   457,   458,   458,   458,   458,   458,   459,
     459,   460,   460,   460,   461,   461,   461,   462,   462,   463,
     463,   463,   464,   464,   464,   464,   464,   464,   464,   465,
     465,   466,   466,   466,   466,   466,   466,   466,   466,   466,
     466,   466,   466,   466,   466,   466,   468,   469,   467,   470,
     471,   467,   472,   473,   467,   474,   475,   467,   467,   467,
     467,   467,   467,   467,   467,   467,   467,   467,   467,   467,
     467,   467,   476,   477,   467,   467,   467,   467,   467,   467,
     467,   467,   467,   467,   467,   467,   467,   467,   467,   467,
     467,   467,   467,   467,   467,   467,   467,   467,   467,   467,
     467,   467,   467,   467,   467,   467,   467,   467,   479,   478,
     478,   481,   480,   480,   482,   482,   483,   483,   483,   483,
     484,   484,   485,   485,   485,   486,   486,   486,   487,   487,
     488,   488,   490,   489,   491,   489,   492,   489,   493,   489,
     494,   489,   495,   489,   496,   489,   497,   489,   498,   489,
     499,   489,   500,   489,   501,   489,   502,   489,   489,   489,
     503,   489,   489,   489,   489,   489,   489,   489,   489,   489,
     489,   489,   489,   489,   489,   504,   489,   505,   505,   505,
     506,   507,   505,   508,   508,   509,   509,   510,   510,   510,
     510,   511,   511,   512,   512,   513,   513,   513,   514,   514,
     515,   516,   516,   517,   517,   518,   518,   518,   518,   518,
     518,   519,   519,   520,   519,   521,   521,   522,   522,   523,
     523,   524,   525,   524,   526,   526,   527,   527,   527,   528,
     528,   528,   529,   529,   529,   529,   529,   529,   529,   529,
     529,   529,   529,   529,   529,   530,   530,   530,   530,   530,
     530,   530,   530,   530,   530,   531,   532,   532,   533,   533,
     534,   534,   535,   535,   535,   535,   535,   535,   536,   536,
     536,   536,   537,   537,   537,   537,   538,   538,   538,   539,
     539,   539,   540,   540,   540,   541,   541,   542,   542,   542,
     543,   543,   543,   544,   544,   544,   545,   547,   548,   546,
     546,   546,   546,   546,   549,   549,   550,   550,   551,   551,
     552,   552,   552,   552,   552,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   553,
     553,   553,   553,   553,   553,   553,   553,   553,   553,   554,
     554,   556,   555,   555,   557,   558,   558,   559,   560,   561,
     561,   562,   563,   563,   564,   564,   564,   564,   564,   565,
     565,   566,   566,   566,   566,   566,   566,   566,   566,   566,
     566,   566,   566,   567,   567,   568,   568,   568,   568,   569,
     569,   569,   570,   570,   570,   571,   571,   571,   571,   572,
     572,   572,   573,   573,   573,   573,   573,   573,   574,   574,
     575,   575,   575,   575,   575,   576,   576,   577,   577,   577,
     577,   577,   577,   577,   577,   578,   578,   578,   579,   579,
     580,   580,   580,   581,   582,   582,   582,   582,   582,   582,
     582,   582,   582,   583,   583,   584,   584,   585,   585,   586,
     586,   587,   587,   587,   587,   588,   588,   589,   590,   591,
     592,   593,   594,   595,   596,   597,   598,   599,   600
};

/* YYR2[YYN] -- Number of symbols composing right hand side of rule YYN.  */
static const yytype_uint8 yyr2[] =
{
       0,     2,     1,     0,     0,     4,     0,     3,     0,     3,
       1,     1,     0,     0,     5,     1,     2,     1,     1,     8,
       1,     5,     5,     0,     5,     0,     7,     3,     4,     4,
       5,     3,     3,     6,     6,     1,     0,     4,     0,     0,
       9,     0,     0,    11,     2,     3,     3,     0,     9,     4,
       4,     1,     1,     0,     5,     0,     4,     3,     6,     3,
       3,     0,     1,     3,     3,     4,     6,    10,     4,     6,
       3,     1,     1,     0,     1,     5,     3,     7,     1,     8,
       6,     4,     1,     3,     1,     1,     2,     3,     1,     1,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     1,     1,     1,     3,     4,     4,     1,     1,
       1,     1,     1,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
       2,     2,     2,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     3,     3,     5,
       1,     1,     1,     1,     2,     2,     2,     2,     1,     1,
       1,     1,     1,     2,     3,     3,     3,     3,     4,     6,
       6,     4,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     3,     3,     6,     3,     1,     0,
       2,     3,     1,     3,     1,     2,     0,     1,     3,     1,
       0,     3,     3,     4,    10,     3,     1,     3,     1,     2,
       5,     3,     3,     1,     0,     5,     0,     4,     1,     1,
       1,     2,     4,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     2,     6,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     3,     3,     3,     2,     2,     1,
       0,     2,     1,     1,     3,     0,     6,     0,     0,    15,
       9,    11,    10,     5,     5,     4,     7,     2,     1,     1,
       0,     2,     1,     6,     6,     0,     6,     0,     5,     0,
       7,     0,     8,     0,     8,     6,     0,     8,     4,     5,
       5,     6,     4,     4,     7,     7,     1,     4,     0,     5,
       5,     0,     0,     8,     3,     0,     4,     0,     4,     0,
       4,     3,     3,     0,     0,    10,     0,     0,    12,     0,
       4,     0,     4,     0,     7,     0,     4,     0,     5,     2,
       0,     0,     8,     4,     4,     4,     2,     5,     3,     3,
       3,     9,     5,     1,     3,     2,     5,     7,     1,     1,
       0,     1,     1,     2,     4,     6,     0,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     4,
       6,     3,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     3,     2,     2,     0,     0,     7,     0,
       0,     5,     0,     0,     7,     0,     0,     5,     5,     4,
       3,     3,     4,     7,     9,     9,     9,     9,     9,     9,
       8,    10,     0,     0,     8,    11,    11,    11,     7,     7,
       7,     9,     4,     4,     5,     2,     4,     5,     5,     5,
       5,     9,     9,     7,     7,     7,     7,     7,     5,     2,
       2,     2,     2,     5,     2,     2,     4,     2,     0,     5,
       0,     0,     4,     1,     1,     3,     2,     1,     2,     1,
       1,     1,     1,     4,     5,     1,     4,     5,     1,     0,
       1,     2,     0,     7,     0,     7,     0,     7,     0,     6,
       0,     6,     0,     6,     0,     6,     0,     6,     0,     6,
       0,     5,     0,     6,     0,     5,     0,     5,     2,     4,
       0,     5,     4,     4,     4,     4,     4,     4,     4,     4,
       4,     4,     4,     4,     4,     0,     5,     3,     3,     2,
       0,     0,     5,     2,     1,     2,     4,     2,     4,     6,
       8,     1,     0,     1,     5,     1,     1,     1,     3,     1,
       3,     1,     0,     5,     6,     1,     1,     1,     1,     1,
       0,     1,     3,     0,     3,     1,     3,     1,     0,     2,
       1,     1,     0,     5,     1,     0,     1,     1,     0,     1,
       1,     0,     3,     3,     3,     3,     3,     3,     3,     3,
       3,     3,     3,     1,     2,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     3,     1,     3,     4,
       1,     0,     5,     5,     5,     5,     5,     5,     1,     1,
       1,     1,     1,     1,     1,     1,     2,     4,     4,     1,
       3,     3,     2,     2,     1,     1,     0,     3,     3,     3,
       1,     1,     1,     1,     2,     3,     3,     0,     0,     6,
       4,     2,     2,     0,     1,     3,     5,     4,     3,     1,
       6,     7,     4,     5,     5,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       1,     1,     1,     1,     1,     1,     1,     1,     1,     1,
       2,     0,     6,     1,     3,     1,     3,     3,     3,     1,
       3,     3,     3,     1,     7,     5,     4,     2,     1,     1,
       2,     3,     2,     2,     6,     6,    10,     8,    10,    10,
      12,    10,     7,     1,     3,     3,     7,     3,     7,     5,
       3,     5,     6,     6,     3,     1,     4,     3,     6,     1,
       1,     0,     2,     2,     4,     4,     3,     1,     0,     1,
       1,     2,     2,     3,     1,     5,     3,     7,    11,     7,
      11,     7,    11,     7,    11,     1,     1,     1,     1,     3,
       1,     1,     0,     5,     2,     2,     2,     1,     1,     1,
       1,     1,     1,     1,     3,     3,     1,     1,     3,     4,
       4,     3,     5,     5,     5,     2,     1,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0
};

/* YYDEFACT[STATE-NAME] -- Default rule to reduce with in state
   STATE-NUM when YYTABLE doesn't specify something else to do.  Zero
   means the default is an error.  */
static const yytype_uint16 yydefact[] =
{
       0,     0,     4,   705,   711,   712,   713,   721,    36,     0,
     706,   717,   708,   714,   715,   716,   707,   719,     0,     0,
       0,   722,   718,   720,   724,   727,   728,   638,   642,   615,
     723,   725,   726,   636,   641,   637,   640,   644,   676,   639,
     635,   643,   710,   709,   618,   592,     0,     0,     0,     0,
      15,    17,    18,    35,   618,     0,     0,    20,    44,     0,
       0,     0,     0,   614,   618,     0,     0,     0,   837,     0,
     699,   837,     0,     0,     0,   592,   675,   633,   616,   618,
     618,   618,   618,   618,   618,   618,   618,   618,   618,   618,
     617,   592,     0,     0,   592,   818,   592,   821,   592,   819,
     817,   820,     0,   822,   591,     0,     0,     1,     0,     0,
     550,    52,    51,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   548,     0,    16,     0,   592,
      23,   837,     0,     0,     0,     0,   827,     0,    11,     0,
      10,     7,   229,     0,    45,   600,     0,   235,   837,     0,
     660,   659,   658,   661,     0,   219,     0,    32,   664,   663,
     662,   665,     0,    31,     0,     0,     0,     0,   582,   592,
     592,   592,   592,   592,   592,   592,   592,   592,   592,   592,
     634,     0,     0,   814,   815,   816,   124,    84,    85,   123,
       0,     0,     0,   128,   129,   130,   131,     0,     0,     0,
       0,     0,     0,     0,     0,   122,     0,    89,     0,     0,
       0,   542,     0,   620,   619,   534,   618,     0,     0,     0,
       0,   592,     0,     0,     0,     0,     0,     0,   592,     0,
       0,     0,   592,     0,   530,     0,   528,     0,   592,     0,
     532,     0,   536,     0,   538,    47,     0,     0,     0,     0,
       0,     0,   587,   585,   586,     0,   577,   837,     0,     0,
       0,    27,     0,    46,    12,     5,     0,     0,     0,    37,
     596,   597,   598,   599,   595,     0,   236,     0,   748,     0,
       0,   743,   219,   837,     0,   227,   181,   182,     0,     0,
       0,     0,     0,   188,   189,   192,   190,   191,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   219,     0,     0,   180,   218,
     132,   838,   183,   698,     0,    38,   679,   678,   677,   581,
      25,   625,   629,   623,   628,   624,   627,   631,   626,   622,
     630,   632,   830,   829,     0,     0,    86,    97,    98,    99,
      95,    96,    93,    90,    91,     0,    92,    94,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   823,   826,     0,     0,     0,   558,     0,   592,
       0,     0,    50,    49,   564,     0,   549,   562,     0,   563,
       0,   552,   522,   561,   601,   605,     0,   553,   524,   554,
       0,   556,     0,   555,   526,   557,     0,   559,     0,   560,
       0,    55,     0,     0,     0,     0,   229,     0,     0,     0,
       0,   647,     0,     0,   583,     0,    28,     0,    29,   828,
       0,     9,   231,   232,     0,     0,     0,   747,     0,   702,
     838,     0,   219,     0,   186,   187,   150,   140,   151,   141,
     152,   142,   837,   837,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   148,   138,   149,
     139,   146,   136,   143,   133,   144,   134,     0,   218,     0,
     145,   135,   147,   137,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   220,     0,   184,   185,     0,     0,     0,   836,   193,
       0,   608,     0,     0,    88,     0,   125,   115,   114,   116,
     117,   112,   113,   106,   121,   120,   110,   109,   111,     0,
     108,   100,   107,   119,   118,   104,   105,   101,   102,   103,
       0,     0,     0,   813,     0,     0,     0,     0,   551,   566,
       0,   734,   735,   545,   547,     0,     0,     0,     0,   541,
       0,     0,     0,     0,     0,     0,     0,    53,    61,     0,
       0,     0,     0,     0,     0,     0,     0,   575,    21,     0,
       0,    22,    24,     0,     0,   578,    30,    13,   233,    41,
     237,     0,     0,   742,     0,   703,   838,    34,   196,   197,
       0,     0,   224,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   214,   219,   215,   173,
     174,   171,   175,   172,   176,   167,   168,   169,   170,   159,
     177,   178,   162,   163,   164,     0,   161,   153,   160,   165,
     166,   157,   158,   154,   155,   156,   217,   704,   222,     0,
     228,     0,   194,   195,   835,    33,   682,   680,   681,     0,
     611,     0,   607,   610,   592,     0,     0,   126,   127,   593,
       0,   824,   825,     0,   543,   535,     0,   738,   739,     0,
       0,     0,   602,   604,   606,     0,   531,   529,     0,   533,
     537,   539,     0,     8,     0,   657,   656,   654,   652,   655,
     653,   648,     0,     0,   646,     0,     0,    14,     8,   837,
       0,     0,   244,   238,     0,   746,     0,   700,     0,   838,
     838,     0,   203,   204,   205,   206,   207,   209,   208,   210,
     211,   212,   213,   201,   202,     0,     0,     0,   198,     0,
       0,     0,   831,     0,   227,     0,   436,   843,   439,     0,
     845,   442,   843,   841,   445,     0,     0,     0,     0,     0,
       0,     0,     0,   810,   811,   843,     0,   511,   839,     0,
     512,     0,   510,    39,     0,   843,   843,     0,   609,   612,
      26,    87,   594,     0,     0,     0,   737,   736,   523,   525,
     527,     0,    78,     0,     0,     0,     0,    62,     0,    71,
      72,    74,     0,   576,   649,     0,     0,   579,   618,   733,
       0,   729,     0,     0,     0,     0,   239,     0,   243,   745,
     838,   701,     0,     0,   223,     0,   179,   221,     0,     0,
       0,   497,     0,     0,     0,   226,     0,     0,     0,     0,
       0,   226,     0,     0,     0,     0,   837,   489,   837,   490,
     837,   491,   837,   492,     0,     0,   495,   219,   666,   843,
       0,     0,   494,     0,   475,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   434,
     435,     0,     0,     0,     0,     0,     0,     0,     0,    19,
     741,   740,   618,     0,     0,     0,    82,     0,   681,   618,
       8,    60,    73,    59,     0,   369,   371,     0,     0,     0,
       0,   322,   346,   584,     0,   592,    42,   730,   838,   241,
     242,     0,   246,     0,     0,   199,   200,   216,   833,   834,
     832,     0,   451,   839,   515,     0,     0,   501,   844,     0,
     450,     0,     0,   844,   498,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   844,   840,     0,     0,
       0,     0,   674,     0,   669,     0,   840,    40,     0,     0,
       0,     0,     0,   422,   423,   424,   425,   426,   427,   428,
     429,   430,   431,   432,   433,     0,   421,     0,     0,   844,
     844,     0,     0,     0,     0,     0,   592,     0,    54,     0,
       0,     0,     0,    76,   645,   618,     0,    64,    63,    70,
     379,     0,     0,     0,   693,   327,     0,     0,     0,   348,
       0,     0,   681,     0,     0,   373,   615,   676,   355,   357,
     359,     0,     0,     0,     0,   618,   618,     0,     0,   386,
      48,   321,   580,   731,     0,     0,     0,     0,   234,   744,
     496,   219,     0,     0,   225,   519,     0,   440,     0,   398,
     416,   411,   418,   409,   412,   413,   410,   414,   415,   417,
     402,   401,     0,   399,     0,     0,   618,   618,   393,     0,
     452,   519,   449,   446,   843,   843,   843,   843,   838,   838,
     838,   838,     0,     0,     0,   844,   668,   673,   672,     0,
       0,   667,     0,   513,     0,   476,     0,     0,     0,     0,
       0,   472,   473,     0,     0,     0,     0,     0,   613,     0,
     618,    57,    81,   838,     0,     0,    83,   592,    68,    65,
       0,   847,   307,   847,     0,     0,   302,   303,     0,     0,
       0,     0,     0,     0,     0,   354,     0,   351,   650,     0,
       0,     0,   683,     0,     0,   618,   361,   618,   837,     0,
     837,     0,   837,     0,     0,     0,   592,     0,     0,     0,
     388,   389,   390,   362,   592,   325,   592,   618,     0,     0,
       0,     0,     0,    43,   240,     0,   258,   276,   260,   261,
     255,   256,   257,   259,   262,   263,   264,   265,   266,   267,
     268,   269,   270,   271,   272,   273,   274,   275,     0,   248,
     250,     0,   253,   249,   281,   840,   840,     0,     0,   518,
     520,   448,   441,     0,   403,     0,     0,   618,     8,   592,
     395,   400,     0,     0,   447,     0,     0,     0,     0,     0,
       0,     0,     0,   488,     0,   514,   474,   670,   671,   493,
       0,   478,   480,     0,   477,   479,   843,   843,   843,   462,
     843,    56,   592,     0,     0,     0,    75,     0,     0,     0,
       0,     0,     0,   370,   301,   372,     0,     0,     0,   692,
     691,   687,     0,     0,   380,   383,   582,     0,   684,     0,
     347,     0,   384,   600,   592,     0,   343,     0,   342,     0,
     376,     0,     0,   582,   356,   358,   360,     0,     0,     0,
     592,     0,     0,     0,   338,   385,     0,   245,   247,   251,
       0,     0,   254,     0,   282,     0,   516,   437,   509,   507,
       0,   521,   846,     0,     0,     0,     0,     0,     0,   394,
       0,   443,     0,   844,   844,   844,   844,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     838,    80,     0,    69,    66,   305,   304,     0,     0,     0,
     392,     0,   387,     0,   219,     0,   694,   350,   328,     0,
     352,   686,   685,   349,     0,   333,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   838,   749,     0,
       0,     0,     0,   378,   363,   336,     0,     0,     0,     0,
       0,   331,   339,     0,   340,   732,     0,   280,   255,   256,
     257,     0,     0,     0,   517,   438,   508,   506,   468,     0,
       0,   419,     8,   408,   407,     0,     8,   592,     0,   444,
     499,   453,   483,   470,   469,   484,   485,   486,   487,     0,
       0,     0,   570,     0,     0,   574,     0,   570,     0,   570,
       0,   463,   504,   844,    58,     0,    77,   837,     0,     0,
       0,     0,     0,     0,     0,   688,     0,   690,   381,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   763,     0,
       0,     0,     0,     0,     0,     0,   775,     0,     0,   781,
     750,     0,   752,     0,   753,     0,   608,     0,   323,   324,
     326,   335,     0,     0,   341,   277,   278,   279,     0,   252,
     512,     0,     0,     0,     0,     0,     0,     0,   396,     0,
       0,     0,     0,     0,     0,     0,   569,     0,   570,   573,
       0,     0,     0,     0,     0,   464,     0,   460,    79,     0,
       0,   843,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   297,   298,     0,     0,   848,     0,
       0,     0,   695,     0,     0,     0,   589,   366,     0,   345,
     344,     0,     0,     0,     0,   751,     0,     0,   787,     0,
       0,     0,     0,     0,     0,   774,     0,   781,   781,   779,
     780,     0,     0,   374,     0,   770,     0,   796,     0,     0,
     330,     0,     0,     0,     0,     0,     0,   592,   404,     0,
     420,   471,   482,   481,     0,   457,   568,   567,   454,   458,
     455,   459,   456,   505,     0,   838,   306,     0,   285,   286,
     287,   288,   289,   290,   291,   292,   293,   294,   295,   296,
     284,     0,   843,     0,   697,     0,   689,   382,     0,     0,
     353,     8,   334,     0,   765,     0,   767,   764,   783,   132,
     782,   132,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   777,     0,     0,     0,   808,     0,     0,   364,
     337,   332,   283,   846,   846,   846,   397,     0,   571,   461,
      67,   837,   848,     0,   318,     0,     0,     0,   391,   696,
     590,   588,     0,     0,     0,     0,     0,     0,     0,   786,
       0,   788,     0,     0,     0,     0,   776,     0,     0,     0,
       0,     0,     0,     0,   771,     0,   769,   795,     0,   467,
     466,   465,   405,   572,   848,   848,     0,   848,   317,   848,
       0,   844,   367,   754,   755,     0,     0,   785,   784,     0,
     794,   790,     0,   789,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   772,   773,
     809,   365,     0,     0,   847,     0,     0,     0,   310,     0,
       0,     0,   788,   791,     0,   792,   788,   788,   788,   762,
       0,   801,     0,   803,     0,   797,     0,   799,     0,   778,
       0,   847,   315,   847,   312,     0,     0,   368,   766,   768,
       0,   757,   793,     0,     0,     0,     0,   805,   806,   807,
       0,     0,     0,     0,   838,   314,   313,     0,   311,     0,
       0,     0,     0,   788,     0,     0,     0,     0,   847,   308,
     756,   758,   759,   761,     0,     0,     0,     0,     0,   316,
       0,     0,   802,   804,   798,   800,     0,   760,   309
};

/* YYDEFGOTO[NTERM-NUM].  */
static const yytype_int16 yydefgoto[] =
{
      -1,    47,   928,    59,    60,   139,   140,   440,   727,    49,
      50,   251,   532,    61,   531,   885,   728,  1064,    51,   421,
     126,   588,   712,   913,   714,   816,   817,   818,   819,   820,
     821,   917,   318,   533,   434,   207,   622,   320,  1474,   669,
     623,   957,   322,   143,   267,    52,   277,   732,   733,   837,
     838,   943,  1067,  1228,  1229,  1230,  1231,  1232,  1442,  1233,
    1234,  1491,  1154,  1155,  1156,  1488,  1291,  1880,  1724,  1725,
     929,   930,  1157,  1328,  1164,  1430,  1533,  1501,  1527,  1173,
    1306,  1499,  1187,  1188,  1189,  1526,  1758,  1681,  1809,  1031,
    1032,  1182,  1183,  1184,  1399,  1593,  1092,  1093,  1094,  1095,
    1358,  1455,  1096,  1097,  1098,   791,   792,   854,  1445,   856,
    1242,   859,  1459,   862,  1254,  1377,  1565,   965,  1101,   958,
    1075,  1481,  1350,   793,   794,  1594,  1238,  1239,   932,   575,
     580,   583,   412,   410,   416,   388,   418,   420,   230,   386,
     224,   226,   216,   217,  1475,  1553,  1763,  1476,   795,   329,
     330,  1706,   256,  1595,  1596,   103,   104,   275,   405,   577,
     406,   681,   682,   683,   908,    64,    91,   215,    92,    54,
    1025,   430,   431,  1167,   130,   248,   249,   796,   983,   984,
      75,    76,   684,  1171,  1172,  1163,  1394,  1591,  1395,  1396,
      69,    70,    55,   830,   831,  1202,   222,   571,   572,   390,
     697,   698,   280,   281,  1417,  1418,  1507,  1508,  1419,  1420,
    1519,  1622,  1609,  1782,  1783,  1421,  1422,  1850,  1707,   797,
      56,   105,   383,   384,   137,    57,   528,   529,   155,   522,
     883,  1114,   861,  1460,   855,  1076,   858,  1448,  1290,  1672
};

/* YYPACT[STATE-NUM] -- Index in YYTABLE of the portion describing
   STATE-NUM.  */
#define YYPACT_NINF -1611
static const yytype_int16 yypact[] =
{
    7651,  -212,   110, -1611, -1611, -1611, -1611, -1611, -1611,   736,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,   405,    89,
     129, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,    96,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,   -33, -1611,
   -1611, -1611, -1611, -1611,  2723,   115,   126,   315,  2045,  7796,
   -1611, -1611, -1611, -1611,   -29,   120,   407, -1611, -1611,   459,
     406,   469,   424, -1611,    17,   183,   456,  -191,   655,     5,
   -1611,   837,   172,   527,    98,   250, -1611, -1611, -1611,    17,
      17,    17,    17,    17,    17,    17,    17,    17,    17,    17,
   -1611,   250,   620,   645,   250, -1611,   250, -1611,   250, -1611,
   -1611, -1611,  1297, -1611,   294,   345,   652, -1611,   374,   125,
     714,   717,   724,    54,   902,   967,    65,  1069,    71,   493,
     591,    76,   663,   720,   788, -1611,   751, -1611,  2033,   250,
   -1611,  2033,    59,   130,   124,   173, -1611,   200,   408,     6,
   -1611, -1611,   421,   264, -1611,   532,   771, -1611,  -107,   166,
   -1611, -1611, -1611, -1611,   460,  4132,   130, -1611, -1611, -1611,
   -1611, -1611,   473, -1611,   480,   505,   510,   517,   525,   250,
     250,   250,   250,   250,   250,   250,   250,   250,   250,   250,
   -1611,   494,   543, -1611, -1611, -1611,   185,   903, -1611, -1611,
     471,   471,   471, -1611, -1611, -1611, -1611,   471,   471,   471,
     471,   471,  1297,   471,   471, -1611,  7168, -1611,  1297,   957,
     662, -1611,   665, -1611, -1611, -1611,    17,  1003,   950,   966,
     712,   250,   732,   779,   469,   803,   469,   814,   250,   825,
    1120,   832,   250,   833, -1611,   838, -1611,   843,   250,   844,
   -1611,   875, -1611,   881, -1611, -1611,   800,   841,   869,   893,
     111,   122, -1611, -1611, -1611,  1297, -1611, -1611,   270,   130,
     271, -1611,  1220, -1611, -1611, -1611,   459,   250,  1242, -1611,
   -1611, -1611, -1611, -1611,   294,  1248, -1611,   380, -1611,  1249,
     385, -1611,  4132,  -107,   130, -1611, -1611, -1611,  1262,  1262,
    1663,  1686,  2499,   976,  1006, -1611,  1009,  1013,  1019,  1021,
    1022,  1024,  1025,  1029,  1030,  1034,  1035,  1037,  1046,  2808,
    3034,  3292,  3795,  4224,  4132,  4132,  4313,  4405, -1611,  7121,
   -1611,   951,   152, -1611,   130, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611,  1297,  1297, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611,  6458, -1611, -1611,  1297,  1297,
    1297,  1297,  1297,  1297,  1297,  1297,  1297,  1297,  1297,  1297,
    1297,  1297,  1297,  1297,  1297,  1297,  1297,  1297,  1297,  1297,
    1297,  7204,   985, -1611,  -132,  1288,  1120, -1611,  1120,   250,
     990,  1048, -1611, -1611, -1611,  1376, -1611, -1611,   286, -1611,
     291, -1611, -1611, -1611,   -59, -1611,   328, -1611, -1611, -1611,
    1120, -1611,  1120, -1611, -1611, -1611,  1120, -1611,  1120, -1611,
    1120,  1049,   837,   655,   742,   824,   -46,   158,   336,  1379,
     339, -1611,  1054,   465,  7215,   439, -1611,   479, -1611, -1611,
    4132, -1611,   294,   250,  1052,  1383,  1057,  1067,  -107, -1611,
     951,   450,  4132,   495,    84,    84, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611,  4132,  4132,  4132,  4132,  4132,  4132,
    4132,  4132,  4132,  4132,  4132,  4132,  4132, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611,  5513,  4759,   -32,
   -1611, -1611, -1611, -1611,  4132,  4132,  4132,  4132,  4132,  4132,
    4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132,
    4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132,
    4132,  4132,  1068, -1611, -1611,  4132,  1396,  4132, -1611,   -16,
     515,  2224,   469,   490,  7355,  1426, -1611,   640,   640,   305,
     305,   186,   186, -1611,  1479,  1665,  1467,   870,   870,  4519,
    7365,   870,  1467,   640,   640,    87,    87, -1611, -1611, -1611,
    1297,  1297,   957, -1611,  1072,   531,   583,  1400, -1611, -1611,
    1075,  1077, -1611, -1611, -1611,  1120,  4132,   250,  1120, -1611,
    1120,   608,   616,  1120,   667,   668,   676, -1611,  1076,  1079,
    1080,  1081,  1082,  1083,  1085,  4132,  1297, -1611, -1611,  1078,
     122, -1611, -1611,  1297,  1297, -1611, -1611,  7121,   294, -1611,
   -1611,   205,  3563, -1611,  1088, -1611,   951, -1611,  1084,  1084,
    4132,  4132,  7121,   560,   565,   611,   629,   689,   812,   909,
     914,   918,   924,   929,  5549,  5585, -1611,  4132, -1611,   796,
     796,  1705,  1705,  1705,  1705,   227,   227,   227,   227, -1611,
    7157,  4317,  1414,  2370,  2370,  6749,  7251,  2370,  1414,   796,
     796,   196,   196, -1611, -1611, -1611,  7121, -1611,  7121,   930,
   -1611,  4577, -1611, -1611, -1611, -1611, -1611, -1611, -1611,  2262,
   -1611,  2368,  2224, -1611,   250,   678,  1297, -1611, -1611, -1611,
    4675,  7355, -1611,  1415, -1611, -1611,  1097,  1107, -1611,  4132,
    1376,   684,  7121,   294, -1611,   695, -1611, -1611,   701, -1611,
   -1611, -1611,  1108,   107,  1109, -1611, -1611, -1611, -1611, -1611,
   -1611,  7121,  1111,  4132, -1611,  7262,   935, -1611,    93, -1611,
    1444,  1445,   823, -1611,  1117, -1611,  4132, -1611,  1118,  1124,
    1124,  4132, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611,   103,  4132,  4132, -1611,  1297,
    1297,  4132, -1611,  1121,  1139,  1462, -1611, -1611, -1611,  1262,
   -1611, -1611, -1611, -1611, -1611,  1135,  1142,  1144,   466,   584,
     617,   747,  1145, -1611, -1611, -1611,  1151, -1611, -1611,    15,
     542,  1155, -1611, -1611,  1027, -1611, -1611,   524, -1611, -1611,
   -1611,  7355, -1611,  1160,  4132,  1400,  7121, -1611, -1611, -1611,
   -1611,  1372,  1157,  1493,  1495,   216,   937, -1611,   941, -1611,
   -1611, -1611,  8756, -1611,  7121,  1297,  1297, -1611,    17, -1611,
    1888, -1611,   469,  1170,  1173,  1504, -1611,  1375, -1611, -1611,
    7121, -1611,  1177,  1178,  7121,  1174,  7121,  7121,  4711,  4747,
    4664, -1611,  1285,  1185,    82,  1204,    82,   864,  1197,    82,
    2570,   -49,    82,  4132,  4132,  3744, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611,  4132,  2570, -1611,  4132, -1611, -1611,
    3517,  4132, -1611,  1084, -1611,  1456,  2595,  4132,  4132,  4132,
    4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132,  4132, -1611,
   -1611,  2787,  2368,  2368,  1199,  1200,  1201,  1203,   469, -1611,
    7121, -1611,    17,   947,   267,  1205, -1611,   206,  1419,  3241,
     143, -1611,     9, -1611,  1206, -1611, -1611,  1207,  9146,  1469,
    8951, -1611, -1611,  7355,  1209,   250, -1611, -1611,  1214, -1611,
   -1611,  1215, -1611,  1474,  1216, -1611, -1611, -1611, -1611, -1611,
   -1611,  1213, -1611, -1611,   790,  1223,  1547,  1489, -1611,  1222,
   -1611,   992,  1227, -1611, -1611,  1470,  1228,  5667,  5721,  1230,
    5768,  4132,  4132,  4132,  4132,   949, -1611,   951,  2368,  1231,
    4132,  4132,  7121,   -42, -1611,   980,  1084, -1611,  1233,   136,
    4893,  4132,  4132,  7121,  7121,  7121,  7121,  7121,  7121,  7121,
    7121,  7121,  7121,  7121,  7121,  1234,  7121,  4132,  4132, -1611,
   -1611,  4132,  4132,  4132,  3764,   707,   250,   177, -1611,  1235,
    1297,    91,  1495, -1611, -1611,    17,  1295, -1611, -1611, -1611,
   -1611,  8171,   469,  1318,  -113,   374,  2570,    90,    78, -1611,
     817,  2570,  1419,   138,   150,   151,    96,   -33, -1611, -1611,
   -1611,  1340,  1341,  1337,  2570,   -29,  1143,   120,   407, -1611,
   -1611, -1611, -1611, -1611,  1510,  1245,   193,  8004, -1611, -1611,
   -1611,  4132,  1084,  4132, -1611,  7289,  1514, -1611,  1250, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,
    1286, -1611,  1252, -1611,  1580,   -71,    17,    17,  1258,  4132,
   -1611,  7289, -1611, -1611, -1611, -1611, -1611, -1611,  1259,  1259,
    1259,  1259,  1256,  1441,  1257, -1611, -1611,  7121,  7121,  3944,
    3944, -1611,  1263, -1611,  4132, -1611,  4929,  5001,  4132,  5082,
    5135, -1611, -1611,  5804,  5840,  5876,  1265,  5912, -1611,  1376,
      17, -1611, -1611,  7298,  1495,  1266, -1611,   250, -1611, -1611,
    6880, -1611, -1611, -1611,  1511,  7976, -1611, -1611,   708,  1267,
    1271,  1373,   137,   130,  1120, -1611,   816, -1611, -1611,  -305,
      79,   713, -1611,   469,  1534,    17, -1611,    17,   655,   715,
     837,   735, -1611,  1532,  1603,  1602,   250,  2570,  2570,  2570,
   -1611, -1611, -1611, -1611,   250, -1611,   250,    17,   130,   124,
     738,   740,   469, -1611, -1611,  1273, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,  1535,  8004,
   -1611,  7106, -1611,  8004, -1611,   951,  1084,  5185,  2492,  7289,
   -1611, -1611, -1611,  2570, -1611,  3843,  1278,    17,   -19,   250,
   -1611,  1987,  5221,  2492, -1611,  2570,  2368,  2570,  2570,  1279,
    1280,  1281,  1289, -1611,  1287, -1611, -1611, -1611, -1611, -1611,
    5958, -1611, -1611,  6012, -1611, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611,   250,  1297,  1284,   211, -1611,  1331,  1607,  1552,
    1293,  1294,  1296, -1611, -1611, -1611,  1299,  1617,  1300, -1611,
   -1611,  1307,   750,   760, -1611, -1611,   525,  4132, -1611,  1262,
   -1611,   761, -1611,   532,   250,  1298, -1611,  1303, -1611,   698,
   -1611,  1558,  1325,   525, -1611, -1611, -1611,   111,   122,  1335,
     250,   762,   130,   763, -1611, -1611,   781, -1611, -1611, -1611,
    7283,  7639, -1611,  7809, -1611,  1322, -1611, -1611, -1611, -1611,
    2008, -1611, -1611,  1327,  5257,  4132,  1326,  1183,   258, -1611,
    1658, -1611,  2128, -1611, -1611, -1611, -1611,  1334,  1345,  1351,
    1353,  4132,  1308,  1308,  3080,  3261,  3316,  2368,  2368,  1376,
    7355, -1611,  1356, -1611,  1343, -1611, -1611,  1297,  1671,  1297,
   -1611,  1367, -1611,  1694,  4132,   984, -1611, -1611, -1611,  4132,
   -1611,  7121, -1611, -1611,  1697, -1611,   130,   130,  1381,  1342,
    1387,  1388,  1389,  1397,  1398,  1399,   236,   698, -1611,  1370,
    1374,  1394,  1384, -1611, -1611, -1611,   782,   784,   801,  1408,
     469, -1611, -1611,   802, -1611, -1611,   331, -1611,  1420,  1421,
    1422,  1440,  1424,  8004, -1611, -1611, -1611, -1611, -1611,   108,
      57,  7121,   -19, -1611, -1611,   469,  1690,   250,  1428, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,  6059,
    4132,  4132,  1693,  2248,  -138, -1611,  2833,  1693,  2833,  1693,
    2833, -1611,  1696, -1611, -1611,  1425, -1611, -1611,  8366,  6494,
    1621,  1434,  6540,  1752,  1437,   951,  1307, -1611,  7121,    82,
    1448,   469,   809,   821,  4132,  1452,  1455,   828, -1611,  4493,
    4493,  4493,  4493,  4493,  4493,  1463,  1468,  1791,  1791,   443,
   -1611,  1736, -1611,   168, -1611,   169,  2224,   469, -1611, -1611,
   -1611, -1611,   830,   469, -1611, -1611, -1611, -1611,   331, -1611,
     790,  1476,  1891,  1477,  1478,   280,   835,  1183, -1611,  4132,
    1480,  5293,  5329,  1498,  1745,  2368, -1611,  2368, -1611, -1611,
    1749,  1750,  1751,  1753,  1754, -1611,  2368,  1758, -1611,  1297,
    1759, -1611,  1297,  1297,  1297,  1297,  1297,  1297,  1297,  1297,
    1297,  1297,  1297,  1297, -1611, -1611,  1297,  1297, -1611,  1486,
    4024,  1496, -1611,  1494,  1501,   849, -1611, -1611,   878, -1611,
   -1611,  6095,  4132,  4204,  1342, -1611,  4132,  4132,  1518,  1516,
    1517,  1521,  1522,  1525,  1526, -1611,  3058,   443,   443, -1611,
   -1611,  1844,   223, -1611,   970, -1611,  1297, -1611,  2368,   880,
   -1611,   891,  1536,  2570,  4132,  2570,  2570,   250, -1611,   469,
    7121, -1611, -1611, -1611,  2368, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611,  2368,  7355, -1611,  3497,  7355,  7355,
    7355,  7355,  7355,  7355,  7355,  7355,  7355,  7355,  7355,  7355,
    7355,  5347, -1611,  1538, -1611,  6131, -1611, -1611,  4132,    82,
   -1611,    93, -1611,  1541,  6831,  4132,  7121, -1611,  7121,  1559,
    7121,  1560,  4132,  4493,  4132,  4493,  4493,  4132,  4493,  1537,
     272,   319,  1539,  4132,  4132,  1543, -1611,   988,   995, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611,   892, -1611, -1611,
   -1611, -1611,  1562,   -89, -1611,  3014,  1671,  8561, -1611, -1611,
    7121, -1611,  1888,  1548,  1549,  4132,  5402,  4132,  4132,  7121,
    1551,  4845,  1554,  1555,  5477,  1556, -1611,   153,   157,   162,
     164,  3058,  6167,  6203, -1611,  1297, -1611, -1611,  1813, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611,  8561, -1611, -1611, -1611,
    1561, -1611, -1611, -1611, -1611,  7039,  4132,  7121,  7121,  4132,
   -1611,  1262,  1564,  1565,  4132,  4132,  4132,  1557,  4132,  1578,
    3058,  1579,  3058,  1596,  3058,  1598,  3058,  1592, -1611, -1611,
   -1611, -1611,  1571,  8561, -1611,  8561,  1822,  1846,  1868,  1866,
    4132,  6249,  4845,  1599,  1604,  1262,  4845,  4845,  4845, -1611,
    6594, -1611,   155, -1611,   155, -1611,   155, -1611,   155, -1611,
    8561, -1611, -1611, -1611, -1611,  1620,  8561, -1611,  7121, -1611,
    1608, -1611,  1599,  1610,  1622,  1623,  4132, -1611, -1611, -1611,
    4132,  4132,  4132,  4132, -1611, -1611, -1611,  1950, -1611,  1625,
    1626,  1627,  1628,  4845,  6303,  6350,  6386,  6422, -1611, -1611,
   -1611, -1611, -1611, -1611,  1624,  1630,  1636,  1637,  1639, -1611,
    8366,  1640, -1611, -1611, -1611, -1611,  1907, -1611, -1611
};

/* YYPGOTO[NTERM-NUM].  */
static const yytype_int16 yypgoto[] =
{
   -1611, -1611,     0, -1611, -1611, -1611,  1708, -1611, -1611, -1611,
    1926, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611,  1058, -1611,  1059, -1611,
    -685,   851,   197, -1611,   326,  1172,  -145,  -277,  -152,  -573,
    -211,  1136,   313,  -153, -1611, -1611, -1611, -1611,  1247, -1611,
   -1611, -1611, -1611, -1611, -1611,   767,  -747,  -441,   462, -1611,
     765,   275, -1107, -1611,  -996, -1611, -1611, -1611,   282, -1611,
   -1611, -1611,  -649, -1611, -1611, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1305,   757, -1611,
     558,   467, -1611, -1611, -1611, -1224,  -740, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611,   759,  -833,  -903,  -421,   912, -1611,     1, -1611,
   -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611, -1611,
   -1611, -1611, -1611, -1611,  -800, -1611, -1611,  -793,  -175,   -51,
   -1034,  -213,  -420, -1611,   337,   -70,   -58,   702,  1442, -1611,
    -332,   492, -1611,  1339, -1611,   -13,   131,   865,  1100,  -810,
     982,  -240,  1432, -1611,   -47,   -39,   -20,  -848, -1611,  -477,
     986, -1611,  -693, -1611, -1075, -1611, -1611, -1611, -1611,   539,
     -18,  1880,  1112,   356,  -824, -1611, -1611, -1611,  -669, -1611,
   -1611,  1236,  1756,  1594, -1611,   626, -1611,   440,   363, -1611,
    -536,  -519,  -589, -1610, -1611,   364, -1611,  -890,   422, -1611,
     -27, -1611,  1492, -1611,   999,  1132,  -506,  -410,   -85,  -333,
    -724,  -959, -1611, -1611,  -641,  -827, -1611,  -530, -1064,  -926
};

/* YYTABLE[YYPACT[STATE-NUM]].  What to do in state STATE-NUM.  If
   positive, shift that token.  If negative, reduce the rule which
   number is the opposite.  If zero, do what YYDEFACT says.
   If YYTABLE_NINF, syntax error.  */
#define YYTABLE_NINF -845
static const yytype_int16 yytable[] =
{
      48,    53,    72,   321,   133,   168,   937,   597,   134,   149,
     319,   433,   812,   457,   459,   461,    73,    93,   878,   672,
     673,   180,     2,   674,   183,  1307,   184,  1123,   185,   154,
     526,   807,   478,   480,   482,   484,   486,   135,   992,   491,
     493,  -500,   435,  1289,   618,   619,   265,   739,   740,    48,
      53,   162,  1454,  1008,   565,   220,   566,  -618,  1543,   250,
     285,  1119,   252,   282,   877,   253,   227,   254,  -618,  1009,
    1010,   398,   231,   400,  -618,   429,   429,   237,   581,  -618,
     582,   285,   285,   259,   584,   285,   585,   274,   586,  1292,
     936,  1166,    67,  -651,   812,  1308,    78,   428,   278,   331,
     332,   333,   334,   335,   336,   337,   338,   339,   340,   341,
     812,   285,   674,   674,   426,   258,   260,   614,  1055,    94,
     963,    58,   919,    67,   364,   432,   212,    67,  -621,   916,
     450,   860,    67,    67,     2,   976,  1100,   319,  1299,   878,
     148,    67,    78,  1300,   875,  1115,  1027,   102,     2,  1113,
      -6,   395,  -377,    67,   902,   903,  1789,  1247,   402,  1294,
    1791,   252,   408,   489,   253,  1793,   254,  1795,   414,   487,
     488,   252,   252,   931,   253,   253,   254,   254,  1557,    78,
     570,   828,  1131,  1132,     2,   129,    90,   523,   524,   165,
      78,   521,   166,  1847,  1848,   145,    78,   562,   452,   187,
     188,    78,  1840,  1161,    95,   563,  1843,  1844,  1845,   442,
     169,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,  1162,  -375,   364,   167,  1541,  1544,  1767,   279,  1071,
    1072,    96,    90,   504,  1402,  1056,  1703,  1515,   978,  1516,
     521,   437,  1454,   701,   221,  1704,  1197,   228,   705,   232,
     213,   708,   238,  1874,   624,   625,   626,   627,   628,   629,
     630,   631,   632,   633,   504,  1248,   453,   956,  1019,    90,
    -837,   576,  1400,  -837,  -837,  -837,  1345,  1346,    63,  -603,
      90,  1061,  1140,   738,   595,  1747,    90,  1120,  1266,  1425,
    1121,    90,  -230,   729,  1748,   607,  1165,   521,    74,   205,
     616,  1176,   128,   676,   677,   638,   530,   319,   985,   730,
    -406,  -837,  -837,  -837,  1193,   107,   358,   359,  -406,   567,
     918,   731,   527,   362,    97,   363,    98,    99,   100,   101,
     634,   635,  1749,  1517,   156,   266,  1145,  1146,   157,   879,
     214,  1750,   364,  1518,   813,   814,   880,   389,  1141,   639,
     640,   641,   642,   643,   644,   645,   646,   647,   648,   649,
     650,   651,   652,   653,   654,   655,   656,   657,   658,   659,
     660,   661,   662,   663,   664,   665,   666,   620,   621,   685,
     668,  1570,   671,   722,   590,   608,   594,   205,   205,   205,
     255,   726,  -618,   788,   205,   205,   205,   205,   205,   205,
     205,   205,   589,  -618,   592,   205,   842,   843,    65,  -618,
     136,   378,   379,   380,  -618,    66,   102,   208,   953,   526,
      68,   128,   527,  1364,  -651,   429,  -651,  1144,   206,  -837,
    -837,   702,   521,   955,  -837,   959,   -73,  -837,   962,   -73,
     845,   966,   813,   814,   788,   427,   141,  1324,  1325,  1326,
     721,   131,   205,   102,   132,   257,   427,   106,   132,   916,
      71,   257,   138,  1255,  1256,  1257,  1258,   880,  1301,  1178,
    1281,  1849,   142,   986,   186,   668,   668,   187,   188,   189,
     674,  1180,  1340,   525,  1790,   755,  1343,   526,  1792,   596,
     527,   144,   319,  1794,   233,  1796,  -621,   283,  1349,  1624,
    1626,   156,   156,  1352,   208,   163,   261,   944,   376,   377,
     378,   379,   380,  1349,   146,  1363,   344,  1365,  1366,   703,
     518,   519,   520,   345,  1470,  1471,   147,   736,   355,   262,
     164,   679,   680,   263,   381,  1022,  1461,  1462,  1463,  1464,
    1022,   205,   205,  1023,  1482,  1483,  1542,  1542,  1382,   516,
     517,   518,   519,   520,   806,   205,   205,   205,   205,   205,
     205,   205,   205,   205,   205,   205,   205,   205,   205,   205,
     205,   205,   205,   205,   205,   205,   205,   205,   824,   904,
     905,   906,  1478,  1480,  -837,  -837,  -837,  1456,   102,  -837,
    -837,   840,   235,   268,  -621,  1457,   844,   269,  -837,   156,
     156,   454,   455,   436,   438,  1065,   907,  -837,  -837,  1456,
    1447,   846,   847,   934,   799,   268,   850,  1637,   213,   573,
     268,   270,  1447,   181,   574,   374,   375,   376,   377,   378,
     379,   380,   208,   193,   194,  1374,  1375,  1376,   195,  1378,
    1556,   196,  1267,  1268,   832,  1554,   271,   272,   182,  1560,
    1561,  1562,  1563,  1564,  1437,   210,  1567,   578,   362,   910,
     363,   579,  1236,   975,   239,   268,  -621,   273,   600,   598,
     534,   535,   601,  1535,  1536,  1537,  1559,   364,  1559,   938,
    1559,   209,   679,   680,   537,   538,   539,   540,   541,   542,
     543,   544,   545,   546,   547,   548,   549,   550,   551,   552,
     553,   554,   555,   556,   557,   558,   559,   211,   214,   445,
    1484,   991,   446,   815,   448,  -565,   213,   449,   967,   968,
     970,   241,  1646,  -621,  1647,   977,  1007,   218,   679,   829,
     674,  1771,   319,  1653,   219,   982,   668,    62,   264,  -615,
    1832,   990,   993,   994,   995,   996,   997,   998,   999,  1000,
    1001,  1002,  1003,  1004,   245,  1015,  1006,   205,   205,  -230,
    1108,  1109,  1110,  1111,   150,  1619,  1620,  1855,   604,  1856,
    1804,   605,  1621,  1886,   276,  1259,  1260,  1261,  1262,   448,
    1408,   971,   615,   972,   151,   973,   152,   974,   213,   243,
    1342,  -621,   284,   205,   600,  1709,  1766,   866,   602,   867,
     205,   205,   202,   153,  1879,   324,   214,  1831,   156,  1833,
    1284,  1718,   606,   325,   500,   501,   502,   503,  1174,   686,
    -615,  1719,   687,   591,   156,  -615,  1409,   342,   617,  1020,
     679,   829,  1303,   504,  1854,  1117,  1118,   326,  1802,  1803,
    1858,  1805,   327,  1806,   156,   213,  1126,  1127,   675,   328,
    -615,  -615,   158,  1410,  1411,  1412,  1413,  1414,  1415,   132,
     578,  -615,  1129,  1130,   694,  1063,  1133,  1134,  1135,  1137,
     102,  -615,   159,   881,   160,   882,   343,   526,   214,  1158,
    -839,   358,   359,   205,   360,   361,   690,   691,   362,   741,
     363,   161,   742,  1713,   741,  1714,  1715,   743,  1769,  1342,
    1441,  1058,  1342,   223,   593,  -544,  -615,   364,   937,   835,
     346,   729,   578,   213,   367,   868,   695,   869,    63,  1235,
     815,  1610,  1611,  1612,  1613,  1614,   319,   730,  1237,   725,
    1657,  -615,  -615,   150,  1851,   214,  1852,   578,  1853,   731,
     741,   706,  -615,   744,  1808,   578,  1139,   158,   870,   707,
     871,  -615,  -615,   151,  1252,   152,   205,   205,   741,   935,
     382,   745,   376,   377,   378,   379,   380,   159,   225,   160,
    -546,  1705,   153,   186,   982,   982,   187,   188,   189,  1270,
    1170,  1617,  1618,  1273,   234,   236,   161,   240,   242,   244,
    1168,   385,  1772,  1078,   790,  -400,   578,   578,   387,    63,
     709,   710,  1441,   214,   391,   578,  1198,   268,  1195,   711,
    1199,   800,   801,   578,   190,   191,   192,   808,   741,   392,
    1311,   746,   205,   205,   578,  1179,  1181,  1175,   809,  1416,
     578,  1727,  -615,  1185,   810,   393,   268,   268,   886,  1200,
    1138,  1295,  1309,  1016,   156,   394,  1310,  1485,  1316,  1336,
     887,   888,   889,   890,   891,   892,   893,   894,   895,   896,
     897,   898,   899,   900,   156,   396,  1079,   156,  1318,   262,
     229,  1334,  -540,  1335,  -615,   679,  1240,  1287,   872,   156,
     873,  1080,   857,  1397,  1521,   848,   849,  1427,  1428,   578,
     268,   156,   156,  1398,  1403,  1432,  1434,  1319,  1700,  1701,
    1354,   679,  1240,  1625,  1740,  1627,  1742,  1743,  1081,  1745,
     268,   268,   397,   600,  1435,  1528,  1323,  1529,   516,   517,
     518,   519,   520,   404,  1327,   526,  1329,  1082,  -839,   422,
     600,   156,   193,   194,  1530,  1534,   399,   195,   156,  1315,
     196,   741,  1599,   790,   747,  1302,  1304,   401,  1332,  1305,
     156,   933,   429,   429,  1600,  -615,  1147,  1604,   403,   268,
    1317,  1605,  1401,  1630,   268,   407,   409,   954,  1638,   954,
     423,   411,   954,   790,  1426,   954,   413,   415,  1679,  1359,
    1331,  1333,  1680,  1759,  1760,  1761,  1194,  1196,   790,   373,
     374,   375,   376,   377,   378,   379,   380,   960,   424,   526,
    1083,  1084,  1085,  1086,  1087,  1088,  1089,   268,   417,   268,
    1451,  1682,  1379,  1710,   419,   790,   790,   205,  1090,  1091,
     268,   268,   425,   439,  1711,  1762,  1469,  1249,  1250,   319,
     319,   319,  1608,  1608,  1608,  1608,  1608,  1608,   741,   679,
    1351,   748,  1495,   741,  1405,   443,   749,   741,  1357,   319,
     750,   444,   447,   741,  1498,   274,   751,  1079,   741,   757,
    1431,   752,   758,  1205,   826,   285,   920,   827,    78,   921,
     922,  1282,  1080,   923,    27,    28,  1017,  1532,   741,  1018,
     521,  1112,    33,    34,    35,    36,    37,   197,   198,   199,
      39,   790,   200,   201,    40,    41,  1148,   564,  1149,  1081,
     186,   202,  1546,   187,   188,   189,  1313,   462,  1314,   757,
     203,   204,  1122,  1496,  1433,   561,  1497,  1755,  1082,  1159,
    1756,  1160,  1720,   568,  1755,  1551,  1552,  1757,  1330,  1689,
    1691,   319,  1383,   319,  1384,   319,  1429,   463,  -329,  1699,
     464,   190,   191,   192,   465,  1505,  1143,  1506,  1598,   790,
     466,  1169,   467,   468,   790,   469,   470,   901,    90,  1601,
     471,   472,   347,   348,   349,   473,   474,   790,   475,   350,
     351,   352,   353,   354,  1629,   356,   357,   476,  1356,   570,
    1631,   569,   599,   587,   595,   609,   610,  1548,  1502,  1503,
     611,  1083,  1084,  1085,  1086,  1087,  1088,  1089,   612,   670,
     667,   693,  1569,   696,  1640,   699,   700,   713,   723,  1090,
    1091,   715,   716,   717,   718,   719,  1608,   720,  1608,  1608,
     737,  1608,   527,  1453,   803,   494,   495,   804,   496,   497,
     498,   499,   500,   501,   502,   503,   805,   358,   359,   811,
     360,   361,   822,   823,   362,  1675,   363,   833,   834,   839,
     841,   504,  1357,   757,   851,   852,  1547,  1684,  1686,   193,
     194,  1688,  1690,   364,   195,   853,   863,   196,   365,   366,
     367,   368,   369,   864,  1797,   865,   874,   912,   358,   359,
     205,   360,   361,  1169,   876,   362,  1717,   363,   884,  1006,
     358,   359,   909,   360,   361,   914,   915,   362,   812,   363,
     790,   790,   790,   939,   364,  1723,   940,   941,   942,   945,
     946,   947,   319,  1822,   951,  1824,   364,  1826,   952,  1828,
     956,  1868,   366,   367,   368,   369,   679,   680,   961,   987,
    1011,  1012,  1013,  1730,  1014,  1024,  1021,  1060,  1033,  1030,
    1736,  1062,  1800,   268,  1068,  1066,  1070,  1739,  1069,  1741,
    1074,   790,  1744,  1073,  -503,  1077,   790,  1099,  1752,  1753,
    1102,  1103,  1106,  1116,  1124,  1128,   790,  1716,   790,   790,
     790,   790,  1190,  1723,  1142,  1192,  1191,  1203,  1204,  1241,
     319,  1244,  1243,  1246,   205,  1245,   205,  1251,   741,  1263,
    1775,  1264,  1777,  1778,  1265,  1293,  1269,  1279,  1286,  1296,
    1297,  1312,  1298,  1320,  1321,  1322,  1337,  1338,  1355,  1380,
    1385,  1367,  1368,  1369,   197,   198,   199,  1386,  1371,   200,
     201,  1370,  1169,  1381,  1387,  1388,  1391,  1389,   202,  1423,
    1406,  1811,  1390,  1392,  1812,  1407,  1764,   203,   204,  1816,
    1817,  1818,  1393,  1820,  1572,  1573,  1574,  1575,  1576,  1577,
    1578,  1579,  1580,  1581,  1582,  1583,  1584,  1585,  1424,  1444,
    1449,  1458,  1452,   790,   456,  1838,   285,  1465,   989,   187,
     188,   286,   287,  1487,  1490,   790,   358,   359,  1466,   360,
     361,   679,   829,   362,  1467,   363,  1468,   458,  1486,   285,
     790,   790,   187,   188,   286,   287,  1493,  1494,   288,   289,
    1500,  1863,   364,  1522,  1523,  1864,  1865,  1866,  1867,   367,
     368,   369,  1504,  1489,  1525,  1492,   494,   495,  1509,  1510,
    1511,   288,   289,   500,   501,   502,   503,  1524,  1512,  1513,
    1514,     2,   679,   829,   514,   515,   516,   517,   518,   519,
     520,  1531,   504,   371,   372,   373,   374,   375,   376,   377,
     378,   379,   380,  -277,  -278,  -279,  1538,  1539,  1549,  -844,
    1566,  1589,  1540,  1540,  1568,   688,   205,  1587,  1590,   205,
     205,   205,   205,   205,   205,   205,   205,   205,   205,   205,
     205,  1597,  1602,   205,   205,  1603,   790,   374,   375,   376,
     377,   378,   379,   380,  1516,  1615,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,  1616,  1623,  1633,  1635,
    1636,  1645,   954,  1641,  1644,  1648,  1649,  1650,  1673,  1651,
    1652,   205,  1654,   205,  1656,   293,   294,  1677,  1676,   295,
     296,  1678,  1692,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,  1693,  1694,  1702,   293,   294,
    1695,  1696,   295,   296,  1697,  1698,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,   790,  1712,
     790,  1728,  1416,  1737,  1738,  1754,  1746,  1751,  1765,   790,
    1779,  1773,  1774,  1784,  1785,  1788,  1801,  1830,  1834,   763,
    1819,   764,    -8,  1807,  1815,  1655,  1814,  1835,  1658,  1659,
    1660,  1661,  1662,  1663,  1664,  1665,  1666,  1667,  1668,  1669,
    1821,  1823,  1670,  1671,   887,   888,   889,   890,   891,   892,
     893,   894,   895,   896,   897,   898,   899,   900,  1825,     2,
    1827,  1829,  1836,  1837,   526,   765,  1857,  1841,   766,   767,
    1859,   790,  1860,  -812,  -812,  -812,   790,   768,   790,   790,
     769,  1586,   205,  1869,  1861,  1862,  1881,   790,  1870,  1871,
    1872,  1873,  1882,   770,   771,   772,   773,   790,  1883,  1884,
    -812,  1885,  1888,  1887,   441,   127,   828,    -8,  1028,   836,
      -8,  1029,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,   954,    -8,   314,  1285,  1339,   964,  1344,   315,
    1632,  1770,    -8,    -8,    -8,   774,   775,  1768,  1360,   763,
    1545,   764,  1362,  1253,  1639,  1404,  1731,   314,  1628,  1026,
     704,   798,   315,    -8,  1177,   514,   515,   516,   517,   518,
     519,   520,   724,  1186,   776,  1592,   323,  1732,   777,   451,
    1057,   911,   613,  1520,  1687,   790,  1733,  1734,  1708,   108,
     778,   779,   780,   781,   692,   765,   782,  1201,   766,   767,
    1059,  1079,     0,  -812,  -812,  -812,     0,   768,     0,     0,
     769,     0,     0,  -502,     0,     0,  1080,     0,     0,     0,
       0,     0,     0,   770,   771,   772,   773,     0,     0,     0,
    -812,     0,     0,     0,  1813,     0,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,  1081,    -8,   783,   784,   785,     0,     0,
       0,     0,     0,   246,   247,     0,     0,   786,     0,     0,
       0,     0,  1082,     0,     0,   774,   775,     0,  1842,   763,
       0,   764,     0,     0,   109,     0,     0,   110,   111,     0,
     112,     0,   150,   158,     0,     0,     0,     0,     0,     0,
     113,     0,     0,     0,   776,     0,     0,     0,   777,   114,
     115,   116,   151,   159,   152,   160,     0,     0,     0,     0,
     778,   779,   780,   781,     0,   765,   782,     0,   766,   767,
     117,   153,   161,  -812,  -812,  -812,     0,   768,     0,     0,
     769,     0,     0,     0,     0,  1083,  1084,  1085,  1086,  1087,
    1088,  1089,     0,   770,   771,   772,   773,     0,     0,     0,
    -812,     0,     0,  1090,  1091,     0,     0,     0,  -842,     0,
       0,  1634,   427,     0,   788,   783,   784,   785,    -8,     0,
       0,     0,     0,     0,     0,     0,     0,   786,     0,     0,
       0,     0,     0,     0,     0,   774,   775,     0,   789,   763,
       0,   764,     0,   118,   119,   120,   121,   122,   123,   124,
       0,   125,     0,     0,     0,     2,   108,     0,     0,     0,
       0,     0,     0,     0,   776,     0,     0,     0,   777,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     778,   779,   780,   781,     0,   765,   782,     0,   766,   767,
       0,     0,     0,  -812,  -812,  -812,     0,   768,     0,     0,
     769,   676,   677,    -8,     0,     0,    -8,     0,     0,     0,
       0,     0,     0,   770,   771,   772,   773,     0,   678,    -8,
    -812,     0,     0,     0,     0,     0,     0,     0,    -8,    -8,
      -8,  1446,   427,     0,   788,   783,   784,   785,     0,     0,
       0,   109,     0,     0,   110,     0,     0,   786,     0,    -8,
       0,     0,     0,     0,     0,   774,   775,   113,   789,   763,
       0,   764,     0,     0,     0,     0,   114,   115,   116,     0,
       0,   494,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,     0,     0,   776,     0,     0,   117,   777,     0,
       0,     0,     0,     0,     0,     0,     0,   504,     0,     0,
     778,   779,   780,   781,   507,   765,   782,     0,   766,   767,
       0,     0,     0,  -812,  -812,  -812,     0,   768,     0,     0,
     769,     0,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,
      -8,     0,     0,   770,   771,   772,   773,     0,     0,     0,
    -812,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1446,   427,     0,   788,   783,   784,   785,     0,     0,
     118,   119,   120,   121,   122,   123,   124,   786,   125,     0,
       0,     0,     0,     0,     0,   774,   775,     0,   789,     0,
       0,     0,     0,   763,     0,   764,     0,     0,     0,     0,
     460,     0,   285,     0,     0,   187,   188,   286,   287,     0,
       0,     0,     0,     0,   776,     0,     0,     0,   777,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     778,   779,   780,   781,   288,   289,   782,     0,     0,   765,
       0,     0,   766,   767,     0,     0,     0,  -812,  -812,  -812,
       0,   768,     0,     0,   769,     0,     0,     0,     0,     0,
       0,     0,     0,     0,  1555,     0,     0,   770,   771,   772,
     773,   763,     0,   764,  -812,     0,     0,     0,     0,     0,
       0,   787,   427,     0,   788,   783,   784,   785,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   786,   285,     0,
       0,   187,   188,   286,   287,     0,     0,     0,   789,   774,
     775,     0,     0,     0,     0,     0,     0,   765,     0,     0,
     766,   767,     0,     0,     0,  -812,  -812,  -812,     0,   768,
     288,   289,   769,     0,     0,     0,     0,     0,   776,   290,
     291,   292,   777,     0,     0,   770,   771,   772,   773,     0,
       0,     0,  -812,     0,   778,   779,   780,   781,     0,     0,
     782,   293,   294,     0,     0,   295,   296,     0,     0,   297,
     298,   299,   300,   301,   302,   303,   304,   305,   306,   307,
     308,     0,     0,     0,     0,     0,     0,   774,   775,   513,
     514,   515,   516,   517,   518,   519,   520,     0,     0,     0,
       0,   787,   427,     0,   788,     0,     0,     0,     0,   783,
     784,   785,     0,   988,     0,     0,   776,     0,     0,     0,
     777,   786,     0,     0,     0,     0,     0,    77,   789,     0,
       0,     0,   778,   779,   780,   781,     0,     0,   782,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   293,   294,     0,
       0,   295,   296,     0,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   783,   784,   785,
     285,     0,     0,   187,   188,   286,   287,     0,     0,   786,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   477,
       0,   285,     0,     0,   187,   188,   286,   287,     0,     0,
       0,     0,   288,   289,     0,  1348,   427,     0,   788,     0,
     314,   290,   291,   292,  1558,   315,   285,     0,     0,   187,
     188,   286,   287,   288,   289,     0,     0,     0,    78,     0,
       0,     0,   789,     0,    79,    80,     0,     0,     0,     0,
       0,     0,    81,    82,    83,    84,    85,     0,   288,   289,
      86,     0,     0,     0,    87,    88,     0,   290,   291,   292,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,  1473,     0,     0,     0,     0,     0,  -844,
       0,     0,     0,     0,   427,  1005,   788,     0,     0,     0,
       0,     0,   309,   310,   311,     0,     0,   312,   313,     0,
       0,     0,     0,     0,     0,     0,   314,     0,     0,   427,
     789,   315,     0,     0,    89,   316,   317,     0,    90,     0,
       0,     0,     0,     0,     0,     0,     0,     0,    45,   293,
     294,     0,     0,   295,   296,   989,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,     0,
     293,   294,     0,     0,   295,   296,     0,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,     0,     0,     0,     0,   293,   294,     0,     0,   295,
     296,     0,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,  1721,     0,   285,     0,     0,
     187,   188,   286,   287,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   479,     0,   285,     0,     0,
     187,   188,   286,   287,     0,     0,     0,     0,     0,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,   285,     0,     0,   187,   188,   286,   287,     0,   288,
     289,     0,     0,     0,  1722,     0,     0,     0,     0,     0,
    -844,  1472,     0,   285,     0,     0,   187,   188,   286,   287,
       0,     0,     0,   288,   289,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   309,   310,   311,     0,     0,   312,
     313,     0,     0,     0,     0,   288,   289,     0,   314,     0,
       0,   427,     0,   315,   290,   291,   292,   316,   317,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   314,
    1473,     0,     0,     0,   315,     0,     0,   989,     0,  -219,
     309,   310,   311,     0,     0,   312,   313,     0,     0,     0,
       0,     0,  -219,     0,   314,     0,     0,     0,     0,   315,
       0,     0,     0,   316,   317,     0,   293,   294,     0,     0,
     295,   296,     0,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   293,   294,     0,     0,
     295,   296,     0,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,     0,     0,     0,
     293,   294,     0,     0,   295,   296,     0,     0,   297,   298,
     299,   300,   301,   302,   303,   304,   305,   306,   307,   308,
       0,     0,   293,   294,     0,    77,   295,   296,     0,     0,
     297,   298,   299,   300,   301,   302,   303,   304,   305,   306,
     307,   308,  1477,     0,   285,     0,     0,   187,   188,   286,
     287,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   481,     0,   285,   288,   289,   187,   188,
     286,   287,     0,     0,     0,   290,   291,   292,     0,     0,
       0,     0,     0,     0,     0,     0,     0,  1479,     0,   285,
       0,  1473,   187,   188,   286,   287,     0,   288,   289,     0,
    -219,   309,   310,   311,     0,     0,   312,   313,     0,     0,
       0,     0,     0,  -219,     0,   314,     0,     0,     0,     0,
     315,   288,   289,     0,   316,   317,     0,     0,     0,     0,
     290,   291,   292,     0,     0,   314,    78,     0,     0,     0,
     315,     0,    79,    80,     0,     0,  1473,     0,     0,     0,
      81,    82,    83,    84,    85,     0,     0,     0,    86,   314,
       0,     0,    87,    88,   315,     0,  -219,   309,   310,   311,
       0,     0,   312,   313,     0,     0,     0,     0,     0,  -219,
       0,   314,     0,     0,     0,     0,   315,     0,     0,     0,
     316,   317,     0,   293,   294,     0,     0,   295,   296,     0,
       0,   297,   298,   299,   300,   301,   302,   303,   304,   305,
     306,   307,   308,     0,     0,     0,     0,     0,     0,     0,
       0,     0,    89,     0,   293,   294,    90,     0,   295,   296,
       0,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,     0,     0,     0,     0,   293,   294,
       0,     0,   295,   296,     0,     0,   297,   298,   299,   300,
     301,   302,   303,   304,   305,   306,   307,   308,  1721,     0,
     285,     0,     0,   187,   188,   286,   287,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   979,     0,
     285,     0,     0,   187,   188,   286,   287,     0,     0,     0,
       0,     0,   288,   289,     0,     0,     0,     0,     0,     0,
       0,   290,   291,   292,     0,     0,     0,     0,     0,     0,
       0,     0,   288,   289,     0,     0,     0,  1722,     0,     0,
       0,   290,   291,   292,   734,     0,  -837,     0,     0,  -837,
    -837,  -837,  -837,     0,     0,     0,     0,  -219,   309,   310,
     311,     0,     0,   312,   313,     0,     0,     0,     0,     0,
    -219,     0,   314,     0,     0,     0,     0,   315,  -837,  -837,
       0,   316,   317,     0,     0,     0,     0,  -837,  -837,  -837,
       0,     0,     0,     0,   980,     0,     0,     0,     0,     0,
       0,     0,     0,   314,   981,     0,     0,     0,   315,     0,
       0,     0,  -219,   309,   310,   311,     0,     0,   312,   313,
       0,     0,     0,     0,     0,  -219,     0,   314,     0,     0,
       0,     0,   315,     0,     0,     0,   316,   317,     0,   293,
     294,     0,     0,   295,   296,     0,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,   293,
     294,     0,     0,   295,   296,     0,     0,   297,   298,   299,
     300,   301,   302,   303,   304,   305,   306,   307,   308,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  -837,  -837,     0,     0,  -837,
    -837,     0,     0,  -837,  -837,  -837,  -837,  -837,  -837,  -837,
    -837,  -837,  -837,  -837,  -837,   969,     0,   285,     0,     0,
     187,   188,   286,   287,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,  1136,     0,   285,     0,     0,
     187,   188,   286,   287,     0,     0,     0,     0,     0,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,     0,     0,     0,     0,     0,   483,     0,   285,   288,
     289,   187,   188,   286,   287,     0,     0,     0,   290,   291,
     292,     0,     0,  -219,   309,   310,   311,     0,     0,   312,
     313,     0,     0,     0,     0,     0,  -219,     0,   314,     0,
     288,   289,     0,   315,   309,   310,   311,   316,   317,   312,
     313,     0,     0,     0,  1353,     0,   285,     0,   314,   187,
     188,   286,   287,   315,     0,     0,     0,   316,   317,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   288,   289,
    -837,  -837,  -837,     0,     0,  -837,  -837,   290,   291,   292,
       0,     0,     0,     0,  -837,   735,     0,     0,     0,  -837,
       0,     0,     0,  -837,  -837,     0,   293,   294,     0,     0,
     295,   296,     0,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   293,   294,     0,     0,
     295,   296,     0,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   285,     0,     0,
     187,   188,   286,   287,     0,     0,     0,   293,   294,     0,
       0,   295,   296,     0,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,     0,     0,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   293,   294,     0,     0,   295,
     296,     0,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,     0,     0,   285,     0,     0,
     187,   188,   286,   287,     0,     0,     0,     0,     0,     0,
       0,   980,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   981,     0,     0,     0,     0,     0,     0,     0,   288,
     289,   309,   310,   311,     0,     0,   312,   313,   290,   291,
     292,     0,     0,     0,     0,   314,     0,     0,     0,     0,
     315,   309,   310,   311,   316,   317,   312,   313,     0,     0,
       0,     0,     0,     0,     0,   314,     0,     0,     0,     0,
     315,     0,     0,     0,   316,   317,   293,   294,     0,     0,
     295,   296,     0,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   314,     0,     0,     0,
       0,   315,     0,     0,     0,   285,     0,     0,   187,   188,
     286,   287,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     309,   310,   311,     0,     0,   312,   313,   288,   289,     0,
       0,     0,     0,     0,   314,     0,   290,   291,   292,   315,
       0,     0,     0,   316,   317,     0,   293,   294,     0,     0,
     295,   296,     0,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,     0,   285,     0,     0,
     187,   188,   286,   287,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   485,     0,   285,     0,     0,
     187,   188,   286,   287,     0,     0,     0,     0,     0,   288,
     289,     0,     0,     0,     0,     0,     0,     0,   290,   291,
     292,     0,     0,     0,     0,     0,     0,     0,     0,   288,
     289,   309,   310,   311,     0,     0,   312,   313,     0,     0,
       0,     0,     0,     0,     0,   314,     0,     0,     0,     0,
     315,     0,     0,     0,   316,   317,     0,     0,     0,     0,
       0,     0,     0,     0,   293,   294,     0,     0,   295,   296,
       0,     0,   297,   298,   299,   300,   301,   302,   303,   304,
     305,   306,   307,   308,   490,     0,   285,     0,     0,   187,
     188,   286,   287,     0,     0,     0,     0,     0,   494,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,     0,
       0,   309,   310,   311,     0,     0,   312,   313,   288,   289,
       0,     0,     0,     0,   504,   314,  1674,     0,     0,     0,
     315,   507,   508,   509,   316,   317,   293,   294,     0,     0,
     295,   296,     0,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   293,   294,     0,     0,
     295,   296,     0,     0,   297,   298,   299,   300,   301,   302,
     303,   304,   305,   306,   307,   308,   492,     0,   285,     0,
       0,   187,   188,   286,   287,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     288,   289,     0,     0,     0,     0,     0,     0,     0,   309,
     310,   311,     0,     0,   312,   313,     0,     0,     0,     0,
       0,     0,     0,   314,     0,     0,     0,     0,   315,     0,
       0,     0,   316,   317,     0,   293,   294,     0,     0,   295,
     296,     0,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,     0,   285,     0,     0,   187,
     188,   286,   287,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   309,   310,   311,     0,     0,   312,   313,   288,   289,
     358,   359,     0,   360,   361,  1685,     0,   362,     0,   363,
     315,     0,     0,     0,   316,   317,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   314,   364,     0,     0,     0,
     315,   365,   366,   367,   368,   369,     0,   293,   294,     0,
       0,   295,   296,     0,     0,   297,   298,   299,   300,   301,
     302,   303,   304,   305,   306,   307,   308,     0,   494,   495,
    1606,   496,   497,   498,   499,   500,   501,   502,   503,     0,
    1607,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   504,   759,   760,     0,     0,   505,
     506,   507,   508,   509,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   314,     0,     0,     0,     0,   315,
       0,     0,     0,     0,     0,   293,   294,     0,     0,   295,
     296,     0,     0,   297,   298,   299,   300,   301,   302,   303,
     304,   305,   306,   307,   308,   494,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,   358,   359,     0,   360,
     361,     0,     0,   362,     0,   363,     0,     0,     0,     0,
       0,   504,     0,     0,     0,     0,   505,   506,   507,   508,
     509,     0,   364,     0,     0,     0,     0,   365,   366,   367,
     368,   369,   358,   359,     0,   360,   361,     0,     0,   362,
       0,   363,     0,     0,     0,     0,   314,     0,     0,     0,
       0,   315,     0,     0,     0,     0,     0,     0,   364,     0,
       0,     0,     0,   365,   366,   367,   368,   369,   358,   359,
       0,   360,   361,     0,     0,   362,     0,   363,     0,     0,
     494,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,     0,     0,     0,   364,     0,     0,     0,     0,   365,
     366,   367,   368,   369,     0,     0,   504,     0,     0,     0,
       0,   505,   506,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   314,     0,     0,     0,     0,   315,
       0,     0,     0,     0,     0,     0,   371,   372,   373,   374,
     375,   376,   377,   378,   379,   380,     0,     0,  1780,     0,
       0,     0,     0,     0,     0,     0,   494,   495,   689,   496,
     497,   498,   499,   500,   501,   502,   503,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   504,     0,     0,     0,     0,   505,   506,   507,
     508,   509,   510,   761,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   494,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   762,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     504,     0,     0,     0,     0,   505,   506,   507,   508,   509,
     494,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   504,     0,     0,     0,
       0,   505,   506,   507,   508,   509,     0,     0,     0,   510,
       0,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,     0,   950,     0,     0,     0,     0,     0,     0,
       0,     0,   494,   495,   802,   496,   497,   498,   499,   500,
     501,   502,   503,     0,     0,     0,     0,     0,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   504,     0,
       0,     0,     0,   505,   506,   507,   508,   509,     0,     0,
     948,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,   510,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   949,     0,     0,     0,
       0,     0,     0,   494,   495,   637,   496,   497,   498,   499,
     500,   501,   502,   503,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   504,
       0,     0,     0,     0,   505,   506,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   494,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,     0,     0,     0,
     510,     0,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,   504,     0,  1781,     0,     0,   505,   506,   507,
     508,   509,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,   494,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   510,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
       0,     0,   504,     0,     0,     0,  1125,   505,   506,   507,
     508,   509,   494,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,     0,   510,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,     0,     0,   504,     0,
       0,     0,  1271,   505,   506,   507,   508,   509,   494,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   504,     0,     0,     0,     0,   505,
     506,   507,   508,   509,   494,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   510,     0,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,     0,     0,
     504,     0,     0,     0,  1272,   505,   506,   507,   508,   509,
     494,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,     0,     0,     0,     0,     0,     0,     0,   358,   359,
       0,   360,   361,     0,     0,   362,   504,   363,     0,     0,
       0,   505,   506,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,     0,   364,     0,     0,     0,     0,   365,
     366,   367,   368,   369,     0,     0,     0,   510,     0,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,     0,
       0,     0,     0,   494,   495,  1274,   496,   497,   498,   499,
     500,   501,   502,   503,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   504,
       0,     0,     0,     0,   505,   506,   507,   508,   509,     0,
     510,     0,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,     0,     0,     0,     0,     0,     0,  1275,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   494,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,     0,
     510,     0,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,     0,     0,   504,     0,     0,     0,  1347,   505,
     506,   507,   508,   509,   494,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,     0,   510,     0,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,     0,     0,
     504,     0,     0,     0,  1361,   505,   506,   507,   508,   509,
     494,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,     0,   510,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,     0,     0,   504,     0,     0,     0,
    1450,   505,   506,   507,   508,   509,   494,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,     0,   510,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
       0,     0,   504,     0,     0,     0,  1642,   505,   506,   507,
     508,   509,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   510,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,     0,     0,     0,     0,
       0,     0,  1643,     0,   371,   372,   373,   374,   375,   376,
     377,   378,   379,   380,     0,     0,     0,     0,   494,   495,
    1726,   496,   497,   498,   499,   500,   501,   502,   503,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   504,     0,     0,     0,     0,   505,
     506,   507,   508,   509,     0,     0,     0,   510,     0,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,     0,
       0,  1776,   494,   495,   636,   496,   497,   498,   499,   500,
     501,   502,   503,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,   504,     0,
       0,     0,     0,   505,   506,   507,   508,   509,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   494,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
       0,     0,   510,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,     0,   504,  1786,     0,     0,  1787,
     505,   506,   507,   508,   509,   494,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,     0,     0,   510,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
       0,   504,     0,     0,     0,   636,   505,   506,   507,   508,
     509,   494,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,     0,     0,   510,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,     0,   504,     0,     0,
       0,   753,   505,   506,   507,   508,   509,   494,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,     0,     0,
     510,     0,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,     0,   504,     0,     0,     0,   754,   505,   506,
     507,   508,   509,   494,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   504,
       0,     0,     0,     0,   505,   506,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   494,
     495,     0,   496,   497,   498,   499,   500,   501,   502,   503,
       0,     0,   510,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,     0,   504,     0,     0,     0,  1104,
     505,   506,   507,   508,   509,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,   494,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,     0,     0,   510,     0,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,     0,   504,
       0,     0,     0,  1105,   505,   506,   507,   508,   509,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     494,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,     0,     0,   510,     0,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,     0,   504,     0,     0,     0,
    1107,   505,   506,   507,   508,   509,   494,   495,     0,   496,
     497,   498,   499,   500,   501,   502,   503,     0,     0,   510,
       0,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,     0,   504,     0,     0,     0,  1276,   505,   506,   507,
     508,   509,   494,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,     0,     0,   510,     0,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,     0,   504,     0,
       0,     0,  1277,   505,   506,   507,   508,   509,   494,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,     0,
       0,   510,     0,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,     0,   504,     0,     0,     0,  1278,   505,
     506,   507,   508,   509,   494,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,     0,     0,   510,     0,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,     0,
     504,     0,     0,     0,  1280,   505,   506,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     494,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,     0,     0,   510,     0,   511,   512,   513,   514,   515,
     516,   517,   518,   519,   520,     0,   504,     0,     0,     0,
    1372,   505,   506,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   494,   495,     0,   496,   497,   498,
     499,   500,   501,   502,   503,     0,     0,   510,     0,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,     0,
     504,     0,     0,     0,  1373,   505,   506,   507,   508,   509,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   494,   495,     0,   496,   497,   498,   499,   500,   501,
     502,   503,     0,     0,   510,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,     0,   504,     0,     0,
       0,  1550,   505,   506,   507,   508,   509,   494,   495,     0,
     496,   497,   498,   499,   500,   501,   502,   503,     0,     0,
     510,     0,   511,   512,   513,   514,   515,   516,   517,   518,
     519,   520,     0,   504,     0,     0,     0,  1683,   505,   506,
     507,   508,   509,   494,   495,     0,   496,   497,   498,   499,
     500,   501,   502,   503,     0,     0,   510,     0,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,     0,   504,
       0,     0,     0,  1729,   505,   506,   507,   508,   509,   358,
     359,     0,   360,   361,     0,     0,   362,     0,   363,     0,
       0,     0,   510,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,     0,   364,     0,     0,     0,  1798,
     365,   366,   367,   368,   369,   358,   359,     0,   360,   361,
       0,     0,   362,     0,   363,     0,     0,     0,   510,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
       0,   364,     0,     0,     0,  1799,   365,   366,   367,   368,
     369,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   358,   359,     0,   360,   361,     0,     0,   362,     0,
     363,     0,     0,     0,   510,     0,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,     0,   364,     0,     0,
       0,  1839,   365,   366,   367,   368,   369,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   494,   495,     0,   496,   497,
     498,   499,   500,   501,   502,   503,     0,     0,   510,     0,
     511,   512,   513,   514,   515,   516,   517,   518,   519,   520,
       0,   504,     0,     0,     0,  1875,   505,   506,   507,   508,
     509,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,   510,     0,   511,   512,   513,
     514,   515,   516,   517,   518,   519,   520,     0,     0,     0,
       0,     0,  1876,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   510,     0,   511,   512,   513,   514,   515,   516,   517,
     518,   519,   520,     0,     0,     0,     0,     0,  1877,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   510,     0,   511,
     512,   513,   514,   515,   516,   517,   518,   519,   520,     0,
       0,     0,     0,     0,  1878,     0,     0,     0,     0,     0,
     494,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,     0,     0,     0,     0,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,     0,   504,     0,     0,     0,
     536,   505,   506,   507,   508,   509,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,     0,     0,     0,     0,     0,  1571,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   494,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,     0,     0,     0,     0,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,     0,   504,     0,
       0,     0,  1588,   505,   506,   507,   508,   509,     0,     0,
       0,   924,     0,    -8,    -8,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   510,
       0,   511,   512,   513,   514,   515,   516,   517,   518,   519,
     520,     2,     0,  1846,     0,     0,     0,     0,    -8,    -8,
      -8,  1150,    -8,    -8,    -8,  1151,     0,     0,    -8,     0,
       0,    -8,     0,     0,     0,  -300,     0,     0,     0,     0,
       0,     0,     0,     0,    -8,  1152,     0,     0,     0,    -8,
       0,     0,  1153,   925,     0,   926,    -8,    -8,    -8,    -8,
       0,     0,    -8,     0,     0,     0,    -8,     0,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,     0,     0,
       0,    -8,    -8,    -8,    -8,    -8,    -8,     0,     0,    -8,
      -8,    -8,    -8,    -8,     0,     0,     0,    -8,     0,     0,
       0,    -8,    -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,     0,     0,    -8,     0,     0,
       0,    -8,    -8,    -8,    -8,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     494,   495,     0,   496,   497,   498,   499,   500,   501,   502,
     503,     0,     0,     0,   510,   756,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   504,     0,     0,     0,
       0,   505,   506,   507,   508,   509,     0,     0,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,     0,
      -8,    -8,    -8,    -8,     0,    -8,     0,     0,     0,     0,
       0,    -8,     0,     0,    -8,     0,     0,    -8,     0,    -8,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   494,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,     0,     0,     0,   510,  1735,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   504,     0,
       0,     0,     0,   505,   506,   507,   508,   509,   494,   495,
       0,   496,   497,   498,   499,   500,   501,   502,   503,   358,
     359,     0,   360,   361,     0,     0,   362,     0,   363,     0,
       0,     0,     0,   927,   504,     0,  1288,     0,     0,     0,
     506,   507,   508,   509,     0,   364,     0,     0,     0,     0,
     365,   366,   367,   368,   369,   358,   359,     0,   360,   361,
       0,     0,   362,     0,   363,     0,   358,   359,     0,   360,
     361,     0,     0,   362,     0,   363,     0,     0,     0,     0,
       0,   364,     0,     0,     0,     0,   365,   366,   367,   368,
     369,     0,   364,     0,     0,     0,     0,   365,   366,   367,
     368,   369,   494,   495,     0,   496,   497,   498,   499,   500,
     501,   502,   503,   358,   359,     0,   360,   361,     0,     0,
     362,     0,   363,     0,     0,     0,     0,     0,   504,     0,
       0,     0,     0,    -8,     0,   507,   508,   509,     0,   364,
       0,     0,     0,     0,   365,   366,   367,   368,   369,   358,
     359,     0,   360,   361,     0,     0,   362,     0,   363,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       2,     0,     0,     0,     0,   364,     0,     0,     0,     0,
     365,   366,   367,   368,   369,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   510,  1810,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   358,   359,     0,   360,
     361,     0,     0,   362,     0,   363,   358,   359,    -8,   360,
     361,    -8,     0,   362,     0,   363,     0,     0,     0,     0,
       0,     0,   364,     0,    -8,     0,     0,   365,   366,   367,
     368,   369,   364,    -8,    -8,    -8,     0,     0,     0,   367,
     368,   369,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1206,  1341,     0,    -8,     0,     0,     0,  1207,     0,
    1208,     0,  1209,     0,     0,     0,   510,     0,   511,   512,
     513,   514,   515,   516,   517,   518,   519,   520,  1210,  1211,
    1212,  1213,  1214,  1215,  1216,  1217,  1218,  1219,  1220,  1221,
    1222,  1223,  1224,  1225,  1226,  1227,     0,     0,     0,     0,
       0,     0,     0,     0,   511,   512,   513,   514,   515,   516,
     517,   518,   519,   520,   370,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,     0,     0,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,     0,    -8,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     560,   371,   372,   373,   374,   375,   376,   377,   378,   379,
     380,   603,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,   512,
     513,   514,   515,   516,   517,   518,   519,   520,   825,   371,
     372,   373,   374,   375,   376,   377,   378,   379,   380,     0,
       0,     0,     0,     0,     0,     0,     0,     0,  1206,  1436,
       0,     0,     0,     0,     0,  1207,     0,  1208,     0,  1209,
       0,     0,     0,     0,  1283,   371,   372,   373,   374,   375,
     376,   377,   378,   379,   380,  1210,  1211,  1212,  1213,  1214,
    1215,  1216,  1217,  1218,  1219,  1220,  1221,  1222,  1223,  1224,
    1225,  1226,  1227,     0,     0,     0,     0,     0,     0,     0,
       0,    -3,     1,     0,     0,    -8,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   371,   372,   373,   374,   375,   376,   377,   378,
     379,   380,     0,   372,   373,   374,   375,   376,   377,   378,
     379,   380,     2,     0,     0,     0,     0,     0,     0,     0,
       3,     0,     0,     4,     5,     6,     0,     0,     0,     7,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     8,     0,     0,     0,     0,
       9,     0,     0,     0,     0,     0,     0,     0,     0,     0,
      -8,     0,     0,    -8,    -8,     0,    -8,    10,     0,    11,
      12,    13,    14,    15,    16,     0,    -8,    17,     0,    18,
       0,     0,    19,    20,    21,    -8,    -8,    -8,     0,     0,
      22,    23,    24,    25,    26,     0,     0,     0,     0,     0,
       0,     0,    27,    28,     0,    29,    -8,    30,    31,    32,
      33,    34,    35,    36,    37,    38,    -2,     1,    39,     0,
      -8,     0,    40,    41,    42,    43,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     2,     0,     0,
       0,     0,     0,     0,     0,     3,     0,     0,     4,     5,
       6,     0,     0,     0,     7,     0,     0,     0,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,
       8,     0,     0,     0,    44,     9,    45,     0,     0,     0,
       0,     0,     0,     0,     0,    -8,     0,     0,    -8,    -8,
       0,    -8,    10,     0,    11,    12,    13,    14,    15,    16,
       0,    -8,    17,     0,    18,     0,     0,    19,    20,    21,
      -8,    -8,    -8,     0,     0,    22,    23,    24,    25,    26,
       0,     0,     0,     0,     0,     0,     0,    27,    28,     0,
      29,    -8,    30,    31,    32,    33,    34,    35,    36,    37,
      38,     0,     0,    39,     0,     0,     0,    40,    41,    42,
      43,     0,     0,     0,  1206,     0,     0,     0,     0,     0,
       0,  1207,  1437,  1208,    46,  1209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   924,     0,    -8,
      -8,  1438,  1439,  1440,  1213,  1214,  1215,  1216,  1217,  1218,
    1219,  1220,  1221,  1222,  1223,  1224,  1225,  1226,  1227,     0,
       0,     0,     0,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,    -8,     0,     0,     0,     0,     2,     0,    44,
       0,    45,     0,     0,    -8,    -8,    -8,  1150,    -8,    -8,
      -8,  1151,     0,     0,    -8,     0,     0,    -8,     0,     0,
       0,  -299,     0,     0,     0,     0,     0,     0,     0,     0,
      -8,  1152,     0,     0,     0,    -8,     0,     0,  1153,   925,
    -299,   926,    -8,    -8,    -8,    -8,     0,     0,    -8,     0,
       0,     0,    -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,     0,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,    -8,     0,     0,    -8,    -8,    -8,    -8,    -8,
       0,     0,     0,    -8,     0,     0,     0,    -8,    -8,    46,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,     0,    -8,  1206,  1443,     0,    -8,    -8,    -8,
      -8,  1207,     0,  1208,     0,  1209,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,  1210,  1211,  1212,  1213,  1214,  1215,  1216,  1217,  1218,
    1219,  1220,  1221,  1222,  1223,  1224,  1225,  1226,  1227,     0,
       0,     0,   924,     0,    -8,    -8,     0,     0,     0,     0,
       0,     0,     0,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,    -8,     0,     0,     0,    -8,    -8,    -8,    -8,
       0,    -8,     0,     0,     0,     0,     0,    -8,     0,     0,
      -8,     0,     2,    -8,     0,    -8,     0,     0,     0,    -8,
      -8,    -8,  1150,    -8,    -8,    -8,  1151,     0,     0,    -8,
       0,     0,    -8,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    -8,  1152,     0,     0,     0,
      -8,     0,     0,  1153,   925,  -300,   926,    -8,    -8,    -8,
      -8,     0,     0,    -8,     0,     0,     0,    -8,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,     0,
       0,     0,    -8,    -8,    -8,    -8,    -8,    -8,     0,   927,
      -8,    -8,    -8,    -8,    -8,     0,     0,     0,    -8,     0,
       0,     0,    -8,    -8,     0,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,     0,    -8,  1206,
       0,     0,    -8,    -8,    -8,    -8,  1207,     0,  1208,     0,
    1209,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,  1210,  1211,  1212,  1213,
    1214,  1215,  1216,  1217,  1218,  1219,  1220,  1221,  1222,  1223,
    1224,  1225,  1226,  1227,     0,     0,     0,   924,     0,    -8,
      -8,     0,     0,     0,     0,     0,     0,     0,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,
       0,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,     0,
       0,     0,    -8,     0,     0,    -8,     0,     2,    -8,     0,
      -8,     0,     0,     0,    -8,    -8,    -8,  1150,    -8,    -8,
      -8,  1151,     0,     0,    -8,     0,     0,    -8,     0,     0,
       0,  -300,     0,     0,     0,     0,     0,     0,     0,     0,
      -8,  1152,     0,     0,     0,    -8,     0,     0,  1153,   925,
       0,   926,    -8,    -8,    -8,    -8,     0,     0,    -8,     0,
       0,     0,    -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,     0,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,    -8,     0,   927,    -8,    -8,    -8,    -8,    -8,
       0,     0,     0,    -8,     0,     0,     0,    -8,    -8,     0,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,     0,    -8,     0,     0,     0,    -8,    -8,    -8,
      -8,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   924,     0,    -8,    -8,     0,     0,     0,     0,
       0,     0,     0,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,    -8,     0,     0,     0,    -8,    -8,    -8,    -8,
       0,    -8,     0,     0,     0,     0,     0,    -8,     0,     0,
      -8,     0,     2,    -8,     0,    -8,     0,     0,     0,    -8,
      -8,    -8,  1150,    -8,    -8,    -8,  1151,     0,     0,    -8,
       0,     0,    -8,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,    -8,  1152,     0,     0,     0,
      -8,     0,     0,  1153,   925,     0,   926,    -8,    -8,    -8,
      -8,     0,     0,    -8,     0,     0,     0,    -8,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,     0,
       0,     0,    -8,    -8,    -8,    -8,    -8,    -8,     0,   927,
      -8,    -8,    -8,    -8,    -8,     0,     0,     0,    -8,     0,
       0,     0,    -8,    -8,     0,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,     0,    -8,     0,
       0,     0,    -8,    -8,    -8,    -8,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,   924,     0,    -8,
      -8,     0,     0,     0,     0,     0,     0,     0,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,
       0,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,     0,
       0,     0,    -8,     0,     0,    -8,     0,     2,    -8,     0,
      -8,     0,     0,     0,    -8,    -8,    -8,     0,    -8,    -8,
      -8,     0,     0,     0,    -8,     0,     0,    -8,     0,     0,
       0,     0,     0,     0,  -320,     0,     0,     0,     0,     0,
      -8,     0,     0,     0,     0,    -8,     0,     0,     0,   925,
       0,   926,    -8,    -8,    -8,    -8,     0,     0,    -8,     0,
       0,     0,    -8,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,     0,     0,     0,     0,    -8,    -8,    -8,
      -8,    -8,    -8,     0,   927,    -8,    -8,    -8,    -8,    -8,
       0,     0,     0,    -8,     0,     0,     0,    -8,    -8,     0,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,     0,    -8,     0,     0,     0,    -8,    -8,    -8,
      -8,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,   924,     0,    -8,    -8,     0,     0,     0,     0,
       0,     0,     0,     0,    -8,    -8,    -8,    -8,    -8,    -8,
      -8,     0,    -8,     0,     0,     0,    -8,    -8,    -8,    -8,
       0,    -8,     0,     0,     0,     0,     0,    -8,     0,     0,
      -8,     0,     2,    -8,     0,    -8,     0,     0,     0,    -8,
      -8,    -8,     0,    -8,    -8,    -8,     0,     0,     0,    -8,
       0,     0,    -8,     0,     0,     0,     0,     0,     0,  -319,
       0,     0,     0,     0,     0,    -8,     0,     0,     0,     0,
      -8,     0,     0,     0,   925,     0,   926,    -8,    -8,    -8,
      -8,     0,     0,    -8,     0,     0,     0,    -8,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,    -8,    -8,     0,     0,
       0,     0,    -8,    -8,    -8,    -8,    -8,    -8,     0,   927,
      -8,    -8,    -8,    -8,    -8,     0,     0,     0,    -8,     0,
       0,     0,    -8,    -8,     0,    -8,    -8,    -8,    -8,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,     0,    -8,     0,
       0,     0,    -8,    -8,    -8,    -8,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,  1034,
    1035,     0,     0,     0,     0,     0,     0,     0,     0,    -8,
      -8,    -8,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,
       0,    -8,    -8,    -8,    -8,     0,    -8,     0,     0,     0,
       0,     0,    -8,     0,     0,    -8,     0,     0,    -8,     0,
      -8,     0,     0,     0,  1036,     3,  1037,     0,     4,     5,
       6,     0,     0,     0,     7,     0,     0,  1038,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
    1039,     0,     0,     0,     0,  1040,     0,     0,     0,     0,
       0,     0,  1041,   676,   677,   109,     0,     0,   110,     0,
       0,     0,    10,     0,    11,    12,    13,    14,    15,    16,
    1042,   113,    17,     0,     0,     0,     0,  1043,  1044,    21,
     114,   115,   116,     0,   927,    22,    23,    24,    25,    26,
       0,     0,     0,  1045,     0,     0,     0,    27,    28,     0,
    1046,   117,    30,    31,    32,    33,    34,    35,    36,    37,
    1047,     0,     0,    39,     0,     0,     0,    40,    41,    42,
      43,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
       0,     0,     0,     0,   118,   119,   120,   121,   122,   123,
     124,     0,   125,     0,     0,     0,  1048,  1049,  1050,    44,
       0,    45,     0,     0,     0,     0,     0,  1051,     0,     0,
    1052,     0,     0,  1053,     0,  1054
};

static const yytype_int16 yycheck[] =
{
       0,     0,    20,   155,    55,    75,   830,   427,    55,    67,
     155,   251,     3,   290,   291,   292,    29,    44,     3,    35,
      36,    91,    41,   529,    94,   330,    96,   986,    98,    68,
     335,   700,   309,   310,   311,   312,   313,    55,   886,   316,
     317,    90,   255,  1150,   454,   455,    40,   620,   621,    49,
      49,    71,  1357,   901,   386,     1,   388,     3,     1,   129,
       3,   103,     3,   148,   788,     6,     1,     8,     3,   902,
     903,   224,     1,   226,     3,   250,   251,     1,   410,     3,
     412,     3,     3,   134,   416,     3,   418,   145,   420,  1153,
     830,     1,     3,     3,     3,  1170,   125,   250,   205,   169,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
       3,     3,   618,   619,     3,   133,   134,   450,   928,     4,
     860,   333,   815,     3,    37,     3,     1,     3,     3,   814,
     282,   772,     3,     3,    41,   875,   963,   282,     1,     3,
     331,     3,   125,     6,   785,   978,     3,   338,    41,   976,
      40,   221,     1,     3,   795,   796,     3,   228,   228,  1155,
       3,     3,   232,   315,     6,     3,     8,     3,   238,   314,
     315,     3,     3,   822,     6,     6,     8,     8,   316,   125,
       3,    88,  1009,  1010,    41,    54,   215,    35,    36,    91,
     125,   329,    94,    38,    39,    64,   125,   329,   283,     6,
       7,   125,  1812,   316,    89,   337,  1816,  1817,  1818,   267,
      79,    80,    81,    82,    83,    84,    85,    86,    87,    88,
      89,   334,    71,    37,   126,  1449,  1450,   316,   335,   953,
     954,   116,   215,    37,  1309,   928,    13,     1,   879,     3,
     329,   259,  1547,   575,   113,    22,  1056,   116,   580,   118,
     125,   583,   121,  1863,   465,   466,   467,   468,   469,   470,
     471,   472,   473,   474,    37,   336,   284,   316,     1,   215,
       3,   330,  1306,     6,     7,     8,  1235,  1236,   182,   338,
     215,   930,   105,   616,   330,    13,   215,   329,  1115,  1323,
     332,   215,   338,    88,    22,   440,  1036,   329,   331,   102,
     452,  1041,   331,    87,    88,   337,   324,   452,   881,   104,
     329,    44,    45,    46,  1054,     0,    11,    12,   337,   389,
     104,   116,   338,    18,   209,    20,   211,   212,   213,   214,
     475,   476,    13,    97,   329,   329,  1021,  1022,   333,   324,
     215,    22,    37,   107,   335,   336,   331,   216,  1017,   494,
     495,   496,   497,   498,   499,   500,   501,   502,   503,   504,
     505,   506,   507,   508,   509,   510,   511,   512,   513,   514,
     515,   516,   517,   518,   519,   520,   521,   462,   463,   532,
     525,  1488,   527,   596,   423,   443,   425,   190,   191,   192,
     331,   604,   338,   336,   197,   198,   199,   200,   201,   202,
     203,   204,   422,   338,   424,   208,   739,   740,     3,   338,
       3,   324,   325,   326,   338,    10,   338,   338,   336,   335,
     331,   331,   338,  1256,   334,   600,   336,   336,   102,   162,
     163,   576,   329,   854,   167,   856,   329,   170,   859,   332,
     337,   862,   335,   336,   336,   334,    40,  1187,  1188,  1189,
     595,   331,   255,   338,   334,   331,   334,   331,   334,  1144,
     331,   331,     3,  1104,  1105,  1106,  1107,   331,   331,   331,
    1139,   316,     3,   883,     3,   620,   621,     6,     7,     8,
     986,   331,  1229,   331,   331,   637,  1233,   335,   331,   331,
     338,    67,   637,   331,     1,   331,     3,   331,  1238,   331,
     331,   329,   329,  1243,   338,   333,   333,   840,   322,   323,
     324,   325,   326,  1253,   331,  1255,   331,  1257,  1258,   577,
     324,   325,   326,   338,  1372,  1373,    70,   612,   202,   329,
       3,   531,   531,   333,   208,   329,  1363,  1364,  1365,  1366,
     329,   344,   345,   337,  1377,  1378,  1449,  1450,   337,   322,
     323,   324,   325,   326,   699,   358,   359,   360,   361,   362,
     363,   364,   365,   366,   367,   368,   369,   370,   371,   372,
     373,   374,   375,   376,   377,   378,   379,   380,   723,    55,
      56,    57,  1375,  1376,   317,   318,   319,   329,   338,   322,
     323,   736,     1,   329,     3,   337,   741,   333,   331,   329,
     329,   288,   289,   333,   333,   938,    82,   340,   341,   329,
    1350,   756,   757,   826,   684,   329,   761,   337,   125,   333,
     329,    89,  1362,     3,   333,   320,   321,   322,   323,   324,
     325,   326,   338,   162,   163,  1276,  1277,  1278,   167,  1280,
    1473,   170,  1119,  1120,   729,  1472,   114,   115,     3,  1476,
    1477,  1478,  1479,  1480,   323,     3,  1483,   329,    18,   804,
      20,   333,  1072,   874,     1,   329,     3,   135,   329,   333,
     344,   345,   333,   342,   343,   344,  1476,    37,  1478,   832,
    1480,   336,   682,   682,   358,   359,   360,   361,   362,   363,
     364,   365,   366,   367,   368,   369,   370,   371,   372,   373,
     374,   375,   376,   377,   378,   379,   380,   333,   215,   329,
    1379,   886,   332,   713,   329,     1,   125,   332,   863,   864,
     865,     1,  1555,     3,  1557,   877,   901,    10,   728,   728,
    1236,  1727,   877,  1566,    10,   880,   881,     1,   330,     3,
    1804,   886,   887,   888,   889,   890,   891,   892,   893,   894,
     895,   896,   897,   898,     3,   908,   901,   560,   561,   338,
     971,   972,   973,   974,   109,   322,   323,  1831,   329,  1833,
    1766,   332,   329,  1880,     3,  1108,  1109,  1110,  1111,   329,
      82,   866,   332,   868,   129,   870,   131,   872,   125,     1,
    1231,     3,   332,   596,   329,  1628,  1722,   331,   333,   333,
     603,   604,   331,   148,  1868,   332,   215,  1803,   329,  1805,
    1143,  1644,   333,   333,    18,    19,    20,    21,     1,   329,
       3,  1654,   332,    81,   329,    89,   128,   333,   333,   914,
     830,   830,  1164,    37,  1830,   980,   981,   332,  1764,  1765,
    1836,  1767,   332,  1769,   329,   125,   991,   992,   333,   332,
     114,   115,   110,   155,   156,   157,   158,   159,   160,   334,
     329,   125,  1007,  1008,   333,   935,  1011,  1012,  1013,  1014,
     338,   135,   130,   331,   132,   333,   333,   335,   215,  1032,
     338,    11,    12,   686,    14,    15,   560,   561,    18,   329,
      20,   149,   332,  1633,   329,  1635,  1636,   332,  1725,  1340,
    1341,   928,  1343,     1,    80,     3,    89,    37,  1732,    86,
       7,    88,   329,   125,    44,   331,   333,   333,   182,  1071,
     920,  1510,  1511,  1512,  1513,  1514,  1071,   104,  1073,   603,
    1571,   114,   115,   109,  1824,   215,  1826,   329,  1828,   116,
     329,   333,   125,   332,  1771,   329,  1016,   110,   331,   333,
     333,   215,   135,   129,  1099,   131,   759,   760,   329,   828,
       3,   332,   322,   323,   324,   325,   326,   130,     1,   132,
       3,     1,   148,     3,  1119,  1120,     6,     7,     8,  1124,
    1038,  1517,  1518,  1128,   119,   120,   149,   122,   123,   124,
    1037,   329,  1732,     1,   681,     3,   329,   329,   333,   182,
     333,   333,  1443,   215,     1,   329,  1057,   329,  1055,   333,
    1057,   333,   686,   329,    44,    45,    46,   333,   329,    69,
    1173,   332,   825,   826,   329,  1043,  1044,  1040,   333,   331,
     329,  1672,   215,  1046,   333,    69,   329,   329,    11,  1057,
     333,   333,   329,   912,   329,   333,   333,  1380,   333,  1202,
      23,    24,    25,    26,    27,    28,    29,    30,    31,    32,
      33,    34,    35,    36,   329,   333,    74,   329,   333,   329,
       1,   333,     3,   333,   338,  1075,  1075,  1147,   331,   329,
     333,    89,   769,   333,  1417,   759,   760,  1327,  1328,   329,
     329,   329,   329,   333,   333,   333,   333,  1182,  1617,  1618,
    1245,  1101,  1101,  1523,  1693,  1525,  1695,  1696,   116,  1698,
     329,   329,   333,   329,   333,   333,  1186,   333,   322,   323,
     324,   325,   326,     3,  1194,   335,  1196,   135,   338,   329,
     329,   329,   162,   163,   333,   333,   333,   167,   329,  1178,
     170,   329,   333,   830,   332,  1163,   330,   333,  1199,   333,
     329,   825,  1327,  1328,   333,   338,  1025,   329,   333,   329,
    1180,   333,  1307,   333,   329,   333,   333,   854,   333,   856,
     329,   333,   859,   860,  1327,   862,   333,   333,   329,  1249,
    1198,  1199,   333,  1713,  1714,  1715,  1055,  1056,   875,   319,
     320,   321,   322,   323,   324,   325,   326,   333,   329,   335,
     208,   209,   210,   211,   212,   213,   214,   329,   333,   329,
    1355,   333,  1282,   333,   333,   902,   903,  1020,   226,   227,
     329,   329,   329,     3,   333,   333,  1371,  1096,  1097,  1374,
    1375,  1376,  1509,  1510,  1511,  1512,  1513,  1514,   329,  1239,
    1239,   332,  1394,   329,  1314,     3,   332,   329,  1248,  1394,
     332,     3,     3,   329,  1399,  1313,   332,    74,   329,   329,
    1330,   332,   332,  1066,   329,     3,   329,   332,   125,   332,
     329,  1140,    89,   332,   131,   132,   329,  1430,   329,   332,
     329,   332,   139,   140,   141,   142,   143,   317,   318,   319,
     147,   978,   322,   323,   151,   152,     1,     9,     3,   116,
       3,   331,  1455,     6,     7,     8,  1175,   331,  1177,   329,
     340,   341,   332,   329,  1332,   330,   332,   329,   135,     1,
     332,     3,  1655,   333,   329,  1470,  1471,   332,  1197,  1606,
    1607,  1476,     1,  1478,     3,  1480,     1,   331,     3,  1616,
     331,    44,    45,    46,   331,     3,  1020,     5,  1501,  1036,
     331,  1038,   331,   331,  1041,   331,   331,   330,   215,  1504,
     331,   331,   190,   191,   192,   331,   331,  1054,   331,   197,
     198,   199,   200,   201,  1527,   203,   204,   331,  1247,     3,
    1533,   333,     3,   334,   330,   333,     3,  1457,  1406,  1407,
     333,   208,   209,   210,   211,   212,   213,   214,   331,     3,
     332,   329,  1487,     3,  1549,   330,   329,   331,   330,   226,
     227,   332,   332,   332,   332,   332,  1693,   332,  1695,  1696,
     332,  1698,   338,   240,     9,    11,    12,   330,    14,    15,
      16,    17,    18,    19,    20,    21,   329,    11,    12,   331,
      14,    15,   333,   332,    18,  1590,    20,     3,     3,   332,
     332,    37,  1452,   329,   333,   316,  1456,  1602,  1603,   162,
     163,  1606,  1607,    37,   167,     3,   331,   170,    42,    43,
      44,    45,    46,   331,  1751,   331,   331,   105,    11,    12,
    1283,    14,    15,  1170,   333,    18,  1639,    20,   333,  1634,
      11,    12,   332,    14,    15,   338,     3,    18,     3,    20,
    1187,  1188,  1189,   333,    37,  1657,   333,     3,   133,   332,
     332,   337,  1657,  1790,   229,  1792,    37,  1794,   333,  1796,
     316,  1854,    43,    44,    45,    46,  1526,  1526,   331,    73,
     331,   331,   331,  1678,   331,   116,   331,    68,   331,   333,
    1685,   332,  1755,   329,    70,   330,   333,  1692,   332,  1694,
       3,  1238,  1697,   330,    65,   333,  1243,   330,  1703,  1704,
      90,   333,   332,   332,   331,   331,  1253,  1637,  1255,  1256,
    1257,  1258,   232,  1725,   339,   238,   235,    67,   333,    65,
    1725,   295,   332,     3,  1387,   333,  1389,   329,   329,   333,
    1735,   150,  1737,  1738,   337,    84,   333,   332,   332,   332,
     329,    67,   229,    71,     1,     3,   333,    72,   330,  1283,
       3,   332,   332,   332,   317,   318,   319,    65,   331,   322,
     323,   332,  1309,   339,   331,   331,     9,   331,   331,    71,
     332,  1776,   333,   333,  1779,   332,  1721,   340,   341,  1784,
    1785,  1786,   335,  1788,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   333,   337,
     333,     3,   336,  1350,     1,  1810,     3,   333,   360,     6,
       7,     8,     9,   330,     3,  1362,    11,    12,   333,    14,
      15,  1681,  1681,    18,   333,    20,   333,     1,   332,     3,
    1377,  1378,     6,     7,     8,     9,   329,     3,    35,    36,
       3,  1846,    37,   333,   330,  1850,  1851,  1852,  1853,    44,
      45,    46,   331,  1387,   330,  1389,    11,    12,   331,   331,
     331,    35,    36,    18,    19,    20,    21,   333,   331,   331,
     331,    41,  1732,  1732,   320,   321,   322,   323,   324,   325,
     326,   333,    37,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,   333,   333,   333,   316,   333,   330,    66,
      64,     9,  1449,  1450,   339,   339,  1569,   333,   331,  1572,
    1573,  1574,  1575,  1576,  1577,  1578,  1579,  1580,  1581,  1582,
    1583,   333,   330,  1586,  1587,   330,  1473,   320,   321,   322,
     323,   324,   325,   326,     3,   332,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   338,    71,   332,   332,
     332,    66,  1499,   333,   316,    66,    66,    66,   332,    66,
      66,  1624,    64,  1626,    65,   162,   163,   333,   332,   166,
     167,   330,   314,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,   329,   329,     3,   162,   163,
     329,   329,   166,   167,   329,   329,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,  1555,   333,
    1557,   333,   331,   314,   314,   332,   339,   338,   316,  1566,
     329,   333,   333,   329,   329,   329,    73,   316,    66,     1,
     333,     3,     4,   332,   329,  1569,   332,    51,  1572,  1573,
    1574,  1575,  1576,  1577,  1578,  1579,  1580,  1581,  1582,  1583,
     332,   332,  1586,  1587,    23,    24,    25,    26,    27,    28,
      29,    30,    31,    32,    33,    34,    35,    36,   332,    41,
     332,   339,    64,    67,   335,    47,   316,   333,    50,    51,
     332,  1628,   332,    55,    56,    57,  1633,    59,  1635,  1636,
      62,   330,  1755,     3,   332,   332,   332,  1644,   333,   333,
     333,   333,   332,    75,    76,    77,    78,  1654,   332,   332,
      82,   332,    65,   333,   266,    49,    88,    89,   920,   732,
      92,   922,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,  1679,   105,   331,  1144,  1229,   861,  1233,   336,
    1538,  1726,   114,   115,   116,   117,   118,  1725,  1251,     1,
    1452,     3,  1253,  1101,  1547,  1313,  1679,   331,  1526,   919,
     578,   682,   336,   135,  1042,   320,   321,   322,   323,   324,
     325,   326,   600,  1047,   146,  1496,   156,  1681,   150,   283,
     928,   805,   448,  1417,  1604,  1732,  1683,  1683,  1626,     4,
     162,   163,   164,   165,   562,    47,   168,  1058,    50,    51,
     928,    74,    -1,    55,    56,    57,    -1,    59,    -1,    -1,
      62,    -1,    -1,    65,    -1,    -1,    89,    -1,    -1,    -1,
      -1,    -1,    -1,    75,    76,    77,    78,    -1,    -1,    -1,
      82,    -1,    -1,    -1,  1781,    -1,   208,   209,   210,   211,
     212,   213,   214,   116,   216,   217,   218,   219,    -1,    -1,
      -1,    -1,    -1,    80,    81,    -1,    -1,   229,    -1,    -1,
      -1,    -1,   135,    -1,    -1,   117,   118,    -1,  1815,     1,
      -1,     3,    -1,    -1,    89,    -1,    -1,    92,    93,    -1,
      95,    -1,   109,   110,    -1,    -1,    -1,    -1,    -1,    -1,
     105,    -1,    -1,    -1,   146,    -1,    -1,    -1,   150,   114,
     115,   116,   129,   130,   131,   132,    -1,    -1,    -1,    -1,
     162,   163,   164,   165,    -1,    47,   168,    -1,    50,    51,
     135,   148,   149,    55,    56,    57,    -1,    59,    -1,    -1,
      62,    -1,    -1,    -1,    -1,   208,   209,   210,   211,   212,
     213,   214,    -1,    75,    76,    77,    78,    -1,    -1,    -1,
      82,    -1,    -1,   226,   227,    -1,    -1,    -1,    90,    -1,
      -1,   330,   334,    -1,   336,   217,   218,   219,     4,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   229,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   117,   118,    -1,   360,     1,
      -1,     3,    -1,   208,   209,   210,   211,   212,   213,   214,
      -1,   216,    -1,    -1,    -1,    41,     4,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     162,   163,   164,   165,    -1,    47,   168,    -1,    50,    51,
      -1,    -1,    -1,    55,    56,    57,    -1,    59,    -1,    -1,
      62,    87,    88,    89,    -1,    -1,    92,    -1,    -1,    -1,
      -1,    -1,    -1,    75,    76,    77,    78,    -1,   104,   105,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   114,   115,
     116,   333,   334,    -1,   336,   217,   218,   219,    -1,    -1,
      -1,    89,    -1,    -1,    92,    -1,    -1,   229,    -1,   135,
      -1,    -1,    -1,    -1,    -1,   117,   118,   105,   360,     1,
      -1,     3,    -1,    -1,    -1,    -1,   114,   115,   116,    -1,
      -1,    11,    12,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    -1,   146,    -1,    -1,   135,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,    -1,
     162,   163,   164,   165,    44,    47,   168,    -1,    50,    51,
      -1,    -1,    -1,    55,    56,    57,    -1,    59,    -1,    -1,
      62,    -1,   208,   209,   210,   211,   212,   213,   214,    -1,
     216,    -1,    -1,    75,    76,    77,    78,    -1,    -1,    -1,
      82,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   333,   334,    -1,   336,   217,   218,   219,    -1,    -1,
     208,   209,   210,   211,   212,   213,   214,   229,   216,    -1,
      -1,    -1,    -1,    -1,    -1,   117,   118,    -1,   360,    -1,
      -1,    -1,    -1,     1,    -1,     3,    -1,    -1,    -1,    -1,
       1,    -1,     3,    -1,    -1,     6,     7,     8,     9,    -1,
      -1,    -1,    -1,    -1,   146,    -1,    -1,    -1,   150,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     162,   163,   164,   165,    35,    36,   168,    -1,    -1,    47,
      -1,    -1,    50,    51,    -1,    -1,    -1,    55,    56,    57,
      -1,    59,    -1,    -1,    62,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   316,    -1,    -1,    75,    76,    77,
      78,     1,    -1,     3,    82,    -1,    -1,    -1,    -1,    -1,
      -1,   333,   334,    -1,   336,   217,   218,   219,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   229,     3,    -1,
      -1,     6,     7,     8,     9,    -1,    -1,    -1,   360,   117,
     118,    -1,    -1,    -1,    -1,    -1,    -1,    47,    -1,    -1,
      50,    51,    -1,    -1,    -1,    55,    56,    57,    -1,    59,
      35,    36,    62,    -1,    -1,    -1,    -1,    -1,   146,    44,
      45,    46,   150,    -1,    -1,    75,    76,    77,    78,    -1,
      -1,    -1,    82,    -1,   162,   163,   164,   165,    -1,    -1,
     168,   162,   163,    -1,    -1,   166,   167,    -1,    -1,   170,
     171,   172,   173,   174,   175,   176,   177,   178,   179,   180,
     181,    -1,    -1,    -1,    -1,    -1,    -1,   117,   118,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,    -1,    -1,
      -1,   333,   334,    -1,   336,    -1,    -1,    -1,    -1,   217,
     218,   219,    -1,   118,    -1,    -1,   146,    -1,    -1,    -1,
     150,   229,    -1,    -1,    -1,    -1,    -1,     4,   360,    -1,
      -1,    -1,   162,   163,   164,   165,    -1,    -1,   168,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   217,   218,   219,
       3,    -1,    -1,     6,     7,     8,     9,    -1,    -1,   229,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,
      -1,     3,    -1,    -1,     6,     7,     8,     9,    -1,    -1,
      -1,    -1,    35,    36,    -1,   333,   334,    -1,   336,    -1,
     331,    44,    45,    46,     1,   336,     3,    -1,    -1,     6,
       7,     8,     9,    35,    36,    -1,    -1,    -1,   125,    -1,
      -1,    -1,   360,    -1,   131,   132,    -1,    -1,    -1,    -1,
      -1,    -1,   139,   140,   141,   142,   143,    -1,    35,    36,
     147,    -1,    -1,    -1,   151,   152,    -1,    44,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,    66,
      -1,    -1,    -1,    -1,   334,   118,   336,    -1,    -1,    -1,
      -1,    -1,   317,   318,   319,    -1,    -1,   322,   323,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   331,    -1,    -1,   334,
     360,   336,    -1,    -1,   211,   340,   341,    -1,   215,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   225,   162,
     163,    -1,    -1,   166,   167,   360,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,    -1,    -1,    -1,    -1,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,     1,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     1,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,    45,
      46,     3,    -1,    -1,     6,     7,     8,     9,    -1,    35,
      36,    -1,    -1,    -1,    60,    -1,    -1,    -1,    -1,    -1,
      66,     1,    -1,     3,    -1,    -1,     6,     7,     8,     9,
      -1,    -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   317,   318,   319,    -1,    -1,   322,
     323,    -1,    -1,    -1,    -1,    35,    36,    -1,   331,    -1,
      -1,   334,    -1,   336,    44,    45,    46,   340,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   331,
      60,    -1,    -1,    -1,   336,    -1,    -1,   360,    -1,   316,
     317,   318,   319,    -1,    -1,   322,   323,    -1,    -1,    -1,
      -1,    -1,   329,    -1,   331,    -1,    -1,    -1,    -1,   336,
      -1,    -1,    -1,   340,   341,    -1,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,    -1,    -1,    -1,
     162,   163,    -1,    -1,   166,   167,    -1,    -1,   170,   171,
     172,   173,   174,   175,   176,   177,   178,   179,   180,   181,
      -1,    -1,   162,   163,    -1,     4,   166,   167,    -1,    -1,
     170,   171,   172,   173,   174,   175,   176,   177,   178,   179,
     180,   181,     1,    -1,     3,    -1,    -1,     6,     7,     8,
       9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,     1,    -1,     3,    35,    36,     6,     7,
       8,     9,    -1,    -1,    -1,    44,    45,    46,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,     3,
      -1,    60,     6,     7,     8,     9,    -1,    35,    36,    -1,
     316,   317,   318,   319,    -1,    -1,   322,   323,    -1,    -1,
      -1,    -1,    -1,   329,    -1,   331,    -1,    -1,    -1,    -1,
     336,    35,    36,    -1,   340,   341,    -1,    -1,    -1,    -1,
      44,    45,    46,    -1,    -1,   331,   125,    -1,    -1,    -1,
     336,    -1,   131,   132,    -1,    -1,    60,    -1,    -1,    -1,
     139,   140,   141,   142,   143,    -1,    -1,    -1,   147,   331,
      -1,    -1,   151,   152,   336,    -1,   316,   317,   318,   319,
      -1,    -1,   322,   323,    -1,    -1,    -1,    -1,    -1,   329,
      -1,   331,    -1,    -1,    -1,    -1,   336,    -1,    -1,    -1,
     340,   341,    -1,   162,   163,    -1,    -1,   166,   167,    -1,
      -1,   170,   171,   172,   173,   174,   175,   176,   177,   178,
     179,   180,   181,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   211,    -1,   162,   163,   215,    -1,   166,   167,
      -1,    -1,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,    -1,    -1,    -1,    -1,   162,   163,
      -1,    -1,   166,   167,    -1,    -1,   170,   171,   172,   173,
     174,   175,   176,   177,   178,   179,   180,   181,     1,    -1,
       3,    -1,    -1,     6,     7,     8,     9,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,
       3,    -1,    -1,     6,     7,     8,     9,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    35,    36,    -1,    -1,    -1,    60,    -1,    -1,
      -1,    44,    45,    46,     1,    -1,     3,    -1,    -1,     6,
       7,     8,     9,    -1,    -1,    -1,    -1,   316,   317,   318,
     319,    -1,    -1,   322,   323,    -1,    -1,    -1,    -1,    -1,
     329,    -1,   331,    -1,    -1,    -1,    -1,   336,    35,    36,
      -1,   340,   341,    -1,    -1,    -1,    -1,    44,    45,    46,
      -1,    -1,    -1,    -1,    97,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   331,   107,    -1,    -1,    -1,   336,    -1,
      -1,    -1,   316,   317,   318,   319,    -1,    -1,   322,   323,
      -1,    -1,    -1,    -1,    -1,   329,    -1,   331,    -1,    -1,
      -1,    -1,   336,    -1,    -1,    -1,   340,   341,    -1,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   162,
     163,    -1,    -1,   166,   167,    -1,    -1,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,     1,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     1,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,    45,
      46,    -1,    -1,    -1,    -1,    -1,     1,    -1,     3,    35,
      36,     6,     7,     8,     9,    -1,    -1,    -1,    44,    45,
      46,    -1,    -1,   316,   317,   318,   319,    -1,    -1,   322,
     323,    -1,    -1,    -1,    -1,    -1,   329,    -1,   331,    -1,
      35,    36,    -1,   336,   317,   318,   319,   340,   341,   322,
     323,    -1,    -1,    -1,     1,    -1,     3,    -1,   331,     6,
       7,     8,     9,   336,    -1,    -1,    -1,   340,   341,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,    36,
     317,   318,   319,    -1,    -1,   322,   323,    44,    45,    46,
      -1,    -1,    -1,    -1,   331,   332,    -1,    -1,    -1,   336,
      -1,    -1,    -1,   340,   341,    -1,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    97,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,   317,   318,   319,    -1,    -1,   322,   323,    44,    45,
      46,    -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,
     336,   317,   318,   319,   340,   341,   322,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,
     336,    -1,    -1,    -1,   340,   341,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   331,    -1,    -1,    -1,
      -1,   336,    -1,    -1,    -1,     3,    -1,    -1,     6,     7,
       8,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     317,   318,   319,    -1,    -1,   322,   323,    35,    36,    -1,
      -1,    -1,    -1,    -1,   331,    -1,    44,    45,    46,   336,
      -1,    -1,    -1,   340,   341,    -1,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,     1,    -1,     3,    -1,    -1,
       6,     7,     8,     9,    -1,    -1,    -1,    -1,    -1,    35,
      36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    44,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    35,
      36,   317,   318,   319,    -1,    -1,   322,   323,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,
     336,    -1,    -1,    -1,   340,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   162,   163,    -1,    -1,   166,   167,
      -1,    -1,   170,   171,   172,   173,   174,   175,   176,   177,
     178,   179,   180,   181,     1,    -1,     3,    -1,    -1,     6,
       7,     8,     9,    -1,    -1,    -1,    -1,    -1,    11,    12,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      -1,   317,   318,   319,    -1,    -1,   322,   323,    35,    36,
      -1,    -1,    -1,    -1,    37,   331,   332,    -1,    -1,    -1,
     336,    44,    45,    46,   340,   341,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,   162,   163,    -1,    -1,
     166,   167,    -1,    -1,   170,   171,   172,   173,   174,   175,
     176,   177,   178,   179,   180,   181,     1,    -1,     3,    -1,
      -1,     6,     7,     8,     9,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      35,    36,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   317,
     318,   319,    -1,    -1,   322,   323,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,   336,    -1,
      -1,    -1,   340,   341,    -1,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    -1,     3,    -1,    -1,     6,
       7,     8,     9,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   317,   318,   319,    -1,    -1,   322,   323,    35,    36,
      11,    12,    -1,    14,    15,   331,    -1,    18,    -1,    20,
     336,    -1,    -1,    -1,   340,   341,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   331,    37,    -1,    -1,    -1,
     336,    42,    43,    44,    45,    46,    -1,   162,   163,    -1,
      -1,   166,   167,    -1,    -1,   170,   171,   172,   173,   174,
     175,   176,   177,   178,   179,   180,   181,    -1,    11,    12,
      97,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
     107,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    38,    39,    -1,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   331,    -1,    -1,    -1,    -1,   336,
      -1,    -1,    -1,    -1,    -1,   162,   163,    -1,    -1,   166,
     167,    -1,    -1,   170,   171,   172,   173,   174,   175,   176,
     177,   178,   179,   180,   181,    11,    12,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    -1,    20,    -1,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,    45,
      46,    -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,
      45,    46,    11,    12,    -1,    14,    15,    -1,    -1,    18,
      -1,    20,    -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,
      -1,   336,    -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    -1,    -1,    42,    43,    44,    45,    46,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    -1,    20,    -1,    -1,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    37,    -1,    -1,    -1,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   331,    -1,    -1,    -1,    -1,   336,
      -1,    -1,    -1,    -1,    -1,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,    -1,     3,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,   339,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,
      45,    46,   315,   316,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      37,    -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   339,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    12,   339,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    37,    -1,
      -1,    -1,    -1,    42,    43,    44,    45,    46,    -1,    -1,
     339,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,   339,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,   336,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    -1,    -1,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    37,    -1,   329,    -1,    -1,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    11,    12,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,    -1,    37,    -1,    -1,    -1,   333,    42,    43,    44,
      45,    46,    11,    12,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,    -1,    37,    -1,
      -1,    -1,   333,    42,    43,    44,    45,    46,    11,    12,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    42,
      43,    44,    45,    46,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,    -1,
      37,    -1,    -1,    -1,   333,    42,    43,    44,    45,    46,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,
      -1,    14,    15,    -1,    -1,    18,    37,    20,    -1,    -1,
      -1,    42,    43,    44,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
      -1,    -1,    -1,    11,    12,   333,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,    -1,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,    -1,    -1,    -1,    -1,    -1,   333,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,    12,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,    -1,    37,    -1,    -1,    -1,   333,    42,
      43,    44,    45,    46,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,    -1,
      37,    -1,    -1,    -1,   333,    42,    43,    44,    45,    46,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,    -1,    37,    -1,    -1,    -1,
     333,    42,    43,    44,    45,    46,    11,    12,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,    -1,    37,    -1,    -1,    -1,   333,    42,    43,    44,
      45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,    -1,    -1,    -1,
      -1,    -1,   333,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,    -1,    -1,    -1,    11,    12,
     333,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,    42,
      43,    44,    45,    46,    -1,    -1,    -1,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
      -1,   329,    11,    12,   332,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    -1,    -1,    42,    43,    44,    45,    46,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,
      12,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    -1,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,    37,   329,    -1,    -1,   332,
      42,    43,    44,    45,    46,    11,    12,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    -1,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,    37,    -1,    -1,    -1,   332,    42,    43,    44,    45,
      46,    11,    12,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    -1,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,    37,    -1,    -1,
      -1,   332,    42,    43,    44,    45,    46,    11,    12,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    -1,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,    37,    -1,    -1,    -1,   332,    42,    43,
      44,    45,    46,    11,    12,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    37,
      -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    11,
      12,    -1,    14,    15,    16,    17,    18,    19,    20,    21,
      -1,    -1,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,    37,    -1,    -1,    -1,   332,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    11,    12,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    -1,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,    37,
      -1,    -1,    -1,   332,    42,    43,    44,    45,    46,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,    37,    -1,    -1,    -1,
     332,    42,    43,    44,    45,    46,    11,    12,    -1,    14,
      15,    16,    17,    18,    19,    20,    21,    -1,    -1,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,    37,    -1,    -1,    -1,   332,    42,    43,    44,
      45,    46,    11,    12,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    -1,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,    37,    -1,
      -1,    -1,   332,    42,    43,    44,    45,    46,    11,    12,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    -1,
      -1,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,    37,    -1,    -1,    -1,   332,    42,
      43,    44,    45,    46,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    -1,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
      37,    -1,    -1,    -1,   332,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,   315,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,    37,    -1,    -1,    -1,
     332,    42,    43,    44,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    11,    12,    -1,    14,    15,    16,
      17,    18,    19,    20,    21,    -1,    -1,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
      37,    -1,    -1,    -1,   332,    42,    43,    44,    45,    46,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    12,    -1,    14,    15,    16,    17,    18,    19,
      20,    21,    -1,    -1,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,    37,    -1,    -1,
      -1,   332,    42,    43,    44,    45,    46,    11,    12,    -1,
      14,    15,    16,    17,    18,    19,    20,    21,    -1,    -1,
     315,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,    37,    -1,    -1,    -1,   332,    42,    43,
      44,    45,    46,    11,    12,    -1,    14,    15,    16,    17,
      18,    19,    20,    21,    -1,    -1,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    -1,    37,
      -1,    -1,    -1,   332,    42,    43,    44,    45,    46,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    -1,    20,    -1,
      -1,    -1,   315,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,    -1,    37,    -1,    -1,    -1,   332,
      42,    43,    44,    45,    46,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    -1,    20,    -1,    -1,    -1,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,    37,    -1,    -1,    -1,   332,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    11,    12,    -1,    14,    15,    -1,    -1,    18,    -1,
      20,    -1,    -1,    -1,   315,    -1,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    -1,    37,    -1,    -1,
      -1,   332,    42,    43,    44,    45,    46,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    11,    12,    -1,    14,    15,
      16,    17,    18,    19,    20,    21,    -1,    -1,   315,    -1,
     317,   318,   319,   320,   321,   322,   323,   324,   325,   326,
      -1,    37,    -1,    -1,    -1,   332,    42,    43,    44,    45,
      46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,   315,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,    -1,    -1,
      -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   315,    -1,   317,   318,   319,   320,   321,   322,   323,
     324,   325,   326,    -1,    -1,    -1,    -1,    -1,   332,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   315,    -1,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
      -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,    -1,    -1,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,    -1,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,    37,    -1,    -1,    -1,
     332,    42,    43,    44,    45,    46,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    -1,    -1,    -1,    -1,    -1,   332,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    12,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    -1,    -1,    -1,   317,   318,   319,
     320,   321,   322,   323,   324,   325,   326,    -1,    37,    -1,
      -1,    -1,   332,    42,    43,    44,    45,    46,    -1,    -1,
      -1,     1,    -1,     3,     4,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   315,
      -1,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,    41,    -1,   329,    -1,    -1,    -1,    -1,    48,    49,
      50,    51,    52,    53,    54,    55,    -1,    -1,    58,    -1,
      -1,    61,    -1,    -1,    -1,    65,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    74,    75,    -1,    -1,    -1,    79,
      -1,    -1,    82,    83,    -1,    85,    86,    87,    88,    89,
      -1,    -1,    92,    -1,    -1,    -1,    96,    -1,    98,    99,
     100,   101,   102,   103,   104,   105,   106,    -1,    -1,    -1,
      -1,   111,   112,   113,   114,   115,   116,    -1,    -1,   119,
     120,   121,   122,   123,    -1,    -1,    -1,   127,    -1,    -1,
      -1,   131,   132,    -1,   134,   135,   136,   137,   138,   139,
     140,   141,   142,   143,   144,    -1,    -1,   147,    -1,    -1,
      -1,   151,   152,   153,   154,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      11,    12,    -1,    14,    15,    16,    17,    18,    19,    20,
      21,    -1,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    37,    -1,    -1,    -1,
      -1,    42,    43,    44,    45,    46,    -1,    -1,   208,   209,
     210,   211,   212,   213,   214,    -1,   216,    -1,    -1,    -1,
     220,   221,   222,   223,    -1,   225,    -1,    -1,    -1,    -1,
      -1,   231,    -1,    -1,   234,    -1,    -1,   237,    -1,   239,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    11,    12,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    -1,    -1,    -1,   315,   316,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,    37,    -1,
      -1,    -1,    -1,    42,    43,    44,    45,    46,    11,    12,
      -1,    14,    15,    16,    17,    18,    19,    20,    21,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    -1,    20,    -1,
      -1,    -1,    -1,   313,    37,    -1,   316,    -1,    -1,    -1,
      43,    44,    45,    46,    -1,    37,    -1,    -1,    -1,    -1,
      42,    43,    44,    45,    46,    11,    12,    -1,    14,    15,
      -1,    -1,    18,    -1,    20,    -1,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    -1,    20,    -1,    -1,    -1,    -1,
      -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,    45,
      46,    -1,    37,    -1,    -1,    -1,    -1,    42,    43,    44,
      45,    46,    11,    12,    -1,    14,    15,    16,    17,    18,
      19,    20,    21,    11,    12,    -1,    14,    15,    -1,    -1,
      18,    -1,    20,    -1,    -1,    -1,    -1,    -1,    37,    -1,
      -1,    -1,    -1,     4,    -1,    44,    45,    46,    -1,    37,
      -1,    -1,    -1,    -1,    42,    43,    44,    45,    46,    11,
      12,    -1,    14,    15,    -1,    -1,    18,    -1,    20,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      41,    -1,    -1,    -1,    -1,    37,    -1,    -1,    -1,    -1,
      42,    43,    44,    45,    46,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   315,   316,   317,   318,   319,   320,
     321,   322,   323,   324,   325,   326,    11,    12,    -1,    14,
      15,    -1,    -1,    18,    -1,    20,    11,    12,    89,    14,
      15,    92,    -1,    18,    -1,    20,    -1,    -1,    -1,    -1,
      -1,    -1,    37,    -1,   105,    -1,    -1,    42,    43,    44,
      45,    46,    37,   114,   115,   116,    -1,    -1,    -1,    44,
      45,    46,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   315,   316,    -1,   135,    -1,    -1,    -1,   322,    -1,
     324,    -1,   326,    -1,    -1,    -1,   315,    -1,   317,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   342,   343,
     344,   345,   346,   347,   348,   349,   350,   351,   352,   353,
     354,   355,   356,   357,   358,   359,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   317,   318,   319,   320,   321,   322,
     323,   324,   325,   326,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,    -1,    -1,   208,   209,   210,
     211,   212,   213,   214,    -1,   216,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   316,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   318,
     319,   320,   321,   322,   323,   324,   325,   326,   316,   317,
     318,   319,   320,   321,   322,   323,   324,   325,   326,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   315,   316,
      -1,    -1,    -1,    -1,    -1,   322,    -1,   324,    -1,   326,
      -1,    -1,    -1,    -1,   316,   317,   318,   319,   320,   321,
     322,   323,   324,   325,   326,   342,   343,   344,   345,   346,
     347,   348,   349,   350,   351,   352,   353,   354,   355,   356,
     357,   358,   359,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,     0,     1,    -1,    -1,     4,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   317,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    -1,   318,   319,   320,   321,   322,   323,   324,
     325,   326,    41,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      49,    -1,    -1,    52,    53,    54,    -1,    -1,    -1,    58,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,    -1,
      79,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      89,    -1,    -1,    92,    93,    -1,    95,    96,    -1,    98,
      99,   100,   101,   102,   103,    -1,   105,   106,    -1,   108,
      -1,    -1,   111,   112,   113,   114,   115,   116,    -1,    -1,
     119,   120,   121,   122,   123,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,   131,   132,    -1,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,     0,     1,   147,    -1,
       4,    -1,   151,   152,   153,   154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    41,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    49,    -1,    -1,    52,    53,
      54,    -1,    -1,    -1,    58,    -1,    -1,    -1,    -1,   208,
     209,   210,   211,   212,   213,   214,    -1,   216,    -1,    -1,
      74,    -1,    -1,    -1,   223,    79,   225,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    89,    -1,    -1,    92,    93,
      -1,    95,    96,    -1,    98,    99,   100,   101,   102,   103,
      -1,   105,   106,    -1,   108,    -1,    -1,   111,   112,   113,
     114,   115,   116,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,    -1,    -1,   147,    -1,    -1,    -1,   151,   152,   153,
     154,    -1,    -1,    -1,   315,    -1,    -1,    -1,    -1,    -1,
      -1,   322,   323,   324,   313,   326,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,     3,
       4,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
      -1,    -1,    -1,    -1,   208,   209,   210,   211,   212,   213,
     214,    -1,   216,    -1,    -1,    -1,    -1,    41,    -1,   223,
      -1,   225,    -1,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    -1,    58,    -1,    -1,    61,    -1,    -1,
      -1,    65,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      74,    75,    -1,    -1,    -1,    79,    -1,    -1,    82,    83,
      84,    85,    86,    87,    88,    89,    -1,    -1,    92,    -1,
      -1,    -1,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,    -1,    -1,   119,   120,   121,   122,   123,
      -1,    -1,    -1,   127,    -1,    -1,    -1,   131,   132,   313,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,    -1,    -1,   147,   315,   316,    -1,   151,   152,   153,
     154,   322,    -1,   324,    -1,   326,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,   342,   343,   344,   345,   346,   347,   348,   349,   350,
     351,   352,   353,   354,   355,   356,   357,   358,   359,    -1,
      -1,    -1,     1,    -1,     3,     4,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,   209,   210,   211,   212,   213,
     214,    -1,   216,    -1,    -1,    -1,   220,   221,   222,   223,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
     234,    -1,    41,   237,    -1,   239,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    -1,    58,
      -1,    -1,    61,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    -1,    -1,    -1,
      79,    -1,    -1,    82,    83,    84,    85,    86,    87,    88,
      89,    -1,    -1,    92,    -1,    -1,    -1,    96,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,    -1,   313,
     119,   120,   121,   122,   123,    -1,    -1,    -1,   127,    -1,
      -1,    -1,   131,   132,    -1,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,    -1,    -1,   147,   315,
      -1,    -1,   151,   152,   153,   154,   322,    -1,   324,    -1,
     326,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,   342,   343,   344,   345,
     346,   347,   348,   349,   350,   351,   352,   353,   354,   355,
     356,   357,   358,   359,    -1,    -1,    -1,     1,    -1,     3,
       4,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,
     209,   210,   211,   212,   213,   214,    -1,   216,    -1,    -1,
      -1,   220,   221,   222,   223,    -1,   225,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,   234,    -1,    41,   237,    -1,
     239,    -1,    -1,    -1,    48,    49,    50,    51,    52,    53,
      54,    55,    -1,    -1,    58,    -1,    -1,    61,    -1,    -1,
      -1,    65,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      74,    75,    -1,    -1,    -1,    79,    -1,    -1,    82,    83,
      -1,    85,    86,    87,    88,    89,    -1,    -1,    92,    -1,
      -1,    -1,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,    -1,   313,   119,   120,   121,   122,   123,
      -1,    -1,    -1,   127,    -1,    -1,    -1,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,    -1,    -1,   147,    -1,    -1,    -1,   151,   152,   153,
     154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     1,    -1,     3,     4,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,   209,   210,   211,   212,   213,
     214,    -1,   216,    -1,    -1,    -1,   220,   221,   222,   223,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
     234,    -1,    41,   237,    -1,   239,    -1,    -1,    -1,    48,
      49,    50,    51,    52,    53,    54,    55,    -1,    -1,    58,
      -1,    -1,    61,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    74,    75,    -1,    -1,    -1,
      79,    -1,    -1,    82,    83,    -1,    85,    86,    87,    88,
      89,    -1,    -1,    92,    -1,    -1,    -1,    96,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,    -1,   313,
     119,   120,   121,   122,   123,    -1,    -1,    -1,   127,    -1,
      -1,    -1,   131,   132,    -1,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,    -1,    -1,   147,    -1,
      -1,    -1,   151,   152,   153,   154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,     1,    -1,     3,
       4,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,
     209,   210,   211,   212,   213,   214,    -1,   216,    -1,    -1,
      -1,   220,   221,   222,   223,    -1,   225,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,   234,    -1,    41,   237,    -1,
     239,    -1,    -1,    -1,    48,    49,    50,    -1,    52,    53,
      54,    -1,    -1,    -1,    58,    -1,    -1,    61,    -1,    -1,
      -1,    -1,    -1,    -1,    68,    -1,    -1,    -1,    -1,    -1,
      74,    -1,    -1,    -1,    -1,    79,    -1,    -1,    -1,    83,
      -1,    85,    86,    87,    88,    89,    -1,    -1,    92,    -1,
      -1,    -1,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,    -1,   313,   119,   120,   121,   122,   123,
      -1,    -1,    -1,   127,    -1,    -1,    -1,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,    -1,    -1,   147,    -1,    -1,    -1,   151,   152,   153,
     154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,     1,    -1,     3,     4,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,   209,   210,   211,   212,   213,
     214,    -1,   216,    -1,    -1,    -1,   220,   221,   222,   223,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
     234,    -1,    41,   237,    -1,   239,    -1,    -1,    -1,    48,
      49,    50,    -1,    52,    53,    54,    -1,    -1,    -1,    58,
      -1,    -1,    61,    -1,    -1,    -1,    -1,    -1,    -1,    68,
      -1,    -1,    -1,    -1,    -1,    74,    -1,    -1,    -1,    -1,
      79,    -1,    -1,    -1,    83,    -1,    85,    86,    87,    88,
      89,    -1,    -1,    92,    -1,    -1,    -1,    96,    -1,    98,
      99,   100,   101,   102,   103,   104,   105,   106,    -1,    -1,
      -1,    -1,   111,   112,   113,   114,   115,   116,    -1,   313,
     119,   120,   121,   122,   123,    -1,    -1,    -1,   127,    -1,
      -1,    -1,   131,   132,    -1,   134,   135,   136,   137,   138,
     139,   140,   141,   142,   143,   144,    -1,    -1,   147,    -1,
      -1,    -1,   151,   152,   153,   154,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,     3,
       4,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,   208,
     209,   210,   211,   212,   213,   214,    -1,   216,    -1,    -1,
      -1,   220,   221,   222,   223,    -1,   225,    -1,    -1,    -1,
      -1,    -1,   231,    -1,    -1,   234,    -1,    -1,   237,    -1,
     239,    -1,    -1,    -1,    48,    49,    50,    -1,    52,    53,
      54,    -1,    -1,    -1,    58,    -1,    -1,    61,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      74,    -1,    -1,    -1,    -1,    79,    -1,    -1,    -1,    -1,
      -1,    -1,    86,    87,    88,    89,    -1,    -1,    92,    -1,
      -1,    -1,    96,    -1,    98,    99,   100,   101,   102,   103,
     104,   105,   106,    -1,    -1,    -1,    -1,   111,   112,   113,
     114,   115,   116,    -1,   313,   119,   120,   121,   122,   123,
      -1,    -1,    -1,   127,    -1,    -1,    -1,   131,   132,    -1,
     134,   135,   136,   137,   138,   139,   140,   141,   142,   143,
     144,    -1,    -1,   147,    -1,    -1,    -1,   151,   152,   153,
     154,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
      -1,    -1,    -1,    -1,   208,   209,   210,   211,   212,   213,
     214,    -1,   216,    -1,    -1,    -1,   220,   221,   222,   223,
      -1,   225,    -1,    -1,    -1,    -1,    -1,   231,    -1,    -1,
     234,    -1,    -1,   237,    -1,   239
};

/* YYSTOS[STATE-NUM] -- The (internal number of the) accessing
   symbol of state STATE-NUM.  */
static const yytype_uint16 yystos[] =
{
       0,     1,    41,    49,    52,    53,    54,    58,    74,    79,
      96,    98,    99,   100,   101,   102,   103,   106,   108,   111,
     112,   113,   119,   120,   121,   122,   123,   131,   132,   134,
     136,   137,   138,   139,   140,   141,   142,   143,   144,   147,
     151,   152,   153,   154,   223,   225,   313,   362,   363,   370,
     371,   379,   406,   489,   530,   553,   581,   586,   333,   364,
     365,   374,     1,   182,   526,     3,    10,     3,   331,   551,
     552,   331,   551,   526,   331,   541,   542,     4,   125,   131,
     132,   139,   140,   141,   142,   143,   147,   151,   152,   211,
     215,   527,   529,   581,     4,    89,   116,   209,   211,   212,
     213,   214,   338,   516,   517,   582,   331,     0,     4,    89,
      92,    93,    95,   105,   114,   115,   116,   135,   208,   209,
     210,   211,   212,   213,   214,   216,   381,   371,   331,   527,
     535,   331,   334,   510,   535,   551,     3,   585,     3,   366,
     367,    40,     3,   404,    67,   527,   331,    70,   331,   517,
     109,   129,   131,   148,   536,   589,   329,   333,   110,   130,
     132,   149,   537,   333,     3,    91,    94,   126,   516,   527,
     527,   527,   527,   527,   527,   527,   527,   527,   527,   527,
     516,     3,     3,   516,   516,   516,     3,     6,     7,     8,
      44,    45,    46,   162,   163,   167,   170,   317,   318,   319,
     322,   323,   331,   340,   341,   393,   395,   396,   338,   336,
       3,   333,     1,   125,   215,   528,   503,   504,    10,    10,
       1,   527,   557,     1,   501,     1,   502,     1,   527,     1,
     499,     1,   527,     1,   528,     1,   528,     1,   527,     1,
     528,     1,   528,     1,   528,     3,    80,    81,   536,   537,
     516,   372,     3,     6,     8,   331,   513,   331,   551,   510,
     551,   333,   329,   333,   330,    40,   329,   405,   329,   333,
      89,   114,   115,   135,   517,   518,     3,   407,   205,   335,
     563,   564,   589,   331,   332,     3,     8,     9,    35,    36,
      44,    45,    46,   162,   163,   166,   167,   170,   171,   172,
     173,   174,   175,   176,   177,   178,   179,   180,   181,   317,
     318,   319,   322,   323,   331,   336,   340,   341,   393,   397,
     398,   399,   403,   552,   332,   333,   332,   332,   332,   510,
     511,   516,   516,   516,   516,   516,   516,   516,   516,   516,
     516,   516,   333,   333,   331,   338,     7,   396,   396,   396,
     396,   396,   396,   396,   396,   395,   396,   396,    11,    12,
      14,    15,    18,    20,    37,    42,    43,    44,    45,    46,
     316,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   395,     3,   583,   584,   329,   500,   333,   496,   527,
     560,     1,    69,    69,   333,   516,   333,   333,   404,   333,
     404,   333,   516,   333,     3,   519,   521,   333,   516,   333,
     494,   333,   493,   333,   516,   333,   495,   333,   497,   333,
     498,   380,   329,   329,   329,   329,     3,   334,   404,   509,
     532,   533,     3,   532,   395,   512,   333,   551,   333,     3,
     368,   367,   517,     3,     3,   329,   332,     3,   329,   332,
     399,   563,   589,   551,   403,   403,     1,   398,     1,   398,
       1,   398,   331,   331,   331,   331,   331,   331,   331,   331,
     331,   331,   331,   331,   331,   331,   331,     1,   398,     1,
     398,     1,   398,     1,   398,     1,   398,   397,   397,   399,
       1,   398,     1,   398,    11,    12,    14,    15,    16,    17,
      18,    19,    20,    21,    37,    42,    43,    44,    45,    46,
     315,   317,   318,   319,   320,   321,   322,   323,   324,   325,
     326,   329,   590,    35,    36,   331,   335,   338,   587,   588,
     551,   375,   373,   394,   395,   395,   332,   395,   395,   395,
     395,   395,   395,   395,   395,   395,   395,   395,   395,   395,
     395,   395,   395,   395,   395,   395,   395,   395,   395,   395,
     316,   330,   329,   337,     9,   521,   521,   516,   333,   333,
       3,   558,   559,   333,   333,   490,   330,   520,   329,   333,
     491,   521,   521,   492,   521,   521,   521,   334,   382,   537,
     536,    81,   537,    80,   536,   330,   331,   513,   333,     3,
     329,   333,   333,   316,   329,   332,   333,   397,   517,   333,
       3,   333,   331,   564,   590,   332,   399,   333,   588,   588,
     589,   589,   397,   401,   401,   401,   401,   401,   401,   401,
     401,   401,   401,   401,   397,   397,   332,   336,   337,   397,
     397,   397,   397,   397,   397,   397,   397,   397,   397,   397,
     397,   397,   397,   397,   397,   397,   397,   397,   397,   397,
     397,   397,   397,   397,   397,   397,   397,   332,   397,   400,
       3,   397,    35,    36,   587,   333,    87,    88,   104,   363,
     489,   522,   523,   524,   543,   404,   329,   332,   339,   339,
     395,   395,   583,   329,   333,   333,     3,   561,   562,   330,
     329,   521,   397,   517,   519,   521,   333,   333,   521,   333,
     333,   333,   383,   331,   385,   332,   332,   332,   332,   332,
     332,   397,   512,   330,   533,   395,   512,   369,   377,    88,
     104,   116,   408,   409,     1,   332,   589,   332,   590,   400,
     400,   329,   332,   332,   332,   332,   332,   332,   332,   332,
     332,   332,   332,   332,   332,   399,   316,   329,   332,    38,
      39,   316,   339,     1,     3,    47,    50,    51,    59,    62,
      75,    76,    77,    78,   117,   118,   146,   150,   162,   163,
     164,   165,   168,   217,   218,   219,   229,   333,   336,   360,
     403,   466,   467,   484,   485,   509,   538,   580,   524,   516,
     333,   395,   339,     9,   330,   329,   397,   559,   333,   333,
     333,   331,     3,   335,   336,   363,   386,   387,   388,   389,
     390,   391,   333,   332,   397,   316,   329,   332,    88,   489,
     554,   555,   589,     3,     3,    86,   409,   410,   411,   332,
     397,   332,   590,   590,   397,   337,   397,   397,   395,   395,
     397,   333,   316,     3,   468,   595,   470,   403,   597,   472,
     595,   593,   474,   331,   331,   331,   331,   333,   331,   333,
     331,   333,   331,   333,   331,   595,   333,   591,     3,   324,
     331,   331,   333,   591,   333,   376,    11,    23,    24,    25,
      26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
      36,   330,   595,   595,    55,    56,    57,    82,   525,   332,
     397,   562,   105,   384,   338,     3,   391,   392,   104,   543,
     329,   332,   329,   332,     1,    83,    85,   313,   363,   431,
     432,   433,   489,   395,   512,   527,   467,   555,   404,   333,
     333,     3,   133,   412,   590,   332,   332,   337,   339,   339,
     339,   229,   333,   336,   403,   486,   316,   402,   480,   486,
     333,   331,   486,   467,   402,   478,   486,   397,   397,     1,
     397,   589,   589,   589,   589,   401,   467,   399,   595,     1,
      97,   107,   397,   539,   540,   400,   588,    73,   118,   360,
     397,   509,   538,   397,   397,   397,   397,   397,   397,   397,
     397,   397,   397,   397,   397,   118,   397,   509,   538,   484,
     484,   331,   331,   331,   331,   404,   527,   329,   332,     1,
     589,   331,   329,   337,   116,   531,   529,     3,   387,   389,
     333,   450,   451,   331,     3,     4,    48,    50,    61,    74,
      79,    86,   104,   111,   112,   127,   134,   144,   220,   221,
     222,   231,   234,   237,   239,   530,   543,   553,   581,   586,
      68,   433,   332,   516,   378,   590,   330,   413,    70,   332,
     333,   591,   591,   330,     3,   481,   596,   333,     1,    74,
      89,   116,   135,   208,   209,   210,   211,   212,   213,   214,
     226,   227,   457,   458,   459,   460,   463,   464,   465,   330,
     596,   479,    90,   333,   332,   332,   332,   332,   401,   401,
     401,   401,   332,   596,   592,   484,   332,   397,   397,   103,
     329,   332,   332,   592,   331,   333,   397,   397,   331,   397,
     397,   596,   596,   397,   397,   397,     1,   397,   333,   516,
     105,   559,   339,   395,   336,   391,   391,   527,     1,     3,
      51,    55,    75,    82,   423,   424,   425,   433,   404,     1,
       3,   316,   334,   546,   435,   467,     1,   534,   535,   403,
     517,   544,   545,   440,     1,   526,   467,   531,   331,   551,
     331,   551,   452,   453,   454,   526,   541,   443,   444,   445,
     232,   235,   238,   467,   527,   535,   527,   530,   510,   535,
     551,   585,   556,    67,   333,   393,   315,   322,   324,   326,
     342,   343,   344,   345,   346,   347,   348,   349,   350,   351,
     352,   353,   354,   355,   356,   357,   358,   359,   414,   415,
     416,   417,   418,   420,   421,   399,   588,   397,   487,   488,
     489,    65,   471,   332,   295,   333,     3,   228,   336,   527,
     527,   329,   397,   487,   475,   595,   595,   595,   595,   590,
     590,   590,   590,   333,   150,   337,   596,   540,   540,   333,
     397,   333,   333,   397,   333,   333,   332,   332,   332,   332,
     332,   559,   527,   316,   590,   392,   332,   516,   316,   423,
     599,   427,   599,    84,   425,   333,   332,   329,   229,     1,
       6,   331,   551,   521,   330,   333,   441,   330,   545,   329,
     333,   404,    67,   527,   527,   536,   333,   537,   333,   589,
      71,     1,     3,   516,   467,   467,   467,   516,   434,   516,
     527,   551,   510,   551,   333,   333,   404,   333,    72,   416,
     417,   316,   418,   417,   421,   592,   592,   333,   333,   467,
     483,   489,   467,     1,   397,   330,   527,   363,   461,   516,
     459,   333,   483,   467,   484,   467,   467,   332,   332,   332,
     332,   331,   332,   332,   595,   595,   595,   476,   595,   516,
     395,   339,   337,     1,     3,     3,    65,   331,   331,   331,
     333,     9,   333,   335,   547,   549,   550,   333,   333,   455,
     511,   397,   545,   333,   518,   516,   332,   332,    82,   128,
     155,   156,   157,   158,   159,   160,   331,   565,   566,   569,
     570,   576,   577,    71,   333,   511,   404,   532,   532,     1,
     436,   516,   333,   551,   333,   333,   316,   323,   342,   343,
     344,   418,   419,   316,   337,   469,   333,   467,   598,   333,
     333,   397,   336,   240,   458,   462,   329,   337,     3,   473,
     594,   596,   596,   596,   596,   333,   333,   333,   333,   397,
     538,   538,     1,    60,   399,   505,   508,     1,   508,     1,
     508,   482,   484,   484,   559,   590,   332,   330,   426,   395,
       3,   422,   395,   329,     3,   399,   329,   332,   397,   442,
       3,   438,   551,   551,   331,     3,     5,   567,   568,   331,
     331,   331,   331,   331,   331,     1,     3,    97,   107,   571,
     566,   590,   333,   330,   333,   330,   446,   439,   333,   333,
     333,   333,   404,   437,   333,   342,   343,   344,   316,   333,
     403,   466,   485,     1,   466,   461,   404,   363,   516,   330,
     332,   397,   397,   506,   596,   316,   484,   316,     1,   505,
     596,   596,   596,   596,   596,   477,    64,   596,   339,   589,
     423,   332,    23,    24,    25,    26,    27,    28,    29,    30,
      31,    32,    33,    34,    35,    36,   330,   333,   332,     9,
     331,   548,   550,   456,   486,   514,   515,   333,   404,   333,
     333,   397,   330,   330,   329,   333,    97,   107,   398,   573,
     573,   573,   573,   573,   573,   332,   338,   571,   571,   322,
     323,   329,   572,    71,   331,   513,   331,   513,   522,   404,
     333,   404,   419,   332,   330,   332,   332,   337,   333,   462,
     397,   333,   333,   333,   316,    66,   484,   484,    66,    66,
      66,    66,    66,   484,    64,   395,    65,   595,   395,   395,
     395,   395,   395,   395,   395,   395,   395,   395,   395,   395,
     395,   395,   600,   332,   332,   397,   332,   333,   330,   329,
     333,   448,   333,   332,   397,   331,   397,   568,   397,   398,
     397,   398,   314,   329,   329,   329,   329,   329,   329,   398,
     572,   572,     3,    13,    22,     1,   512,   579,   579,   484,
     333,   333,   333,   467,   467,   467,   516,   404,   484,   484,
     590,     1,    60,   399,   429,   430,   333,   595,   333,   332,
     397,   515,   554,   569,   576,   316,   397,   314,   314,   397,
     573,   397,   573,   573,   397,   573,   339,    13,    22,    13,
      22,   338,   397,   397,   332,   329,   332,   332,   447,   598,
     598,   598,   333,   507,   589,   316,   600,   316,   429,   596,
     422,   425,   467,   333,   333,   397,   329,   397,   397,   329,
       3,   329,   574,   575,   329,   329,   329,   332,   329,     3,
     331,     3,   331,     3,   331,     3,   331,   398,   332,   332,
     512,    73,   600,   600,   425,   600,   600,   332,   596,   449,
     316,   397,   397,   403,   332,   329,   397,   397,   397,   333,
     397,   332,   398,   332,   398,   332,   398,   332,   398,   339,
     316,   425,   599,   425,    66,    51,    64,    67,   397,   332,
     574,   333,   403,   574,   574,   574,   329,    38,    39,   316,
     578,   578,   578,   578,   425,   599,   599,   316,   425,   332,
     332,   332,   332,   397,   397,   397,   397,   397,   590,     3,
     333,   333,   333,   333,   574,   332,   332,   332,   332,   599,
     428,   332,   332,   332,   332,   332,   423,   333,    65
};

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		(-2)
#define YYEOF		0

#define YYACCEPT	goto yyacceptlab
#define YYABORT		goto yyabortlab
#define YYERROR		goto yyerrorlab


/* Like YYERROR except do call yyerror.  This remains here temporarily
   to ease the transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  However,
   YYFAIL appears to be in use.  Nevertheless, it is formally deprecated
   in Bison 2.4.2's NEWS entry, where a plan to phase it out is
   discussed.  */

#define YYFAIL		goto yyerrlab
#if defined YYFAIL
  /* This is here to suppress warnings from the GCC cpp's
     -Wunused-macros.  Normally we don't worry about that warning, but
     some users do, and we want to make it easy for users to remove
     YYFAIL uses, which will produce warnings from Bison 2.5.  */
#endif

#define YYRECOVERING()  (!!yyerrstatus)

#define YYBACKUP(Token, Value)					\
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    {								\
      yychar = (Token);						\
      yylval = (Value);						\
      yytoken = YYTRANSLATE (yychar);				\
      YYPOPSTACK (1);						\
      goto yybackup;						\
    }								\
  else								\
    {								\
      yyerror (YY_("syntax error: cannot back up")); \
      YYERROR;							\
    }								\
while (YYID (0))


#define YYTERROR	1
#define YYERRCODE	256


/* YYLLOC_DEFAULT -- Set CURRENT to span from RHS[1] to RHS[N].
   If N is 0, then set CURRENT to the empty location which ends
   the previous symbol: RHS[0] (always defined).  */

#define YYRHSLOC(Rhs, K) ((Rhs)[K])
#ifndef YYLLOC_DEFAULT
# define YYLLOC_DEFAULT(Current, Rhs, N)				\
    do									\
      if (YYID (N))                                                    \
	{								\
	  (Current).first_line   = YYRHSLOC (Rhs, 1).first_line;	\
	  (Current).first_column = YYRHSLOC (Rhs, 1).first_column;	\
	  (Current).last_line    = YYRHSLOC (Rhs, N).last_line;		\
	  (Current).last_column  = YYRHSLOC (Rhs, N).last_column;	\
	}								\
      else								\
	{								\
	  (Current).first_line   = (Current).last_line   =		\
	    YYRHSLOC (Rhs, 0).last_line;				\
	  (Current).first_column = (Current).last_column =		\
	    YYRHSLOC (Rhs, 0).last_column;				\
	}								\
    while (YYID (0))
#endif


/* YY_LOCATION_PRINT -- Print the location on the stream.
   This macro was not mandated originally: define only if we know
   we won't break user code: when these are the locations we know.  */

#ifndef YY_LOCATION_PRINT
# if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
#  define YY_LOCATION_PRINT(File, Loc)			\
     fprintf (File, "%d.%d-%d.%d",			\
	      (Loc).first_line, (Loc).first_column,	\
	      (Loc).last_line,  (Loc).last_column)
# else
#  define YY_LOCATION_PRINT(File, Loc) ((void) 0)
# endif
#endif


/* YYLEX -- calling `yylex' with the right arguments.  */

#ifdef YYLEX_PARAM
# define YYLEX yylex (YYLEX_PARAM)
#else
# define YYLEX yylex ()
#endif

/* Enable debugging if requested.  */
#if YYDEBUG

# ifndef YYFPRINTF
#  include <stdio.h> /* INFRINGES ON USER NAME SPACE */
#  define YYFPRINTF fprintf
# endif

# define YYDPRINTF(Args)			\
do {						\
  if (yydebug)					\
    YYFPRINTF Args;				\
} while (YYID (0))

# define YY_SYMBOL_PRINT(Title, Type, Value, Location)			  \
do {									  \
  if (yydebug)								  \
    {									  \
      YYFPRINTF (stderr, "%s ", Title);					  \
      yy_symbol_print (stderr,						  \
		  Type, Value, Location); \
      YYFPRINTF (stderr, "\n");						  \
    }									  \
} while (YYID (0))


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_value_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (!yyvaluep)
    return;
  YYUSE (yylocationp);
# ifdef YYPRINT
  if (yytype < YYNTOKENS)
    YYPRINT (yyoutput, yytoknum[yytype], *yyvaluep);
# else
  YYUSE (yyoutput);
# endif
  switch (yytype)
    {
      default:
	break;
    }
}


/*--------------------------------.
| Print this symbol on YYOUTPUT.  |
`--------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_symbol_print (FILE *yyoutput, int yytype, YYSTYPE const * const yyvaluep, YYLTYPE const * const yylocationp)
#else
static void
yy_symbol_print (yyoutput, yytype, yyvaluep, yylocationp)
    FILE *yyoutput;
    int yytype;
    YYSTYPE const * const yyvaluep;
    YYLTYPE const * const yylocationp;
#endif
{
  if (yytype < YYNTOKENS)
    YYFPRINTF (yyoutput, "token %s (", yytname[yytype]);
  else
    YYFPRINTF (yyoutput, "nterm %s (", yytname[yytype]);

  YY_LOCATION_PRINT (yyoutput, *yylocationp);
  YYFPRINTF (yyoutput, ": ");
  yy_symbol_value_print (yyoutput, yytype, yyvaluep, yylocationp);
  YYFPRINTF (yyoutput, ")");
}

/*------------------------------------------------------------------.
| yy_stack_print -- Print the state stack from its BOTTOM up to its |
| TOP (included).                                                   |
`------------------------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_stack_print (yytype_int16 *yybottom, yytype_int16 *yytop)
#else
static void
yy_stack_print (yybottom, yytop)
    yytype_int16 *yybottom;
    yytype_int16 *yytop;
#endif
{
  YYFPRINTF (stderr, "Stack now");
  for (; yybottom <= yytop; yybottom++)
    {
      int yybot = *yybottom;
      YYFPRINTF (stderr, " %d", yybot);
    }
  YYFPRINTF (stderr, "\n");
}

# define YY_STACK_PRINT(Bottom, Top)				\
do {								\
  if (yydebug)							\
    yy_stack_print ((Bottom), (Top));				\
} while (YYID (0))


/*------------------------------------------------.
| Report that the YYRULE is going to be reduced.  |
`------------------------------------------------*/

#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yy_reduce_print (YYSTYPE *yyvsp, YYLTYPE *yylsp, int yyrule)
#else
static void
yy_reduce_print (yyvsp, yylsp, yyrule)
    YYSTYPE *yyvsp;
    YYLTYPE *yylsp;
    int yyrule;
#endif
{
  int yynrhs = yyr2[yyrule];
  int yyi;
  unsigned long int yylno = yyrline[yyrule];
  YYFPRINTF (stderr, "Reducing stack by rule %d (line %lu):\n",
	     yyrule - 1, yylno);
  /* The symbols being reduced.  */
  for (yyi = 0; yyi < yynrhs; yyi++)
    {
      YYFPRINTF (stderr, "   $%d = ", yyi + 1);
      yy_symbol_print (stderr, yyrhs[yyprhs[yyrule] + yyi],
		       &(yyvsp[(yyi + 1) - (yynrhs)])
		       , &(yylsp[(yyi + 1) - (yynrhs)])		       );
      YYFPRINTF (stderr, "\n");
    }
}

# define YY_REDUCE_PRINT(Rule)		\
do {					\
  if (yydebug)				\
    yy_reduce_print (yyvsp, yylsp, Rule); \
} while (YYID (0))

/* Nonzero means print parse trace.  It is left uninitialized so that
   multiple parsers can coexist.  */
int yydebug;
#else /* !YYDEBUG */
# define YYDPRINTF(Args)
# define YY_SYMBOL_PRINT(Title, Type, Value, Location)
# define YY_STACK_PRINT(Bottom, Top)
# define YY_REDUCE_PRINT(Rule)
#endif /* !YYDEBUG */


/* YYINITDEPTH -- initial size of the parser's stacks.  */
#ifndef	YYINITDEPTH
# define YYINITDEPTH 200
#endif

/* YYMAXDEPTH -- maximum size the stacks can grow to (effective only
   if the built-in stack extension method is used).

   Do not make this value too large; the results are undefined if
   YYSTACK_ALLOC_MAXIMUM < YYSTACK_BYTES (YYMAXDEPTH)
   evaluated with infinite-precision integer arithmetic.  */

#ifndef YYMAXDEPTH
# define YYMAXDEPTH 10000
#endif



#if YYERROR_VERBOSE

# ifndef yystrlen
#  if defined __GLIBC__ && defined _STRING_H
#   define yystrlen strlen
#  else
/* Return the length of YYSTR.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static YYSIZE_T
yystrlen (const char *yystr)
#else
static YYSIZE_T
yystrlen (yystr)
    const char *yystr;
#endif
{
  YYSIZE_T yylen;
  for (yylen = 0; yystr[yylen]; yylen++)
    continue;
  return yylen;
}
#  endif
# endif

# ifndef yystpcpy
#  if defined __GLIBC__ && defined _STRING_H && defined _GNU_SOURCE
#   define yystpcpy stpcpy
#  else
/* Copy YYSRC to YYDEST, returning the address of the terminating '\0' in
   YYDEST.  */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static char *
yystpcpy (char *yydest, const char *yysrc)
#else
static char *
yystpcpy (yydest, yysrc)
    char *yydest;
    const char *yysrc;
#endif
{
  char *yyd = yydest;
  const char *yys = yysrc;

  while ((*yyd++ = *yys++) != '\0')
    continue;

  return yyd - 1;
}
#  endif
# endif

# ifndef yytnamerr
/* Copy to YYRES the contents of YYSTR after stripping away unnecessary
   quotes and backslashes, so that it's suitable for yyerror.  The
   heuristic is that double-quoting is unnecessary unless the string
   contains an apostrophe, a comma, or backslash (other than
   backslash-backslash).  YYSTR is taken from yytname.  If YYRES is
   null, do not copy; instead, return the length of what the result
   would have been.  */
static YYSIZE_T
yytnamerr (char *yyres, const char *yystr)
{
  if (*yystr == '"')
    {
      YYSIZE_T yyn = 0;
      char const *yyp = yystr;

      for (;;)
	switch (*++yyp)
	  {
	  case '\'':
	  case ',':
	    goto do_not_strip_quotes;

	  case '\\':
	    if (*++yyp != '\\')
	      goto do_not_strip_quotes;
	    /* Fall through.  */
	  default:
	    if (yyres)
	      yyres[yyn] = *yyp;
	    yyn++;
	    break;

	  case '"':
	    if (yyres)
	      yyres[yyn] = '\0';
	    return yyn;
	  }
    do_not_strip_quotes: ;
    }

  if (! yyres)
    return yystrlen (yystr);

  return yystpcpy (yyres, yystr) - yyres;
}
# endif

/* Copy into YYRESULT an error message about the unexpected token
   YYCHAR while in state YYSTATE.  Return the number of bytes copied,
   including the terminating null byte.  If YYRESULT is null, do not
   copy anything; just return the number of bytes that would be
   copied.  As a special case, return 0 if an ordinary "syntax error"
   message will do.  Return YYSIZE_MAXIMUM if overflow occurs during
   size calculation.  */
static YYSIZE_T
yysyntax_error (char *yyresult, int yystate, int yychar)
{
  int yyn = yypact[yystate];

  if (! (YYPACT_NINF < yyn && yyn <= YYLAST))
    return 0;
  else
    {
      int yytype = YYTRANSLATE (yychar);
      YYSIZE_T yysize0 = yytnamerr (0, yytname[yytype]);
      YYSIZE_T yysize = yysize0;
      YYSIZE_T yysize1;
      int yysize_overflow = 0;
      enum { YYERROR_VERBOSE_ARGS_MAXIMUM = 5 };
      char const *yyarg[YYERROR_VERBOSE_ARGS_MAXIMUM];
      int yyx;

# if 0
      /* This is so xgettext sees the translatable formats that are
	 constructed on the fly.  */
      YY_("syntax error, unexpected %s");
      YY_("syntax error, unexpected %s, expecting %s");
      YY_("syntax error, unexpected %s, expecting %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s");
      YY_("syntax error, unexpected %s, expecting %s or %s or %s or %s");
# endif
      char *yyfmt;
      char const *yyf;
      static char const yyunexpected[] = "syntax error, unexpected %s";
      static char const yyexpecting[] = ", expecting %s";
      static char const yyor[] = " or %s";
      char yyformat[sizeof yyunexpected
		    + sizeof yyexpecting - 1
		    + ((YYERROR_VERBOSE_ARGS_MAXIMUM - 2)
		       * (sizeof yyor - 1))];
      char const *yyprefix = yyexpecting;

      /* Start YYX at -YYN if negative to avoid negative indexes in
	 YYCHECK.  */
      int yyxbegin = yyn < 0 ? -yyn : 0;

      /* Stay within bounds of both yycheck and yytname.  */
      int yychecklim = YYLAST - yyn + 1;
      int yyxend = yychecklim < YYNTOKENS ? yychecklim : YYNTOKENS;
      int yycount = 1;

      yyarg[0] = yytname[yytype];
      yyfmt = yystpcpy (yyformat, yyunexpected);

      for (yyx = yyxbegin; yyx < yyxend; ++yyx)
	if (yycheck[yyx + yyn] == yyx && yyx != YYTERROR)
	  {
	    if (yycount == YYERROR_VERBOSE_ARGS_MAXIMUM)
	      {
		yycount = 1;
		yysize = yysize0;
		yyformat[sizeof yyunexpected - 1] = '\0';
		break;
	      }
	    yyarg[yycount++] = yytname[yyx];
	    yysize1 = yysize + yytnamerr (0, yytname[yyx]);
	    yysize_overflow |= (yysize1 < yysize);
	    yysize = yysize1;
	    yyfmt = yystpcpy (yyfmt, yyprefix);
	    yyprefix = yyor;
	  }

      yyf = YY_(yyformat);
      yysize1 = yysize + yystrlen (yyf);
      yysize_overflow |= (yysize1 < yysize);
      yysize = yysize1;

      if (yysize_overflow)
	return YYSIZE_MAXIMUM;

      if (yyresult)
	{
	  /* Avoid sprintf, as that infringes on the user's name space.
	     Don't have undefined behavior even if the translation
	     produced a string with the wrong number of "%s"s.  */
	  char *yyp = yyresult;
	  int yyi = 0;
	  while ((*yyp = *yyf) != '\0')
	    {
	      if (*yyp == '%' && yyf[1] == 's' && yyi < yycount)
		{
		  yyp += yytnamerr (yyp, yyarg[yyi++]);
		  yyf += 2;
		}
	      else
		{
		  yyp++;
		  yyf++;
		}
	    }
	}
      return yysize;
    }
}
#endif /* YYERROR_VERBOSE */


/*-----------------------------------------------.
| Release the memory associated to this symbol.  |
`-----------------------------------------------*/

/*ARGSUSED*/
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
static void
yydestruct (const char *yymsg, int yytype, YYSTYPE *yyvaluep, YYLTYPE *yylocationp)
#else
static void
yydestruct (yymsg, yytype, yyvaluep, yylocationp)
    const char *yymsg;
    int yytype;
    YYSTYPE *yyvaluep;
    YYLTYPE *yylocationp;
#endif
{
  YYUSE (yyvaluep);
  YYUSE (yylocationp);

  if (!yymsg)
    yymsg = "Deleting";
  YY_SYMBOL_PRINT (yymsg, yytype, yyvaluep, yylocationp);

  switch (yytype)
    {
      case 3: /* "IDENTIFIER" */

/* Line 1009 of yacc.c  */
#line 362 "./parser.y"
	{ FREE_TEXT( (yyvaluep->text) ); };

/* Line 1009 of yacc.c  */
#line 4951 "parser.c"
	break;
      case 5: /* "PATHPULSE_IDENTIFIER" */

/* Line 1009 of yacc.c  */
#line 362 "./parser.y"
	{ FREE_TEXT( (yyvaluep->text) ); };

/* Line 1009 of yacc.c  */
#line 4960 "parser.c"
	break;
      case 6: /* "DEC_NUMBER" */

/* Line 1009 of yacc.c  */
#line 362 "./parser.y"
	{ FREE_TEXT( (yyvaluep->text) ); };

/* Line 1009 of yacc.c  */
#line 4969 "parser.c"
	break;
      case 7: /* "BASE_NUMBER" */

/* Line 1009 of yacc.c  */
#line 362 "./parser.y"
	{ FREE_TEXT( (yyvaluep->text) ); };

/* Line 1009 of yacc.c  */
#line 4978 "parser.c"
	break;
      case 402: /* "begin_end_id" */

/* Line 1009 of yacc.c  */
#line 362 "./parser.y"
	{ FREE_TEXT( (yyvaluep->text) ); };

/* Line 1009 of yacc.c  */
#line 4987 "parser.c"
	break;
      case 403: /* "identifier" */

/* Line 1009 of yacc.c  */
#line 362 "./parser.y"
	{ FREE_TEXT( (yyvaluep->text) ); };

/* Line 1009 of yacc.c  */
#line 4996 "parser.c"
	break;

      default:
	break;
    }
}

/* Prevent warnings from -Wmissing-prototypes.  */
#ifdef YYPARSE_PARAM
#if defined __STDC__ || defined __cplusplus
int yyparse (void *YYPARSE_PARAM);
#else
int yyparse ();
#endif
#else /* ! YYPARSE_PARAM */
#if defined __STDC__ || defined __cplusplus
int yyparse (void);
#else
int yyparse ();
#endif
#endif /* ! YYPARSE_PARAM */


/* The lookahead symbol.  */
int yychar;

/* The semantic value of the lookahead symbol.  */
YYSTYPE yylval;

/* Location data for the lookahead symbol.  */
YYLTYPE yylloc;

/* Number of syntax errors so far.  */
int yynerrs;



/*-------------------------.
| yyparse or yypush_parse.  |
`-------------------------*/

#ifdef YYPARSE_PARAM
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void *YYPARSE_PARAM)
#else
int
yyparse (YYPARSE_PARAM)
    void *YYPARSE_PARAM;
#endif
#else /* ! YYPARSE_PARAM */
#if (defined __STDC__ || defined __C99__FUNC__ \
     || defined __cplusplus || defined _MSC_VER)
int
yyparse (void)
#else
int
yyparse ()

#endif
#endif
{


    int yystate;
    /* Number of tokens to shift before error messages enabled.  */
    int yyerrstatus;

    /* The stacks and their tools:
       `yyss': related to states.
       `yyvs': related to semantic values.
       `yyls': related to locations.

       Refer to the stacks thru separate pointers, to allow yyoverflow
       to reallocate them elsewhere.  */

    /* The state stack.  */
    yytype_int16 yyssa[YYINITDEPTH];
    yytype_int16 *yyss;
    yytype_int16 *yyssp;

    /* The semantic value stack.  */
    YYSTYPE yyvsa[YYINITDEPTH];
    YYSTYPE *yyvs;
    YYSTYPE *yyvsp;

    /* The location stack.  */
    YYLTYPE yylsa[YYINITDEPTH];
    YYLTYPE *yyls;
    YYLTYPE *yylsp;

    /* The locations where the error started and ended.  */
    YYLTYPE yyerror_range[3];

    YYSIZE_T yystacksize;

  int yyn;
  int yyresult;
  /* Lookahead token as an internal (translated) token number.  */
  int yytoken;
  /* The variables used to return semantic value and location from the
     action routines.  */
  YYSTYPE yyval;
  YYLTYPE yyloc;

#if YYERROR_VERBOSE
  /* Buffer for error messages, and its allocated size.  */
  char yymsgbuf[128];
  char *yymsg = yymsgbuf;
  YYSIZE_T yymsg_alloc = sizeof yymsgbuf;
#endif

#define YYPOPSTACK(N)   (yyvsp -= (N), yyssp -= (N), yylsp -= (N))

  /* The number of symbols on the RHS of the reduced rule.
     Keep to zero when no symbol should be popped.  */
  int yylen = 0;

  yytoken = 0;
  yyss = yyssa;
  yyvs = yyvsa;
  yyls = yylsa;
  yystacksize = YYINITDEPTH;

  YYDPRINTF ((stderr, "Starting parse\n"));

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY; /* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */
  yyssp = yyss;
  yyvsp = yyvs;
  yylsp = yyls;

#if defined YYLTYPE_IS_TRIVIAL && YYLTYPE_IS_TRIVIAL
  /* Initialize the default location before parsing starts.  */
  yylloc.first_line   = yylloc.last_line   = 1;
  yylloc.first_column = yylloc.last_column = 1;
#endif

  goto yysetstate;

/*------------------------------------------------------------.
| yynewstate -- Push a new state, which is found in yystate.  |
`------------------------------------------------------------*/
 yynewstate:
  /* In all cases, when you get here, the value and location stacks
     have just been pushed.  So pushing a state here evens the stacks.  */
  yyssp++;

 yysetstate:
  *yyssp = yystate;

  if (yyss + yystacksize - 1 <= yyssp)
    {
      /* Get the current used size of the three stacks, in elements.  */
      YYSIZE_T yysize = yyssp - yyss + 1;

#ifdef yyoverflow
      {
	/* Give user a chance to reallocate the stack.  Use copies of
	   these so that the &'s don't force the real ones into
	   memory.  */
	YYSTYPE *yyvs1 = yyvs;
	yytype_int16 *yyss1 = yyss;
	YYLTYPE *yyls1 = yyls;

	/* Each stack pointer address is followed by the size of the
	   data in use in that stack, in bytes.  This used to be a
	   conditional around just the two extra args, but that might
	   be undefined if yyoverflow is a macro.  */
	yyoverflow (YY_("memory exhausted"),
		    &yyss1, yysize * sizeof (*yyssp),
		    &yyvs1, yysize * sizeof (*yyvsp),
		    &yyls1, yysize * sizeof (*yylsp),
		    &yystacksize);

	yyls = yyls1;
	yyss = yyss1;
	yyvs = yyvs1;
      }
#else /* no yyoverflow */
# ifndef YYSTACK_RELOCATE
      goto yyexhaustedlab;
# else
      /* Extend the stack our own way.  */
      if (YYMAXDEPTH <= yystacksize)
	goto yyexhaustedlab;
      yystacksize *= 2;
      if (YYMAXDEPTH < yystacksize)
	yystacksize = YYMAXDEPTH;

      {
	yytype_int16 *yyss1 = yyss;
	union yyalloc *yyptr =
	  (union yyalloc *) YYSTACK_ALLOC (YYSTACK_BYTES (yystacksize));
	if (! yyptr)
	  goto yyexhaustedlab;
	YYSTACK_RELOCATE (yyss_alloc, yyss);
	YYSTACK_RELOCATE (yyvs_alloc, yyvs);
	YYSTACK_RELOCATE (yyls_alloc, yyls);
#  undef YYSTACK_RELOCATE
	if (yyss1 != yyssa)
	  YYSTACK_FREE (yyss1);
      }
# endif
#endif /* no yyoverflow */

      yyssp = yyss + yysize - 1;
      yyvsp = yyvs + yysize - 1;
      yylsp = yyls + yysize - 1;

      YYDPRINTF ((stderr, "Stack size increased to %lu\n",
		  (unsigned long int) yystacksize));

      if (yyss + yystacksize - 1 <= yyssp)
	YYABORT;
    }

  YYDPRINTF ((stderr, "Entering state %d\n", yystate));

  if (yystate == YYFINAL)
    YYACCEPT;

  goto yybackup;

/*-----------.
| yybackup.  |
`-----------*/
yybackup:

  /* Do appropriate processing given the current state.  Read a
     lookahead token if we need one and don't already have one.  */

  /* First try to decide what to do without reference to lookahead token.  */
  yyn = yypact[yystate];
  if (yyn == YYPACT_NINF)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* YYCHAR is either YYEMPTY or YYEOF or a valid lookahead symbol.  */
  if (yychar == YYEMPTY)
    {
      YYDPRINTF ((stderr, "Reading a token: "));
      yychar = YYLEX;
    }

  if (yychar <= YYEOF)
    {
      yychar = yytoken = YYEOF;
      YYDPRINTF ((stderr, "Now at end of input.\n"));
    }
  else
    {
      yytoken = YYTRANSLATE (yychar);
      YY_SYMBOL_PRINT ("Next token is", yytoken, &yylval, &yylloc);
    }

  /* If the proper action on seeing token YYTOKEN is to reduce or to
     detect an error, take that action.  */
  yyn += yytoken;
  if (yyn < 0 || YYLAST < yyn || yycheck[yyn] != yytoken)
    goto yydefault;
  yyn = yytable[yyn];
  if (yyn <= 0)
    {
      if (yyn == 0 || yyn == YYTABLE_NINF)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }

  /* Count tokens shifted since error; after three, turn off error
     status.  */
  if (yyerrstatus)
    yyerrstatus--;

  /* Shift the lookahead token.  */
  YY_SYMBOL_PRINT ("Shifting", yytoken, &yylval, &yylloc);

  /* Discard the shifted token.  */
  yychar = YYEMPTY;

  yystate = yyn;
  *++yyvsp = yylval;
  *++yylsp = yylloc;
  goto yynewstate;


/*-----------------------------------------------------------.
| yydefault -- do the default action for the current state.  |
`-----------------------------------------------------------*/
yydefault:
  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;
  goto yyreduce;


/*-----------------------------.
| yyreduce -- Do a reduction.  |
`-----------------------------*/
yyreduce:
  /* yyn is the number of a rule to reduce with.  */
  yylen = yyr2[yyn];

  /* If YYLEN is nonzero, implement the default value of the action:
     `$$ = $1'.

     Otherwise, the following line sets YYVAL to garbage.
     This behavior is undocumented and Bison
     users should not rely upon it.  Assigning to YYVAL
     unconditionally makes the parser a bit smaller, and it avoids a
     GCC warning that YYVAL may be used uninitialized.  */
  yyval = yyvsp[1-yylen];

  /* Default location.  */
  YYLLOC_DEFAULT (yyloc, (yylsp - yylen), yylen);
  YY_REDUCE_PRINT (yyn);
  switch (yyn)
    {
        case 4:

/* Line 1464 of yacc.c  */
#line 377 "./parser.y"
    {
      if( (ignore_mode == 0) && !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Attribute syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      }
    ;}
    break;

  case 5:

/* Line 1464 of yacc.c  */
#line 384 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      } else if( ignore_mode == 0 ) {
        db_parse_attribute( (yyvsp[(3) - (4)].attr_parm), (yylsp[(1) - (4)]).first_line );
      }
    ;}
    break;

  case 6:

/* Line 1464 of yacc.c  */
#line 392 "./parser.y"
    {
      if( (ignore_mode == 0) && !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Attribute syntax found in block that is specified to not allow Verilog-2001 syntax" );
      }
    ;}
    break;

  case 9:

/* Line 1464 of yacc.c  */
#line 403 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (3)].attr_parm) != NULL) && ((yyvsp[(1) - (3)].attr_parm) != NULL) ) {
        (yyvsp[(3) - (3)].attr_parm)->next  = (yyvsp[(1) - (3)].attr_parm);
        (yyvsp[(1) - (3)].attr_parm)->prev  = (yyvsp[(3) - (3)].attr_parm);
        (yyvsp[(3) - (3)].attr_parm)->index = (yyvsp[(1) - (3)].attr_parm)->index + 1;
        (yyval.attr_parm) = (yyvsp[(3) - (3)].attr_parm);
      } else {
        (yyval.attr_parm) = NULL;
      }
    ;}
    break;

  case 10:

/* Line 1464 of yacc.c  */
#line 414 "./parser.y"
    {
      (yyval.attr_parm) = (yyvsp[(1) - (1)].attr_parm);
    ;}
    break;

  case 11:

/* Line 1464 of yacc.c  */
#line 421 "./parser.y"
    {
      attr_param* ap;
      if( ignore_mode == 0 ) {
        ap = db_create_attr_param( (yyvsp[(1) - (1)].text), NULL );
        (yyval.attr_parm) = ap;
      } else {
        (yyval.attr_parm) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 12:

/* Line 1464 of yacc.c  */
#line 431 "./parser.y"
    {attr_mode++;;}
    break;

  case 13:

/* Line 1464 of yacc.c  */
#line 431 "./parser.y"
    {attr_mode--;;}
    break;

  case 14:

/* Line 1464 of yacc.c  */
#line 432 "./parser.y"
    {
      attr_param* ap;
      if( ignore_mode == 0 ) {
        ap = db_create_attr_param( (yyvsp[(1) - (5)].text), (yyvsp[(4) - (5)].expr) );
        (yyval.attr_parm) = ap;
      } else {
        (yyval.attr_parm) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (5)].text) );
    ;}
    break;

  case 19:

/* Line 1464 of yacc.c  */
#line 453 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (8)].text) );
      vector_dealloc( (yyvsp[(5) - (8)].num).vec );
      vector_dealloc( (yyvsp[(7) - (8)].num).vec );
    ;}
    break;

  case 23:

/* Line 1464 of yacc.c  */
#line 462 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].integer) == 1) ) {
        parser_implicitly_set_curr_range( 0, 0, TRUE );
      }
      curr_signed = FALSE;
    ;}
    break;

  case 25:

/* Line 1464 of yacc.c  */
#line 470 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    ;}
    break;

  case 27:

/* Line 1464 of yacc.c  */
#line 478 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(2) - (3)].strlink) );
    ;}
    break;

  case 28:

/* Line 1464 of yacc.c  */
#line 482 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    ;}
    break;

  case 29:

/* Line 1464 of yacc.c  */
#line 486 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    ;}
    break;

  case 30:

/* Line 1464 of yacc.c  */
#line 490 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(4) - (5)].strlink) );
    ;}
    break;

  case 31:

/* Line 1464 of yacc.c  */
#line 494 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(2) - (3)].strlink) );
    ;}
    break;

  case 32:

/* Line 1464 of yacc.c  */
#line 498 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(2) - (3)].strlink) );
    ;}
    break;

  case 33:

/* Line 1464 of yacc.c  */
#line 502 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(5) - (6)].strlink) );
    ;}
    break;

  case 34:

/* Line 1464 of yacc.c  */
#line 506 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(5) - (6)].strlink) );
    ;}
    break;

  case 36:

/* Line 1464 of yacc.c  */
#line 511 "./parser.y"
    {
      curr_mba      = TRUE;
      curr_signed   = FALSE;
      curr_sig_type = SSUPPL_TYPE_EVENT;
      curr_handled  = TRUE;
      parser_implicitly_set_curr_range( 0, 0, TRUE );
    ;}
    break;

  case 38:

/* Line 1464 of yacc.c  */
#line 520 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          if( !db_add_function_task_namedblock( ((yyvsp[(2) - (4)].logical) ? FUNIT_ATASK : FUNIT_TASK), (yyvsp[(3) - (4)].text), (yylsp[(3) - (4)]).text, (yylsp[(3) - (4)]).first_line ) ) {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      FREE_TEXT( (yyvsp[(3) - (4)].text) );
    ;}
    break;

  case 39:

/* Line 1464 of yacc.c  */
#line 534 "./parser.y"
    {
      statement* stmt = (yyvsp[(7) - (7)].state);
      if( ignore_mode == 0 ) {
        if( stmt == NULL ) {
          stmt = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(7) - (7)]).first_line, (yylsp[(7) - (7)]).first_column, ((yylsp[(7) - (7)]).last_column - 1), NULL ), (yylsp[(7) - (7)]).ppline );
        }
        stmt->suppl.part.head      = 1;
        stmt->suppl.part.is_called = 1;
        db_add_statement( stmt, stmt );
      }
    ;}
    break;

  case 40:

/* Line 1464 of yacc.c  */
#line 546 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(9) - (9)]).first_line );
      } else {
        ignore_mode--;
      }
    ;}
    break;

  case 41:

/* Line 1464 of yacc.c  */
#line 554 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          if( db_add_function_task_namedblock( ((yyvsp[(2) - (6)].logical) ? FUNIT_AFUNCTION : FUNIT_FUNCTION), (yyvsp[(5) - (6)].text), (yylsp[(5) - (6)]).text, (yylsp[(5) - (6)]).first_line ) ) {
            db_add_signal( (yyvsp[(5) - (6)].text), curr_sig_type, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(5) - (6)]).first_line, (yylsp[(5) - (6)]).first_column, TRUE );
          } else {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
        FREE_TEXT( (yyvsp[(5) - (6)].text) );
      }
    ;}
    break;

  case 42:

/* Line 1464 of yacc.c  */
#line 570 "./parser.y"
    {
      statement* stmt = (yyvsp[(9) - (9)].state);
      if( (ignore_mode == 0) && (stmt != NULL) ) {
        stmt->suppl.part.head      = 1;
        stmt->suppl.part.is_called = 1;
        db_add_statement( stmt, stmt );
      }
    ;}
    break;

  case 43:

/* Line 1464 of yacc.c  */
#line 579 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(11) - (11)]).first_line );
      } else {
        ignore_mode--;
      }
    ;}
    break;

  case 44:

/* Line 1464 of yacc.c  */
#line 587 "./parser.y"
    {
      VLerror( "Invalid $root item" );
    ;}
    break;

  case 45:

/* Line 1464 of yacc.c  */
#line 591 "./parser.y"
    {
      VLerror( "Syntax error in function description" );
    ;}
    break;

  case 46:

/* Line 1464 of yacc.c  */
#line 595 "./parser.y"
    {
      str_link* strl = (yyvsp[(2) - (3)].strlink);
      while( strl != NULL ) {
        db_add_signal( strl->str, SSUPPL_TYPE_DECL_REG, &curr_prange, NULL, curr_signed, FALSE, strl->suppl, strl->suppl2, TRUE );
        strl = strl->next;
      }
      str_link_delete_list( (yyvsp[(2) - (3)].strlink) );
    ;}
    break;

  case 47:

/* Line 1464 of yacc.c  */
#line 607 "./parser.y"
    {
      db_add_module( (yyvsp[(3) - (3)].text), (yylsp[(2) - (3)]).text, (yylsp[(2) - (3)]).first_line );
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    ;}
    break;

  case 48:

/* Line 1464 of yacc.c  */
#line 614 "./parser.y"
    {
      db_end_module( (yylsp[(9) - (9)]).first_line );
    ;}
    break;

  case 53:

/* Line 1464 of yacc.c  */
#line 628 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Pre-module parameter declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      }
    ;}
    break;

  case 54:

/* Line 1464 of yacc.c  */
#line 635 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      }
    ;}
    break;

  case 56:

/* Line 1464 of yacc.c  */
#line 645 "./parser.y"
    {
      curr_prange.clear = TRUE;
    ;}
    break;

  case 58:

/* Line 1464 of yacc.c  */
#line 650 "./parser.y"
    {
      curr_prange.clear = TRUE;
    ;}
    break;

  case 60:

/* Line 1464 of yacc.c  */
#line 658 "./parser.y"
    {
      if( (yyvsp[(2) - (3)].portinfo) != NULL ) {
        parser_dealloc_sig_range( (yyvsp[(2) - (3)].portinfo)->prange, TRUE );
        parser_dealloc_sig_range( (yyvsp[(2) - (3)].portinfo)->urange, TRUE );
        free_safe( (yyvsp[(2) - (3)].portinfo), sizeof( port_info ) );
      }
    ;}
    break;

  case 62:

/* Line 1464 of yacc.c  */
#line 671 "./parser.y"
    {
      (yyval.portinfo) = (yyvsp[(1) - (1)].portinfo);
    ;}
    break;

  case 63:

/* Line 1464 of yacc.c  */
#line 675 "./parser.y"
    {
      if( (yyvsp[(1) - (3)].portinfo) != NULL ) {
        parser_dealloc_sig_range( (yyvsp[(1) - (3)].portinfo)->prange, TRUE );
        parser_dealloc_sig_range( (yyvsp[(1) - (3)].portinfo)->urange, TRUE );
        free_safe( (yyvsp[(1) - (3)].portinfo), sizeof( port_info ) );
      }
      (yyval.portinfo) = (yyvsp[(3) - (3)].portinfo);
    ;}
    break;

  case 64:

/* Line 1464 of yacc.c  */
#line 684 "./parser.y"
    {
      if( (yyvsp[(1) - (3)].portinfo) != NULL ) {
        db_add_signal( (yyvsp[(3) - (3)].text), (yyvsp[(1) - (3)].portinfo)->type, (yyvsp[(1) - (3)].portinfo)->prange, (yyvsp[(1) - (3)].portinfo)->urange, curr_signed, curr_mba, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, TRUE );
      }
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
      (yyval.portinfo) = (yyvsp[(1) - (3)].portinfo);
    ;}
    break;

  case 65:

/* Line 1464 of yacc.c  */
#line 696 "./parser.y"
    { PROFILE(PARSER_PORT_DECLARATION_A);
      port_info* pi;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
        FREE_TEXT( (yyvsp[(4) - (4)].text) );
        (yyval.portinfo) = NULL;
      } else {
        if( ignore_mode == 0 ) {
          db_add_signal( (yyvsp[(4) - (4)].text), curr_sig_type, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(4) - (4)]).first_line, (yylsp[(4) - (4)]).first_column, TRUE );
          pi = (port_info*)malloc_safe( sizeof( port_info ) );
          pi->type      = curr_sig_type;
          pi->is_signed = curr_signed;
          pi->prange    = parser_copy_curr_range( TRUE );
          pi->urange    = parser_copy_curr_range( FALSE );
          FREE_TEXT( (yyvsp[(4) - (4)].text) );
          (yyval.portinfo) = pi;
        } else {
          (yyval.portinfo) = NULL;
        }
      }
    ;}
    break;

  case 66:

/* Line 1464 of yacc.c  */
#line 718 "./parser.y"
    { PROFILE(PARSER_PORT_DECLARATION_B);
      port_info* pi;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
        FREE_TEXT( (yyvsp[(6) - (6)].text) );
        (yyval.portinfo) = NULL;
      } else {
        if( ignore_mode == 0 ) {
          db_add_signal( (yyvsp[(6) - (6)].text), SSUPPL_TYPE_OUTPUT_REG, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(6) - (6)]).first_line, (yylsp[(6) - (6)]).first_column, TRUE );
          pi = (port_info*)malloc_safe( sizeof( port_info ) );
          pi->type      = SSUPPL_TYPE_OUTPUT_REG;
          pi->is_signed = curr_signed;
          pi->prange    = parser_copy_curr_range( TRUE );
          pi->urange    = parser_copy_curr_range( FALSE );
          FREE_TEXT( (yyvsp[(6) - (6)].text) );
          (yyval.portinfo) = pi;
        } else {
          (yyval.portinfo) = NULL;
        }
      }
    ;}
    break;

  case 67:

/* Line 1464 of yacc.c  */
#line 741 "./parser.y"
    { PROFILE(PARSER_PORT_DECLARATION_C);
      port_info* pi;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
        FREE_TEXT( (yyvsp[(6) - (10)].text) );
        (yyval.portinfo) = NULL;
      } else {
        if( ignore_mode == 0 ) {
          db_add_signal( (yyvsp[(6) - (10)].text), SSUPPL_TYPE_OUTPUT_REG, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(6) - (10)]).first_line, (yylsp[(6) - (10)]).first_column, TRUE );
          pi = (port_info*)malloc_safe( sizeof( port_info ) );
          pi->type       = SSUPPL_TYPE_OUTPUT_REG;
          pi->is_signed  = curr_signed;
          pi->prange     = parser_copy_curr_range( TRUE );
          pi->urange     = parser_copy_curr_range( FALSE );
          FREE_TEXT( (yyvsp[(6) - (10)].text) );
          (yyval.portinfo) = pi;
        } else {
          (yyval.portinfo) = NULL;
        }
      }
    ;}
    break;

  case 68:

/* Line 1464 of yacc.c  */
#line 763 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
      } else if( ignore_mode == 0 ) {
        VLerror( "Invalid variable list in port declaration" );
      }
      (yyval.portinfo) = NULL;
    ;}
    break;

  case 69:

/* Line 1464 of yacc.c  */
#line 772 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Inline port declaration syntax found in block that is specified to not allow Verilog-2001 syntax" );
      } else if( ignore_mode == 0 ) {
        VLerror( "Invalid variable list in port declaration" );
      }
      (yyval.portinfo) = NULL;
    ;}
    break;

  case 75:

/* Line 1464 of yacc.c  */
#line 798 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (5)].text) );
    ;}
    break;

  case 77:

/* Line 1464 of yacc.c  */
#line 803 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (7)].text) );
    ;}
    break;

  case 78:

/* Line 1464 of yacc.c  */
#line 810 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 79:

/* Line 1464 of yacc.c  */
#line 814 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (8)].text) );
    ;}
    break;

  case 80:

/* Line 1464 of yacc.c  */
#line 818 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (6)].text) );
    ;}
    break;

  case 81:

/* Line 1464 of yacc.c  */
#line 822 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    ;}
    break;

  case 84:

/* Line 1464 of yacc.c  */
#line 834 "./parser.y"
    {
      char* num = (yyvsp[(1) - (1)].text);
      vector_from_string( &num, FALSE, &((yyval.num).vec), &((yyval.num).base) );
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 85:

/* Line 1464 of yacc.c  */
#line 840 "./parser.y"
    { 
      char* num = (yyvsp[(1) - (1)].text);
      vector_from_string( &num, FALSE, &((yyval.num).vec), &((yyval.num).base) );
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 86:

/* Line 1464 of yacc.c  */
#line 846 "./parser.y"
    {
      int          slen     = strlen( (yyvsp[(1) - (2)].text) ) + strlen( (yyvsp[(2) - (2)].text) ) + 1;
      char*        combined = (char*)malloc_safe( slen );
      char*        num      = combined;
      unsigned int rv       = snprintf( num, slen, "%s%s", (yyvsp[(1) - (2)].text), (yyvsp[(2) - (2)].text) );
      assert( rv < slen );
      vector_from_string( &num, FALSE, &((yyval.num).vec), &((yyval.num).base) );
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
      free_safe( combined, slen );
    ;}
    break;

  case 87:

/* Line 1464 of yacc.c  */
#line 861 "./parser.y"
    {
      static_expr* tmp = (yyvsp[(3) - (3)].statexp);
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            tmp = static_expr_gen_unary( (yyvsp[(3) - (3)].statexp), EXP_OP_PASSIGN, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
          } Catch_anonymous {
            error_count++;
          }
          Try {
            tmp = static_expr_gen( tmp, (yyvsp[(1) - (3)].statexp), EXP_OP_PLIST, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.statexp) = tmp;
        } else {
          (yyval.statexp) = (yyvsp[(1) - (3)].statexp);
        }
      } else {
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 88:

/* Line 1464 of yacc.c  */
#line 884 "./parser.y"
    {
      static_expr* tmp = (yyvsp[(1) - (1)].statexp);
      if( ignore_mode == 0 ) {
        if( (yyvsp[(1) - (1)].statexp) != NULL ) {
          Try {
            tmp = static_expr_gen_unary( (yyvsp[(1) - (1)].statexp), EXP_OP_PASSIGN, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1) );
          } Catch_anonymous {
            error_count++;
          }
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 89:

/* Line 1464 of yacc.c  */
#line 903 "./parser.y"
    {
      (yyval.statexp) = (yyvsp[(1) - (1)].statexp);
    ;}
    break;

  case 90:

/* Line 1464 of yacc.c  */
#line 907 "./parser.y"
    {
      static_expr* tmp = (yyvsp[(2) - (2)].statexp);
      if( tmp != NULL ) {
        if( tmp->exp == NULL ) {
          tmp->num = 0 + tmp->num;
        }
      }
      (yyval.statexp) = tmp;
    ;}
    break;

  case 91:

/* Line 1464 of yacc.c  */
#line 917 "./parser.y"
    {
      static_expr* tmp = (yyvsp[(2) - (2)].statexp);
      if( tmp != NULL ) {
        if( tmp->exp == NULL ) {
          tmp->num = 0 - tmp->num;
        }
      }
      (yyval.statexp) = tmp;
    ;}
    break;

  case 92:

/* Line 1464 of yacc.c  */
#line 927 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UINV, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 93:

/* Line 1464 of yacc.c  */
#line 936 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UAND, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 94:

/* Line 1464 of yacc.c  */
#line 945 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UNOT, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 95:

/* Line 1464 of yacc.c  */
#line 954 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UOR, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 96:

/* Line 1464 of yacc.c  */
#line 963 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UXOR, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 97:

/* Line 1464 of yacc.c  */
#line 972 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UNAND, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 98:

/* Line 1464 of yacc.c  */
#line 981 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UNOR, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 99:

/* Line 1464 of yacc.c  */
#line 990 "./parser.y"
    {
      Try {
        (yyval.statexp) = static_expr_gen_unary( (yyvsp[(2) - (2)].statexp), EXP_OP_UNXOR, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1) );
      } Catch_anonymous {
        error_count++;
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 100:

/* Line 1464 of yacc.c  */
#line 999 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_XOR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 101:

/* Line 1464 of yacc.c  */
#line 1003 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_MULTIPLY, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 102:

/* Line 1464 of yacc.c  */
#line 1007 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_DIVIDE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 103:

/* Line 1464 of yacc.c  */
#line 1011 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_MOD, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 104:

/* Line 1464 of yacc.c  */
#line 1015 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_ADD, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 105:

/* Line 1464 of yacc.c  */
#line 1019 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_SUBTRACT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 106:

/* Line 1464 of yacc.c  */
#line 1023 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Exponential power operation found in block that is specified to not allow Verilog-2001 syntax" );
        static_expr_dealloc( (yyvsp[(1) - (3)].statexp), TRUE );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.statexp) = NULL;
      } else {
        (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_EXPONENT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
      }
    ;}
    break;

  case 107:

/* Line 1464 of yacc.c  */
#line 1034 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_AND, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 108:

/* Line 1464 of yacc.c  */
#line 1038 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_OR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 109:

/* Line 1464 of yacc.c  */
#line 1042 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_NOR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 110:

/* Line 1464 of yacc.c  */
#line 1046 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_NAND, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 111:

/* Line 1464 of yacc.c  */
#line 1050 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_NXOR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 112:

/* Line 1464 of yacc.c  */
#line 1054 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LSHIFT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 113:

/* Line 1464 of yacc.c  */
#line 1058 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_RSHIFT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 114:

/* Line 1464 of yacc.c  */
#line 1062 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_GE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 115:

/* Line 1464 of yacc.c  */
#line 1066 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 116:

/* Line 1464 of yacc.c  */
#line 1070 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_EQ, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 117:

/* Line 1464 of yacc.c  */
#line 1074 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_NE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 118:

/* Line 1464 of yacc.c  */
#line 1078 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_GT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 119:

/* Line 1464 of yacc.c  */
#line 1082 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LT, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 120:

/* Line 1464 of yacc.c  */
#line 1086 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LAND, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 121:

/* Line 1464 of yacc.c  */
#line 1090 "./parser.y"
    {
      (yyval.statexp) = static_expr_gen( (yyvsp[(3) - (3)].statexp), (yyvsp[(1) - (3)].statexp), EXP_OP_LOR, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
    ;}
    break;

  case 122:

/* Line 1464 of yacc.c  */
#line 1097 "./parser.y"
    { PROFILE(PARSER_STATIC_EXPR_PRIMARY_A);
      static_expr* tmp;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].num).vec != NULL) ) {
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        if( vector_is_unknown( (yyvsp[(1) - (1)].num).vec ) ) {
          Try {
            tmp->exp = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
            tmp->exp->suppl.part.base = (yyvsp[(1) - (1)].num).base;
          } Catch_anonymous {
            error_count++;
          }
          vector_dealloc( tmp->exp->value );
          tmp->exp->value = (yyvsp[(1) - (1)].num).vec;
        } else {
          tmp->num = vector_to_int( (yyvsp[(1) - (1)].num).vec );
          tmp->exp = NULL;
          vector_dealloc( (yyvsp[(1) - (1)].num).vec );
        }
        (yyval.statexp) = tmp;
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].num).vec );
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 123:

/* Line 1464 of yacc.c  */
#line 1122 "./parser.y"
    {
      static_expr* tmp;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].realtime) != NULL) ) {
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        vector_dealloc( tmp->exp->value );
        tmp->exp->value = (yyvsp[(1) - (1)].realtime);
        (yyval.statexp) = tmp;
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].realtime) );
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 124:

/* Line 1464 of yacc.c  */
#line 1140 "./parser.y"
    { PROFILE(PARSER_STATIC_EXPR_PRIMARY_B);
      static_expr* tmp;
      if( ignore_mode == 0 ) {
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        tmp->num = -1;
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 125:

/* Line 1464 of yacc.c  */
#line 1157 "./parser.y"
    {
      (yyval.statexp) = (yyvsp[(2) - (3)].statexp);
    ;}
    break;

  case 126:

/* Line 1464 of yacc.c  */
#line 1161 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyval.statexp) = static_expr_gen( NULL, (yyvsp[(3) - (4)].statexp), EXP_OP_FUNC_CALL, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), (yyvsp[(1) - (4)].text) );
      } else {
        static_expr_dealloc( (yyvsp[(3) - (4)].statexp), TRUE );
        (yyval.statexp) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    ;}
    break;

  case 127:

/* Line 1464 of yacc.c  */
#line 1171 "./parser.y"
    {
      if( ignore_mode == 0 ) { 
        (yyval.statexp) = static_expr_gen( NULL, (yyvsp[(3) - (4)].statexp), EXP_OP_SBIT_SEL, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), (yyvsp[(1) - (4)].text) );
      } else {
        static_expr_dealloc( (yyvsp[(3) - (4)].statexp), TRUE );
        (yyval.statexp) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    ;}
    break;

  case 128:

/* Line 1464 of yacc.c  */
#line 1181 "./parser.y"
    {
      stmt_blk_specify_removal_reason( LOGIC_RM_SYSFUNC, (yylsp[(1) - (1)]).text, (yylsp[(1) - (1)]).first_line, __FILE__, __LINE__ );
      (yyval.statexp) = NULL;
    ;}
    break;

  case 129:

/* Line 1464 of yacc.c  */
#line 1186 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        static_expr* tmp;
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        tmp->num = -1;
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 130:

/* Line 1464 of yacc.c  */
#line 1202 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        static_expr* tmp;
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        tmp->num = -1;
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_SRANDOM, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 131:

/* Line 1464 of yacc.c  */
#line 1218 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        static_expr* tmp;
        tmp = (static_expr*)malloc_safe( sizeof( static_expr ) );
        tmp->num = -1;
        Try {
          tmp->exp = db_create_expression( NULL, NULL, EXP_OP_SURANDOM, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.statexp) = tmp;
      } else {
        (yyval.statexp) = NULL;
      }
    ;}
    break;

  case 132:

/* Line 1464 of yacc.c  */
#line 1237 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(1) - (1)].expr);
    ;}
    break;

  case 133:

/* Line 1464 of yacc.c  */
#line 1241 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyvsp[(2) - (2)].expr)->value->suppl.part.is_signed = 1;
        (yyval.expr) = (yyvsp[(2) - (2)].expr);
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 134:

/* Line 1464 of yacc.c  */
#line 1250 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_NEGATE, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.is_signed = 1;
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 135:

/* Line 1464 of yacc.c  */
#line 1264 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UINV, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 136:

/* Line 1464 of yacc.c  */
#line 1277 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UAND, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 137:

/* Line 1464 of yacc.c  */
#line 1290 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UNOT, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 138:

/* Line 1464 of yacc.c  */
#line 1303 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UOR, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 139:

/* Line 1464 of yacc.c  */
#line 1316 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UXOR, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 140:

/* Line 1464 of yacc.c  */
#line 1329 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UNAND, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 141:

/* Line 1464 of yacc.c  */
#line 1342 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UNOR, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 142:

/* Line 1464 of yacc.c  */
#line 1355 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_UNXOR, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 143:

/* Line 1464 of yacc.c  */
#line 1368 "./parser.y"
    {
      VLerror( "Operand of signed positive + is not a primary expression" );
    ;}
    break;

  case 144:

/* Line 1464 of yacc.c  */
#line 1372 "./parser.y"
    {
      VLerror( "Operand of signed negative - is not a primary expression" );
    ;}
    break;

  case 145:

/* Line 1464 of yacc.c  */
#line 1376 "./parser.y"
    {
      VLerror( "Operand of unary ~ is not a primary expression" );
    ;}
    break;

  case 146:

/* Line 1464 of yacc.c  */
#line 1380 "./parser.y"
    {
      VLerror( "Operand of reduction & is not a primary expression" );
    ;}
    break;

  case 147:

/* Line 1464 of yacc.c  */
#line 1384 "./parser.y"
    {
      VLerror( "Operand of unary ! is not a primary expression" );
    ;}
    break;

  case 148:

/* Line 1464 of yacc.c  */
#line 1388 "./parser.y"
    {
      VLerror( "Operand of reduction | is not a primary expression" );
    ;}
    break;

  case 149:

/* Line 1464 of yacc.c  */
#line 1392 "./parser.y"
    {
      VLerror( "Operand of reduction ^ is not a primary expression" );
    ;}
    break;

  case 150:

/* Line 1464 of yacc.c  */
#line 1396 "./parser.y"
    {
      VLerror( "Operand of reduction ~& is not a primary expression" );
    ;}
    break;

  case 151:

/* Line 1464 of yacc.c  */
#line 1400 "./parser.y"
    {
      VLerror( "Operand of reduction ~| is not a primary expression" );
    ;}
    break;

  case 152:

/* Line 1464 of yacc.c  */
#line 1404 "./parser.y"
    {
      VLerror( "Operand of reduction ~^ is not a primary expression" );
    ;}
    break;

  case 153:

/* Line 1464 of yacc.c  */
#line 1408 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_XOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 154:

/* Line 1464 of yacc.c  */
#line 1423 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_MULTIPLY, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 155:

/* Line 1464 of yacc.c  */
#line 1438 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_DIVIDE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 156:

/* Line 1464 of yacc.c  */
#line 1453 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_MOD, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 157:

/* Line 1464 of yacc.c  */
#line 1468 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ADD, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 158:

/* Line 1464 of yacc.c  */
#line 1483 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_SUBTRACT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 159:

/* Line 1464 of yacc.c  */
#line 1498 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Exponential power operator found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          Try {
            (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_EXPONENT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.expr) = NULL;
        }
      }
    ;}
    break;

  case 160:

/* Line 1464 of yacc.c  */
#line 1520 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_AND, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 161:

/* Line 1464 of yacc.c  */
#line 1535 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_OR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 162:

/* Line 1464 of yacc.c  */
#line 1550 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_NAND, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 163:

/* Line 1464 of yacc.c  */
#line 1565 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_NOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 164:

/* Line 1464 of yacc.c  */
#line 1580 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_NXOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 165:

/* Line 1464 of yacc.c  */
#line 1595 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 166:

/* Line 1464 of yacc.c  */
#line 1610 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_GT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 167:

/* Line 1464 of yacc.c  */
#line 1625 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LSHIFT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 168:

/* Line 1464 of yacc.c  */
#line 1640 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Arithmetic left shift operation found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          Try {
            (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ALSHIFT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.expr) = NULL;
        }
      }
    ;}
    break;

  case 169:

/* Line 1464 of yacc.c  */
#line 1662 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_RSHIFT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 170:

/* Line 1464 of yacc.c  */
#line 1677 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Arithmetic right shift operation found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          Try {
            (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ARSHIFT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.expr) = NULL;
        }
      }
    ;}
    break;

  case 171:

/* Line 1464 of yacc.c  */
#line 1699 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_EQ, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 172:

/* Line 1464 of yacc.c  */
#line 1714 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_CEQ, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 173:

/* Line 1464 of yacc.c  */
#line 1729 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 174:

/* Line 1464 of yacc.c  */
#line 1744 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_GE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 175:

/* Line 1464 of yacc.c  */
#line 1759 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_NE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 176:

/* Line 1464 of yacc.c  */
#line 1774 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_CNE, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 177:

/* Line 1464 of yacc.c  */
#line 1789 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 178:

/* Line 1464 of yacc.c  */
#line 1804 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LAND, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 179:

/* Line 1464 of yacc.c  */
#line 1819 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(5) - (5)].expr) != NULL) ) {
        Try {
          expression* csel = db_create_expression( (yyvsp[(5) - (5)].expr), (yyvsp[(3) - (5)].expr), EXP_OP_COND_SEL, lhs_mode, (yyvsp[(3) - (5)].expr)->line, (yylsp[(1) - (5)]).first_column, ((yylsp[(3) - (5)]).last_column - 1), NULL );
          (yyval.expr) = db_create_expression( csel, (yyvsp[(1) - (5)].expr), EXP_OP_COND, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(5) - (5)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 180:

/* Line 1464 of yacc.c  */
#line 1839 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].num).vec != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          (yyval.expr)->suppl.part.base = (yyvsp[(1) - (1)].num).base;
          vector_dealloc( (yyval.expr)->value );
          (yyval.expr)->value = (yyvsp[(1) - (1)].num).vec;
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].num).vec );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 181:

/* Line 1464 of yacc.c  */
#line 1856 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].realtime) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          vector_dealloc( (yyval.expr)->value );
          (yyval.expr)->value = (yyvsp[(1) - (1)].realtime);
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].realtime) );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 182:

/* Line 1464 of yacc.c  */
#line 1872 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          (yyval.expr)->suppl.part.base = (yyvsp[(1) - (1)].num).base;
          vector_dealloc( (yyval.expr)->value );
          (yyval.expr)->value = (yyvsp[(1) - (1)].num).vec;
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].num).vec );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 183:

/* Line 1464 of yacc.c  */
#line 1889 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 184:

/* Line 1464 of yacc.c  */
#line 1903 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          (yyval.expr) = db_create_expression( NULL, tmp,  EXP_OP_PINC, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
    ;}
    break;

  case 185:

/* Line 1464 of yacc.c  */
#line 1918 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          (yyval.expr) = db_create_expression( NULL, tmp,  EXP_OP_PDEC, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
    ;}
    break;

  case 186:

/* Line 1464 of yacc.c  */
#line 1933 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(2) - (2)].text) );
          (yyval.expr) = db_create_expression( NULL, tmp,  EXP_OP_IINC, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    ;}
    break;

  case 187:

/* Line 1464 of yacc.c  */
#line 1948 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(2) - (2)].text) );
          (yyval.expr) = db_create_expression( NULL, tmp,  EXP_OP_IDEC, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    ;}
    break;

  case 188:

/* Line 1464 of yacc.c  */
#line 1963 "./parser.y"
    {
      stmt_blk_specify_removal_reason( LOGIC_RM_SYSFUNC, (yylsp[(1) - (1)]).text, (yylsp[(1) - (1)]).first_line, __FILE__, __LINE__ );
      (yyval.expr) = NULL;
    ;}
    break;

  case 189:

/* Line 1464 of yacc.c  */
#line 1968 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 190:

/* Line 1464 of yacc.c  */
#line 1981 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SRANDOM, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 191:

/* Line 1464 of yacc.c  */
#line 1994 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SURANDOM, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 192:

/* Line 1464 of yacc.c  */
#line 2007 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STIME, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 193:

/* Line 1464 of yacc.c  */
#line 2020 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].text) != NULL) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(2) - (2)].expr), (yyvsp[(1) - (2)].text) );
        (yyvsp[(2) - (2)].expr)->line           = (yylsp[(1) - (2)]).first_line;
        (yyvsp[(2) - (2)].expr)->col.part.first = (yylsp[(1) - (2)]).first_column;
        (yyval.expr) = (yyvsp[(2) - (2)].expr);
      } else {
        expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
    ;}
    break;

  case 194:

/* Line 1464 of yacc.c  */
#line 2033 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(2) - (3)].expr), (yyvsp[(1) - (3)].text) );
        (yyvsp[(2) - (3)].expr)->line           = (yylsp[(1) - (3)]).first_line;
        (yyvsp[(2) - (3)].expr)->col.part.first = (yylsp[(1) - (3)]).first_column;
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(2) - (3)].expr), EXP_OP_PINC, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 195:

/* Line 1464 of yacc.c  */
#line 2051 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(2) - (3)].expr), (yyvsp[(1) - (3)].text) );
        (yyvsp[(2) - (3)].expr)->line           = (yylsp[(1) - (3)]).first_line;
        (yyvsp[(2) - (3)].expr)->col.part.first = (yylsp[(1) - (3)]).first_column;
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(2) - (3)].expr), EXP_OP_PDEC, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 196:

/* Line 1464 of yacc.c  */
#line 2069 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(3) - (3)].expr), (yyvsp[(2) - (3)].text) );
        (yyvsp[(3) - (3)].expr)->line           = (yylsp[(2) - (3)]).first_line;
        (yyvsp[(3) - (3)].expr)->col.part.first = (yylsp[(2) - (3)]).first_column;
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (3)].expr), EXP_OP_IINC, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    ;}
    break;

  case 197:

/* Line 1464 of yacc.c  */
#line 2087 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(3) - (3)].expr), (yyvsp[(2) - (3)].text) );
        (yyvsp[(3) - (3)].expr)->line           = (yylsp[(2) - (3)]).first_line;
        (yyvsp[(3) - (3)].expr)->col.part.first = (yylsp[(2) - (3)]).first_column;
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (3)].expr), EXP_OP_IDEC, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    ;}
    break;

  case 198:

/* Line 1464 of yacc.c  */
#line 2105 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].text) != NULL) && ((yyvsp[(3) - (4)].expr) != NULL ) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_FUNC_CALL, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), (yyvsp[(1) - (4)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    ;}
    break;

  case 199:

/* Line 1464 of yacc.c  */
#line 2120 "./parser.y"
    {
      stmt_blk_specify_removal_reason( LOGIC_RM_SYSFUNC, (yylsp[(1) - (6)]).text, (yylsp[(1) - (6)]).first_line, __FILE__, __LINE__ );
      (yyval.expr) = NULL;
    ;}
    break;

  case 200:

/* Line 1464 of yacc.c  */
#line 2125 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 201:

/* Line 1464 of yacc.c  */
#line 2138 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SSIGNED, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.is_signed = 1;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 202:

/* Line 1464 of yacc.c  */
#line 2154 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SUNSIGNED, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.is_signed = 0;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 203:

/* Line 1464 of yacc.c  */
#line 2170 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SRANDOM, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 204:

/* Line 1464 of yacc.c  */
#line 2185 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SURANDOM, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 205:

/* Line 1464 of yacc.c  */
#line 2200 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SURAND_RANGE, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 206:

/* Line 1464 of yacc.c  */
#line 2215 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SR2B, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 207:

/* Line 1464 of yacc.c  */
#line 2230 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SB2R, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.data_type = VDATA_R64;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 208:

/* Line 1464 of yacc.c  */
#line 2246 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SI2R, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.data_type = VDATA_R64;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 209:

/* Line 1464 of yacc.c  */
#line 2262 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SR2I, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 210:

/* Line 1464 of yacc.c  */
#line 2277 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SSR2B, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 211:

/* Line 1464 of yacc.c  */
#line 2292 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SB2SR, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          (yyval.expr)->value->suppl.part.data_type = VDATA_R32;
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 212:

/* Line 1464 of yacc.c  */
#line 2308 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_STESTARGS, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 213:

/* Line 1464 of yacc.c  */
#line 2323 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(3) - (4)].expr), EXP_OP_SVALARGS, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(1) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 214:

/* Line 1464 of yacc.c  */
#line 2338 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyvsp[(2) - (3)].expr)->suppl.part.parenthesis = 1;
        (yyval.expr) = (yyvsp[(2) - (3)].expr);
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 215:

/* Line 1464 of yacc.c  */
#line 2347 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (3)].expr), NULL, EXP_OP_CONCAT, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 216:

/* Line 1464 of yacc.c  */
#line 2361 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (6)].expr) != NULL) && ((yyvsp[(4) - (6)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(4) - (6)].expr), (yyvsp[(2) - (6)].expr), EXP_OP_EXPAND, lhs_mode, (yylsp[(1) - (6)]).first_line, (yylsp[(1) - (6)]).first_column, ((yylsp[(6) - (6)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (6)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (6)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 217:

/* Line 1464 of yacc.c  */
#line 2380 "./parser.y"
    { PROFILE(PARSER_EXPRESSION_LIST_A);
      if( ignore_mode == 0 ) {
        if( param_mode == 0 ) {
          if( (yyvsp[(3) - (3)].expr) != NULL ) {
            Try {
              (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LIST, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
              (yyval.expr) = NULL;
            }
          } else {
            (yyval.expr) = (yyvsp[(1) - (3)].expr);
          }
        } else {
          if( (yyvsp[(3) - (3)].expr) != NULL ) {
            param_oride* po = (param_oride*)malloc_safe( sizeof( param_oride ) );
            po->name = NULL;
            po->expr = (yyvsp[(3) - (3)].expr);
            po->next = NULL;
            if( param_oride_head == NULL ) {
              param_oride_head = param_oride_tail = po;
            } else {
              param_oride_tail->next = po;
              param_oride_tail       = po;
            }
          }
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      PROFILE_END;
    ;}
    break;

  case 218:

/* Line 1464 of yacc.c  */
#line 2414 "./parser.y"
    { PROFILE(PARSER_EXPRESSION_LIST_B);
      if( ignore_mode == 0 ) {
        if( param_mode == 0 ) {
          (yyval.expr) = (yyvsp[(1) - (1)].expr);
        } else {
          if( (yyvsp[(1) - (1)].expr) != NULL ) {
            param_oride* po = (param_oride*)malloc_safe( sizeof( param_oride ) );
            po->name = NULL;
            po->expr = (yyvsp[(1) - (1)].expr);
            po->next = NULL;
            if( param_oride_head == NULL ) {
              param_oride_head = param_oride_tail = po;
            } else {
              param_oride_tail->next = po;
              param_oride_tail       = po;
            }
          }
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      PROFILE_END;
    ;}
    break;

  case 219:

/* Line 1464 of yacc.c  */
#line 2439 "./parser.y"
    { PROFILE(PARSER_EXPRESSION_LIST_C);
      if( (ignore_mode == 0) && (param_mode == 1) ) {
        param_oride* po = (param_oride*)malloc_safe( sizeof( param_oride ) );
        po->name = NULL;
        po->expr = NULL;
        po->next = NULL;
        if( param_oride_head == NULL ) {
          param_oride_head = param_oride_tail = po;
        } else {
          param_oride_tail->next = po;
          param_oride_tail       = po;
        }
      }
      (yyval.expr) = NULL;
      PROFILE_END;
    ;}
    break;

  case 220:

/* Line 1464 of yacc.c  */
#line 2456 "./parser.y"
    { PROFILE(PARSER_EXPRESSION_LIST_D);
      if( (ignore_mode == 0) && (param_mode == 1) ) {
        param_oride* po = (param_oride*)malloc_safe( sizeof( param_oride ) );
        po->name = NULL;
        po->expr = NULL;
        po->next = NULL;
        if( param_oride_head == NULL ) {
          param_oride_head = param_oride_tail = po;
        } else {
          param_oride_tail->next = po;
          param_oride_tail       = po;
        }
      }
      (yyval.expr) = (yyvsp[(1) - (2)].expr);
      PROFILE_END;
    ;}
    break;

  case 221:

/* Line 1464 of yacc.c  */
#line 2477 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].expr) != NULL ) {
          Try {
            expression* tmp = db_create_expression( (yyvsp[(3) - (3)].expr), NULL, EXP_OP_PASSIGN, lhs_mode, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            (yyval.expr) = db_create_expression( tmp, (yyvsp[(1) - (3)].expr), EXP_OP_PLIST, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          (yyval.expr) = (yyvsp[(1) - (3)].expr);
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 222:

/* Line 1464 of yacc.c  */
#line 2495 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(1) - (1)].expr), NULL, EXP_OP_PASSIGN, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 223:

/* Line 1464 of yacc.c  */
#line 2512 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].expr) != NULL ) {
          Try {
            expression* tmp = db_create_expression( (yyvsp[(3) - (3)].expr), NULL, EXP_OP_SASSIGN, lhs_mode, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            (yyval.expr) = db_create_expression( tmp, (yyvsp[(1) - (3)].expr), EXP_OP_PLIST, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          (yyval.expr) = (yyvsp[(1) - (3)].expr);
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 224:

/* Line 1464 of yacc.c  */
#line 2531 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(1) - (1)].expr), NULL, EXP_OP_SASSIGN, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (1)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 225:

/* Line 1464 of yacc.c  */
#line 2548 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyval.text) = (yyvsp[(2) - (2)].text);
      } else {
        FREE_TEXT( (yyvsp[(2) - (2)].text) );
        (yyval.text) = NULL;
      }
    ;}
    break;

  case 226:

/* Line 1464 of yacc.c  */
#line 2556 "./parser.y"
    { (yyval.text) = db_create_unnamed_scope(); ;}
    break;

  case 227:

/* Line 1464 of yacc.c  */
#line 2561 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyval.text) = (yyvsp[(1) - (1)].text);
      } else {
        FREE_TEXT( (yyvsp[(1) - (1)].text) );
        (yyval.text) = NULL;
      }
    ;}
    break;

  case 228:

/* Line 1464 of yacc.c  */
#line 2570 "./parser.y"
    { PROFILE(PARSER_IDENTIFIER_A);
      if( ignore_mode == 0 ) {
        unsigned int len = strlen( (yyvsp[(1) - (3)].text) ) + strlen( (yyvsp[(3) - (3)].text) ) + 2;
        char*        str = (char*)malloc_safe( len );
        unsigned int rv  = snprintf( str, len, "%s.%s", (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].text) );
        assert( rv < len );
        (yyval.text) = str;
      } else {
        (yyval.text) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    ;}
    break;

  case 229:

/* Line 1464 of yacc.c  */
#line 2587 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(1) - (1)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, curr_handled );
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 230:

/* Line 1464 of yacc.c  */
#line 2593 "./parser.y"
    { curr_packed = FALSE; ;}
    break;

  case 231:

/* Line 1464 of yacc.c  */
#line 2594 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_packed = TRUE;
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "Unpacked array specified for net type in block that was specified to not allow SystemVerilog syntax" );
        } else {
          db_add_signal( (yyvsp[(1) - (3)].text), curr_sig_type, &curr_prange, &curr_urange, curr_signed, curr_mba, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, curr_handled );
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 232:

/* Line 1464 of yacc.c  */
#line 2606 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(3) - (3)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, curr_handled );
      }
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    ;}
    break;

  case 233:

/* Line 1464 of yacc.c  */
#line 2613 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "Unpacked array specified for net type in block that was specified to not allow SystemVerilog syntax" );
        } else {
          db_add_signal( (yyvsp[(3) - (4)].text), curr_sig_type, &curr_prange, &curr_urange, curr_signed, curr_mba, (yylsp[(3) - (4)]).first_line, (yylsp[(3) - (4)]).first_column, curr_handled );
        }
      }
      FREE_TEXT( (yyvsp[(3) - (4)].text) );
    ;}
    break;

  case 234:

/* Line 1464 of yacc.c  */
#line 2633 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        /* We will treat primitives like regular modules */
        db_add_module( (yyvsp[(2) - (10)].text), (yylsp[(1) - (10)]).text, (yylsp[(1) - (10)]).first_line );
        db_end_module( (yylsp[(10) - (10)]).first_line );
      }
      FREE_TEXT( (yyvsp[(2) - (10)].text) );
    ;}
    break;

  case 236:

/* Line 1464 of yacc.c  */
#line 2646 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 237:

/* Line 1464 of yacc.c  */
#line 2650 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    ;}
    break;

  case 241:

/* Line 1464 of yacc.c  */
#line 2663 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    ;}
    break;

  case 242:

/* Line 1464 of yacc.c  */
#line 2667 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    ;}
    break;

  case 245:

/* Line 1464 of yacc.c  */
#line 2679 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (5)].text) );
      vector_dealloc( (yyvsp[(4) - (5)].num).vec );
    ;}
    break;

  case 246:

/* Line 1464 of yacc.c  */
#line 2686 "./parser.y"
    { lex_start_udp_table(); ;}
    break;

  case 247:

/* Line 1464 of yacc.c  */
#line 2688 "./parser.y"
    { lex_end_udp_table(); ;}
    break;

  case 284:

/* Line 1464 of yacc.c  */
#line 2754 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expr = db_create_expression( expr, expl, EXP_OP_BASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 285:

/* Line 1464 of yacc.c  */
#line 2783 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_ADD_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 286:

/* Line 1464 of yacc.c  */
#line 2812 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_SUB_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 287:

/* Line 1464 of yacc.c  */
#line 2841 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_MLT_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 288:

/* Line 1464 of yacc.c  */
#line 2870 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_DIV_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 289:

/* Line 1464 of yacc.c  */
#line 2899 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_MOD_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 290:

/* Line 1464 of yacc.c  */
#line 2928 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_AND_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 291:

/* Line 1464 of yacc.c  */
#line 2957 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_OR_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 292:

/* Line 1464 of yacc.c  */
#line 2986 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_XOR_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 293:

/* Line 1464 of yacc.c  */
#line 3015 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_LS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 294:

/* Line 1464 of yacc.c  */
#line 3044 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_RS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 295:

/* Line 1464 of yacc.c  */
#line 3073 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_ALS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 296:

/* Line 1464 of yacc.c  */
#line 3102 "./parser.y"
    {
      expression* expr = NULL;
      expression* expl = NULL;
      if( ignore_mode == 0 ) {
        if( (yyvsp[(3) - (3)].statexp) != NULL ) {
          Try {
            expr = db_create_expr_from_static( (yyvsp[(3) - (3)].statexp), (yylsp[(3) - (3)]).first_line, (yylsp[(3) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1) );
            expl = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            expr = db_create_expression( expr, expl, EXP_OP_ARS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            if( generate_varname == NULL ) {
              generate_varname = (yyvsp[(1) - (3)].text);
            } else {
              FREE_TEXT( (yyvsp[(1) - (3)].text) );
            }
          } Catch_anonymous {
            error_count++;
          }
          (yyval.expr) = expr;
        } else {
          FREE_TEXT( (yyvsp[(1) - (3)].text) );
          (yyval.expr) = NULL;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (3)].text) );
        static_expr_dealloc( (yyvsp[(3) - (3)].statexp), TRUE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 297:

/* Line 1464 of yacc.c  */
#line 3131 "./parser.y"
    {
      expression* expr = NULL;
      if( ignore_mode == 0 ) {
        Try {
          expr = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          expr = db_create_expression( NULL, expr, EXP_OP_PINC, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
          if( generate_varname == NULL ) {
            generate_varname = (yyvsp[(1) - (2)].text);
          } else {
            FREE_TEXT( (yyvsp[(1) - (2)].text) );
          }
        } Catch_anonymous {
          error_count++;
        }
        (yyval.expr) = expr;
      } else {
        FREE_TEXT( (yyvsp[(1) - (2)].text) );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 298:

/* Line 1464 of yacc.c  */
#line 3152 "./parser.y"
    {
      expression* expr = NULL;
      if( ignore_mode == 0 ) {
        Try {
          expr = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(1) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          expr = db_create_expression( NULL, expr, EXP_OP_PDEC, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
          if( generate_varname == NULL ) {
            generate_varname = (yyvsp[(1) - (2)].text);
          } else {
            FREE_TEXT( (yyvsp[(1) - (2)].text) );
          }
        } Catch_anonymous {
          error_count++;
        }
        (yyval.expr) = expr;
      } else {
        FREE_TEXT( (yyvsp[(1) - (2)].text) );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 299:

/* Line 1464 of yacc.c  */
#line 3177 "./parser.y"
    {
      (yyval.gitem) = (yyvsp[(1) - (1)].gitem);
    ;}
    break;

  case 300:

/* Line 1464 of yacc.c  */
#line 3181 "./parser.y"
    {
      (yyval.gitem) = NULL;
    ;}
    break;

  case 301:

/* Line 1464 of yacc.c  */
#line 3188 "./parser.y"
    {
      if( (yyvsp[(1) - (2)].gitem) == NULL ) {
        (yyval.gitem) = (yyvsp[(2) - (2)].gitem);
      } else if( (yyvsp[(2) - (2)].gitem) == NULL ) {
        (yyval.gitem) = (yyvsp[(1) - (2)].gitem);
      } else {
        db_gen_item_connect( (yyvsp[(1) - (2)].gitem), (yyvsp[(2) - (2)].gitem) );
        (yyval.gitem) = (yyvsp[(1) - (2)].gitem);
      }
    ;}
    break;

  case 302:

/* Line 1464 of yacc.c  */
#line 3199 "./parser.y"
    {
      (yyval.gitem) = (yyvsp[(1) - (1)].gitem);
    ;}
    break;

  case 303:

/* Line 1464 of yacc.c  */
#line 3207 "./parser.y"
    {
      (yyval.gitem) = db_get_curr_gen_block();
    ;}
    break;

  case 304:

/* Line 1464 of yacc.c  */
#line 3211 "./parser.y"
    {
      (yyval.gitem) = (yyvsp[(2) - (3)].gitem);
    ;}
    break;

  case 305:

/* Line 1464 of yacc.c  */
#line 3215 "./parser.y"
    {
      generate_expr_mode++;
      if( ignore_mode == 0 ) {
        Try {
          if( !db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, (yyvsp[(3) - (3)].text), (yylsp[(3) - (3)]).text, (yylsp[(3) - (3)]).first_line ) ) {
            ignore_mode++;
          } else {
            gen_item* gi = db_get_curr_gen_block();
            assert( gi != NULL );
            gitem_link_add( gi, &save_gi_head, &save_gi_tail );
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      generate_expr_mode--;
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    ;}
    break;

  case 306:

/* Line 1464 of yacc.c  */
#line 3235 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(6) - (6)]).first_line );
      } else {
        ignore_mode--;
      }
      db_gen_item_connect_true( save_gi_tail->gi, (yyvsp[(5) - (6)].gitem) );
      (yyval.gitem) = save_gi_tail->gi;
      gitem_link_remove( save_gi_tail->gi, &save_gi_head, &save_gi_tail );
    ;}
    break;

  case 307:

/* Line 1464 of yacc.c  */
#line 3246 "./parser.y"
    {
      generate_expr_mode++;
    ;}
    break;

  case 308:

/* Line 1464 of yacc.c  */
#line 3250 "./parser.y"
    {
      generate_for_mode++;
      if( ignore_mode == 0 ) {
        Try {
          if( !db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, (yyvsp[(12) - (12)].text), (yylsp[(12) - (12)]).text, (yylsp[(12) - (12)]).first_line ) ) {
            ignore_mode++;
          } else {
            gen_item* gi = db_get_curr_gen_block();
            assert( gi != NULL );
            gi->varname = generate_varname;
            generate_varname = NULL;
            gitem_link_add( gi, &save_gi_head, &save_gi_tail );
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      generate_expr_mode--;
      FREE_TEXT( (yyvsp[(12) - (12)].text) );
    ;}
    break;

  case 309:

/* Line 1464 of yacc.c  */
#line 3272 "./parser.y"
    {
      gen_item*   gi1;
      gen_item*   gi2;
      gen_item*   gi3;
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(15) - (15)]).first_line );
      } else {
        ignore_mode--;
      }
      generate_for_mode--;
      generate_expr_mode++;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (15)].expr) != NULL) && ((yyvsp[(6) - (15)].statexp) != NULL) && ((yyvsp[(8) - (15)].expr) != NULL) && ((yyvsp[(14) - (15)].gitem) != NULL) ) {
        block_depth++;
        /* Create first statement */
        db_add_expression( (yyvsp[(4) - (15)].expr) );
        gi1 = db_get_curr_gen_block();
        /* Create second statement and attach it to the first statement */
        db_add_expression( db_create_expr_from_static( (yyvsp[(6) - (15)].statexp), (yylsp[(6) - (15)]).first_line, (yylsp[(6) - (15)]).first_column, ((yylsp[(6) - (15)]).last_column - 1)) );
        gi2 = db_get_curr_gen_block();
        db_gen_item_connect( gi1, gi2 );
        /* Add genvar to the new scope */
        /* Connect next_true of gi2 to the new scope */
        db_gen_item_connect_true( gi2, save_gi_tail->gi );
        /* Connect the generate block to the new scope */
        db_gen_item_connect_true( save_gi_tail->gi, (yyvsp[(14) - (15)].gitem) );
        /* Create third statement and attach it to the generate block */
        db_add_expression( (yyvsp[(8) - (15)].expr) );
        gi3 = db_get_curr_gen_block();
        db_gen_item_connect_false( save_gi_tail->gi, gi3 );
        gitem_link_remove( save_gi_tail->gi, &save_gi_head, &save_gi_tail );
        gi2->suppl.part.conn_id = gi_conn_id;
        db_gen_item_connect( gi3, gi2 );
        block_depth--;
        (yyval.gitem) = gi1;
      } else {
        expression_dealloc( (yyvsp[(4) - (15)].expr), FALSE );
        static_expr_dealloc( (yyvsp[(6) - (15)].statexp), TRUE );
        expression_dealloc( (yyvsp[(8) - (15)].expr), TRUE );
        /* TBD - Deallocate generate block */
        (yyval.gitem) = NULL;
      }
      generate_expr_mode--;
    ;}
    break;

  case 310:

/* Line 1464 of yacc.c  */
#line 3316 "./parser.y"
    {
      expression* expr;
      gen_item*   gi1;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (9)].statexp) != NULL) && ((yyvsp[(8) - (9)].gitem) != NULL) ) {
        generate_expr_mode++;
        expr = db_create_expr_from_static( (yyvsp[(4) - (9)].statexp), (yylsp[(4) - (9)]).first_line, (yylsp[(4) - (9)]).first_column, ((yylsp[(4) - (9)]).last_column - 1) );
        Try {
          expr = db_create_expression( expr, NULL, EXP_OP_IF, FALSE, (yylsp[(1) - (9)]).first_line, (yylsp[(1) - (9)]).first_column, ((yylsp[(5) - (9)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        db_add_expression( expr );
        gi1 = db_get_curr_gen_block();
        db_gen_item_connect_true( gi1, (yyvsp[(8) - (9)].gitem) );
        generate_expr_mode--;
        (yyval.gitem) = gi1;
      } else {
        static_expr_dealloc( (yyvsp[(4) - (9)].statexp), TRUE );
        /* TBD - Deallocate generate block */
        (yyval.gitem) = NULL;
      }
    ;}
    break;

  case 311:

/* Line 1464 of yacc.c  */
#line 3339 "./parser.y"
    {
      expression* expr;
      gen_item*   gi1;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (11)].statexp) != NULL) && ((yyvsp[(8) - (11)].gitem) != NULL) && ((yyvsp[(11) - (11)].gitem) != NULL) ) {
        generate_expr_mode++;
        expr = db_create_expr_from_static( (yyvsp[(4) - (11)].statexp), (yylsp[(4) - (11)]).first_line, (yylsp[(4) - (11)]).first_column, ((yylsp[(4) - (11)]).last_column - 1) );
        Try {
          expr = db_create_expression( expr, NULL, EXP_OP_IF, FALSE, (yylsp[(1) - (11)]).first_line, (yylsp[(1) - (11)]).first_column, ((yylsp[(5) - (11)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        db_add_expression( expr );
        gi1 = db_get_curr_gen_block();
        db_gen_item_connect_true( gi1, (yyvsp[(8) - (11)].gitem) );
        db_gen_item_connect_false( gi1, (yyvsp[(11) - (11)].gitem) );
        generate_expr_mode--;
        (yyval.gitem) = gi1;
      } else {
        static_expr_dealloc( (yyvsp[(4) - (11)].statexp), TRUE );
        gen_item_dealloc( db_get_curr_gen_block(), TRUE );
        gen_item_dealloc( (yyvsp[(8) - (11)].gitem), TRUE );
        gen_item_dealloc( (yyvsp[(11) - (11)].gitem), TRUE );
        (yyval.gitem) = NULL;
      }
    ;}
    break;

  case 312:

/* Line 1464 of yacc.c  */
#line 3365 "./parser.y"
    { 
      expression* expr      = NULL;
      expression* c_expr;
      gen_item*   stmt      = NULL;
      gen_item*   last_stmt = NULL;
      case_gitem* c_stmt    = (yyvsp[(7) - (10)].case_gi);
      case_gitem* tc_stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (10)].statexp) != NULL) ) {
        generate_expr_mode++;
        c_expr = db_create_expr_from_static( (yyvsp[(4) - (10)].statexp), (yylsp[(4) - (10)]).first_line, (yylsp[(4) - (10)]).first_column, ((yylsp[(4) - (10)]).last_column - 1) );
        while( c_stmt != NULL ) {
          Try {
            if( (c_stmt->expr != NULL) && (c_stmt->expr->op == EXP_OP_LIST) ) {
              parser_handle_generate_case_statement_list( c_stmt->expr, c_expr, c_stmt->gi, c_stmt->line, &last_stmt );
            } else {
              parser_handle_generate_case_statement( c_stmt->expr, c_expr, c_stmt->gi, c_stmt->line, &last_stmt );
            } 
          } Catch_anonymous {
            error_count++;
            break;
          }
          tc_stmt   = c_stmt;
          c_stmt    = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_gitem ) );
        }
        if( last_stmt != NULL ) {
          last_stmt->elem.expr->suppl.part.owned = 1;
        }
        generate_expr_mode--;
        (yyval.gitem) = last_stmt;
      } else {
        static_expr_dealloc( (yyvsp[(4) - (10)].statexp), FALSE );
        while( c_stmt != NULL ) {
          expression_dealloc( c_stmt->expr, FALSE );
          // db_remove_statement( c_stmt->stmt );
          /* statement_dealloc_recursive( c_stmt->stmt ); */
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_gitem ) );
        }
        (yyval.gitem) = NULL;
      }
    ;}
    break;

  case 313:

/* Line 1464 of yacc.c  */
#line 3412 "./parser.y"
    { PROFILE(PARSER_GENERATE_CASE_ITEM_A);
      case_gitem* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_gitem*)malloc_safe( sizeof( case_gitem ) );
        cstmt->prev = NULL;
        cstmt->expr = (yyvsp[(1) - (5)].expr);
        cstmt->gi = (yyvsp[(4) - (5)].gitem);
        cstmt->line = (yylsp[(1) - (5)]).first_line;
        (yyval.case_gi) = cstmt;
      } else {
        (yyval.case_gi) = NULL;
      }
    ;}
    break;

  case 314:

/* Line 1464 of yacc.c  */
#line 3426 "./parser.y"
    { PROFILE(PARSER_GENERATE_CASE_ITEM_B);
      case_gitem* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_gitem*)malloc_safe( sizeof( case_gitem ) );
        cstmt->prev = NULL;
        cstmt->expr = NULL;
        cstmt->gi   = (yyvsp[(4) - (5)].gitem);
        cstmt->line = (yylsp[(1) - (5)]).first_line;
        (yyval.case_gi) = cstmt;
      } else {
        (yyval.case_gi) = NULL;
      }
    ;}
    break;

  case 315:

/* Line 1464 of yacc.c  */
#line 3440 "./parser.y"
    { PROFILE(PARSER_GENERATE_CASE_ITEM_C);
      case_gitem* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_gitem*)malloc_safe( sizeof( case_gitem ) );
        cstmt->prev = NULL;
        cstmt->expr = NULL;
        cstmt->gi   = (yyvsp[(3) - (4)].gitem);
        cstmt->line = (yylsp[(1) - (4)]).first_line;
        (yyval.case_gi) = cstmt;
      } else {
        (yyval.case_gi) = NULL;
      }
    ;}
    break;

  case 316:

/* Line 1464 of yacc.c  */
#line 3454 "./parser.y"
    {
      VLerror( "Illegal generate case expression" );
    ;}
    break;

  case 317:

/* Line 1464 of yacc.c  */
#line 3461 "./parser.y"
    {
      case_gitem* list = (yyvsp[(1) - (2)].case_gi);
      case_gitem* curr = (yyvsp[(2) - (2)].case_gi);
      if( ignore_mode == 0 ) {
        curr->prev = list;
        (yyval.case_gi) = curr;
      } else {
        (yyval.case_gi) = NULL;
      }
    ;}
    break;

  case 318:

/* Line 1464 of yacc.c  */
#line 3472 "./parser.y"
    {
      (yyval.case_gi) = (yyvsp[(1) - (1)].case_gi);
    ;}
    break;

  case 325:

/* Line 1464 of yacc.c  */
#line 3495 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].integer) == 1) ) {
        parser_implicitly_set_curr_range( 0, 0, TRUE );
      }
      curr_signed = FALSE;
    ;}
    break;

  case 327:

/* Line 1464 of yacc.c  */
#line 3504 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_signed  = (yyvsp[(2) - (2)].typdef)->is_signed;
      curr_handled = (yyvsp[(2) - (2)].typdef)->is_handled;
      parser_copy_range_to_curr_range( (yyvsp[(2) - (2)].typdef)->prange, TRUE );
      parser_copy_range_to_curr_range( (yyvsp[(2) - (2)].typdef)->urange, FALSE );
    ;}
    break;

  case 329:

/* Line 1464 of yacc.c  */
#line 3513 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      if( generate_top_mode > 0 ) {
        ignore_mode++;
        VLerror( "Port declaration not allowed within a generate block" );
      }
    ;}
    break;

  case 330:

/* Line 1464 of yacc.c  */
#line 3522 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        ignore_mode--;
      }
    ;}
    break;

  case 331:

/* Line 1464 of yacc.c  */
#line 3529 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "ANSI-C port declaration used in a block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      } else {
        curr_mba     = FALSE;
        curr_handled = TRUE;
        if( generate_top_mode > 0 ) {
          ignore_mode++;
          VLerror( "Port declaration not allowed within a generate block" );
        }
      }
    ;}
    break;

  case 332:

/* Line 1464 of yacc.c  */
#line 3543 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) || (generate_top_mode > 0) ) {
        ignore_mode--;
      }
    ;}
    break;

  case 333:

/* Line 1464 of yacc.c  */
#line 3549 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "ANSI-C port declaration used in a block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      } else {
        curr_mba      = FALSE;
        curr_handled  = TRUE;
        curr_sig_type = SSUPPL_TYPE_OUTPUT_REG;
        if( generate_top_mode > 0 ) {
          ignore_mode++;
          VLerror( "Port declaration not allowed within a generate block" );
        }
      }
    ;}
    break;

  case 334:

/* Line 1464 of yacc.c  */
#line 3564 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) || (generate_top_mode > 0) ) {
        ignore_mode--;
      }
    ;}
    break;

  case 335:

/* Line 1464 of yacc.c  */
#line 3570 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        VLerror( "Port declaration not allowed within a generate block" );
      } else {
        VLerror( "Invalid variable list in port declaration" );
      }
    ;}
    break;

  case 336:

/* Line 1464 of yacc.c  */
#line 3578 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      if( generate_top_mode > 0 ) {
        ignore_mode++;
        VLerror( "Port declaration not allowed within a generate block" );
      }
    ;}
    break;

  case 337:

/* Line 1464 of yacc.c  */
#line 3589 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        ignore_mode--;
      }
    ;}
    break;

  case 338:

/* Line 1464 of yacc.c  */
#line 3595 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    ;}
    break;

  case 339:

/* Line 1464 of yacc.c  */
#line 3599 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(4) - (5)].strlink) );
    ;}
    break;

  case 340:

/* Line 1464 of yacc.c  */
#line 3603 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(4) - (5)].strlink) );
    ;}
    break;

  case 341:

/* Line 1464 of yacc.c  */
#line 3607 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(5) - (6)].strlink) );
    ;}
    break;

  case 342:

/* Line 1464 of yacc.c  */
#line 3611 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    ;}
    break;

  case 343:

/* Line 1464 of yacc.c  */
#line 3615 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    ;}
    break;

  case 344:

/* Line 1464 of yacc.c  */
#line 3619 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(6) - (7)].strlink) );
    ;}
    break;

  case 345:

/* Line 1464 of yacc.c  */
#line 3623 "./parser.y"
    {
      str_link_delete_list( (yyvsp[(6) - (7)].strlink) );
    ;}
    break;

  case 347:

/* Line 1464 of yacc.c  */
#line 3628 "./parser.y"
    {
      unsigned int rv = snprintf( user_msg, USER_MSG_LENGTH, "Defparam found but not used, file: %s, line: %u.  Please use -P option to specify",
                                  obf_file( (yylsp[(1) - (4)]).text ), (yylsp[(1) - (4)]).first_line );
      assert( rv < USER_MSG_LENGTH );
      print_output( user_msg, FATAL, __FILE__, __LINE__ );
    ;}
    break;

  case 348:

/* Line 1464 of yacc.c  */
#line 3635 "./parser.y"
    {
      curr_mba      = TRUE;
      curr_signed   = FALSE;
      curr_sig_type = SSUPPL_TYPE_EVENT;
      curr_handled  = TRUE;
      parser_implicitly_set_curr_range( 0, 0, TRUE );
    ;}
    break;

  case 350:

/* Line 1464 of yacc.c  */
#line 3645 "./parser.y"
    {
      str_link*    tmp  = (yyvsp[(4) - (5)].strlink);
      str_link*    curr = tmp;
      param_oride* po;
      if( ignore_mode == 0 ) {
        Try {
          while( curr != NULL ) {
            while( param_oride_head != NULL ){
              po               = param_oride_head;
              param_oride_head = po->next;
              db_add_override_param( curr->str, po->expr, po->name );
              if( po->name != NULL ) {
                free_safe( po->name, (strlen( po->name ) + 1) );
              }
              free_safe( po, sizeof( param_oride ) );
            }
            (void)db_add_instance( curr->str, (yyvsp[(2) - (5)].text), FUNIT_MODULE, curr->range );
            curr = curr->next;
          }
        } Catch_anonymous {
          error_count++;
        }
        str_link_delete_list( tmp );
        param_oride_head = NULL;
        param_oride_tail = NULL;
        FREE_TEXT( (yyvsp[(2) - (5)].text) );
      } else {
        FREE_TEXT( (yyvsp[(2) - (5)].text) );
      }
    ;}
    break;

  case 351:

/* Line 1464 of yacc.c  */
#line 3676 "./parser.y"
    { ignore_mode++; ;}
    break;

  case 352:

/* Line 1464 of yacc.c  */
#line 3676 "./parser.y"
    { ignore_mode--; ;}
    break;

  case 354:

/* Line 1464 of yacc.c  */
#line 3679 "./parser.y"
    {
      statement* stmt = (yyvsp[(3) - (3)].state);
      if( stmt != NULL ) {
        if( db_statement_connect( stmt, stmt ) && (info_suppl.part.excl_always == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
          stmt->suppl.part.head = 1;
          db_add_statement( stmt, stmt );
        } else {
          db_remove_statement( stmt );
        }
      }
    ;}
    break;

  case 355:

/* Line 1464 of yacc.c  */
#line 3692 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "always_comb syntax found in block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
    ;}
    break;

  case 356:

/* Line 1464 of yacc.c  */
#line 3699 "./parser.y"
    {
      statement*  stmt;
      expression* slist;
      if( !parser_check_generation( GENERATION_SV ) ) {
        ignore_mode--;
      } else {
        if( (yyvsp[(4) - (4)].state) != NULL ) {
          if( (slist = db_create_sensitivity_list( (yyvsp[(4) - (4)].state) )) == NULL ) {
            VLerror( "Empty implicit event expression for the specified always_comb statement" );
          } else {
            Try {
              slist = db_create_expression( slist, NULL, EXP_OP_ALWAYS_COMB, lhs_mode, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(2) - (4)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
            stmt = db_create_statement( slist, (yylsp[(2) - (4)]).ppline );
            if( !db_statement_connect( stmt, (yyvsp[(4) - (4)].state) ) ) {
              db_remove_statement( stmt );
              db_remove_statement( (yyvsp[(4) - (4)].state) );
            } else {
              if( db_statement_connect( stmt, stmt ) && (info_suppl.part.excl_always == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
                stmt->suppl.part.head = 1;
                db_add_statement( stmt, stmt );
              } else {
                db_remove_statement( stmt );
              }
            }
          }
        }
      }
    ;}
    break;

  case 357:

/* Line 1464 of yacc.c  */
#line 3732 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "always_latch syntax found in block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
    ;}
    break;

  case 358:

/* Line 1464 of yacc.c  */
#line 3739 "./parser.y"
    {
      statement*  stmt;
      expression* slist;
      if( !parser_check_generation( GENERATION_SV ) ) {
        ignore_mode--;
      } else {
        if( (yyvsp[(4) - (4)].state) != NULL ) {
          if( (slist = db_create_sensitivity_list( (yyvsp[(4) - (4)].state) )) == NULL ) {
            VLerror( "Empty implicit event expression for the specified always_latch statement" );
          } else {
            Try {
              slist = db_create_expression( slist, NULL, EXP_OP_ALWAYS_LATCH, lhs_mode, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(2) - (4)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
            stmt  = db_create_statement( slist, (yylsp[(2) - (4)]).ppline );
            if( !db_statement_connect( stmt, (yyvsp[(4) - (4)].state) ) ) {
              db_remove_statement( stmt );
              db_remove_statement( (yyvsp[(4) - (4)].state) );
            } else {
              if( db_statement_connect( stmt, stmt ) && (info_suppl.part.excl_always == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
                stmt->suppl.part.head = 1;
                db_add_statement( stmt, stmt );
              } else {
                db_remove_statement( stmt );
              }
            }
          }
        }
      }
    ;}
    break;

  case 359:

/* Line 1464 of yacc.c  */
#line 3772 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "always_ff syntax found in block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
    ;}
    break;

  case 360:

/* Line 1464 of yacc.c  */
#line 3779 "./parser.y"
    {
      statement* stmt = (yyvsp[(4) - (4)].state);
      if( !parser_check_generation( GENERATION_SV ) ) {
        ignore_mode--;
      } else {
        if( stmt != NULL ) {
          if( db_statement_connect( stmt, stmt ) && (info_suppl.part.excl_always == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
            stmt->suppl.part.head = 1;
            db_add_statement( stmt, stmt );
          } else {
            db_remove_statement( stmt );
          }
        }
      }
    ;}
    break;

  case 361:

/* Line 1464 of yacc.c  */
#line 3796 "./parser.y"
    {
      statement* stmt = (yyvsp[(3) - (3)].state);
      if( stmt != NULL ) {
        if( (info_suppl.part.excl_init == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
          stmt->suppl.part.head = 1;
          db_add_statement( stmt, stmt );
        } else {
          db_remove_statement( stmt );
        }
      }
    ;}
    break;

  case 362:

/* Line 1464 of yacc.c  */
#line 3809 "./parser.y"
    {
      statement* stmt = (yyvsp[(3) - (3)].state);
      if( stmt != NULL ) {
        if( (info_suppl.part.excl_final == 0) && (stmt->exp->op != EXP_OP_NOOP) ) {
          stmt->suppl.part.head  = 1;
          stmt->suppl.part.final = 1;
          db_add_statement( stmt, stmt );
        } else {
          db_remove_statement( stmt );
        }
      }
    ;}
    break;

  case 363:

/* Line 1464 of yacc.c  */
#line 3823 "./parser.y"
    {
      if( generate_for_mode > 0 ) {
        VLerror( "Task definition not allowed within a generate loop" );
        ignore_mode++;
      }
      if( ignore_mode == 0 ) {
        Try {
          if( !db_add_function_task_namedblock( ((yyvsp[(3) - (5)].logical) ? FUNIT_ATASK : FUNIT_TASK), (yyvsp[(4) - (5)].text), (yylsp[(4) - (5)]).text, (yylsp[(4) - (5)]).first_line ) ) {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      FREE_TEXT( (yyvsp[(4) - (5)].text) );
      generate_top_mode--;
    ;}
    break;

  case 364:

/* Line 1464 of yacc.c  */
#line 3842 "./parser.y"
    {
      statement* stmt = (yyvsp[(8) - (8)].state);
      if( ignore_mode == 0 ) {
        if( stmt == NULL ) {
          stmt = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(8) - (8)]).first_line, (yylsp[(8) - (8)]).first_column, ((yylsp[(8) - (8)]).last_column - 1), NULL ), (yylsp[(8) - (8)]).ppline );
        }
        stmt->suppl.part.head      = 1;
        stmt->suppl.part.is_called = 1;
        db_add_statement( stmt, stmt );
      }
    ;}
    break;

  case 365:

/* Line 1464 of yacc.c  */
#line 3854 "./parser.y"
    {
      generate_top_mode++;
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(10) - (10)]).first_line );
      } else {
        ignore_mode--;
      }
    ;}
    break;

  case 366:

/* Line 1464 of yacc.c  */
#line 3864 "./parser.y"
    {
      if( generate_for_mode > 0 ) {
        VLerror( "Function definition not allowed within a generate loop" );
        ignore_mode++;
      }
      if( ignore_mode == 0 ) {
        Try {
          if( db_add_function_task_namedblock( ((yyvsp[(3) - (7)].logical) ? FUNIT_AFUNCTION : FUNIT_FUNCTION), (yyvsp[(6) - (7)].text), (yylsp[(6) - (7)]).text, (yylsp[(6) - (7)]).first_line ) ) {
            generate_top_mode--;
            db_add_signal( (yyvsp[(6) - (7)].text), curr_sig_type, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(6) - (7)]).first_line, (yylsp[(6) - (7)]).first_column, TRUE );
            generate_top_mode++;
          } else {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      }
      generate_top_mode--;
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    ;}
    break;

  case 367:

/* Line 1464 of yacc.c  */
#line 3887 "./parser.y"
    {
      statement* stmt = (yyvsp[(10) - (10)].state);
      if( (ignore_mode == 0) && (stmt != NULL) ) {
        stmt->suppl.part.head      = 1;
        stmt->suppl.part.is_called = 1;
        db_add_statement( stmt, stmt );
      }
    ;}
    break;

  case 368:

/* Line 1464 of yacc.c  */
#line 3896 "./parser.y"
    {
      generate_top_mode++;
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(12) - (12)]).first_line );
      } else {
        ignore_mode--;
      }
    ;}
    break;

  case 369:

/* Line 1464 of yacc.c  */
#line 3905 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Generate syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      } else {
        if( generate_mode == 0 ) {
          generate_mode = 1;
          generate_top_mode = 1;
        } else {
          VLerror( "Found generate keyword inside of a generate block" );
        }
      }
    ;}
    break;

  case 370:

/* Line 1464 of yacc.c  */
#line 3920 "./parser.y"
    {
      generate_mode = 0;
      generate_top_mode = 0;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      } else {
        db_add_gen_item_block( (yyvsp[(3) - (4)].gitem) );
      }
    ;}
    break;

  case 371:

/* Line 1464 of yacc.c  */
#line 3930 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Genvar syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      } else {
        curr_signed   = FALSE;
        curr_mba      = TRUE;
        curr_handled  = TRUE;
        curr_sig_type = SSUPPL_TYPE_GENVAR;
        parser_implicitly_set_curr_range( 31, 0, TRUE );
      }
    ;}
    break;

  case 372:

/* Line 1464 of yacc.c  */
#line 3943 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      }
    ;}
    break;

  case 373:

/* Line 1464 of yacc.c  */
#line 3950 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        VLerror( "Specify block not allowed within a generate block" );
      }
    ;}
    break;

  case 375:

/* Line 1464 of yacc.c  */
#line 3958 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        VLerror( "Specify block not allowed within a generate block" );
      }
    ;}
    break;

  case 377:

/* Line 1464 of yacc.c  */
#line 3966 "./parser.y"
    {
      if( generate_top_mode > 0 ) {
        VLerror( "Specify block not allowed within a generate block" );
      }
    ;}
    break;

  case 379:

/* Line 1464 of yacc.c  */
#line 3973 "./parser.y"
    {
      VLerror( "Invalid module item.  Did you forget an initial or always?" );
    ;}
    break;

  case 380:

/* Line 1464 of yacc.c  */
#line 3977 "./parser.y"
    { ignore_mode++; ;}
    break;

  case 381:

/* Line 1464 of yacc.c  */
#line 3977 "./parser.y"
    { ignore_mode--; ;}
    break;

  case 382:

/* Line 1464 of yacc.c  */
#line 3978 "./parser.y"
    {
      VLerror( "Syntax error in left side of continuous assignment" );
    ;}
    break;

  case 383:

/* Line 1464 of yacc.c  */
#line 3983 "./parser.y"
    {
      VLerror( "Syntax error in continuous assignment" );
    ;}
    break;

  case 384:

/* Line 1464 of yacc.c  */
#line 3988 "./parser.y"
    {
      if( generate_for_mode > 0 ) {
        VLerror( "Function definition not allowed within generate block" );
      }
      VLerror( "Syntax error in function description" );
    ;}
    break;

  case 385:

/* Line 1464 of yacc.c  */
#line 3996 "./parser.y"
    {
      str_link* strl = (yyvsp[(3) - (4)].strlink);
      while( strl != NULL ) {
        db_add_signal( strl->str, SSUPPL_TYPE_DECL_REG, &curr_prange, NULL, curr_signed, FALSE, strl->suppl, strl->suppl2, TRUE );
        strl = strl->next;
      }
      str_link_delete_list( (yyvsp[(3) - (4)].strlink) );
    ;}
    break;

  case 387:

/* Line 1464 of yacc.c  */
#line 4009 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (5)].text) );
    ;}
    break;

  case 391:

/* Line 1464 of yacc.c  */
#line 4023 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (9)].text) );
      vector_dealloc( (yyvsp[(5) - (9)].num).vec );
      vector_dealloc( (yyvsp[(7) - (9)].num).vec );
    ;}
    break;

  case 392:

/* Line 1464 of yacc.c  */
#line 4029 "./parser.y"
    {
      VLerror( "Syntax error in $attribute parameter list" );
    ;}
    break;

  case 393:

/* Line 1464 of yacc.c  */
#line 4036 "./parser.y"
    {
      (yyval.state) = (yyvsp[(1) - (1)].state);
    ;}
    break;

  case 396:

/* Line 1464 of yacc.c  */
#line 4046 "./parser.y"
    {
    ;}
    break;

  case 397:

/* Line 1464 of yacc.c  */
#line 4049 "./parser.y"
    {
    ;}
    break;

  case 398:

/* Line 1464 of yacc.c  */
#line 4052 "./parser.y"
    {
      curr_mba      = TRUE;
      curr_signed   = FALSE;
      curr_sig_type = SSUPPL_TYPE_EVENT;
      curr_handled  = TRUE;
      parser_implicitly_set_curr_range( 0, 0, TRUE );
    ;}
    break;

  case 399:

/* Line 1464 of yacc.c  */
#line 4063 "./parser.y"
    {
      (yyval.integer) = 1;
    ;}
    break;

  case 400:

/* Line 1464 of yacc.c  */
#line 4067 "./parser.y"
    {
      (yyval.integer) = 0;
    ;}
    break;

  case 404:

/* Line 1464 of yacc.c  */
#line 4081 "./parser.y"
    {
    ;}
    break;

  case 405:

/* Line 1464 of yacc.c  */
#line 4084 "./parser.y"
    {
    ;}
    break;

  case 406:

/* Line 1464 of yacc.c  */
#line 4087 "./parser.y"
    {
    ;}
    break;

  case 408:

/* Line 1464 of yacc.c  */
#line 4094 "./parser.y"
    {
    ;}
    break;

  case 409:

/* Line 1464 of yacc.c  */
#line 4100 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    ;}
    break;

  case 410:

/* Line 1464 of yacc.c  */
#line 4106 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    ;}
    break;

  case 411:

/* Line 1464 of yacc.c  */
#line 4112 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    ;}
    break;

  case 412:

/* Line 1464 of yacc.c  */
#line 4121 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    ;}
    break;

  case 413:

/* Line 1464 of yacc.c  */
#line 4128 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    ;}
    break;

  case 414:

/* Line 1464 of yacc.c  */
#line 4135 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 15, 0, TRUE );
    ;}
    break;

  case 415:

/* Line 1464 of yacc.c  */
#line 4142 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    ;}
    break;

  case 416:

/* Line 1464 of yacc.c  */
#line 4149 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    ;}
    break;

  case 417:

/* Line 1464 of yacc.c  */
#line 4156 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    ;}
    break;

  case 418:

/* Line 1464 of yacc.c  */
#line 4163 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    ;}
    break;

  case 419:

/* Line 1464 of yacc.c  */
#line 4173 "./parser.y"
    {
      expression* tmp = NULL;
      statement*  stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (4)].expr) != NULL) ) {
        Try {
          if( ((yyvsp[(1) - (4)].integer) == 1) && !parser_check_generation( GENERATION_SV ) ) {
            VLerror( "Variables declared in FOR initialization block that is specified to not allow SystemVerilog syntax" );
          } else if( ((yyvsp[(1) - (4)].integer) == 1) || (db_find_signal( (yyvsp[(2) - (4)].text), TRUE ) == NULL) ) {
            db_add_signal( (yyvsp[(2) - (4)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, TRUE );
          }
          tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(2) - (4)]).last_column - 1), (yyvsp[(2) - (4)].text) );
        } Catch_anonymous {
          error_count++;
        }
        Try {
          tmp = db_create_expression( (yyvsp[(4) - (4)].expr), tmp, EXP_OP_BASSIGN, FALSE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        stmt = db_create_statement( tmp, (yylsp[(2) - (4)]).ppline );
        (yyval.state) = stmt;
      } else {
        expression_dealloc( (yyvsp[(4) - (4)].expr), FALSE );
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (4)].text) );
    ;}
    break;

  case 420:

/* Line 1464 of yacc.c  */
#line 4201 "./parser.y"
    {
      expression* tmp = NULL;
      statement*  stmt;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (6)].state) != NULL) && ((yyvsp[(6) - (6)].expr) != NULL) ) {
        Try {
          if( ((yyvsp[(3) - (6)].integer) == 1) && !parser_check_generation( GENERATION_SV ) ) {
            VLerror( "Variables declared in FOR initialization block that is specified to not allow SystemVerilog syntax" );
          } else if( ((yyvsp[(3) - (6)].integer) == 1) || (db_find_signal( (yyvsp[(4) - (6)].text), TRUE ) == NULL) ) {
            db_add_signal( (yyvsp[(4) - (6)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(4) - (6)]).first_line, (yylsp[(4) - (6)]).first_column, TRUE );
          }
          tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(4) - (6)]).first_line, (yylsp[(4) - (6)]).first_column, ((yylsp[(4) - (6)]).last_column - 1), (yyvsp[(4) - (6)].text) );
        } Catch_anonymous {
          error_count++;
        }
        Try {
          tmp = db_create_expression( (yyvsp[(6) - (6)].expr), tmp, EXP_OP_BASSIGN, FALSE, (yylsp[(4) - (6)]).first_line, (yylsp[(4) - (6)]).first_column, ((yylsp[(6) - (6)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        stmt = db_create_statement( tmp, (yylsp[(4) - (6)]).ppline );
        if( !db_statement_connect( (yyvsp[(1) - (6)].state), stmt ) ) {
          db_remove_statement( stmt );
        }
      } else {
        expression_dealloc( (yyvsp[(6) - (6)].expr), FALSE );
      }
      FREE_TEXT( (yyvsp[(4) - (6)].text) );
      (yyval.state) = (yyvsp[(1) - (6)].state);
    ;}
    break;

  case 421:

/* Line 1464 of yacc.c  */
#line 4234 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_BASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 422:

/* Line 1464 of yacc.c  */
#line 4250 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "+= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ADD_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 423:

/* Line 1464 of yacc.c  */
#line 4273 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "-= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_SUB_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 424:

/* Line 1464 of yacc.c  */
#line 4296 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "*= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_MLT_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 425:

/* Line 1464 of yacc.c  */
#line 4319 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "/= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_DIV_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 426:

/* Line 1464 of yacc.c  */
#line 4342 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "%= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_MOD_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 427:

/* Line 1464 of yacc.c  */
#line 4365 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "&= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_AND_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 428:

/* Line 1464 of yacc.c  */
#line 4388 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "|= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_OR_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 429:

/* Line 1464 of yacc.c  */
#line 4411 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "^= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_XOR_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 430:

/* Line 1464 of yacc.c  */
#line 4436 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "<<= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_LS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 431:

/* Line 1464 of yacc.c  */
#line 4461 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( ">>= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_RS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 432:

/* Line 1464 of yacc.c  */
#line 4486 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "<<<= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ALS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 433:

/* Line 1464 of yacc.c  */
#line 4511 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( ">>>= operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ARS_A, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
            expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 434:

/* Line 1464 of yacc.c  */
#line 4536 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "Increment (++) operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( NULL, (yyvsp[(1) - (2)].expr), EXP_OP_PINC, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (2)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 435:

/* Line 1464 of yacc.c  */
#line 4558 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].expr) != NULL) ) {
        if( !parser_check_generation( GENERATION_SV ) ) {
          VLerror( "Decrement (--) operation found in block that is specified to not allow SystemVerilog syntax" );
          expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
          (yyval.state) = NULL;
        } else {
          expression* tmp = NULL;
          Try {
            tmp = db_create_expression( NULL, (yyvsp[(1) - (2)].expr), EXP_OP_PDEC, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
          } Catch_anonymous {
            expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
            error_count++;
          }
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (2)]).ppline );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 436:

/* Line 1464 of yacc.c  */
#line 4582 "./parser.y"
    { ignore_mode++; ;}
    break;

  case 437:

/* Line 1464 of yacc.c  */
#line 4582 "./parser.y"
    { ignore_mode--; ;}
    break;

  case 438:

/* Line 1464 of yacc.c  */
#line 4583 "./parser.y"
    {
      (yyval.state) = NULL;
    ;}
    break;

  case 439:

/* Line 1464 of yacc.c  */
#line 4586 "./parser.y"
    { ignore_mode++; ;}
    break;

  case 440:

/* Line 1464 of yacc.c  */
#line 4586 "./parser.y"
    { ignore_mode--; ;}
    break;

  case 441:

/* Line 1464 of yacc.c  */
#line 4587 "./parser.y"
    {
      (yyval.state) = NULL;
    ;}
    break;

  case 442:

/* Line 1464 of yacc.c  */
#line 4590 "./parser.y"
    { ignore_mode++; ;}
    break;

  case 443:

/* Line 1464 of yacc.c  */
#line 4590 "./parser.y"
    { ignore_mode--; ;}
    break;

  case 444:

/* Line 1464 of yacc.c  */
#line 4591 "./parser.y"
    {
      (yyval.state) = NULL;
    ;}
    break;

  case 445:

/* Line 1464 of yacc.c  */
#line 4594 "./parser.y"
    { ignore_mode++; ;}
    break;

  case 446:

/* Line 1464 of yacc.c  */
#line 4594 "./parser.y"
    { ignore_mode--; ;}
    break;

  case 447:

/* Line 1464 of yacc.c  */
#line 4595 "./parser.y"
    {
      (yyval.state) = NULL;
    ;}
    break;

  case 448:

/* Line 1464 of yacc.c  */
#line 4599 "./parser.y"
    { PROFILE(PARSER_STATEMENT_BEGIN_A);
      expression* exp;
      statement*  stmt;
      char        back[4096];
      char        rest[4096];
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(5) - (5)]).first_line );
        if( (yyvsp[(3) - (5)].funit) != NULL ) {
          scope_extract_back( (yyvsp[(3) - (5)].funit)->name, back, rest );
          exp  = db_create_expression( NULL, NULL, EXP_OP_NB_CALL, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
          exp->elem.funit      = (yyvsp[(3) - (5)].funit);
          exp->suppl.part.type = ETYPE_FUNIT;
          exp->name            = strdup_safe( back );
          stmt = db_create_statement( exp, (yylsp[(1) - (5)]).ppline );
          (yyval.state)   = stmt;
        } else {
          (yyval.state) = NULL;
        }
      } else {
        if( ignore_mode > 0 ) {
          ignore_mode--;
        }
        if( ignore_mode == 0 ) {
          /* If there is no body to the begin..end block, replace the block with a NOOP */
          exp  = db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
          stmt = db_create_statement( exp, (yylsp[(1) - (5)]).ppline );
          (yyval.state)   = stmt;
        }
      }
    ;}
    break;

  case 449:

/* Line 1464 of yacc.c  */
#line 4630 "./parser.y"
    { PROFILE(PARSER_STATEMENT_FORK_A);
      expression* exp;
      statement*  stmt;
      char        back[4096];
      char        rest[4096];
      if( ignore_mode == 0 ) {
        db_end_function_task_namedblock( (yylsp[(4) - (4)]).first_line );
        if( (yyvsp[(3) - (4)].funit) != NULL ) {
          scope_extract_back( (yyvsp[(3) - (4)].funit)->name, back, rest );
          exp  = db_create_expression( NULL, NULL, EXP_OP_NB_CALL, FALSE, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(1) - (4)]).last_column - 1), NULL );
          exp->elem.funit      = (yyvsp[(3) - (4)].funit);
          exp->suppl.part.type = ETYPE_FUNIT;
          exp->name            = strdup_safe( back );
          stmt = db_create_statement( exp, (yylsp[(1) - (4)]).ppline );
          (yyval.state)   = stmt;
        } else {
          ignore_mode--;
          (yyval.state) = NULL;
        }
      } else {
        ignore_mode--;
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 450:

/* Line 1464 of yacc.c  */
#line 4655 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].text) != NULL) ) {
        expression* exp = NULL;
        Try {
          exp = db_create_expression( NULL, NULL, EXP_OP_DISABLE, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(2) - (3)]).last_column - 1), (yyvsp[(2) - (3)].text) );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.state) = db_create_statement( exp, (yylsp[(1) - (3)]).ppline );
        FREE_TEXT( (yyvsp[(2) - (3)].text) );
      } else {
        FREE_TEXT( (yyvsp[(2) - (3)].text) );
        (yyval.state) = NULL;
      } 
    ;}
    break;

  case 451:

/* Line 1464 of yacc.c  */
#line 4671 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].text) != NULL) ) {
        expression* exp = NULL;
        Try {
          exp = db_create_expression( NULL, NULL, EXP_OP_TRIGGER, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(2) - (3)]).last_column - 1), (yyvsp[(2) - (3)].text) );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.state) = db_create_statement( exp, (yylsp[(1) - (3)]).ppline );
      } else {
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (3)].text) );
    ;}
    break;

  case 452:

/* Line 1464 of yacc.c  */
#line 4686 "./parser.y"
    {
      if( (yyvsp[(3) - (4)].state) != NULL ) {
        expression* expr;
        statement*  stmt;
        Try {
          expr = db_create_expression( NULL, NULL, EXP_OP_FOREVER, FALSE, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(1) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        stmt = db_create_statement( expr, (yylsp[(1) - (4)]).ppline );
        if( db_statement_connect( (yyvsp[(3) - (4)].state), (yyvsp[(3) - (4)].state) ) ) {
          db_connect_statement_false( stmt, (yyvsp[(3) - (4)].state) );
          (yyval.state) = stmt;
        } else {
          db_remove_statement( stmt );
          db_remove_statement( (yyvsp[(3) - (4)].state) );
          (yyval.state) = NULL;
        }
      }
    ;}
    break;

  case 453:

/* Line 1464 of yacc.c  */
#line 4707 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (7)].expr) != NULL) && ((yyvsp[(6) - (7)].state) != NULL) ) {
        vector*     vec  = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
        expression* expr = NULL;
        statement*  stmt;
        Try {
          expr = db_create_expression( NULL, NULL, EXP_OP_STATIC, FALSE, (yylsp[(1) - (7)]).first_line, (yylsp[(1) - (7)]).first_column, ((yylsp[(1) - (7)]).last_column - 1), NULL );
          (void)vector_from_int( vec, 0x0 );
          assert( expr->value->value.ul == NULL );
          free_safe( expr->value, sizeof( vector ) );
          expr->value = vec;
        } Catch_anonymous {
          error_count++;
        }
        Try {
          expr = db_create_expression( (yyvsp[(3) - (7)].expr), expr, EXP_OP_REPEAT, FALSE, (yylsp[(1) - (7)]).first_line, (yylsp[(1) - (7)]).first_column, ((yylsp[(4) - (7)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        stmt = db_create_statement( expr, (yylsp[(1) - (7)]).ppline );
        db_connect_statement_true( stmt, (yyvsp[(6) - (7)].state) );
        stmt->conn_id = stmt_conn_id;   /* This will cause the STOP bit to be set for all statements connecting to stmt */
        assert( db_statement_connect( (yyvsp[(6) - (7)].state), stmt ) );
        (yyval.state) = stmt;
      } else {
        expression_dealloc( (yyvsp[(3) - (7)].expr), FALSE );
        db_remove_statement( (yyvsp[(6) - (7)].state) );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 454:

/* Line 1464 of yacc.c  */
#line 4738 "./parser.y"
    {
      expression*     expr      = NULL;
      expression*     c_expr    = (yyvsp[(4) - (9)].expr);
      statement*      stmt      = NULL;
      statement*      last_stmt = NULL;
      case_statement* c_stmt    = (yyvsp[(7) - (9)].case_stmt);
      case_statement* tc_stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (9)].expr) != NULL) ) {
        while( c_stmt != NULL ) {
          Try {
            if( (c_stmt->expr != NULL) && (c_stmt->expr->op == EXP_OP_LIST) ) {
              parser_handle_case_statement_list( EXP_OP_CASE, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            } else {
              parser_handle_case_statement( EXP_OP_CASE, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            }
          } Catch_anonymous {
            error_count++;
          }
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        if( last_stmt != NULL ) {
          last_stmt->exp->suppl.part.owned = 1;
        }
        (yyval.state) = last_stmt;
      } else {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
        while( c_stmt != NULL ) {
          expression_dealloc( c_stmt->expr, FALSE );
          db_remove_statement( c_stmt->stmt );
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 455:

/* Line 1464 of yacc.c  */
#line 4777 "./parser.y"
    {
      expression*     expr      = NULL;
      expression*     c_expr    = (yyvsp[(4) - (9)].expr);
      statement*      stmt      = NULL;
      statement*      last_stmt = NULL;
      case_statement* c_stmt    = (yyvsp[(7) - (9)].case_stmt);
      case_statement* tc_stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (9)].expr) != NULL) ) {
        while( c_stmt != NULL ) {
          Try {
            if( (c_stmt->expr != NULL) && (c_stmt->expr->op == EXP_OP_LIST) ) {
              parser_handle_case_statement_list( EXP_OP_CASEX, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            } else {
              parser_handle_case_statement( EXP_OP_CASEX, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            }
          } Catch_anonymous {
            error_count++;
          }
          tc_stmt   = c_stmt;
          c_stmt    = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        if( last_stmt != NULL ) {
          last_stmt->exp->suppl.part.owned = 1;
        }
        (yyval.state) = last_stmt;
      } else {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
        while( c_stmt != NULL ) {
          expression_dealloc( c_stmt->expr, FALSE );
          db_remove_statement( c_stmt->stmt );
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 456:

/* Line 1464 of yacc.c  */
#line 4816 "./parser.y"
    {
      expression*     expr      = NULL;
      expression*     c_expr    = (yyvsp[(4) - (9)].expr);
      statement*      stmt      = NULL;
      statement*      last_stmt = NULL;
      case_statement* c_stmt    = (yyvsp[(7) - (9)].case_stmt);
      case_statement* tc_stmt;
      if( (ignore_mode == 0) && ((yyvsp[(4) - (9)].expr) != NULL) ) {
        while( c_stmt != NULL ) {
          Try {
            if( (c_stmt->expr != NULL) && (c_stmt->expr->op == EXP_OP_LIST) ) {
              parser_handle_case_statement_list( EXP_OP_CASEZ, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            } else {
              parser_handle_case_statement( EXP_OP_CASEZ, c_stmt->expr, c_expr, c_stmt->stmt, c_stmt->line, c_stmt->ppline, &last_stmt );
            }
          } Catch_anonymous {
            error_count++;
          }
          tc_stmt   = c_stmt;
          c_stmt    = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        if( last_stmt != NULL ) {
          last_stmt->exp->suppl.part.owned = 1;
        }
        (yyval.state) = last_stmt;
      } else {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
        while( c_stmt != NULL ) {
          expression_dealloc( c_stmt->expr, FALSE );
          db_remove_statement( c_stmt->stmt );
          tc_stmt = c_stmt;
          c_stmt  = c_stmt->prev;
          free_safe( tc_stmt, sizeof( case_statement ) );
        }
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 457:

/* Line 1464 of yacc.c  */
#line 4855 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
      }
      VLerror( "Illegal case expression" );
      (yyval.state) = NULL;
    ;}
    break;

  case 458:

/* Line 1464 of yacc.c  */
#line 4863 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
      }
      VLerror( "Illegal casex expression" );
      (yyval.state) = NULL;
    ;}
    break;

  case 459:

/* Line 1464 of yacc.c  */
#line 4871 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        expression_dealloc( (yyvsp[(4) - (9)].expr), FALSE );
      }
      VLerror( "Illegal casez expression" );
      (yyval.state) = NULL;
    ;}
    break;

  case 460:

/* Line 1464 of yacc.c  */
#line 4879 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(4) - (8)].expr) != NULL) ) {
        expression* tmp = NULL;
        Try {
          tmp = db_create_expression( (yyvsp[(4) - (8)].expr), NULL, EXP_OP_IF, FALSE, (yylsp[(2) - (8)]).first_line, (yylsp[(2) - (8)]).first_column, ((yylsp[(5) - (8)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( ((yyval.state) = db_create_statement( tmp, (yylsp[(2) - (8)]).ppline )) != NULL ) {
          db_connect_statement_true( (yyval.state), (yyvsp[(7) - (8)].state) );
        }
      } else {
        db_remove_statement( (yyvsp[(7) - (8)].state) );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 461:

/* Line 1464 of yacc.c  */
#line 4896 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(4) - (10)].expr) != NULL) ) {
        expression* tmp = NULL;
        Try {
          tmp = db_create_expression( (yyvsp[(4) - (10)].expr), NULL, EXP_OP_IF, FALSE, (yylsp[(2) - (10)]).first_line, (yylsp[(2) - (10)]).first_column, ((yylsp[(5) - (10)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( ((yyval.state) = db_create_statement( tmp, (yylsp[(2) - (10)]).ppline )) != NULL ) {
          db_connect_statement_true( (yyval.state), (yyvsp[(7) - (10)].state) );
          db_connect_statement_false( (yyval.state), (yyvsp[(10) - (10)].state) );
        }
      } else {
        db_remove_statement( (yyvsp[(7) - (10)].state) );
        db_remove_statement( (yyvsp[(10) - (10)].state) );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 462:

/* Line 1464 of yacc.c  */
#line 4914 "./parser.y"
    { ignore_mode++; ;}
    break;

  case 463:

/* Line 1464 of yacc.c  */
#line 4914 "./parser.y"
    { ignore_mode--; ;}
    break;

  case 464:

/* Line 1464 of yacc.c  */
#line 4915 "./parser.y"
    {
      VLerror( "Illegal conditional if expression" );
      (yyval.state) = NULL;
    ;}
    break;

  case 465:

/* Line 1464 of yacc.c  */
#line 4920 "./parser.y"
    { PROFILE(PARSER_STATEMENT_FOR_A);
      expression* exp;
      statement*  stmt;
      statement*  stmt1 = (yyvsp[(4) - (11)].state);
      statement*  stmt2;
      statement*  stmt3 = (yyvsp[(8) - (11)].state);
      statement*  stmt4 = (yyvsp[(10) - (11)].state);
      char        back[4096];
      char        rest[4096];
      if( (ignore_mode == 0) && ((yyvsp[(4) - (11)].state) != NULL) && ((yyvsp[(6) - (11)].expr) != NULL) && ((yyvsp[(8) - (11)].state) != NULL) && ((yyvsp[(10) - (11)].state) != NULL) ) {
        block_depth++;
        stmt2 = db_create_statement( (yyvsp[(6) - (11)].expr), (yylsp[(6) - (11)]).ppline );
        assert( db_statement_connect( stmt1, stmt2 ) );
        db_connect_statement_true( stmt2, stmt4 );
        assert( db_statement_connect( stmt4, stmt3 ) );
        stmt2->conn_id = stmt_conn_id;   /* This will cause the STOP bit to be set for the stmt3 */
        assert( db_statement_connect( stmt3, stmt2 ) );
        block_depth--;
        stmt1 = db_parallelize_statement( stmt1 );
        stmt1->suppl.part.head      = 1;
        stmt1->suppl.part.is_called = 1;
        db_add_statement( stmt1, stmt1 );
      } else {
        db_remove_statement( stmt1 );
        expression_dealloc( (yyvsp[(6) - (11)].expr), FALSE );
        db_remove_statement( stmt3 );
        db_remove_statement( stmt4 );
        stmt1 = NULL;
      }
      db_end_function_task_namedblock( (yylsp[(11) - (11)]).first_line );
      if( (stmt1 != NULL) && ((yyvsp[(2) - (11)].funit) != NULL) ) {
        scope_extract_back( (yyvsp[(2) - (11)].funit)->name, back, rest );
        exp = db_create_expression( NULL, NULL, EXP_OP_NB_CALL, FALSE, (yylsp[(1) - (11)]).first_line, (yylsp[(1) - (11)]).first_column, ((yylsp[(1) - (11)]).last_column - 1), NULL );
        exp->elem.funit      = (yyvsp[(2) - (11)].funit);
        exp->suppl.part.type = ETYPE_FUNIT;
        exp->name            = strdup_safe( back );
        stmt = db_create_statement( exp, (yylsp[(1) - (11)]).ppline );
        (yyval.state) = stmt;
      } else {
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 466:

/* Line 1464 of yacc.c  */
#line 4963 "./parser.y"
    {
      db_remove_statement( (yyvsp[(4) - (11)].state) );
      expression_dealloc( (yyvsp[(6) - (11)].expr), FALSE );
      db_remove_statement( (yyvsp[(10) - (11)].state) );
      db_end_function_task_namedblock( (yylsp[(11) - (11)]).first_line );
      (yyval.state) = NULL;
    ;}
    break;

  case 467:

/* Line 1464 of yacc.c  */
#line 4971 "./parser.y"
    {
      db_remove_statement( (yyvsp[(4) - (11)].state) );
      db_remove_statement( (yyvsp[(8) - (11)].state) );
      db_remove_statement( (yyvsp[(10) - (11)].state) );
      db_end_function_task_namedblock( (yylsp[(11) - (11)]).first_line );
      (yyval.state) = NULL;
    ;}
    break;

  case 468:

/* Line 1464 of yacc.c  */
#line 4979 "./parser.y"
    {
      db_remove_statement( (yyvsp[(6) - (7)].state) );
      db_end_function_task_namedblock( (yylsp[(7) - (7)]).first_line );
      (yyval.state) = NULL;
    ;}
    break;

  case 469:

/* Line 1464 of yacc.c  */
#line 4985 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (7)].expr) != NULL) && ((yyvsp[(6) - (7)].state) != NULL) ) {
        expression* expr = NULL;
        Try {
          expr = db_create_expression( (yyvsp[(3) - (7)].expr), NULL, EXP_OP_WHILE, FALSE, (yylsp[(1) - (7)]).first_line, (yylsp[(1) - (7)]).first_column, ((yylsp[(4) - (7)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( ((yyval.state) = db_create_statement( expr, (yylsp[(1) - (7)]).ppline )) != NULL ) {
          db_connect_statement_true( (yyval.state), (yyvsp[(6) - (7)].state) );
          (yyval.state)->conn_id = stmt_conn_id;   /* This will cause the STOP bit to be set for all statements connecting to stmt */
          assert( db_statement_connect( (yyvsp[(6) - (7)].state), (yyval.state) ) );
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (7)].expr), FALSE );
        db_remove_statement( (yyvsp[(6) - (7)].state) );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 470:

/* Line 1464 of yacc.c  */
#line 5005 "./parser.y"
    {
      db_remove_statement( (yyvsp[(6) - (7)].state) );
      (yyval.state) = NULL;
    ;}
    break;

  case 471:

/* Line 1464 of yacc.c  */
#line 5010 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (9)].state) != NULL) && ((yyvsp[(7) - (9)].expr) != NULL) ) {
        expression* expr = NULL;
        statement*  stmt;
        Try {
          expr = db_create_expression( (yyvsp[(7) - (9)].expr), NULL, EXP_OP_WHILE, FALSE, (yylsp[(5) - (9)]).first_line, (yylsp[(5) - (9)]).first_column, ((yylsp[(8) - (9)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( (stmt = db_create_statement( expr, (yylsp[(5) - (9)]).ppline )) != NULL ) {
          assert( db_statement_connect( (yyvsp[(3) - (9)].state), stmt ) );
          db_connect_statement_true( stmt, (yyvsp[(3) - (9)].state) );
          stmt->suppl.part.stop_true = 1;  /* Set STOP bit for the TRUE path */
        }
        (yyval.state) = (yyvsp[(3) - (9)].state);
      } else {
        expression_dealloc( (yyvsp[(7) - (9)].expr), FALSE );
        db_remove_statement( (yyvsp[(3) - (9)].state) );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 472:

/* Line 1464 of yacc.c  */
#line 5032 "./parser.y"
    {
      statement* stmt;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].expr) != NULL) ) {
        stmt = db_create_statement( (yyvsp[(1) - (4)].expr), (yylsp[(1) - (4)]).ppline );
        if( (yyvsp[(3) - (4)].state) != NULL ) {
          if( !db_statement_connect( stmt, (yyvsp[(3) - (4)].state) ) ) {
            db_remove_statement( stmt );
            db_remove_statement( (yyvsp[(3) - (4)].state) );
            stmt = NULL;
          }
        }
        (yyval.state) = stmt;
      } else {
        db_remove_statement( (yyvsp[(3) - (4)].state) );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 473:

/* Line 1464 of yacc.c  */
#line 5050 "./parser.y"
    {
      statement* stmt;
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].expr) != NULL) ) {
        stmt = db_create_statement( (yyvsp[(1) - (4)].expr), (yylsp[(1) - (4)]).ppline );
        if( (yyvsp[(3) - (4)].state) != NULL ) {
          if( !db_statement_connect( stmt, (yyvsp[(3) - (4)].state) ) ) {
            db_remove_statement( stmt );
            db_remove_statement( (yyvsp[(3) - (4)].state) );
            stmt = NULL;
          }
        }
        (yyval.state) = stmt;
      } else {
        db_remove_statement( (yyvsp[(3) - (4)].state) );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 474:

/* Line 1464 of yacc.c  */
#line 5068 "./parser.y"
    {
      expression* expr;
      statement*  stmt;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Wildcard combinational logic sensitivity list found in block that is specified to not allow Verilog-2001 syntax" );
        db_remove_statement( (yyvsp[(4) - (5)].state) );
        (yyval.state) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(4) - (5)].state) != NULL) ) {
          if( (expr = db_create_sensitivity_list( (yyvsp[(4) - (5)].state) )) == NULL ) {
            VLerror( "Empty implicit event expression for the specified statement" );
            db_remove_statement( (yyvsp[(4) - (5)].state) );
            (yyval.state) = NULL;
          } else {
            Try {
              expr = db_create_expression( expr, NULL, EXP_OP_SLIST, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(2) - (5)]).last_column - 1), NULL ); 
            } Catch_anonymous {
              error_count++;
            }
            stmt = db_create_statement( expr, (yylsp[(1) - (5)]).ppline );
            if( !db_statement_connect( stmt, (yyvsp[(4) - (5)].state) ) ) {
              db_remove_statement( stmt );
              db_remove_statement( (yyvsp[(4) - (5)].state) );
              stmt = NULL;
            }
            (yyval.state) = stmt;
          }
        } else {
          db_remove_statement( (yyvsp[(4) - (5)].state) );
          (yyval.state) = NULL;
        }
      }
    ;}
    break;

  case 475:

/* Line 1464 of yacc.c  */
#line 5102 "./parser.y"
    {
      (yyval.state) = (yyvsp[(1) - (2)].state);
    ;}
    break;

  case 476:

/* Line 1464 of yacc.c  */
#line 5106 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].expr) != NULL) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(3) - (4)].expr), (yyvsp[(1) - (4)].expr), EXP_OP_NASSIGN, FALSE, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(3) - (4)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (4)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (4)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (4)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 477:

/* Line 1464 of yacc.c  */
#line 5124 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(3) - (5)].expr), EXP_OP_DLY_OP, FALSE, (yylsp[(3) - (5)]).first_line, (yylsp[(3) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          tmp = db_create_expression( tmp, (yyvsp[(1) - (5)].expr), EXP_OP_DLY_ASSIGN, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          (yyval.state)  = db_create_statement( tmp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 478:

/* Line 1464 of yacc.c  */
#line 5143 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(1) - (5)].expr), EXP_OP_NASSIGN, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
          expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 479:

/* Line 1464 of yacc.c  */
#line 5163 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(3) - (5)].expr), EXP_OP_DLY_OP, FALSE, (yylsp[(3) - (5)]).first_line, (yylsp[(3) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          tmp = db_create_expression( tmp, (yyvsp[(1) - (5)].expr), EXP_OP_DLY_ASSIGN, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 480:

/* Line 1464 of yacc.c  */
#line 5182 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].expr) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(1) - (5)].expr), EXP_OP_NASSIGN, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
          expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
      } else {
        expression_dealloc( (yyvsp[(1) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 481:

/* Line 1464 of yacc.c  */
#line 5202 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (9)].expr) != NULL) && ((yyvsp[(5) - (9)].expr) != NULL) && ((yyvsp[(7) - (9)].expr) != NULL) && ((yyvsp[(8) - (9)].expr) != NULL) ) {
        vector* vec = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
        Try {
          expression* tmp = db_create_expression( NULL, NULL, EXP_OP_STATIC, FALSE, (yylsp[(1) - (9)]).first_line, (yylsp[(1) - (9)]).first_column, ((yylsp[(1) - (9)]).last_column - 1), NULL );
          (void)vector_from_int( vec, 0x0 );
          assert( tmp->value->value.ul == NULL );
          free_safe( tmp->value, sizeof( vector ) );
          tmp->value = vec;
          tmp = db_create_expression( (yyvsp[(5) - (9)].expr), tmp, EXP_OP_REPEAT, FALSE, (yylsp[(3) - (9)]).first_line, (yylsp[(3) - (9)]).first_column, ((yylsp[(6) - (9)]).last_column - 1), NULL );
          tmp = db_create_expression( (yyvsp[(7) - (9)].expr), tmp, EXP_OP_RPT_DLY, FALSE, (yylsp[(3) - (9)]).first_line, (yylsp[(3) - (9)]).first_column, ((yylsp[(7) - (9)]).last_column - 1), NULL );
          tmp = db_create_expression( (yyvsp[(8) - (9)].expr), tmp, EXP_OP_DLY_OP, FALSE, (yylsp[(3) - (9)]).first_line, (yylsp[(3) - (9)]).first_column, ((yylsp[(8) - (9)]).last_column - 1), NULL );
          tmp = db_create_expression( tmp, (yyvsp[(1) - (9)].expr), EXP_OP_DLY_ASSIGN, FALSE, (yylsp[(1) - (9)]).first_line, (yylsp[(1) - (9)]).first_column, ((yylsp[(8) - (9)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (9)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(5) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(7) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(8) - (9)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 482:

/* Line 1464 of yacc.c  */
#line 5230 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (9)].expr) != NULL) && ((yyvsp[(8) - (9)].expr) != NULL) ) {
        Try {
          expression* tmp = db_create_expression( (yyvsp[(8) - (9)].expr), (yyvsp[(1) - (9)].expr), EXP_OP_NASSIGN, FALSE, (yylsp[(1) - (9)]).first_line, (yylsp[(1) - (9)]).first_column, ((yylsp[(8) - (9)]).last_column - 1), NULL );
          (yyval.state) = db_create_statement( tmp, (yylsp[(1) - (9)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (9)].expr), FALSE );
          expression_dealloc( (yyvsp[(8) - (9)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
        expression_dealloc( (yyvsp[(5) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(7) - (9)].expr), FALSE );
      } else {
        expression_dealloc( (yyvsp[(1) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(5) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(7) - (9)].expr), FALSE );
        expression_dealloc( (yyvsp[(8) - (9)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 483:

/* Line 1464 of yacc.c  */
#line 5252 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (7)].expr) != NULL) ) {
        expression* exp = NULL;
        Try {
          exp = db_create_expression( (yyvsp[(3) - (7)].expr), NULL, EXP_OP_WAIT, FALSE, (yylsp[(1) - (7)]).first_line, (yylsp[(1) - (7)]).first_column, ((yylsp[(4) - (7)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        (yyval.state) = db_create_statement( exp, (yylsp[(1) - (7)]).ppline );
        if( (yyvsp[(6) - (7)].state) != NULL ) {
          if( !db_statement_connect( (yyval.state), (yyvsp[(6) - (7)].state) ) ) {
            db_remove_statement( (yyval.state) );
            db_remove_statement( (yyvsp[(6) - (7)].state) );
            (yyval.state) = NULL;
          }
        }
      } else {
        db_remove_statement( (yyvsp[(6) - (7)].state) );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 484:

/* Line 1464 of yacc.c  */
#line 5274 "./parser.y"
    {
      (yyval.state) = NULL;
    ;}
    break;

  case 485:

/* Line 1464 of yacc.c  */
#line 5278 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (7)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 486:

/* Line 1464 of yacc.c  */
#line 5291 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_SFINISH, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (7)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 487:

/* Line 1464 of yacc.c  */
#line 5304 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_SSTOP, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (7)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 488:

/* Line 1464 of yacc.c  */
#line 5317 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (5)].expr) != NULL) ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, (yyvsp[(3) - (5)].expr), EXP_OP_SSRANDOM, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL ), (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 489:

/* Line 1464 of yacc.c  */
#line 5332 "./parser.y"
    {
      (yyval.state) = NULL;
    ;}
    break;

  case 490:

/* Line 1464 of yacc.c  */
#line 5336 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (2)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 491:

/* Line 1464 of yacc.c  */
#line 5349 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_SFINISH, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (2)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 492:

/* Line 1464 of yacc.c  */
#line 5362 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_SSTOP, FALSE, 0, 0, 0, NULL ), (yylsp[(1) - (2)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
    ;}
    break;

  case 493:

/* Line 1464 of yacc.c  */
#line 5375 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (5)].text) != NULL) && ((yyvsp[(3) - (5)].expr) != NULL) ) {
        Try {
          expression* exp = db_create_expression( NULL, (yyvsp[(3) - (5)].expr), EXP_OP_TASK_CALL, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), (yyvsp[(1) - (5)].text) );
          (yyval.state) = db_create_statement( exp, (yylsp[(1) - (5)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (5)].text) );
    ;}
    break;

  case 494:

/* Line 1464 of yacc.c  */
#line 5390 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].text) != NULL) ) {
        Try {
          expression* exp = db_create_expression( NULL, NULL, EXP_OP_TASK_CALL, FALSE, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), (yyvsp[(1) - (2)].text) );
          (yyval.state) = db_create_statement( exp, (yylsp[(1) - (2)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (2)].text) );
    ;}
    break;

  case 495:

/* Line 1464 of yacc.c  */
#line 5406 "./parser.y"
    {
      expression* exp;
      statement*  stmt;
      if( ignore_mode == 0 ) {
        exp  = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
        stmt = db_create_statement( exp, (yylsp[(1) - (2)]).ppline );
        (yyval.state)   = stmt;
      }
    ;}
    break;

  case 496:

/* Line 1464 of yacc.c  */
#line 5417 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          expression* exp = db_create_expression( NULL, NULL, EXP_OP_NOOP, lhs_mode, 0, 0, 0, NULL );
          (yyval.state) = db_create_statement( exp, (yylsp[(1) - (4)]).ppline );
        } Catch_anonymous {
          error_count++;
          (yyval.state) = NULL;
        }
      } else {
        (yyval.state) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    ;}
    break;

  case 497:

/* Line 1464 of yacc.c  */
#line 5432 "./parser.y"
    {
      VLerror( "Illegal statement" );
      (yyval.state) = NULL;
    ;}
    break;

  case 498:

/* Line 1464 of yacc.c  */
#line 5440 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          if( !db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, (yyvsp[(1) - (1)].text), (yylsp[(1) - (1)]).text, (yylsp[(1) - (1)]).first_line ) ) {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      } else {
        ignore_mode++;
      }
    ;}
    break;

  case 499:

/* Line 1464 of yacc.c  */
#line 5455 "./parser.y"
    {
      if( (yyvsp[(3) - (5)].logical) && db_is_unnamed_scope( (yyvsp[(1) - (5)].text) ) && !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "Net/variables declared in unnamed fork...join block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
      if( ignore_mode == 0 ) {
        if( (yyvsp[(4) - (5)].state) != NULL ) {
          expression* expr = NULL;
          statement*  stmt;
          Try {
            expr = db_create_expression( NULL, NULL, EXP_OP_JOIN, FALSE, (yylsp[(4) - (5)]).first_line, (yylsp[(4) - (5)]).first_column, ((yylsp[(4) - (5)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          if( ((stmt = db_create_statement( expr, (yylsp[(4) - (5)]).ppline )) != NULL) && db_statement_connect( (yyvsp[(4) - (5)].state), stmt ) ) {
            stmt = (yyvsp[(4) - (5)].state);
            stmt->suppl.part.head      = 1;
            stmt->suppl.part.is_called = 1;
            db_add_statement( stmt, stmt );
            (yyval.funit) = db_get_curr_funit();
          } else {
            db_remove_statement( (yyvsp[(4) - (5)].state) );
            db_remove_statement( stmt );
            (yyval.funit) = NULL;
          }
        } else {
          (yyval.funit) = NULL;
        }
      } else {
        if( (yyvsp[(3) - (5)].logical) && db_is_unnamed_scope( (yyvsp[(1) - (5)].text) ) ) {
          ignore_mode--;
        }
        (yyval.funit) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (5)].text) );
    ;}
    break;

  case 500:

/* Line 1464 of yacc.c  */
#line 5492 "./parser.y"
    {
      (yyval.funit) = NULL;
    ;}
    break;

  case 501:

/* Line 1464 of yacc.c  */
#line 5499 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          if( !db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, (yyvsp[(1) - (1)].text), (yylsp[(1) - (1)]).text, (yylsp[(1) - (1)]).first_line ) ) {
            ignore_mode++;
          }
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
      } else {
        ignore_mode++;
      }
      generate_top_mode--;
    ;}
    break;

  case 502:

/* Line 1464 of yacc.c  */
#line 5515 "./parser.y"
    {
      statement* stmt = (yyvsp[(4) - (4)].state);
      if( (yyvsp[(3) - (4)].logical) && db_is_unnamed_scope( (yyvsp[(1) - (4)].text) ) && !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "Net/variables declared in unnamed begin...end block that is specified to not allow SystemVerilog syntax" );
        ignore_mode++;
      }
      if( ignore_mode == 0 ) {
        if( stmt != NULL ) {
          stmt->suppl.part.head      = 1;
          stmt->suppl.part.is_called = 1;
          db_add_statement( stmt, stmt );
          (yyval.funit) = db_get_curr_funit();
        } else {
          (yyval.funit) = NULL;
        }
      } else {
        if( (yyvsp[(3) - (4)].logical) && db_is_unnamed_scope( (yyvsp[(1) - (4)].text) ) ) {
          ignore_mode--;
        }
        (yyval.funit) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
      generate_top_mode++;
    ;}
    break;

  case 503:

/* Line 1464 of yacc.c  */
#line 5540 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
      ignore_mode++;
      (yyval.funit) = NULL;
    ;}
    break;

  case 504:

/* Line 1464 of yacc.c  */
#line 5549 "./parser.y"
    {
      (yyval.state) = NULL;
    ;}
    break;

  case 505:

/* Line 1464 of yacc.c  */
#line 5553 "./parser.y"
    {
      (yyval.state) = NULL;
    ;}
    break;

  case 506:

/* Line 1464 of yacc.c  */
#line 5560 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(1) - (2)].state) == NULL ) {
          db_remove_statement( (yyvsp[(2) - (2)].state) );
          (yyval.state) = NULL;
        } else {
          if( (yyvsp[(2) - (2)].state) != NULL ) {
            if( !db_statement_connect( (yyvsp[(1) - (2)].state), (yyvsp[(2) - (2)].state) ) ) {
              db_remove_statement( (yyvsp[(2) - (2)].state) );
            }
            (yyval.state) = (yyvsp[(1) - (2)].state);
          } else {
            db_remove_statement( (yyvsp[(1) - (2)].state) );
            (yyval.state) = NULL;
          }
        }
      }
    ;}
    break;

  case 507:

/* Line 1464 of yacc.c  */
#line 5579 "./parser.y"
    {
      (yyval.state) = (yyvsp[(1) - (1)].state);
    ;}
    break;

  case 508:

/* Line 1464 of yacc.c  */
#line 5584 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( (yyvsp[(1) - (2)].state) == NULL ) {
          (yyval.state) = NULL;
        } else {
          statement* stmt = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(2) - (2)]).first_line, (yylsp[(2) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL ), (yylsp[(2) - (2)]).ppline );
          if( !db_statement_connect( (yyvsp[(1) - (2)].state), stmt ) ) {
            db_remove_statement( stmt );
          }
          (yyval.state) = (yyvsp[(1) - (2)].state);
        }
      }
    ;}
    break;

  case 509:

/* Line 1464 of yacc.c  */
#line 5599 "./parser.y"
    {
      (yyval.state) = db_create_statement( db_create_expression( NULL, NULL, EXP_OP_NOOP, FALSE, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL ), (yylsp[(1) - (1)]).ppline );
    ;}
    break;

  case 510:

/* Line 1464 of yacc.c  */
#line 5606 "./parser.y"
    {
      (yyval.state) = (yyvsp[(1) - (1)].state);
    ;}
    break;

  case 511:

/* Line 1464 of yacc.c  */
#line 5610 "./parser.y"
    {
      (yyval.state) = NULL;
    ;}
    break;

  case 512:

/* Line 1464 of yacc.c  */
#line 5619 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr)  = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 513:

/* Line 1464 of yacc.c  */
#line 5633 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].text) != NULL) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(3) - (4)].expr), (yyvsp[(1) - (4)].text) );
        (yyvsp[(3) - (4)].expr)->line           = (yylsp[(1) - (4)]).first_line;
        (yyvsp[(3) - (4)].expr)->col.part.first = (yylsp[(1) - (4)]).first_column;
        (yyval.expr) = (yyvsp[(3) - (4)].expr);
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    ;}
    break;

  case 514:

/* Line 1464 of yacc.c  */
#line 5646 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (5)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (5)].expr), NULL, EXP_OP_CONCAT, TRUE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        (yyval.expr)  = NULL;
      }
    ;}
    break;

  case 515:

/* Line 1464 of yacc.c  */
#line 5666 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr)  = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 516:

/* Line 1464 of yacc.c  */
#line 5680 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (4)].text) != NULL) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        db_bind_expr_tree( (yyvsp[(3) - (4)].expr), (yyvsp[(1) - (4)].text) );
        (yyvsp[(3) - (4)].expr)->line           = (yylsp[(1) - (4)]).first_line;
        (yyvsp[(3) - (4)].expr)->col.part.first = (yylsp[(1) - (4)]).first_column;
        (yyval.expr) = (yyvsp[(3) - (4)].expr);
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr)  = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    ;}
    break;

  case 517:

/* Line 1464 of yacc.c  */
#line 5693 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (5)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (5)].expr), NULL, EXP_OP_CONCAT, TRUE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (5)].expr), FALSE );
        (yyval.expr)  = NULL;
      }
    ;}
    break;

  case 518:

/* Line 1464 of yacc.c  */
#line 5709 "./parser.y"
    { (yyval.logical) = TRUE; ;}
    break;

  case 519:

/* Line 1464 of yacc.c  */
#line 5710 "./parser.y"
    { (yyval.logical) = FALSE; ;}
    break;

  case 522:

/* Line 1464 of yacc.c  */
#line 5725 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    ;}
    break;

  case 524:

/* Line 1464 of yacc.c  */
#line 5732 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    ;}
    break;

  case 526:

/* Line 1464 of yacc.c  */
#line 5739 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
    ;}
    break;

  case 528:

/* Line 1464 of yacc.c  */
#line 5746 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    ;}
    break;

  case 530:

/* Line 1464 of yacc.c  */
#line 5754 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    ;}
    break;

  case 532:

/* Line 1464 of yacc.c  */
#line 5762 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 15, 0, TRUE );
    ;}
    break;

  case 534:

/* Line 1464 of yacc.c  */
#line 5770 "./parser.y"
    {
      curr_signed   = TRUE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    ;}
    break;

  case 536:

/* Line 1464 of yacc.c  */
#line 5779 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    ;}
    break;

  case 538:

/* Line 1464 of yacc.c  */
#line 5787 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    ;}
    break;

  case 540:

/* Line 1464 of yacc.c  */
#line 5795 "./parser.y"
    {
      curr_signed   = FALSE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REG;
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    ;}
    break;

  case 542:

/* Line 1464 of yacc.c  */
#line 5804 "./parser.y"
    {
      curr_signed  = (yyvsp[(2) - (3)].typdef)->is_signed;
      curr_mba     = TRUE;
      curr_handled = (yyvsp[(2) - (3)].typdef)->is_handled;
      parser_copy_range_to_curr_range( (yyvsp[(2) - (3)].typdef)->prange, TRUE );
      parser_copy_range_to_curr_range( (yyvsp[(2) - (3)].typdef)->urange, FALSE );
    ;}
    break;

  case 544:

/* Line 1464 of yacc.c  */
#line 5813 "./parser.y"
    {
      int real_size = sizeof( double ) * 8;
      curr_signed   = TRUE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REAL;
      parser_implicitly_set_curr_range( (real_size - 1), 0, TRUE );
    ;}
    break;

  case 546:

/* Line 1464 of yacc.c  */
#line 5823 "./parser.y"
    {
      int real_size = sizeof( double ) * 8;
      curr_signed   = TRUE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_REAL;
      parser_implicitly_set_curr_range( (real_size - 1), 0, TRUE );
    ;}
    break;

  case 548:

/* Line 1464 of yacc.c  */
#line 5833 "./parser.y"
    {
      int real_size = sizeof( float ) * 8;
      curr_signed   = TRUE;
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_DECL_SREAL;
      parser_implicitly_set_curr_range( (real_size - 1), 0, TRUE );
    ;}
    break;

  case 550:

/* Line 1464 of yacc.c  */
#line 5843 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Localparam syntax found in block that is specified to not allow Verilog-2001 syntax" );
        ignore_mode++;
      }
    ;}
    break;

  case 551:

/* Line 1464 of yacc.c  */
#line 5850 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        ignore_mode--;
      }
    ;}
    break;

  case 552:

/* Line 1464 of yacc.c  */
#line 5856 "./parser.y"
    {
      VLerror( "Syntax error in reg variable list" );
    ;}
    break;

  case 553:

/* Line 1464 of yacc.c  */
#line 5860 "./parser.y"
    {
      VLerror( "Syntax error in bit variable list" );
    ;}
    break;

  case 554:

/* Line 1464 of yacc.c  */
#line 5864 "./parser.y"
    {
      VLerror( "Syntax error in byte variable list" );
    ;}
    break;

  case 555:

/* Line 1464 of yacc.c  */
#line 5868 "./parser.y"
    {
      VLerror( "Syntax error in logic variable list" );
    ;}
    break;

  case 556:

/* Line 1464 of yacc.c  */
#line 5872 "./parser.y"
    {
      VLerror( "Syntax error in char variable list" );
    ;}
    break;

  case 557:

/* Line 1464 of yacc.c  */
#line 5876 "./parser.y"
    {
      VLerror( "Syntax error in shortint variable list" );
    ;}
    break;

  case 558:

/* Line 1464 of yacc.c  */
#line 5880 "./parser.y"
    {
      VLerror( "Syntax error in integer variable list" );
    ;}
    break;

  case 559:

/* Line 1464 of yacc.c  */
#line 5884 "./parser.y"
    {
      VLerror( "Syntax error in int variable list" );
    ;}
    break;

  case 560:

/* Line 1464 of yacc.c  */
#line 5888 "./parser.y"
    {
      VLerror( "Syntax error in longint variable list" );
    ;}
    break;

  case 561:

/* Line 1464 of yacc.c  */
#line 5892 "./parser.y"
    {
      VLerror( "Syntax error in time variable list" );
    ;}
    break;

  case 562:

/* Line 1464 of yacc.c  */
#line 5896 "./parser.y"
    {
      VLerror( "Syntax error in real variable list" );
    ;}
    break;

  case 563:

/* Line 1464 of yacc.c  */
#line 5900 "./parser.y"
    {
      VLerror( "Syntax error in realtime variable list" );
    ;}
    break;

  case 564:

/* Line 1464 of yacc.c  */
#line 5904 "./parser.y"
    {
      VLerror( "Syntax error in parameter variable list" );
    ;}
    break;

  case 565:

/* Line 1464 of yacc.c  */
#line 5908 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Localparam syntax found in block that is specified to not allow Verilog-2001 syntax" );
      }
    ;}
    break;

  case 566:

/* Line 1464 of yacc.c  */
#line 5914 "./parser.y"
    {
      if( parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Syntax error in localparam list" );
      }
    ;}
    break;

  case 567:

/* Line 1464 of yacc.c  */
#line 5923 "./parser.y"
    { PROFILE(PARSER_CASE_ITEM_A);
      case_statement* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_statement*)malloc_safe( sizeof( case_statement ) );
        cstmt->prev   = NULL;
        cstmt->expr   = (yyvsp[(1) - (3)].expr);
        cstmt->stmt   = (yyvsp[(3) - (3)].state);
        cstmt->line   = (yylsp[(1) - (3)]).first_line;
        cstmt->ppline = (yylsp[(1) - (3)]).ppline;
        (yyval.case_stmt) = cstmt;
      } else {
        (yyval.case_stmt) = NULL;
      }
    ;}
    break;

  case 568:

/* Line 1464 of yacc.c  */
#line 5938 "./parser.y"
    { PROFILE(PARSER_CASE_ITEM_B);
      case_statement* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_statement*)malloc_safe( sizeof( case_statement ) );
        cstmt->prev   = NULL;
        cstmt->expr   = NULL;
        cstmt->stmt   = (yyvsp[(3) - (3)].state);
        cstmt->line   = (yylsp[(1) - (3)]).first_line;
        cstmt->ppline = (yylsp[(1) - (3)]).ppline;
        (yyval.case_stmt) = cstmt;
      } else {
        (yyval.case_stmt) = NULL;
      }
    ;}
    break;

  case 569:

/* Line 1464 of yacc.c  */
#line 5953 "./parser.y"
    { PROFILE(PARSER_CASE_ITEM_C);
      case_statement* cstmt;
      if( ignore_mode == 0 ) {
        cstmt = (case_statement*)malloc_safe( sizeof( case_statement ) );
        cstmt->prev   = NULL;
        cstmt->expr   = NULL;
        cstmt->stmt   = (yyvsp[(2) - (2)].state);
        cstmt->line   = (yylsp[(1) - (2)]).first_line;
        cstmt->ppline = (yylsp[(1) - (2)]).ppline;
        (yyval.case_stmt) = cstmt;
      } else {
        (yyval.case_stmt) = NULL;
      }
    ;}
    break;

  case 570:

/* Line 1464 of yacc.c  */
#line 5967 "./parser.y"
    { ignore_mode++; ;}
    break;

  case 571:

/* Line 1464 of yacc.c  */
#line 5967 "./parser.y"
    { ignore_mode--; ;}
    break;

  case 572:

/* Line 1464 of yacc.c  */
#line 5968 "./parser.y"
    {
      VLerror( "Illegal case expression" );
    ;}
    break;

  case 573:

/* Line 1464 of yacc.c  */
#line 5975 "./parser.y"
    {
      case_statement* list = (yyvsp[(1) - (2)].case_stmt);
      case_statement* curr = (yyvsp[(2) - (2)].case_stmt);
      if( ignore_mode == 0 ) {
        curr->prev = list;
        (yyval.case_stmt) = curr;
      } else {
        (yyval.case_stmt) = NULL;
      }
    ;}
    break;

  case 574:

/* Line 1464 of yacc.c  */
#line 5986 "./parser.y"
    {
      (yyval.case_stmt) = (yyvsp[(1) - (1)].case_stmt);
    ;}
    break;

  case 575:

/* Line 1464 of yacc.c  */
#line 5993 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 576:

/* Line 1464 of yacc.c  */
#line 6008 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (4)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 577:

/* Line 1464 of yacc.c  */
#line 6026 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 578:

/* Line 1464 of yacc.c  */
#line 6041 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (4)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (4)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (4)]).first_line, (yylsp[(1) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (4)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 579:

/* Line 1464 of yacc.c  */
#line 6056 "./parser.y"
    {
      expression_dealloc( (yyvsp[(5) - (6)].expr), FALSE );
      if( (ignore_mode == 0) && ((yyvsp[(3) - (6)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (6)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (6)]).first_line, (yylsp[(1) - (6)]).first_column, ((yylsp[(6) - (6)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(3) - (6)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (6)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 580:

/* Line 1464 of yacc.c  */
#line 6072 "./parser.y"
    {
      expression_dealloc( (yyvsp[(3) - (8)].expr), FALSE );
      expression_dealloc( (yyvsp[(7) - (8)].expr), FALSE );
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(5) - (8)].expr), NULL, EXP_OP_DELAY, lhs_mode, (yylsp[(1) - (8)]).first_line, (yylsp[(1) - (8)]).first_column, ((yylsp[(8) - (8)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(5) - (8)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(5) - (8)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 581:

/* Line 1464 of yacc.c  */
#line 6092 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(1) - (1)].expr);
    ;}
    break;

  case 582:

/* Line 1464 of yacc.c  */
#line 6096 "./parser.y"
    {
      (yyval.expr) = NULL;
    ;}
    break;

  case 583:

/* Line 1464 of yacc.c  */
#line 6103 "./parser.y"
    { PROFILE(PARSER_DELAY_VALUE_A);
      static_expr* se = (yyvsp[(1) - (1)].statexp);
      if( (ignore_mode == 0) && (se != NULL) ) {
        if( se->exp == NULL ) {
          Try {
            (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
            vector_dealloc( (yyval.expr)->value );
            (yyval.expr)->value = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
            (void)vector_from_int( (yyval.expr)->value, se->num );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
          static_expr_dealloc( se, TRUE );
        } else {
          (yyval.expr) = se->exp;
          static_expr_dealloc( se, FALSE );
        }
      } else {
        (yyval.expr) = NULL;
        static_expr_dealloc( se, TRUE );
      }
      PROFILE_END;
    ;}
    break;

  case 584:

/* Line 1464 of yacc.c  */
#line 6128 "./parser.y"
    { PROFILE(PARSER_DELAY_VALUE_B);
      if( ignore_mode == 0 ) {
        static_expr* se = NULL;
        if( delay_expr_type == DELAY_EXPR_DEFAULT ) {
          unsigned int rv = snprintf( user_msg,
                                      USER_MSG_LENGTH,
                                      "Delay expression type for min:typ:max not specified, using default of 'typ', file %s, line %u",
                                      obf_file( (yylsp[(1) - (5)]).text ),
                                      (yylsp[(1) - (5)]).first_line );
          assert( rv < USER_MSG_LENGTH );
          print_output( user_msg, WARNING, __FILE__, __LINE__ );
        }
        switch( delay_expr_type ) {
          case DELAY_EXPR_MIN :
            se = (yyvsp[(1) - (5)].statexp);
            static_expr_dealloc( (yyvsp[(3) - (5)].statexp), TRUE );
            static_expr_dealloc( (yyvsp[(5) - (5)].statexp), TRUE );
            break;
          case DELAY_EXPR_DEFAULT :
          case DELAY_EXPR_TYP     :
            se = (yyvsp[(3) - (5)].statexp);
            static_expr_dealloc( (yyvsp[(1) - (5)].statexp), TRUE );
            static_expr_dealloc( (yyvsp[(5) - (5)].statexp), TRUE );
            break;
          case DELAY_EXPR_MAX :
            se = (yyvsp[(5) - (5)].statexp);
            static_expr_dealloc( (yyvsp[(1) - (5)].statexp), TRUE );
            static_expr_dealloc( (yyvsp[(3) - (5)].statexp), TRUE );
            break;
          default:
            assert( (delay_expr_type == DELAY_EXPR_MIN) ||
                    (delay_expr_type == DELAY_EXPR_TYP) ||
                    (delay_expr_type == DELAY_EXPR_MAX) );
            break;
        }
        if( se != NULL ) {
          if( se->exp == NULL ) {
            Try {
              (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
              vector_dealloc( (yyval.expr)->value );
              (yyval.expr)->value = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
              (void)vector_from_int( (yyval.expr)->value, se->num );
            } Catch_anonymous {
              error_count++;
              (yyval.expr) = NULL;
            }
            static_expr_dealloc( se, TRUE );
          } else {
            (yyval.expr) = se->exp;
            static_expr_dealloc( se, FALSE );
          }
        } else {
          (yyval.expr) = NULL;
          static_expr_dealloc( se, TRUE );
        }
      } else {
        (yyval.expr) = NULL;
      }
      PROFILE_END;
    ;}
    break;

  case 585:

/* Line 1464 of yacc.c  */
#line 6192 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].text) != NULL) ) {
        Try {
          int   base;
          char* num = (yyvsp[(1) - (1)].text);
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          assert( (yyval.expr)->value->value.ul == NULL );
          free_safe( (yyval.expr)->value, sizeof( vector ) );
          vector_from_string( &num, FALSE, &((yyval.expr)->value), &base );
          (yyval.expr)->suppl.part.base = base;
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 586:

/* Line 1464 of yacc.c  */
#line 6212 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].realtime) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_STATIC, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
          assert( (yyval.expr)->value->value.r64 == NULL );
          free_safe( (yyval.expr)->value, sizeof( vector ) );
          (yyval.expr)->value = (yyvsp[(1) - (1)].realtime);
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        vector_dealloc( (yyvsp[(1) - (1)].realtime) );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 587:

/* Line 1464 of yacc.c  */
#line 6229 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), (yyvsp[(1) - (1)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 590:

/* Line 1464 of yacc.c  */
#line 6251 "./parser.y"
    {
      if( ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) && (info_suppl.part.excl_assign == 0) ) {
        expression* tmp = NULL;
        statement*  stmt;
        Try {
          tmp = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_ASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
        if( (stmt = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline )) != NULL ) {
          stmt->suppl.part.head       = 1;
          stmt->suppl.part.stop_true  = 1;
          stmt->suppl.part.stop_false = 1;
          stmt->suppl.part.cont       = 1;
          /* Statement will be looped back to itself */
          db_connect_statement_true( stmt, stmt );
          db_connect_statement_false( stmt, stmt );
          db_add_statement( stmt, stmt );
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
      }
    ;}
    break;

  case 592:

/* Line 1464 of yacc.c  */
#line 6280 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        parser_implicitly_set_curr_range( 0, 0, curr_packed );
      }
    ;}
    break;

  case 593:

/* Line 1464 of yacc.c  */
#line 6289 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        parser_explicitly_set_curr_range( (yyvsp[(2) - (5)].statexp), (yyvsp[(4) - (5)].statexp), curr_packed );
      }
    ;}
    break;

  case 594:

/* Line 1464 of yacc.c  */
#line 6295 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        parser_explicitly_set_curr_range( (yyvsp[(3) - (6)].statexp), (yyvsp[(5) - (6)].statexp), curr_packed );
      }
    ;}
    break;

  case 595:

/* Line 1464 of yacc.c  */
#line 6304 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT;
      }
    ;}
    break;

  case 596:

/* Line 1464 of yacc.c  */
#line 6310 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT;
        parser_implicitly_set_curr_range( 31, 0, curr_packed );
      }
    ;}
    break;

  case 597:

/* Line 1464 of yacc.c  */
#line 6317 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT_REAL;
        parser_implicitly_set_curr_range( 63, 0, curr_packed );
      }
    ;}
    break;

  case 598:

/* Line 1464 of yacc.c  */
#line 6324 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT_REAL;
        parser_implicitly_set_curr_range( 63, 0, curr_packed );
      }
    ;}
    break;

  case 599:

/* Line 1464 of yacc.c  */
#line 6331 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT;
        parser_implicitly_set_curr_range( 63, 0, curr_packed );
      }
    ;}
    break;

  case 600:

/* Line 1464 of yacc.c  */
#line 6338 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        curr_sig_type = SSUPPL_TYPE_IMPLICIT;
        parser_implicitly_set_curr_range( 0, 0, curr_packed );
      }
    ;}
    break;

  case 601:

/* Line 1464 of yacc.c  */
#line 6353 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(1) - (1)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, TRUE );
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 602:

/* Line 1464 of yacc.c  */
#line 6360 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Register declaration with initialization found in block that is specified to not allow Verilog-2001 syntax" );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        } else {
          db_add_signal( (yyvsp[(1) - (3)].text), curr_sig_type, &curr_prange, NULL, curr_signed, curr_mba, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, TRUE );
          if( (yyvsp[(3) - (3)].expr) != NULL ) {
            expression* exp = NULL;
            statement*  stmt;
            Try {
              exp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
              exp = db_create_expression( (yyvsp[(3) - (3)].expr), exp, EXP_OP_RASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
            if( (stmt = db_create_statement( exp, (yylsp[(1) - (3)]).ppline )) != NULL ) {
              stmt->suppl.part.head       = 1;
              stmt->suppl.part.stop_true  = 1;
              stmt->suppl.part.stop_false = 1;
              db_add_statement( stmt, stmt );
            }
          }
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 603:

/* Line 1464 of yacc.c  */
#line 6387 "./parser.y"
    { curr_packed = FALSE; ;}
    break;

  case 604:

/* Line 1464 of yacc.c  */
#line 6388 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        /* Unpacked dimensions are now handled */
        curr_packed = TRUE;
        db_add_signal( (yyvsp[(1) - (3)].text), SSUPPL_TYPE_MEM, &curr_prange, &curr_urange, curr_signed, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, TRUE );
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 612:

/* Line 1464 of yacc.c  */
#line 6416 "./parser.y"
    {
      curr_signed  = FALSE;
      curr_mba     = FALSE;
      curr_handled = TRUE;
    ;}
    break;

  case 614:

/* Line 1464 of yacc.c  */
#line 6425 "./parser.y"
    { (yyval.logical) = TRUE; ;}
    break;

  case 615:

/* Line 1464 of yacc.c  */
#line 6426 "./parser.y"
    { (yyval.logical) = FALSE; ;}
    break;

  case 616:

/* Line 1464 of yacc.c  */
#line 6430 "./parser.y"
    { curr_signed = TRUE;  ;}
    break;

  case 617:

/* Line 1464 of yacc.c  */
#line 6431 "./parser.y"
    { curr_signed = FALSE; ;}
    break;

  case 618:

/* Line 1464 of yacc.c  */
#line 6432 "./parser.y"
    { curr_signed = FALSE; ;}
    break;

  case 619:

/* Line 1464 of yacc.c  */
#line 6436 "./parser.y"
    { curr_signed = FALSE; ;}
    break;

  case 620:

/* Line 1464 of yacc.c  */
#line 6437 "./parser.y"
    { curr_signed = TRUE;  ;}
    break;

  case 621:

/* Line 1464 of yacc.c  */
#line 6438 "./parser.y"
    { curr_signed = TRUE;  ;}
    break;

  case 622:

/* Line 1464 of yacc.c  */
#line 6447 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 623:

/* Line 1464 of yacc.c  */
#line 6453 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 624:

/* Line 1464 of yacc.c  */
#line 6459 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 625:

/* Line 1464 of yacc.c  */
#line 6465 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 626:

/* Line 1464 of yacc.c  */
#line 6471 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 627:

/* Line 1464 of yacc.c  */
#line 6477 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 628:

/* Line 1464 of yacc.c  */
#line 6483 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 629:

/* Line 1464 of yacc.c  */
#line 6489 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 630:

/* Line 1464 of yacc.c  */
#line 6495 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 631:

/* Line 1464 of yacc.c  */
#line 6501 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 632:

/* Line 1464 of yacc.c  */
#line 6507 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 633:

/* Line 1464 of yacc.c  */
#line 6513 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_signed  = (yyvsp[(1) - (1)].typdef)->is_signed;
      curr_handled = (yyvsp[(1) - (1)].typdef)->is_handled;
      parser_copy_range_to_curr_range( (yyvsp[(1) - (1)].typdef)->prange, TRUE );
      parser_copy_range_to_curr_range( (yyvsp[(1) - (1)].typdef)->urange, FALSE );
      (yyval.integer) = 1;
    ;}
    break;

  case 634:

/* Line 1464 of yacc.c  */
#line 6522 "./parser.y"
    {
      curr_mba     = FALSE;
      curr_handled = TRUE;
      (yyval.integer) = 0;
    ;}
    break;

  case 635:

/* Line 1464 of yacc.c  */
#line 6531 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 636:

/* Line 1464 of yacc.c  */
#line 6539 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 637:

/* Line 1464 of yacc.c  */
#line 6547 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 638:

/* Line 1464 of yacc.c  */
#line 6555 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 639:

/* Line 1464 of yacc.c  */
#line 6563 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 640:

/* Line 1464 of yacc.c  */
#line 6571 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 641:

/* Line 1464 of yacc.c  */
#line 6579 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 642:

/* Line 1464 of yacc.c  */
#line 6587 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 643:

/* Line 1464 of yacc.c  */
#line 6595 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 644:

/* Line 1464 of yacc.c  */
#line 6603 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_sig_type = SSUPPL_TYPE_DECL_NET;
      curr_signed   = FALSE;
      curr_handled  = TRUE;
      (yyval.integer) = 1;
    ;}
    break;

  case 645:

/* Line 1464 of yacc.c  */
#line 6613 "./parser.y"
    { (yyval.integer) = 1; ;}
    break;

  case 648:

/* Line 1464 of yacc.c  */
#line 6623 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].text) != NULL) ) {
        db_add_signal( (yyvsp[(1) - (3)].text), SSUPPL_TYPE_DECL_NET, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, TRUE );
        if( (info_suppl.part.excl_assign == 0) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          expression* tmp = NULL;
          statement*  stmt;
          Try {
            tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(1) - (3)]).last_column - 1), (yyvsp[(1) - (3)].text) );
            tmp = db_create_expression( (yyvsp[(3) - (3)].expr), tmp, EXP_OP_DASSIGN, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          if( (stmt = db_create_statement( tmp, (yylsp[(1) - (3)]).ppline )) != NULL ) {
            stmt->suppl.part.head       = 1;
            stmt->suppl.part.stop_true  = 1;
            stmt->suppl.part.stop_false = 1;
            stmt->suppl.part.cont       = 1;
            /* Statement will be looped back to itself */
            db_connect_statement_true( stmt, stmt );
            db_connect_statement_false( stmt, stmt );
            db_add_statement( stmt, stmt );
          }
        } else {
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        }
      } else {
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 649:

/* Line 1464 of yacc.c  */
#line 6654 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (4)].text) != NULL) ) {
        db_add_signal( (yyvsp[(2) - (4)].text), SSUPPL_TYPE_DECL_NET, &curr_prange, NULL, FALSE, FALSE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, TRUE );
        if( (info_suppl.part.excl_assign == 0) && ((yyvsp[(4) - (4)].expr) != NULL) ) {
          expression* tmp = NULL;
          statement*  stmt;
          Try {
            tmp = db_create_expression( NULL, NULL, EXP_OP_SIG, TRUE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(2) - (4)]).last_column - 1), (yyvsp[(2) - (4)].text) );
            tmp = db_create_expression( (yyvsp[(4) - (4)].expr), tmp, EXP_OP_DASSIGN, FALSE, (yylsp[(2) - (4)]).first_line, (yylsp[(2) - (4)]).first_column, ((yylsp[(4) - (4)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
          }
          if( (stmt = db_create_statement( tmp, (yylsp[(2) - (4)]).ppline )) != NULL ) {
            stmt->suppl.part.head       = 1;
            stmt->suppl.part.stop_true  = 1;
            stmt->suppl.part.stop_false = 1;
            stmt->suppl.part.cont       = 1;
            /* Statement will be looped back to itself */
            db_connect_statement_true( stmt, stmt );
            db_connect_statement_false( stmt, stmt );
            db_add_statement( stmt, stmt );
          }
        } else {
          expression_dealloc( (yyvsp[(4) - (4)].expr), FALSE );
        }
      } else {
        expression_dealloc( (yyvsp[(4) - (4)].expr), FALSE );
      }
      expression_dealloc( (yyvsp[(1) - (4)].expr), FALSE );
      FREE_TEXT( (yyvsp[(2) - (4)].text) );
    ;}
    break;

  case 666:

/* Line 1464 of yacc.c  */
#line 6717 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].text) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, NULL, EXP_OP_SIG, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), (yyvsp[(2) - (2)].text) );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    ;}
    break;

  case 667:

/* Line 1464 of yacc.c  */
#line 6731 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(3) - (4)].expr);
    ;}
    break;

  case 668:

/* Line 1464 of yacc.c  */
#line 6735 "./parser.y"
    {
      VLerror( "Illegal event control expression" );
      (yyval.expr) = NULL;
    ;}
    break;

  case 669:

/* Line 1464 of yacc.c  */
#line 6743 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(1) - (1)].expr);
    ;}
    break;

  case 670:

/* Line 1464 of yacc.c  */
#line 6747 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_EOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 671:

/* Line 1464 of yacc.c  */
#line 6762 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Comma-separated combinational logic sensitivity list found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
        expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(1) - (3)].expr) != NULL) && ((yyvsp[(3) - (3)].expr) != NULL) ) {
          Try {
            (yyval.expr) = db_create_expression( (yyvsp[(3) - (3)].expr), (yyvsp[(1) - (3)].expr), EXP_OP_EOR, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
          } Catch_anonymous {
            error_count++;
            (yyval.expr) = NULL;
          }
        } else {
          expression_dealloc( (yyvsp[(1) - (3)].expr), FALSE );
          expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
          (yyval.expr) = NULL;
        }
      }
    ;}
    break;

  case 672:

/* Line 1464 of yacc.c  */
#line 6787 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_PEDGE, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 673:

/* Line 1464 of yacc.c  */
#line 6801 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), NULL, EXP_OP_NEDGE, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 674:

/* Line 1464 of yacc.c  */
#line 6815 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (1)].expr) != NULL ) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(1) - (1)].expr), NULL, EXP_OP_AEDGE, lhs_mode, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, ((yylsp[(1) - (1)]).last_column - 1), NULL );
        } Catch_anonymous {
          expression_dealloc( (yyvsp[(1) - (1)].expr), FALSE );
          error_count++;
          (yyval.expr) = NULL;
        }
      } else {
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 680:

/* Line 1464 of yacc.c  */
#line 6842 "./parser.y"
    { curr_sig_type = SSUPPL_TYPE_INPUT_NET;  ;}
    break;

  case 681:

/* Line 1464 of yacc.c  */
#line 6843 "./parser.y"
    { curr_sig_type = SSUPPL_TYPE_OUTPUT_NET; ;}
    break;

  case 682:

/* Line 1464 of yacc.c  */
#line 6844 "./parser.y"
    { curr_sig_type = SSUPPL_TYPE_INOUT_NET;  ;}
    break;

  case 686:

/* Line 1464 of yacc.c  */
#line 6855 "./parser.y"
    {
      expression_dealloc( (yyvsp[(3) - (3)].expr), FALSE );
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 687:

/* Line 1464 of yacc.c  */
#line 6863 "./parser.y"
    { param_mode++; ;}
    break;

  case 688:

/* Line 1464 of yacc.c  */
#line 6863 "./parser.y"
    { param_mode--; ;}
    break;

  case 689:

/* Line 1464 of yacc.c  */
#line 6864 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        expression_dealloc( (yyvsp[(4) - (6)].expr), FALSE );
      }
    ;}
    break;

  case 691:

/* Line 1464 of yacc.c  */
#line 6871 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    ;}
    break;

  case 692:

/* Line 1464 of yacc.c  */
#line 6875 "./parser.y"
    {
      VLerror( "Syntax error in parameter value assignment list" );
    ;}
    break;

  case 696:

/* Line 1464 of yacc.c  */
#line 6888 "./parser.y"
    { PROFILE(PARSER_PARAMETER_VALUE_BYNAME_A);
      param_oride* po;
      if( ignore_mode == 0 ) {
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Explicit in-line parameter passing syntax found in block that is specified to not allow Verilog-2001 syntax" );
          FREE_TEXT( (yyvsp[(2) - (5)].text) );
          expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        } else {
          po = (param_oride*)malloc_safe( sizeof( param_oride ) );
          po->name = (yyvsp[(2) - (5)].text);
          po->expr = (yyvsp[(4) - (5)].expr);
          po->next = NULL;
          if( param_oride_head == NULL ) {
            param_oride_head = param_oride_tail = po;
          } else {
            param_oride_tail->next = po;
            param_oride_tail       = po;
          }
        }
      } else {
        FREE_TEXT( (yyvsp[(2) - (5)].text) );
      }
    ;}
    break;

  case 697:

/* Line 1464 of yacc.c  */
#line 6912 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Explicit in-line parameter passing syntax found in block that is specified to not allow Verilog-2001 syntax" );
        }
      }
      FREE_TEXT( (yyvsp[(2) - (4)].text) );
    ;}
    break;

  case 698:

/* Line 1464 of yacc.c  */
#line 6924 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(3) - (3)].strlink) != NULL) ) {
        (yyvsp[(3) - (3)].strlink)->next = (yyvsp[(1) - (3)].strlink);
        (yyval.strlink) = (yyvsp[(3) - (3)].strlink);
      } else {
        (yyval.strlink) = NULL;
      }
    ;}
    break;

  case 699:

/* Line 1464 of yacc.c  */
#line 6933 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        (yyval.strlink) = (yyvsp[(1) - (1)].strlink);
      } else {
        (yyval.strlink) = NULL;
      }
    ;}
    break;

  case 700:

/* Line 1464 of yacc.c  */
#line 6946 "./parser.y"
    { PROFILE(PARSER_GATE_INSTANCE_A);
      if( ignore_mode == 0 ) {
        str_link* tmp;
        tmp        = (str_link*)malloc_safe( sizeof( str_link ) );
        tmp->str   = (yyvsp[(1) - (6)].text);
        tmp->str2  = NULL;
        tmp->range = NULL;
        tmp->next  = NULL;
        (yyval.strlink) = tmp;
      } else {
        FREE_TEXT( (yyvsp[(1) - (6)].text) );
        (yyval.strlink) = NULL;
      }
    ;}
    break;

  case 701:

/* Line 1464 of yacc.c  */
#line 6961 "./parser.y"
    { PROFILE(PARSER_GATE_INSTANCE_B);
      curr_prange.clear       = TRUE;
      curr_prange.exp_dealloc = FALSE;
      if( ignore_mode == 0 ) {
        str_link* tmp;
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Arrayed instantiation syntax found in block that is specified to not allow Verilog-2001 syntax" );
          FREE_TEXT( (yyvsp[(1) - (7)].text) );
          (yyval.strlink) = NULL;
        } else {
          tmp        = (str_link*)malloc_safe( sizeof( str_link ) );
          tmp->str   = (yyvsp[(1) - (7)].text);
          tmp->str2  = NULL;
          tmp->range = curr_prange.dim;
          tmp->next  = NULL;
          (yyval.strlink) = tmp;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (7)].text) );
        (yyval.strlink) = NULL;
      }
    ;}
    break;

  case 702:

/* Line 1464 of yacc.c  */
#line 6984 "./parser.y"
    { PROFILE(PARSER_GATE_INSTANCE_C);
      if( ignore_mode == 0 ) {
        str_link* tmp;
        tmp        = (str_link*)malloc_safe( sizeof( str_link ) );
        tmp->str   = (yyvsp[(1) - (4)].text);
        tmp->str2  = NULL;
        tmp->range = NULL;
        tmp->next  = NULL;
        (yyval.strlink) = tmp;
      } else {
        FREE_TEXT( (yyvsp[(1) - (4)].text) );
        (yyval.strlink) = NULL;
      }
    ;}
    break;

  case 703:

/* Line 1464 of yacc.c  */
#line 6999 "./parser.y"
    { PROFILE(PARSER_GATE_INSTANCE_D);
      curr_prange.clear       = TRUE;
      curr_prange.exp_dealloc = FALSE;
      if( ignore_mode == 0 ) {
        str_link* tmp;
        if( !parser_check_generation( GENERATION_2001 ) ) {
          VLerror( "Arrayed instantiation syntax found in block that is specified to not allow Verilog-2001 syntax" );
          FREE_TEXT( (yyvsp[(1) - (5)].text) );
          (yyval.strlink) = NULL;
        } else {
          tmp        = (str_link*)malloc_safe( sizeof( str_link ) );
          tmp->str   = (yyvsp[(1) - (5)].text);
          tmp->str2  = NULL;
          tmp->range = curr_prange.dim;
          tmp->next  = NULL;
          (yyval.strlink) = tmp;
        }
      } else {
        FREE_TEXT( (yyvsp[(1) - (5)].text) );
        (yyval.strlink) = NULL;
      }
    ;}
    break;

  case 704:

/* Line 1464 of yacc.c  */
#line 7022 "./parser.y"
    {
      (yyval.strlink) = NULL;
    ;}
    break;

  case 731:

/* Line 1464 of yacc.c  */
#line 7065 "./parser.y"
    {
      curr_mba      = FALSE;
      curr_handled  = TRUE;
      curr_sig_type = SSUPPL_TYPE_INPUT_NET;
    ;}
    break;

  case 737:

/* Line 1464 of yacc.c  */
#line 7085 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        /* If the size was not set by the user, the left number will be set to 0 but we need to change this to 31 */
        assert( curr_prange.dim != NULL );
        if( curr_prange.dim[0].implicit ) {
          db_add_declared_param( curr_signed, NULL, NULL, (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].expr), FALSE );
        } else {
          db_add_declared_param( curr_signed, curr_prange.dim[0].left, curr_prange.dim[0].right, (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].expr), FALSE );
          curr_prange.exp_dealloc = FALSE;
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 741:

/* Line 1464 of yacc.c  */
#line 7111 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        /* If the size was not set by the user, the left number will be set to 0 but we need to change this to 31 */
        assert( curr_prange.dim != NULL );
        if( curr_prange.dim[0].implicit ) {
          db_add_declared_param( curr_signed, NULL, NULL, (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].expr), TRUE );
        } else {
          db_add_declared_param( curr_signed, curr_prange.dim[0].left, curr_prange.dim[0].right, (yyvsp[(1) - (3)].text), (yyvsp[(3) - (3)].expr), TRUE );
          curr_prange.exp_dealloc = FALSE;
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 744:

/* Line 1464 of yacc.c  */
#line 7133 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (7)].text) );
    ;}
    break;

  case 745:

/* Line 1464 of yacc.c  */
#line 7137 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (5)].text) );
    ;}
    break;

  case 746:

/* Line 1464 of yacc.c  */
#line 7141 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (4)].text) );
    ;}
    break;

  case 747:

/* Line 1464 of yacc.c  */
#line 7145 "./parser.y"
    {
      if( (ignore_mode == 0) && !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "Implicit .name port list item found in block that is specified to not allow SystemVerilog syntax" );
      }
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    ;}
    break;

  case 748:

/* Line 1464 of yacc.c  */
#line 7152 "./parser.y"
    {
      if( (ignore_mode == 0) && !parser_check_generation( GENERATION_SV ) ) {
        VLerror( "Implicit .* port list item found in block that is specified to not allow SystemVerilog syntax" );
      }
    ;}
    break;

  case 765:

/* Line 1464 of yacc.c  */
#line 7186 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 766:

/* Line 1464 of yacc.c  */
#line 7190 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (7)].text) );
    ;}
    break;

  case 767:

/* Line 1464 of yacc.c  */
#line 7194 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 768:

/* Line 1464 of yacc.c  */
#line 7198 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (7)].text) );
    ;}
    break;

  case 775:

/* Line 1464 of yacc.c  */
#line 7217 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 776:

/* Line 1464 of yacc.c  */
#line 7221 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (4)].text) );
    ;}
    break;

  case 777:

/* Line 1464 of yacc.c  */
#line 7225 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    ;}
    break;

  case 778:

/* Line 1464 of yacc.c  */
#line 7229 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (6)].text) );
    ;}
    break;

  case 786:

/* Line 1464 of yacc.c  */
#line 7246 "./parser.y"
    {
      assert( (yyvsp[(1) - (3)].expr) == NULL );
      assert( (yyvsp[(3) - (3)].expr) == NULL );
    ;}
    break;

  case 787:

/* Line 1464 of yacc.c  */
#line 7251 "./parser.y"
    {
      assert( (yyvsp[(1) - (1)].expr) == NULL );
    ;}
    break;

  case 791:

/* Line 1464 of yacc.c  */
#line 7264 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(2) - (2)].text) );
    ;}
    break;

  case 793:

/* Line 1464 of yacc.c  */
#line 7269 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(3) - (3)].text) );
    ;}
    break;

  case 794:

/* Line 1464 of yacc.c  */
#line 7273 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 797:

/* Line 1464 of yacc.c  */
#line 7285 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    ;}
    break;

  case 799:

/* Line 1464 of yacc.c  */
#line 7290 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    ;}
    break;

  case 801:

/* Line 1464 of yacc.c  */
#line 7295 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    ;}
    break;

  case 803:

/* Line 1464 of yacc.c  */
#line 7300 "./parser.y"
    {
      FREE_TEXT( (yyvsp[(6) - (7)].text) );
    ;}
    break;

  case 808:

/* Line 1464 of yacc.c  */
#line 7314 "./parser.y"
    {
      assert( (yyvsp[(1) - (1)].expr) == NULL );
    ;}
    break;

  case 813:

/* Line 1464 of yacc.c  */
#line 7333 "./parser.y"
    {
      db_end_enum_list();
    ;}
    break;

  case 814:

/* Line 1464 of yacc.c  */
#line 7341 "./parser.y"
    {
      assert( curr_prange.dim != NULL );
      if( !(yyvsp[(1) - (2)].typdef)->is_sizeable && !curr_prange.dim[0].implicit ) { 
        VLerror( "Packed dimensions are not allowed for this type" );
      } else {
        if( (yyvsp[(1) - (2)].typdef)->is_sizeable && !curr_prange.dim[0].implicit ) {
          /* TBD - Need to multiply the size of the typedef with the size of the curr_range */
        } else {
          parser_copy_range_to_curr_range( (yyvsp[(1) - (2)].typdef)->prange, TRUE );
        }
      }
    ;}
    break;

  case 817:

/* Line 1464 of yacc.c  */
#line 7356 "./parser.y"
    {
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    ;}
    break;

  case 818:

/* Line 1464 of yacc.c  */
#line 7360 "./parser.y"
    {
      parser_implicitly_set_curr_range( 31, 0, TRUE );
    ;}
    break;

  case 819:

/* Line 1464 of yacc.c  */
#line 7364 "./parser.y"
    {
      parser_implicitly_set_curr_range( 15, 0, TRUE );
    ;}
    break;

  case 820:

/* Line 1464 of yacc.c  */
#line 7368 "./parser.y"
    {
      parser_implicitly_set_curr_range( 63, 0, TRUE );
    ;}
    break;

  case 821:

/* Line 1464 of yacc.c  */
#line 7372 "./parser.y"
    {
      parser_implicitly_set_curr_range( 7, 0, TRUE );
    ;}
    break;

  case 822:

/* Line 1464 of yacc.c  */
#line 7376 "./parser.y"
    {
      assert( curr_prange.dim != NULL );
      if( curr_prange.dim[0].implicit ) {
        parser_implicitly_set_curr_range( 31, 0, TRUE );
      }
    ;}
    break;

  case 823:

/* Line 1464 of yacc.c  */
#line 7387 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(1) - (1)].text), SSUPPL_TYPE_ENUM, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(1) - (1)]).first_line, (yylsp[(1) - (1)]).first_column, TRUE );
        Try {
          db_add_enum( db_find_signal( (yyvsp[(1) - (1)].text), FALSE ), NULL );
        } Catch_anonymous {
          error_count++;
        }
      }
      FREE_TEXT( (yyvsp[(1) - (1)].text) );
    ;}
    break;

  case 824:

/* Line 1464 of yacc.c  */
#line 7399 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        db_add_signal( (yyvsp[(1) - (3)].text), SSUPPL_TYPE_ENUM, &curr_prange, NULL, curr_signed, FALSE, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, TRUE );
        Try {
          db_add_enum( db_find_signal( (yyvsp[(1) - (3)].text), FALSE ), (yyvsp[(3) - (3)].statexp) );
        } Catch_anonymous {
          error_count++;
        }
      }
      FREE_TEXT( (yyvsp[(1) - (3)].text) );
    ;}
    break;

  case 827:

/* Line 1464 of yacc.c  */
#line 7419 "./parser.y"
    { PROFILE(PARSER_LIST_OF_NAMES_A);
      if( ignore_mode == 0 ) {
        str_link* strl = (str_link*)malloc_safe( sizeof( str_link ) );
        strl->str    = (yyvsp[(1) - (1)].text);
        strl->str2   = NULL;
        strl->suppl  = (yylsp[(1) - (1)]).first_line;
        strl->suppl2 = (yylsp[(1) - (1)]).first_column;
        strl->next   = NULL;
        (yyval.strlink) = strl;
      } else {
        FREE_TEXT( (yyvsp[(1) - (1)].text) );
        (yyval.strlink) = NULL;
      }
    ;}
    break;

  case 828:

/* Line 1464 of yacc.c  */
#line 7434 "./parser.y"
    { PROFILE(PARSER_LIST_OF_NAMES_B);
      if( ignore_mode == 0 ) {
        str_link* strl = (str_link*)malloc_safe( sizeof( str_link ) );
        str_link* strt = (yyvsp[(1) - (3)].strlink);
        strl->str    = (yyvsp[(3) - (3)].text);
        strl->str    = NULL;
        strl->suppl  = (yylsp[(3) - (3)]).first_line;
        strl->suppl2 = (yylsp[(3) - (3)]).first_column;
        strl->next   = NULL;
        while( strt->next != NULL ) strt = strt->next;
        strt->next = strl;
        (yyval.strlink) = (yyvsp[(1) - (3)].strlink); 
      } else {
        str_link_delete_list( (yyvsp[(1) - (3)].strlink) );
        FREE_TEXT( (yyvsp[(3) - (3)].text) );
        (yyval.strlink) = NULL;
      }
    ;}
    break;

  case 829:

/* Line 1464 of yacc.c  */
#line 7457 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        assert( curr_prange.dim != NULL );
        db_add_typedef( (yyvsp[(3) - (4)].text), curr_signed, curr_handled, TRUE, parser_copy_curr_range( TRUE ), parser_copy_curr_range( FALSE ) );
      }
      FREE_TEXT( (yyvsp[(3) - (4)].text) );
    ;}
    break;

  case 830:

/* Line 1464 of yacc.c  */
#line 7465 "./parser.y"
    {
      if( ignore_mode == 0 ) {
        assert( curr_prange.dim != NULL );
        db_add_typedef( (yyvsp[(3) - (4)].text), curr_signed, curr_handled, TRUE, parser_copy_curr_range( TRUE ), parser_copy_curr_range( FALSE ) );
      }
      FREE_TEXT( (yyvsp[(3) - (4)].text) );
    ;}
    break;

  case 831:

/* Line 1464 of yacc.c  */
#line 7476 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (3)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( NULL, (yyvsp[(2) - (3)].expr), EXP_OP_SBIT_SEL, lhs_mode, (yylsp[(1) - (3)]).first_line, (yylsp[(1) - (3)]).first_column, ((yylsp[(3) - (3)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (3)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 832:

/* Line 1464 of yacc.c  */
#line 7489 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(2) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(4) - (5)].expr), (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_SEL, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
      } else {
        expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
        expression_dealloc( (yyvsp[(4) - (5)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 833:

/* Line 1464 of yacc.c  */
#line 7503 "./parser.y"
    {
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Indexed vector part select found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
        static_expr_dealloc( (yyvsp[(4) - (5)].statexp), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(2) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].statexp) != NULL) ) {
          if( (yyvsp[(4) - (5)].statexp)->exp == NULL ) {
            Try {
              expression* tmp = db_create_expression( NULL, NULL, EXP_OP_STATIC, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
              vector_dealloc( tmp->value );
              tmp->value = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
              (void)vector_from_int( tmp->value, (yyvsp[(4) - (5)].statexp)->num );
              (yyval.expr) = db_create_expression( tmp, (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_POS, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
              (yyval.expr) = NULL;
            }
          } else {
            Try {
              (yyval.expr) = db_create_expression( (yyvsp[(4) - (5)].statexp)->exp, (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_POS, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
              (yyval.expr) = NULL;
            }
          }
          free_safe( (yyvsp[(4) - (5)].statexp), sizeof( static_expr ) );
        } else {
          expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
          static_expr_dealloc( (yyvsp[(4) - (5)].statexp), FALSE );
          (yyval.expr) = NULL;
        }
      }
    ;}
    break;

  case 834:

/* Line 1464 of yacc.c  */
#line 7539 "./parser.y"
    {
      expression* tmp = NULL;
      if( !parser_check_generation( GENERATION_2001 ) ) {
        VLerror( "Indexed vector part select found in block that is specified to not allow Verilog-2001 syntax" );
        expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
        static_expr_dealloc( (yyvsp[(4) - (5)].statexp), FALSE );
        (yyval.expr) = NULL;
      } else {
        if( (ignore_mode == 0) && ((yyvsp[(2) - (5)].expr) != NULL) && ((yyvsp[(4) - (5)].statexp) != NULL) ) {
          if( (yyvsp[(4) - (5)].statexp)->exp == NULL ) {
            Try {
              tmp = db_create_expression( NULL, NULL, EXP_OP_STATIC, FALSE, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(1) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
            vector_dealloc( tmp->value );
            tmp->value = vector_create( 32, VTYPE_VAL, VDATA_UL, TRUE );
            (void)vector_from_int( tmp->value, (yyvsp[(4) - (5)].statexp)->num );
            Try {
              tmp = db_create_expression( tmp, (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_NEG, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
          } else {
            Try {
              tmp = db_create_expression( (yyvsp[(4) - (5)].statexp)->exp, (yyvsp[(2) - (5)].expr), EXP_OP_MBIT_NEG, lhs_mode, (yylsp[(1) - (5)]).first_line, (yylsp[(1) - (5)]).first_column, ((yylsp[(5) - (5)]).last_column - 1), NULL );
            } Catch_anonymous {
              error_count++;
            }
          }
          free_safe( (yyvsp[(4) - (5)].statexp), sizeof( static_expr ) );
          (yyval.expr) = tmp;
        } else {
          expression_dealloc( (yyvsp[(2) - (5)].expr), FALSE );
          static_expr_dealloc( (yyvsp[(4) - (5)].statexp), FALSE );
          (yyval.expr) = NULL;
        }
      }
    ;}
    break;

  case 835:

/* Line 1464 of yacc.c  */
#line 7582 "./parser.y"
    {
      if( (ignore_mode == 0) && ((yyvsp[(1) - (2)].expr) != NULL) && ((yyvsp[(2) - (2)].expr) != NULL) ) {
        Try {
          (yyval.expr) = db_create_expression( (yyvsp[(2) - (2)].expr), (yyvsp[(1) - (2)].expr), EXP_OP_DIM, lhs_mode, (yylsp[(1) - (2)]).first_line, (yylsp[(1) - (2)]).first_column, ((yylsp[(2) - (2)]).last_column - 1), NULL );
        } Catch_anonymous {
          error_count++;
        }
      } else {
        expression_dealloc( (yyvsp[(1) - (2)].expr), FALSE );
        expression_dealloc( (yyvsp[(2) - (2)].expr), FALSE );
        (yyval.expr) = NULL;
      }
    ;}
    break;

  case 836:

/* Line 1464 of yacc.c  */
#line 7596 "./parser.y"
    {
      (yyval.expr) = (yyvsp[(1) - (1)].expr);
    ;}
    break;

  case 837:

/* Line 1464 of yacc.c  */
#line 7603 "./parser.y"
    {
      ignore_mode++;
    ;}
    break;

  case 838:

/* Line 1464 of yacc.c  */
#line 7610 "./parser.y"
    {
      ignore_mode--;
    ;}
    break;

  case 839:

/* Line 1464 of yacc.c  */
#line 7617 "./parser.y"
    {
      lhs_mode = TRUE;
    ;}
    break;

  case 840:

/* Line 1464 of yacc.c  */
#line 7624 "./parser.y"
    {
      lhs_mode = FALSE;
    ;}
    break;

  case 841:

/* Line 1464 of yacc.c  */
#line 7631 "./parser.y"
    {
      fork_depth++;
      fork_block_depth = (int*)realloc_safe( fork_block_depth, (sizeof( int ) * fork_depth), ((fork_depth + 1) * sizeof( int )) );
      fork_block_depth[fork_depth] = block_depth;
    ;}
    break;

  case 842:

/* Line 1464 of yacc.c  */
#line 7640 "./parser.y"
    {
      fork_depth--;
      fork_block_depth = (int*)realloc_safe( fork_block_depth, (sizeof( int ) * (fork_depth + 2)), ((fork_depth + 1) * sizeof( int )) );
    ;}
    break;

  case 843:

/* Line 1464 of yacc.c  */
#line 7648 "./parser.y"
    {
      block_depth++;
    ;}
    break;

  case 844:

/* Line 1464 of yacc.c  */
#line 7655 "./parser.y"
    {
      block_depth--;
    ;}
    break;

  case 845:

/* Line 1464 of yacc.c  */
#line 7662 "./parser.y"
    {
      char* scope      = NULL;
      func_unit* funit = db_get_curr_funit();
      if( ignore_mode == 0 ) {
        scope = db_create_unnamed_scope();
        Try {
          assert( db_add_function_task_namedblock( FUNIT_NAMED_BLOCK, scope, funit->filename, 0 ) );
        } Catch_anonymous {
          error_count++;
          ignore_mode++;
        }
        free_safe( scope, (strlen( scope ) + 1) );
      }
      block_depth++;
      for_mode++;
      (yyval.funit) = db_get_curr_funit();
    ;}
    break;

  case 846:

/* Line 1464 of yacc.c  */
#line 7683 "./parser.y"
    {
      block_depth--;
      for_mode--;
    ;}
    break;

  case 847:

/* Line 1464 of yacc.c  */
#line 7691 "./parser.y"
    {
      generate_expr_mode++;
    ;}
    break;

  case 848:

/* Line 1464 of yacc.c  */
#line 7698 "./parser.y"
    {
      generate_expr_mode--;
    ;}
    break;



/* Line 1464 of yacc.c  */
#line 14927 "parser.c"
      default: break;
    }
  YY_SYMBOL_PRINT ("-> $$ =", yyr1[yyn], &yyval, &yyloc);

  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);

  *++yyvsp = yyval;
  *++yylsp = yyloc;

  /* Now `shift' the result of the reduction.  Determine what state
     that goes to, based on the state we popped back to and the rule
     number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTOKENS] + *yyssp;
  if (0 <= yystate && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTOKENS];

  goto yynewstate;


/*------------------------------------.
| yyerrlab -- here on detecting error |
`------------------------------------*/
yyerrlab:
  /* If not already recovering from an error, report this error.  */
  if (!yyerrstatus)
    {
      ++yynerrs;
#if ! YYERROR_VERBOSE
      yyerror (YY_("syntax error"));
#else
      {
	YYSIZE_T yysize = yysyntax_error (0, yystate, yychar);
	if (yymsg_alloc < yysize && yymsg_alloc < YYSTACK_ALLOC_MAXIMUM)
	  {
	    YYSIZE_T yyalloc = 2 * yysize;
	    if (! (yysize <= yyalloc && yyalloc <= YYSTACK_ALLOC_MAXIMUM))
	      yyalloc = YYSTACK_ALLOC_MAXIMUM;
	    if (yymsg != yymsgbuf)
	      YYSTACK_FREE (yymsg);
	    yymsg = (char *) YYSTACK_ALLOC (yyalloc);
	    if (yymsg)
	      yymsg_alloc = yyalloc;
	    else
	      {
		yymsg = yymsgbuf;
		yymsg_alloc = sizeof yymsgbuf;
	      }
	  }

	if (0 < yysize && yysize <= yymsg_alloc)
	  {
	    (void) yysyntax_error (yymsg, yystate, yychar);
	    yyerror (yymsg);
	  }
	else
	  {
	    yyerror (YY_("syntax error"));
	    if (yysize != 0)
	      goto yyexhaustedlab;
	  }
      }
#endif
    }

  yyerror_range[1] = yylloc;

  if (yyerrstatus == 3)
    {
      /* If just tried and failed to reuse lookahead token after an
	 error, discard it.  */

      if (yychar <= YYEOF)
	{
	  /* Return failure if at end of input.  */
	  if (yychar == YYEOF)
	    YYABORT;
	}
      else
	{
	  yydestruct ("Error: discarding",
		      yytoken, &yylval, &yylloc);
	  yychar = YYEMPTY;
	}
    }

  /* Else will try to reuse lookahead token after shifting the error
     token.  */
  goto yyerrlab1;


/*---------------------------------------------------.
| yyerrorlab -- error raised explicitly by YYERROR.  |
`---------------------------------------------------*/
yyerrorlab:

  /* Pacify compilers like GCC when the user code never invokes
     YYERROR and the label yyerrorlab therefore never appears in user
     code.  */
  if (/*CONSTCOND*/ 0)
     goto yyerrorlab;

  yyerror_range[1] = yylsp[1-yylen];
  /* Do not reclaim the symbols of the rule which action triggered
     this YYERROR.  */
  YYPOPSTACK (yylen);
  yylen = 0;
  YY_STACK_PRINT (yyss, yyssp);
  yystate = *yyssp;
  goto yyerrlab1;


/*-------------------------------------------------------------.
| yyerrlab1 -- common code for both syntax error and YYERROR.  |
`-------------------------------------------------------------*/
yyerrlab1:
  yyerrstatus = 3;	/* Each real token shifted decrements this.  */

  for (;;)
    {
      yyn = yypact[yystate];
      if (yyn != YYPACT_NINF)
	{
	  yyn += YYTERROR;
	  if (0 <= yyn && yyn <= YYLAST && yycheck[yyn] == YYTERROR)
	    {
	      yyn = yytable[yyn];
	      if (0 < yyn)
		break;
	    }
	}

      /* Pop the current state because it cannot handle the error token.  */
      if (yyssp == yyss)
	YYABORT;

      yyerror_range[1] = *yylsp;
      yydestruct ("Error: popping",
		  yystos[yystate], yyvsp, yylsp);
      YYPOPSTACK (1);
      yystate = *yyssp;
      YY_STACK_PRINT (yyss, yyssp);
    }

  *++yyvsp = yylval;

  yyerror_range[2] = yylloc;
  /* Using YYLLOC is tempting, but would change the location of
     the lookahead.  YYLOC is available though.  */
  YYLLOC_DEFAULT (yyloc, yyerror_range, 2);
  *++yylsp = yyloc;

  /* Shift the error token.  */
  YY_SYMBOL_PRINT ("Shifting", yystos[yyn], yyvsp, yylsp);

  yystate = yyn;
  goto yynewstate;


/*-------------------------------------.
| yyacceptlab -- YYACCEPT comes here.  |
`-------------------------------------*/
yyacceptlab:
  yyresult = 0;
  goto yyreturn;

/*-----------------------------------.
| yyabortlab -- YYABORT comes here.  |
`-----------------------------------*/
yyabortlab:
  yyresult = 1;
  goto yyreturn;

#if !defined(yyoverflow) || YYERROR_VERBOSE
/*-------------------------------------------------.
| yyexhaustedlab -- memory exhaustion comes here.  |
`-------------------------------------------------*/
yyexhaustedlab:
  yyerror (YY_("memory exhausted"));
  yyresult = 2;
  /* Fall through.  */
#endif

yyreturn:
  if (yychar != YYEMPTY)
     yydestruct ("Cleanup: discarding lookahead",
		 yytoken, &yylval, &yylloc);
  /* Do not reclaim the symbols of the rule which action triggered
     this YYABORT or YYACCEPT.  */
  YYPOPSTACK (yylen);
  YY_STACK_PRINT (yyss, yyssp);
  while (yyssp != yyss)
    {
      yydestruct ("Cleanup: popping",
		  yystos[*yyssp], yyvsp, yylsp);
      YYPOPSTACK (1);
    }
#ifndef yyoverflow
  if (yyss != yyssa)
    YYSTACK_FREE (yyss);
#endif
#if YYERROR_VERBOSE
  if (yymsg != yymsgbuf)
    YYSTACK_FREE (yymsg);
#endif
  /* Make sure YYID is used.  */
  return YYID (yyresult);
}



